#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfd57ee0, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe02da428, "pmc_write_counter" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6c05d738, "kvm_emulate_instruction_from_buffer" },
	{ 0x586f1fbd, "kvm_init_mmu" },
	{ 0xb651b671, "kvm_emulate_wbinvd" },
	{ 0xc9b85cdd, "kvm_vcpu_reset" },
	{ 0xea8985b0, "rmp_make_shared" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x405e20aa, "kvm_zap_gfn_range" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0xcfbbab63, "kvm_set_cr3" },
	{ 0x90fab8ca, "kvm_update_cpuid_runtime" },
	{ 0x9eddbe75, "x86_decode_emulated_instruction" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x595d5e45, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x416f65c3, "__SCK__tp_func_kvm_page_fault" },
	{ 0x581209c3, "kvm_alloc_apic_access_page" },
	{ 0x9e77190a, "kvm_get_cr8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xc1c27366, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0xba6b64ab, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5956a50b, "kvm_is_linear_rip" },
	{ 0xd8fa5ef3, "kvm_set_dr" },
	{ 0xfae8fe1c, "kvm_set_msi_irq" },
	{ 0x78518fbb, "psmash" },
	{ 0x4f1ded5c, "__SCK__tp_func_kvm_rmp_fault" },
	{ 0x6da19b50, "snp_free_firmware_page" },
	{ 0xb821598c, "kvm_emulate_hypercall" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x5ab8be81, "__SCK__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x3603d813, "misc_cg_uncharge" },
	{ 0x49ce20d, "kvm_emulate_ap_reset_hold" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfeb1b48c, "__tracepoint_kvm_skinit" },
	{ 0xe2b82adf, "get_xsave_addr" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xad1036a2, "amd_iommu_activate_guest_mode" },
	{ 0x7508558f, "load_pdptrs" },
	{ 0x4cb41b6e, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfdeb4589, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xdb7c27f9, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5c7db7b2, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0x80b06e75, "__SCK__tp_func_kvm_exit" },
	{ 0x10c5fc14, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xa05d8c0b, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0x67c2cff6, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0x17d25f63, "kvm_load_guest_xsave_state" },
	{ 0x9e15a71e, "kvm_set_cr0" },
	{ 0x81cab3a4, "__kvm_is_valid_cr4" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xc1b48007, "kvm_set_cr8" },
	{ 0x8e3d7c7, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0xe08c2be8, "__tracepoint_kvm_invlpga" },
	{ 0x26509a42, "kvm_get_dr" },
	{ 0x3e93be33, "snp_lookup_rmpentry" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd6b7e668, "kvm_update_dr7" },
	{ 0x336b45f3, "__tracepoint_kvm_nested_intercepts" },
	{ 0x8bb72680, "kvm_mmu_page_fault" },
	{ 0xfb0f9b79, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xd7f328f4, "kvm_emulate_instruction" },
	{ 0x3d8556b9, "cpu_info" },
	{ 0xf8806c17, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x5864e269, "rmp_make_private" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xe865428f, "kvm_vcpu_apicv_activated" },
	{ 0x4a078cca, "kvm_apic_send_ipi" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe5c46e48, "__tracepoint_read_msr" },
	{ 0x40d8f672, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4eecbe35, "__tracepoint_kvm_rmp_fault" },
	{ 0x2fc409f7, "kvm_vcpu_on_spin" },
	{ 0x72f6bfcf, "sev_platform_init" },
	{ 0xe396a1ed, "kvm_gmem_get_pfn" },
	{ 0xdde84fd5, "__SCK__tp_func_kvm_vmgexit_exit" },
	{ 0x434898ff, "kvm_read_guest" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x61b96ac1, "set_page_dirty_lock" },
	{ 0x68d24ce8, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0xfb26685f, "kvm_get_rflags" },
	{ 0xfac24426, "kvm_queue_exception_e" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0x68e185ff, "__tracepoint_kvm_exit" },
	{ 0xdfc30e3, "kvm_emulate_cpuid" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0x453dae74, "kvm_emulate_wrmsr" },
	{ 0x9db03673, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xabaaf13f, "kvm_find_cpuid_entry_index" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0xd6198f9, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0xfddecda3, "kvm_mmu_invlpg" },
	{ 0xb2599b4b, "kvm_emulate_invd" },
	{ 0xffd029d6, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0xb18edfcc, "kvm_init_shadow_npt_mmu" },
	{ 0x77f1bea8, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x420073dd, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0xfc7ccfcf, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x4c974376, "kvm_intr_is_single_vcpu" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0xc81b5ccf, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x843d6541, "sev_guest_decommission" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xc8e18d7e, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf999d87b, "__tracepoint_kvm_avic_doorbell" },
	{ 0x4e3fd1b4, "kvm_release_pfn_clean" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5079f9f, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0xab33dfbc, "__SCK__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x623834e5, "kvm_cpu_has_injectable_intr" },
	{ 0x6265e227, "kvm_skip_emulated_instruction" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0xc284d877, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe6df85bf, "kvm_handle_invalid_op" },
	{ 0x53b954a2, "up_read" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0xcf509080, "kvm_caps" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5580368f, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x7195b71b, "kvm_sev_es_mmio_write" },
	{ 0x6b3b2b16, "hv_flush_remote_tlbs_range" },
	{ 0x18db2d55, "kvm_get_kvm" },
	{ 0x64f31aac, "kvm_complete_insn_gp" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x29c9f9cf, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x35560398, "__SCK__kvm_x86_cache_reg" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2ce5ad46, "kvm_x86_vendor_init" },
	{ 0x60666145, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xcbaa327d, "misc_cg_set_capacity" },
	{ 0x49c6151e, "__tracepoint_kvm_ple_window_update" },
	{ 0x6c368b5b, "__SCK__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xda044535, "kvm_arch_has_assigned_device" },
	{ 0xced11cd0, "kvm_apic_match_dest" },
	{ 0xa280729, "gfn_to_memslot" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3ccc0ad2, "kvm_clear_guest" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb8bdeb6e, "kvm_host" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0xef18df36, "kvm_requeue_exception" },
	{ 0x3e059f28, "sev_guest_activate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0xb7ab42b, "file_is_kvm" },
	{ 0x77ff053, "default_cpu_present_to_apicid" },
	{ 0x52f372db, "__tracepoint_kvm_avic_ga_log" },
	{ 0xd1367816, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0x27046576, "kvm_exit" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe96ae11d, "kvm_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x917d9dd5, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0x9fadc632, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0xa97b5373, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0xf8738f61, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0xfeea58f2, "srso_alias_untrain_ret" },
	{ 0x68073a6c, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa38f21b9, "amd_iommu_update_ga" },
	{ 0x832640c7, "snp_alloc_firmware_page" },
	{ 0xfd7e5e35, "__SCK__tp_func_kvm_cr" },
	{ 0xc038bdfe, "kvm_apicv_activated" },
	{ 0xb0455e84, "snp_leak_pages" },
	{ 0xb4503362, "do_machine_check" },
	{ 0x34de6070, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0xad9b683b, "__SCT__tp_func_kvm_rmp_fault" },
	{ 0x738a09b4, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0x8d907dfb, "kvm_mmu_new_pgd" },
	{ 0xff38f593, "unpin_user_pages" },
	{ 0xa4b044, "amd_iommu_deactivate_guest_mode" },
	{ 0xff6af925, "kvm_post_set_cr4" },
	{ 0xd5cee45, "__SCK__tp_func_kvm_nested_intercepts" },
	{ 0x6d64664e, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0xc56816bd, "kvm_get_msr_common" },
	{ 0x14aea38a, "__SCK__tp_func_kvm_avic_ga_log" },
	{ 0x80db7a5c, "kvm_gmem_populate" },
	{ 0x852ea01, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x18f412b7, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x1c02fdf6, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0xb309c259, "kvm_emulate_halt" },
	{ 0xc7b21aa0, "__SCK__tp_func_kvm_vmgexit_enter" },
	{ 0x41629d7d, "kvm_emulate_mwait" },
	{ 0x3a4d86e2, "kvm_vcpu_map" },
	{ 0xadc8fe13, "__SCK__tp_func_kvm_invlpga" },
	{ 0x80517ec, "__SCK__tp_func_kvm_skinit" },
	{ 0x7bfc4e6a, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x14bd97cd, "kvm_wait_lapic_expire" },
	{ 0x3c8d7b82, "hv_flush_remote_tlbs" },
	{ 0x7f55cde4, "sev_issue_cmd_external_user" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x703702d5, "kvm_put_kvm" },
	{ 0x75aa3e37, "perf_event_read_value" },
	{ 0x9493fc86, "node_states" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x1335c6b1, "kvm_find_cpuid_entry" },
	{ 0x51e98b5f, "kvm_task_switch" },
	{ 0x5388b1a0, "amd_get_dr_addr_mask" },
	{ 0x3599a6b0, "__SCK__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf6255a7d, "kvm_write_guest" },
	{ 0xe1d93266, "misc_cg_try_charge" },
	{ 0x2765527f, "kvm_sev_es_string_io" },
	{ 0xa1622c33, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x22de4931, "amd_iommu_register_ga_log_notifier" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0x787f0589, "kvm_emulate_monitor" },
	{ 0x9ca67ab7, "kvm_requeue_exception_e" },
	{ 0x95c6d2aa, "__tracepoint_kvm_vmgexit_enter" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x1029c591, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbdc45e06, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0x1ce326c2, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0xf9b57a7, "__tracepoint_kvm_pi_irte_update" },
	{ 0x8fac14a2, "sev_guest_df_flush" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0x67b2541e, "kvm_vcpu_unmap" },
	{ 0x95d7b3c3, "kvm_post_set_cr0" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x933c7721, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0x656bd288, "kvm_valid_efer" },
	{ 0x4afcdc56, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xef1cca71, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0xfab33e4c, "enable_mmio_caching" },
	{ 0x6b12ba17, "kvm_set_rflags" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x453f4b25, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0xabed1071, "__SCK__tp_func_kvm_avic_doorbell" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xeba48d57, "__SCK__tp_func_kvm_entry" },
	{ 0x925eda92, "split_page" },
	{ 0x37b8288d, "__SCK__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x619fc5f2, "kvm_handle_invpcid" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe621b682, "__tracepoint_kvm_entry" },
	{ 0x5fbddb7a, "mark_page_accessed" },
	{ 0x14207273, "kvm_load_host_xsave_state" },
	{ 0x75004d6c, "__tracepoint_kvm_page_fault" },
	{ 0x177a82c3, "entry_untrain_ret" },
	{ 0x3e3b5766, "sev_do_cmd" },
	{ 0x4073e924, "sev_guest_deactivate" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0xd46cebaa, "kvm_queue_exception_p" },
	{ 0xb1005633, "__SCK__tp_func_kvm_nested_intr_vmexit" },
	{ 0x18b75ad, "kvm_vcpu_deliver_sipi_vector" },
	{ 0xb7925932, "__tracepoint_kvm_inj_virq" },
	{ 0x767b0da3, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x57bc19d2, "down_write" },
	{ 0xedf6f38b, "kvm_cpu_has_interrupt" },
	{ 0x3aab1afa, "handle_fastpath_set_msr_irqoff" },
	{ 0xce807a25, "up_write" },
	{ 0x2e6a6147, "psp_copy_user_blob" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x4c76dcbf, "kvm_make_all_cpus_request" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "kvm,ccp");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "5892F46F6ADDD65F8B74FA6");
