#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x90a5efb4, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x42c94537, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x7750b009, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x0c415101, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x09441ef9, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x0cf0375a, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xa4e36c66, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xc3a6cfdf, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x465e2637, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x0bf8b572, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x05f0d7fd, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x20cb387a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x867f916b, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x8fae9ca8, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x402ae3c9, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x1d8e9809, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xff6aabee, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x04f93c6b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xe132395d, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x2b1613dd, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x0c059bdd, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xaa04e459, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xe75ec3ed, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb94be26d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x41212f91, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x85a21b91, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xb8b43c6c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x64ce4068, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xaacebba2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x8a5aa827, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x0bf0180d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc1df8944, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x8572dda7, "kthread_create_worker" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x13ffeb27, "sched_set_fifo" },
	{ 0x328e3071, "_dev_err" },
	{ 0xdf80b5fb, "crypto_register_aead" },
	{ 0x18c3ea64, "crypto_unregister_aead" },
	{ 0x7638357d, "crypto_register_ahash" },
	{ 0x3975c9e5, "crypto_unregister_ahash" },
	{ 0xc434f7a9, "crypto_register_akcipher" },
	{ 0x474873db, "crypto_unregister_akcipher" },
	{ 0xe8d98357, "crypto_register_kpp" },
	{ 0xffc6fef4, "crypto_unregister_kpp" },
	{ 0xd12741b6, "crypto_register_skcipher" },
	{ 0x8dc07ef, "crypto_unregister_skcipher" },
	{ 0x7687e2b4, "crypto_enqueue_request" },
	{ 0x98a548c1, "crypto_dequeue_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe47a1349, "crypto_enqueue_request_head" },
	{ 0x1df8d7d8, "kthread_destroy_worker" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");
