#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xddcb8a4a, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x3e5c1377, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xea31a61f, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xaa9cff11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e892625, "crypto_aead_setauthsize" },
	{ 0x14f538a, "crypto_aead_decrypt" },
	{ 0xb15bb8c4, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8957268b, "crypto_unregister_aeads" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xf388cda6, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf99fa523, "crypto_skcipher_decrypt" },
	{ 0xdda8df6a, "cryptd_alloc_skcipher" },
	{ 0xf2336af5, "crypto_aead_setkey" },
	{ 0xd12741b6, "crypto_register_skcipher" },
	{ 0xf59e85e6, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19409e46, "cryptd_aead_queued" },
	{ 0x8dc07ef, "crypto_unregister_skcipher" },
	{ 0xe9b213de, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc0e92c0b, "cryptd_skcipher_queued" },
	{ 0xd2a5d1bd, "cryptd_free_aead" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe246c194, "crypto_unregister_skciphers" },
	{ 0xedc86be4, "cryptd_free_skcipher" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xdd67b11, "crypto_alloc_skcipher" },
	{ 0xe8fff3a6, "crypto_skcipher_encrypt" },
	{ 0x75d42cee, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6bbf6565, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xdf80b5fb, "crypto_register_aead" },
	{ 0x18c3ea64, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x99c66e5a, "crypto_register_aeads" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xe784de3c, "crypto_alloc_aead" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "544F018FC0A3CA1C22F88FD");
