#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0xb3df5d5d, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xb5721e95, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xbede044b, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xd3344a93, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0xca4f4b0d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xc1e351d3, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0xd0234779, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0x33ae8965, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x4183e633, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x480f5d13, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x6b456edb, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x51b265d7, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0xf3e8662a, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xcee1860a, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x866ffbfe, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x4dd97ded, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0xbd2894c4, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x0fa52b8a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xf51af04f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6313aa9f, "phy_set_mode_ext" },
	{ 0xdf5883a, "phy_power_on" },
	{ 0x6ca093a8, "phy_init" },
	{ 0x180a7f06, "phy_power_off" },
	{ 0x8d8f75fe, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe7d13f12, "regulator_disable" },
	{ 0x6866f042, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0x8aba3ffc, "ata_host_resume" },
	{ 0x657738b3, "ahci_reset_controller" },
	{ 0x6d27a259, "ahci_init_controller" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0x44ea6000, "platform_get_irq" },
	{ 0x5f64df15, "ahci_save_initial_config" },
	{ 0x4e659bdd, "ahci_set_em_messages" },
	{ 0xb0bf35ae, "ata_host_alloc_pinfo" },
	{ 0xbd895d05, "platform_get_resource" },
	{ 0x35edfc8f, "ata_port_desc" },
	{ 0xe1211cbb, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xb87a1f2f, "ahci_reset_em" },
	{ 0xdee820b3, "ahci_print_info" },
	{ 0x5b45db, "ahci_host_activate" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90397bf9, "devres_open_group" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0x856efcdd, "devres_add" },
	{ 0x27dc4397, "platform_get_resource_byname" },
	{ 0x70a092ea, "devm_platform_ioremap_resource_byname" },
	{ 0x41dc4c75, "devm_clk_bulk_get_all" },
	{ 0xcb735e52, "devm_regulator_get" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcff36272, "devm_of_phy_get" },
	{ 0xb3658238, "regulator_get" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x205a75d4, "devres_remove_group" },
	{ 0x747102, "devm_platform_ioremap_resource" },
	{ 0xde213542, "devres_release_group" },
	{ 0x7d0a2957, "devm_reset_control_array_get" },
	{ 0xe11bf8c9, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x3dca36c1, "ata_host_suspend" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x2d408b79, "ahci_ops" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");
