#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56470118, "__warn_printk" },
	{ 0x8cbc85fc, "ata_std_qc_defer" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xb0bf35ae, "ata_host_alloc_pinfo" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xd40ee869, "ata_print_version" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x84c3a7a5, "pcie_set_readrq" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9c4cf389, "ata_host_activate" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x8fad2e1a, "pci_intx" },
	{ 0x733c2374, "ata_eh_freeze_port" },
	{ 0x833b4e8d, "sata_pmp_error_handler" },
	{ 0x5ea00d29, "sata_std_hardreset" },
	{ 0x22f86a9d, "sata_set_spd" },
	{ 0x216996d7, "ata_link_online" },
	{ 0x6c98647, "sata_deb_timing_long" },
	{ 0xecdbde85, "sata_link_debounce" },
	{ 0xc46e58a3, "ata_link_offline" },
	{ 0x7f5c8e1d, "ata_msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xf2dd3de1, "ata_port_classify" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xff0d4924, "sata_pmp_port_ops" },
	{ 0xc6be26f3, "ata_scsi_queuecmd" },
	{ 0x3ab796f0, "ata_scsi_ioctl" },
	{ 0xf0336e80, "ata_scsi_slave_alloc" },
	{ 0xf2445122, "ata_scsi_device_configure" },
	{ 0xf4b39ccc, "ata_scsi_slave_destroy" },
	{ 0xb5cfee94, "ata_scsi_change_queue_depth" },
	{ 0x57d47387, "ata_scsi_dma_need_drain" },
	{ 0xbed0bb49, "ata_std_bios_param" },
	{ 0x856751c2, "ata_scsi_unlock_native_capacity" },
	{ 0x4698f7af, "ata_ncq_sdev_groups" },
	{ 0xd9f9beee, "ata_pci_remove_one" },
	{ 0x84a877e4, "ata_pci_device_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x94662e48, "ata_wait_register" },
	{ 0x328e3071, "_dev_err" },
	{ 0x2cbfd888, "ata_pci_device_do_resume" },
	{ 0x8aba3ffc, "ata_host_resume" },
	{ 0x9149c701, "ata_ehi_clear_desc" },
	{ 0x1e300042, "ata_ehi_push_desc" },
	{ 0xf83298fb, "ata_link_abort" },
	{ 0x508d59e2, "ata_port_freeze" },
	{ 0x7cf5ab66, "sata_async_notification" },
	{ 0xe9221e3d, "ata_port_abort" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2cbcccbf, "ata_qc_complete_multiple" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x18c29cae, "ata_port_pbar_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003124sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003132sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000242sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000244sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003131sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003531sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AD5399C3E2766CD334A60FF");
