#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0xd378ba8a, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x242d8ded, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x7dcf85a2, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x60440dfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6274b31, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fdf936e, "tty_unregister_ldisc" },
	{ 0x58357d79, "hci_unregister_dev" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x903321b9, "hci_recv_frame" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xdd91670f, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0x7621cbf, "tty_unthrottle" },
	{ 0x7f9aeea1, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0xf9ae7478, "hci_register_dev" },
	{ 0x214e4265, "bt_warn" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6fdb195d, "__hci_cmd_sync" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x77fb6280, "percpu_free_rwsem" },
	{ 0x9311dca3, "tty_set_termios" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xa78baece, "percpu_down_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xca875b21, "skb_put" },
	{ 0xfc7df9ea, "tty_register_ldisc" },
	{ 0xb25223c, "serdev_device_set_baudrate" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5be29070, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x8169b116, "nvmem_cell_get" },
	{ 0xf598725a, "gpiod_set_value_cansleep" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x8ce7958a, "serdev_device_set_flow_control" },
	{ 0x69acdf38, "memcpy" },
	{ 0x19e08938, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0x833edd42, "serdev_device_open" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0xceb6d899, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xfa4b024c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc31b49cd, "tty_driver_flush_buffer" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x85cdcecc, "percpu_up_write" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x1874844d, "devm_acpi_dev_add_driver_gpios" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x398ed4a5, "serdev_device_write_flush" },
	{ 0xcd9dca7, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x65620cc3, "skb_push" },
	{ 0xf596b48a, "n_tty_ioctl_helper" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x2bc6b2fd, "tty_ldisc_flush" },
	{ 0xf154c8db, "__percpu_init_rwsem" },
	{ 0x9f11e815, "__serdev_device_driver_register" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0c401d4, "acpi_match_device" },
	{ 0x2787cce2, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x683138b8, "serdev_device_write_buf" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");

MODULE_INFO(srcversion, "96BB7344E434828F43D78EA");
