#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea78d502, "adf_err_handler" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x1ad81c75, "adf_gen4_enable_error_correction" },
	{ 0x7e9619, "adf_gen4_init_device" },
	{ 0x7a16d53c, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xc9c8f6ad, "adf_gen4_get_ring_to_svc_map" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa4ed7a54, "adf_gen4_get_misc_bar_id" },
	{ 0x87eb9e12, "adf_gen4_get_sram_bar_id" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7948f21a, "adf_init_admin_comms" },
	{ 0x97fa1da1, "adf_dev_down" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1b40ef0a, "adf_dbgfs_init" },
	{ 0x2b1b8046, "adf_send_admin_init" },
	{ 0x59440992, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x833d1905, "adf_gen4_get_etr_bar_id" },
	{ 0xb9179171, "pci_select_bars" },
	{ 0x8cf82ceb, "adf_gen4_init_pf_pfvf_ops" },
	{ 0xc34831a0, "adf_devmgr_add_dev" },
	{ 0x58767886, "adf_isr_resource_free" },
	{ 0x73978103, "adf_reset_flr" },
	{ 0x794a5f57, "adf_gen4_get_num_accels" },
	{ 0xf41cb176, "adf_gen4_timer_start" },
	{ 0x328e3071, "_dev_err" },
	{ 0xc934ea5, "adf_gen4_timer_stop" },
	{ 0xbe1b61c3, "pcim_iomap_regions_request_all" },
	{ 0xf29b05f8, "adf_disable_sriov" },
	{ 0xd4c7c045, "adf_cfg_dev_remove" },
	{ 0xa82d5ff6, "adf_gen4_handle_pm_interrupt" },
	{ 0x4ffd4ec6, "adf_gen4_get_heartbeat_clock" },
	{ 0xbcf61084, "adf_gen4_get_sku" },
	{ 0xfd3f7c1e, "adf_gen4_set_ssm_wdtimer" },
	{ 0x9ee7b3fc, "adf_gen4_dev_config" },
	{ 0x11412945, "adf_dev_up" },
	{ 0x5fd722c, "adf_isr_resource_alloc" },
	{ 0x78b3dfda, "adf_cfg_dev_add" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5064418c, "adf_gen4_set_msix_default_rttable" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xf76759ed, "adf_gen4_ring_pair_reset" },
	{ 0x44b2c889, "adf_init_arb" },
	{ 0x3a16e9f3, "adf_devmgr_rm_dev" },
	{ 0x2c0f84ec, "adf_gen4_init_hw_csr_ops" },
	{ 0xcc764630, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0x72be4354, "adf_gen4_get_accel_mask" },
	{ 0xfa6ffd23, "adf_gen4_init_vf_mig_ops" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0x765c84f2, "adf_gen4_enable_pm" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xee5b4344, "adf_get_service_enabled" },
	{ 0x7ac60162, "adf_dbgfs_exit" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0x17e59e8f, "adf_gen4_init_ras_ops" },
	{ 0xdc9570c4, "adf_gen4_init_thd2arb_map" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x2dccf4ca, "adf_exit_arb" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0xc59445fa, "adf_exit_admin_comms" },
	{ 0xb19fef8, "adf_gen4_get_num_aes" },
	{ 0x5b46e70e, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4ae02315, "adf_gen4_enable_ints" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004946sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "93D8D5866EB5BDAE07E1375");
