#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xfe0e135f, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xa281ec9b, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x6d55ef0e, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xcd03d730, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0x214a0f68, "");
SYMBOL_CRC(drm_atomic_state_init, 0x5eb35893, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x4f4ee5a9, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x95ad379d, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xe44c01c5, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x638b0b3c, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x7ef3f6b4, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x92a5dd6a, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x4b67db28, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xba70974c, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x03d0667b, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x82a1246c, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0xc9eefa99, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x489fb88e, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xc6ca7b5d, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xcc98d34f, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xa57bd443, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xd717c7be, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xc9efe023, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x3a5cc3c3, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x2a1bfe5c, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xdcdb8a25, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x88c31bf1, "");
SYMBOL_CRC(drm_atomic_check_only, 0x874587b0, "");
SYMBOL_CRC(drm_atomic_commit, 0x8193b9b8, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0xab56d1c7, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xcc1d7433, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xc4c35088, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x20ecc678, "");
SYMBOL_CRC(drm_state_dump, 0xc32b0f7d, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x03e48d39, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x89908c7d, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xce75228d, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xb10553a7, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0xe0e42cb2, "");
SYMBOL_CRC(drm_is_current_master, 0xa1fa5306, "");
SYMBOL_CRC(drm_master_get, 0xce1eeada, "");
SYMBOL_CRC(drm_file_get_master, 0x8c6ee20e, "");
SYMBOL_CRC(drm_master_put, 0xb21f7c1e, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x6860922b, "");
SYMBOL_CRC(drm_master_internal_release, 0xb309500a, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x91c011c4, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xbfb2cbbe, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xb1d51b98, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x94e4057e, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xf522a142, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x1f0c0909, "");
SYMBOL_CRC(drm_bridge_add, 0xf813887d, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x30774106, "");
SYMBOL_CRC(drm_bridge_remove, 0x8e5318e0, "");
SYMBOL_CRC(drm_bridge_attach, 0x318657ce, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x21055a85, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x74a2df92, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x1a86f1f5, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xe7052772, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x2c8bf2f4, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x614cf7d1, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x11c7d5db, "");
SYMBOL_CRC(drm_bridge_detect, 0x897d3934, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x886887c1, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0x7797f78f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xe850b30c, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xf1f42a36, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x079891f7, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x4ee4403b, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xbbbe1086, "");
SYMBOL_CRC(drm_client_register, 0x79091ef0, "");
SYMBOL_CRC(drm_client_release, 0x7984678e, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xe9d30fe1, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x0ccfd6dd, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0xab586466, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x323d16bf, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x8d39a2ea, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xe530c8ba, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xa129ee96, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xa93bebf2, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x1083a32d, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xfb7ebaaa, "");
SYMBOL_CRC(drm_client_rotation, 0xe1d040b7, "");
SYMBOL_CRC(drm_client_modeset_check, 0xa51cc4c5, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x72bc4379, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xe1b93f85, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xd2e719af, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x5813f539, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xf35affa9, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x7542b188, "");
SYMBOL_CRC(drm_color_lut_check, 0x548faf1a, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x3797bcc3, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x8a5560d7, "");
SYMBOL_CRC(drmm_connector_init, 0x5d1d5f7e, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x8ba1c2c9, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x1b239254, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x51497a30, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x06a98b34, "");
SYMBOL_CRC(drm_connector_cleanup, 0x7dce6b53, "");
SYMBOL_CRC(drm_connector_register, 0x913bce65, "");
SYMBOL_CRC(drm_connector_unregister, 0x10f4038e, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x4920825b, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x5cc2bafa, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xc44c190c, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x8879a3b5, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0x3f4102ac, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x20d37934, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xd1c85126, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0x8bb5877a, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xae92f613, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x04c3d6e2, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x9a4338dd, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xe0a67ea4, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x33d2cb17, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x414ccfb9, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xced9c49f, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x73864cbd, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x725563e0, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x5a85402f, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xfb7ebe59, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0xe8e09f11, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x7e6be834, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x31ec54e5, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x4f4e1922, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xc4360ba1, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x76f321b7, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x00f7adf3, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xde12eb3c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xef1cefea, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xa867accc, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x0d852e59, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x6e2facc8, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x4d112391, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xfc1f9e11, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x7391f95d, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x1bf9d50c, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xaa100813, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x541f8962, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x45c45c62, "");
SYMBOL_CRC(drm_crtc_from_index, 0x853afcd3, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x2c3f6cb0, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xd1a7c6e4, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x6a0da9b8, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x19b88ae4, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x963320b4, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xc2a3092a, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xa0474b94, "");
SYMBOL_CRC(drm_put_dev, 0x0f61054d, "");
SYMBOL_CRC(drm_dev_enter, 0xc43ca42d, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x9cd076c1, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xa11ad15b, "");
SYMBOL_CRC(drm_dev_alloc, 0xc695a75d, "");
SYMBOL_CRC(drm_dev_get, 0xedd1909b, "");
SYMBOL_CRC(drm_dev_put, 0xf442de95, "");
SYMBOL_CRC(drm_dev_register, 0x175e012b, "");
SYMBOL_CRC(drm_dev_unregister, 0x61687579, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x64ee1ca4, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xbc1cb2da, "");
SYMBOL_CRC(drm_get_edid, 0xa67dc217, "");
SYMBOL_CRC(drm_edid_read_custom, 0xd5f5be0f, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x120c7e08, "");
SYMBOL_CRC(drm_edid_read, 0x954bbaf8, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0x4e6fdd2d, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x1bc47001, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x69b58fcf, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x2f3bb11f, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xd5dfc91a, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x9529ad8b, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xbc8dd884, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xdbe78065, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x66447bf6, "");
SYMBOL_CRC(drm_add_edid_modes, 0xeac8c00a, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xd6c1b3ef, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x3c4ce4ce, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xa9215a34, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0xac56fae5, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x923468b9, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x35f4996f, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x474622ae, "");
SYMBOL_CRC(drmm_encoder_init, 0x10c44b5b, "");
SYMBOL_CRC(drm_open, 0x86233af9, "");
SYMBOL_CRC(drm_release, 0xe15695e0, "");
SYMBOL_CRC(drm_release_noglobal, 0xcdc86337, "");
SYMBOL_CRC(drm_read, 0xd4d65e66, "");
SYMBOL_CRC(drm_poll, 0xc2f1f5cb, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x44cef4e2, "");
SYMBOL_CRC(drm_event_reserve_init, 0xc1ab0c53, "");
SYMBOL_CRC(drm_event_cancel_free, 0x368d12c9, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0xa0572824, "");
SYMBOL_CRC(drm_send_event_locked, 0x3ab1a2ae, "");
SYMBOL_CRC(drm_send_event, 0x76deba59, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0xd478458f, "");
SYMBOL_CRC(drm_show_fdinfo, 0x5b6c1919, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xba54687a, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x35e9cb95, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_init, 0xdaf3e5c4, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xc51fb74c, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x6a563bb1, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xdbe85c79, "");
SYMBOL_CRC(drm_framebuffer_remove, 0xc5f2a06e, "");
SYMBOL_CRC(drm_gem_object_init, 0xe874359b, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xb54f7f48, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x028f954c, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x954279af, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xcd0f17ec, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x2b1bddc1, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x20cbc896, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x6a5efe84, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x9f5b9ce9, "");
SYMBOL_CRC(drm_gem_get_pages, 0xce8ec3bb, "");
SYMBOL_CRC(drm_gem_put_pages, 0xaba4e24d, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xf96d0005, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x7e27500a, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x486ebaae, "");
SYMBOL_CRC(drm_gem_object_release, 0xff03c664, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x1767eb65, "");
SYMBOL_CRC(drm_gem_vm_close, 0x110d24f1, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x92654afb, "");
SYMBOL_CRC(drm_gem_mmap, 0xc0f8b060, "");
SYMBOL_CRC(drm_gem_vmap, 0x4943cc12, "");
SYMBOL_CRC(drm_gem_vunmap, 0x82c1419a, "");
SYMBOL_CRC(drm_gem_lock, 0x89f2c564, "");
SYMBOL_CRC(drm_gem_unlock, 0x0f8c1b4a, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x068a7f56, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x779f58a6, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xf73d4e20, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xa218c0a7, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x0930cf73, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xcb4e6ab7, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x64f66810, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xec844f49, "");
SYMBOL_CRC(drm_gem_evict, 0x2095eb0a, "");
SYMBOL_CRC(drm_noop, 0x5a446ae4, "");
SYMBOL_CRC(drm_invalid_op, 0x12102a52, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x87ef848a, "");
SYMBOL_CRC(drm_ioctl, 0x0d4ed4b9, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xaf1ecf67, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x611489f1, "");
SYMBOL_CRC(drmm_release_action, 0x293c555c, "");
SYMBOL_CRC(drmm_kmalloc, 0x81bb41b4, "");
SYMBOL_CRC(drmm_kstrdup, 0xd51c3376, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x11b70e49, "");
SYMBOL_CRC(__drmm_mutex_release, 0xf4923af2, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0xbcee29ca, "");
SYMBOL_CRC(drmm_mode_config_init, 0x12375d33, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x06da7e4f, "");
SYMBOL_CRC(drm_mode_object_find, 0xb568f506, "");
SYMBOL_CRC(drm_mode_object_put, 0x922ad59d, "");
SYMBOL_CRC(drm_mode_object_get, 0x9fa2e6ab, "");
SYMBOL_CRC(drm_object_attach_property, 0x17eec8ab, "");
SYMBOL_CRC(drm_object_property_set_value, 0x364deea8, "");
SYMBOL_CRC(drm_object_property_get_value, 0x00d54b0c, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x40ab4f23, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x19837224, "");
SYMBOL_CRC(drm_mode_destroy, 0x7f35e92b, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3b3796f2, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xca523c19, "");
SYMBOL_CRC(drm_cvt_mode, 0x3b97bb81, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x7c4173fb, "");
SYMBOL_CRC(drm_gtf_mode, 0xda39ba64, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x5e381ce7, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xf8829c66, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xc19ab614, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x1aeed798, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x11d5fbfa, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x51b3caed, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x0de56143, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x6c5647fb, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x450c8a01, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x8b0c91d6, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x96905740, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x0381505e, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xa88d6ece, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x233b6abc, "");
SYMBOL_CRC(drm_modeset_backoff, 0x311b6fba, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x6eb252e7, "");
SYMBOL_CRC(drm_modeset_lock, 0x6f49fc86, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xb544b5e2, "");
SYMBOL_CRC(drm_modeset_unlock, 0xc7370ff1, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x76019306, "");
SYMBOL_CRC(drm_universal_plane_init, 0x9ef3504c, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x9e20d6b2, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x540e045f, "");
SYMBOL_CRC(drm_plane_cleanup, 0x36bd9542, "");
SYMBOL_CRC(drm_plane_from_index, 0xe57aa117, "");
SYMBOL_CRC(drm_plane_force_disable, 0x95c232c5, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xa80f63c4, "");
SYMBOL_CRC(drm_plane_has_format, 0xe946bbbf, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x17e70c57, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x5016eeca, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xc1017b73, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xfdd47197, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x702d4eda, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0xc5308d47, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xa0ea23fa, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x4036eebf, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0xa48f08dc, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x1a4a1c33, "");
SYMBOL_CRC(drm_gem_map_attach, 0x6a7c9552, "");
SYMBOL_CRC(drm_gem_map_detach, 0xc84ef8c3, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xa2f00766, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xb9307582, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x20e9cc08, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x510e6596, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x37728f35, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xc713c71c, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x2be9ada6, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x94c83494, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xe16f54f3, "");
SYMBOL_CRC(drm_gem_prime_import, 0x7903caab, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x3824b360, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0xf75b4a15, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0xeba3c09d, "");
SYMBOL_CRC(__drm_dev_dbg, 0xb1b7a43d, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x5b20b78e, "");
SYMBOL_CRC(drm_property_create, 0x9c5d8eef, "");
SYMBOL_CRC(drm_property_create_enum, 0xbdd857d6, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xebc6dee1, "");
SYMBOL_CRC(drm_property_create_range, 0x43712e37, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xc25e7d4a, "");
SYMBOL_CRC(drm_property_create_object, 0x9bc330d5, "");
SYMBOL_CRC(drm_property_create_bool, 0x97eeb43a, "");
SYMBOL_CRC(drm_property_add_enum, 0x4813fb20, "");
SYMBOL_CRC(drm_property_destroy, 0x38abf45f, "");
SYMBOL_CRC(drm_property_create_blob, 0xf502be35, "");
SYMBOL_CRC(drm_property_blob_put, 0x70aecf3a, "");
SYMBOL_CRC(drm_property_blob_get, 0x7be27de6, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x8b50a823, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x093da3a7, "");
SYMBOL_CRC(drm_property_replace_blob, 0xcde3e049, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x55b5893d, "");
SYMBOL_CRC(drm_syncobj_find, 0x43fefec5, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xf8c04cd3, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0xea108592, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xce5599f8, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x80b43cc0, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0xa213c0ce, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x9d1bc647, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x96b7ae0c, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x27374bc6, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x316824fd, "");
SYMBOL_CRC(drm_class_device_register, 0x0dbc9c3e, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xe8137186, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0xc11eb4e1, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x3312dd79, "");
SYMBOL_CRC(drm_vblank_init, 0xa2dc727c, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x9011c60e, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xdd775903, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x3e9a6b6f, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x4830eb42, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xbdcd80e6, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xa4ff3a44, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x207c9e67, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xdf0bd334, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x3c742f57, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x33ef6638, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x9f6fb1c0, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0xb3a0fead, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xa9101982, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xec0ce3ab, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x09088be0, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xb6d97146, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x21fd673d, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xb3338fad, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x6f6ffb18, "");
SYMBOL_CRC(drm_handle_vblank, 0x0ad7ef0c, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x8316f906, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x157d7d70, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xe399264f, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xd8f2d442, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x1cb8208a, "");
SYMBOL_CRC(drm_vblank_work_init, 0xe55f9220, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x27523c33, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x2ebff6d6, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x7acb7685, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x82b4745f, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xfb6650af, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x1d1fcb4f, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x24f8f626, "");
SYMBOL_CRC(drm_compat_ioctl, 0x306c0c6a, "");
SYMBOL_CRC(drm_panel_init, 0x48f81795, "");
SYMBOL_CRC(drm_panel_add, 0x5140b7c1, "");
SYMBOL_CRC(drm_panel_remove, 0x47259a40, "");
SYMBOL_CRC(drm_panel_prepare, 0x4501988d, "");
SYMBOL_CRC(drm_panel_unprepare, 0xbc9e7cc8, "");
SYMBOL_CRC(drm_panel_enable, 0x2087a240, "");
SYMBOL_CRC(drm_panel_disable, 0xd0ef3acc, "");
SYMBOL_CRC(drm_panel_get_modes, 0xfc536b07, "");
SYMBOL_CRC(drm_is_panel_follower, 0xb9eac490, "");
SYMBOL_CRC(drm_panel_add_follower, 0xa8c1dbe8, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x98e0f26f, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xdd71276e, "");
SYMBOL_CRC(drm_panel_of_backlight, 0xaa12d440, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xb7a07a82, "");
SYMBOL_CRC(drm_debugfs_create_files, 0x0ee0b438, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xb2cc115d, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x94b13fa5, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xb457c98c, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xd37ca855, "_gpl");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0xcc673c03, "");
SYMBOL_CRC(drm_privacy_screen_put, 0x76b97905, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0x69c981e7, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0xc4760c95, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0xe4328709, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0x04362f19, "");
SYMBOL_CRC(drm_privacy_screen_register, 0x2ce6afeb, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0xa33926cb, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0x4f9146af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x378c1b1, "dma_buf_map_attachment_unlocked" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x71c2196b, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa407da3b, "ww_mutex_trylock" },
	{ 0xdfd577a6, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x4193176e, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3fe8629f, "dma_max_mapping_size" },
	{ 0xb2c69045, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xd8e52b18, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xc1df8944, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xb1ca42e, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0xd408f16a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x38108298, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdfacc445, "__task_pid_nr_ns" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x17870697, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x4bf2c10f, "pid_task" },
	{ 0x4ee1e79e, "vga_switcheroo_lock_ddc" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x21a8618b, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xeb0c5ca7, "dma_resv_fini" },
	{ 0x509e8c65, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x71ea9fce, "dma_buf_get" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd70a33bf, "aperture_remove_conflicting_pci_devices" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1dc74d6, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0xec80222d, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1548a6a, "device_register" },
	{ 0xbe535fdd, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe55864ff, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf1d24cbf, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ddbcdd9, "devm_aperture_acquire_for_platform_device" },
	{ 0xf01e75ae, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7f16e39d, "check_move_unevictable_folios" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x766a3432, "dma_map_sgtable" },
	{ 0x1df8d7d8, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x1ebbabbd, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x465b61e7, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0x4e889170, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0xd70c2192, "dma_fence_chain_init" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xc057f771, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4f6eede3, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x13ffeb27, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x316716f1, "simple_release_fs" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xdcd5c01c, "__devm_add_action" },
	{ 0x944c2726, "component_add" },
	{ 0x497ad529, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4263fdc5, "cc_platform_has" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7156739b, "put_pid" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x483898c4, "class_remove_file_ns" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x7ac8087, "simple_pin_fs" },
	{ 0x9c805fa, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x5180cdd1, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaa133881, "ww_mutex_lock_interruptible" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2a950573, "alloc_anon_inode" },
	{ 0x9312191, "show_class_attr_string" },
	{ 0x61d7f4ea, "kthread_cancel_work_sync" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x8572dda7, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf718821f, "kthread_flush_work" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x802c0e57, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2e0076a0, "shmem_read_folio_gfp" },
	{ 0xa98ced40, "__folio_batch_release" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8abd045a, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xc2d1b8df, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc5bfc9ba, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x13ed5b60, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x940e94f0, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xc416d07a, "class_destroy" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x46dab67d, "__kmalloc_node_track_caller_noprof" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x24cfdfa7, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9177d1d8, "component_del" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x489d44f, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x9b1ef178, "get_device" },
	{ 0x541ecceb, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbc4cb426, "class_create_file_ns" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DFFD8F5E6844CF912C37078");
