#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x40c4a067, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x176c05f1, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x69d8d817, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xbc24407d, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x3d42e1f8, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x28f5473c, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x631a9cc4, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x3737b869, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x2996691c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x41b0a53b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x696322c2, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x1f34ae8b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x7df2322b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x32d57873, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xb05d92ed, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xd015cada, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x99adb6d2, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x0426df6c, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xa2ef70b1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa4968ccf, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xcd396f73, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x353198c6, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xcfd69afe, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xab1326c9, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x7c5fb60c, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x3b463718, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xe7eab4ad, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xe112df6a, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xda7eb4bf, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x99de8ecb, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x298009bc, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xbd9a7e37, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x30dee47a, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x6fb17cb5, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x6d483a83, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xc2359d13, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x7b615cb4, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x39c504bc, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x68f99ddf, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x0d80f754, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x664f9537, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x916562c7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x63761ae5, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xf6b7222c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xfca30970, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x066ac284, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x764dc636, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xa325fd4e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xf5767577, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xb658d92d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x96f1aa66, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xe77e6026, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x81036b4a, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xcb4f5f65, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x16f8a2cd, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xd1a419d0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xa3d0d7d5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x399823ef, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x6f94ecfb, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x44b7db90, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x0a4eac19, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xdbc4de77, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x20ed676e, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xba466350, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xf147c066, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x8ab63d29, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x5284be17, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xc7bc6820, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xf756b941, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x9b9b97ce, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x8f8e61af, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x31d67fb3, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x04cde003, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xcc683a93, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xac2586d7, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x74ac55f7, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xf812a0b7, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x6873791f, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x479c2bb0, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x2459292d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x79c35c53, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x94f24129, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x165bd71b, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x193e32c5, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x74828874, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x72787e30, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xb3e1b799, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xdf1397f8, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x27450616, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x480329d5, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x517cccbf, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x9fa439c2, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xd27f39db, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xb5bc6972, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xc083bd4c, "");
SYMBOL_CRC(drm_flip_work_queue, 0x127a8c6b, "");
SYMBOL_CRC(drm_flip_work_commit, 0x842dd90c, "");
SYMBOL_CRC(drm_flip_work_init, 0x5542443b, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xc6323239, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x065c4029, "");
SYMBOL_CRC(drm_fb_swab, 0x177d784b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x5fabbf81, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xcb81fde2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xc1134724, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x910a6eea, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x82cb6824, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x2e30be9e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xef83a0fe, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xa07d35f2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x1b61b9c3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x54031e0f, "");
SYMBOL_CRC(drm_fb_blit, 0x7037aa63, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x7dcf18d1, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xcd757b93, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x3a8019d7, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x497ccdfd, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x4fefd01e, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x5357874f, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xcb606d76, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x2cd25491, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xa5928c0d, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x6e798101, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x332452f2, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x03437e9b, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xdabf2516, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x58e5d3e6, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xc5bacb32, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xb6cd8c0c, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x12a40cad, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xaf7ab689, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xb6e8a1c1, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x5eed4900, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xaf5290f1, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x967c6dc1, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x995d567e, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xeaa55774, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xcba9bc03, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x53ef206b, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x177752c4, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x1a97acd4, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x23de6dac, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xbac308bc, "");
SYMBOL_CRC(drm_crtc_init, 0xca1d106a, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x801f2ab6, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xfd2416ff, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x97d1efac, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x4966e59d, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x290cee7b, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x48def55e, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x3615e55f, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xb7d569fc, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xa471063f, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xc233d3da, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xf572fae3, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x5e17d0bf, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x19b8d8d6, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xa25a46b8, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x29c157a0, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x94e8f444, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x92be3477, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xa2dcf319, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x158fd1c6, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x3670eef9, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x5c4e71cd, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x49f2843a, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x43a2945f, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xae70ecf0, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x349086ff, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x887d748c, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xa122dbb0, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x14429e66, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xb4b394f0, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x6de56b69, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xfe9af858, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xc18157c7, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xb25451c7, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x2e54cdff, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xe978e759, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xc12d1956, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x250162b3, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xced922ed, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x3d326577, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x7ef8f321, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x185a0b8e, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x4ee660dd, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xc0631eee, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x15cf80b2, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x39c0ec72, "");
SYMBOL_CRC(drm_fb_helper_init, 0xb314cf18, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xefdb97b8, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xc7ab0510, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xf4dcfe49, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xeab54201, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xd61a40a9, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xa0e2b243, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x8348a2a2, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x3f67dfe9, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x33cc302b, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xcf9aa8a1, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xfcaa1ccc, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x6ae833e1, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x4c75b7b3, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x10df4577, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x12078340, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x4620a829, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x1a4f7e1d, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x4f1c4072, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x72f616e3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xba54687a, "drm_driver_legacy_fb_format" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x19b88ae4, "drm_crtc_cleanup" },
	{ 0x4920825b, "drm_connector_list_iter_begin" },
	{ 0x963320b4, "drm_mode_set_config_internal" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7c2ea6ee, "framebuffer_alloc" },
	{ 0x35f4996f, "drm_encoder_cleanup" },
	{ 0x381505e, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xfb7ebaaa, "drm_client_modeset_probe" },
	{ 0x96905740, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdd47197, "drm_plane_get_damage_clips" },
	{ 0x856efcdd, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6c1b3ef, "drm_add_modes_noedid" },
	{ 0x8e5318e0, "drm_bridge_remove" },
	{ 0x922ad59d, "drm_mode_object_put" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9f6fb1c0, "drm_crtc_vblank_get" },
	{ 0x7e27500a, "drm_gem_object_lookup" },
	{ 0x33ef6638, "drm_crtc_send_vblank_event" },
	{ 0x51497a30, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf522a142, "drm_atomic_normalize_zpos" },
	{ 0xbc8dd884, "drm_edid_connector_update" },
	{ 0x96b7ae0c, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd4844f34, "vga_switcheroo_client_fb_set" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x611489f1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb6d97146, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xc44c190c, "drm_connector_list_iter_end" },
	{ 0xce75228d, "drm_atomic_set_crtc_for_plane" },
	{ 0xd2e719af, "drm_client_modeset_dpms" },
	{ 0x1aeed798, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xccfd6dd, "drm_client_dev_hotplug" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x8458d7f8, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x36bd9542, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xd408f16a, "module_put" },
	{ 0xfb249f8e, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x638b0b3c, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbbbe1086, "drm_client_init" },
	{ 0xec0ce3ab, "drm_crtc_wait_one_vblank" },
	{ 0xdf0bd334, "drm_crtc_next_vblank_start" },
	{ 0x474622ae, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x6f49fc86, "drm_modeset_lock" },
	{ 0x72bc4379, "drm_client_modeset_commit_locked" },
	{ 0xc7370ff1, "drm_modeset_unlock" },
	{ 0xd0ef3acc, "drm_panel_disable" },
	{ 0xcde3e049, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3797bcc3, "drm_connector_init" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xfb6650af, "drm_writeback_cleanup_job" },
	{ 0x76019306, "drm_modeset_lock_all_ctx" },
	{ 0xbdbf29ff, "i2c_unregister_device" },
	{ 0xb10553a7, "drm_atomic_set_fb_for_plane" },
	{ 0x540e045f, "__drm_universal_plane_alloc" },
	{ 0xdbe78065, "drm_edid_connector_add_modes" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbc1cb2da, "drm_probe_ddc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0x954bbaf8, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xcd03d730, "drm_crtc_commit_wait" },
	{ 0x9011c60e, "drm_dev_has_vblank" },
	{ 0x94e55ec3, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xcc1d7433, "__drm_atomic_helper_disable_plane" },
	{ 0xd852e59, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2b1bddc1, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe0e42cb2, "drm_atomic_set_crtc_for_connector" },
	{ 0xca523c19, "drm_analog_tv_mode" },
	{ 0x2c3f6cb0, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x5e381ce7, "drm_mode_duplicate" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb3a0fead, "drm_crtc_vblank_put" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb1b7a43d, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc1017b73, "drm_plane_get_damage_clips_count" },
	{ 0x8193b9b8, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x4f4ee5a9, "drm_atomic_state_alloc" },
	{ 0xe1b93f85, "drm_client_modeset_commit" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe7052772, "drm_atomic_bridge_chain_post_disable" },
	{ 0x66447bf6, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x5421a649, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xcc98d34f, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x7984678e, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xc4c35088, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x89908c7d, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x7dce6b53, "drm_connector_cleanup" },
	{ 0x35e9cb95, "drm_get_format_info" },
	{ 0x9ef3504c, "drm_universal_plane_init" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x17e70c57, "drm_any_plane_has_format" },
	{ 0x5cc2bafa, "drm_connector_list_iter_next" },
	{ 0xa88d6ece, "drm_modeset_acquire_fini" },
	{ 0x923468b9, "drm_encoder_init" },
	{ 0x40ab4f23, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x6860922b, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x311b6fba, "drm_modeset_backoff" },
	{ 0x4501988d, "drm_panel_prepare" },
	{ 0x74a2df92, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x7ef3f6b4, "drm_atomic_get_plane_state" },
	{ 0x11c7d5db, "drm_atomic_bridge_chain_check" },
	{ 0xd70c2192, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x7be27de6, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x70aecf3a, "drm_property_blob_put" },
	{ 0x7f35e92b, "drm_mode_destroy" },
	{ 0x318657ce, "drm_bridge_attach" },
	{ 0x6c5647fb, "drm_set_preferred_mode" },
	{ 0x2c8bf2f4, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xe44c01c5, "drm_atomic_state_clear" },
	{ 0xbcee29ca, "drm_mode_config_reset" },
	{ 0xf502be35, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x233b6abc, "drm_modeset_drop_locks" },
	{ 0xfa772333, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x1a86f1f5, "drm_atomic_bridge_chain_disable" },
	{ 0xde56143, "drm_mode_create_from_cmdline_mode" },
	{ 0xc19ab614, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xab56d1c7, "drm_atomic_nonblocking_commit" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb309500a, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e9a6b6f, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbc9e7cc8, "drm_panel_unprepare" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2a1bfe5c, "drm_atomic_add_encoder_bridges" },
	{ 0xa57bd443, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x27374bc6, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x60e02243, "unregister_framebuffer" },
	{ 0xc6ca7b5d, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xdbe85c79, "drm_framebuffer_cleanup" },
	{ 0x7acb7685, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xfc536b07, "drm_panel_get_modes" },
	{ 0x68a7f56, "drm_gem_vmap_unlocked" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x11d5fbfa, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf813887d, "drm_bridge_add" },
	{ 0x21055a85, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x913bce65, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe1d040b7, "drm_client_rotation" },
	{ 0x2087a240, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdaf3e5c4, "drm_framebuffer_init" },
	{ 0xf8829c66, "drm_mode_validate_driver" },
	{ 0x88c31bf1, "drm_atomic_add_affected_planes" },
	{ 0xd3880763, "dma_buf_end_cpu_access" },
	{ 0x8b0c91d6, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b3796f2, "drm_mode_probed_add" },
	{ 0xdcdb8a25, "drm_atomic_add_affected_connectors" },
	{ 0x779f58a6, "drm_gem_vunmap_unlocked" },
	{ 0xa4ff3a44, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x450c8a01, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x614cf7d1, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x9fa2e6ab, "drm_mode_object_get" },
	{ 0x64ee1ca4, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "16827A59AFAE2CD359E8643");
