#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_fbdev_shmem_setup, "", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xf4a75159, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xa500bb21, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x2eaf3cf4, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x00f3ae12, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x31f567c8, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x95bdd1c3, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xc89962df, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xe20ead24, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xddd50210, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x1c9c95aa, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0xfff841ab, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x19ed36c5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xd3392830, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x01115a23, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x69856b4e, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xc132d894, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x9781a937, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xfa985a09, "_gpl");
SYMBOL_CRC(drm_fbdev_shmem_setup, 0x0421eb5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0x8348a2a2, "drm_fb_helper_deferred_io" },
	{ 0xc7ab0510, "drm_fb_helper_release_info" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xab75ed99, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xba54687a, "drm_driver_legacy_fb_format" },
	{ 0x12078340, "drm_fb_helper_fill_info" },
	{ 0x9f5b9ce9, "drm_gem_create_mmap_offset" },
	{ 0xb80aa8cb, "fb_deferred_io_init" },
	{ 0x2340faaf, "fb_deferred_io_cleanup" },
	{ 0xe874359b, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x1a4f7e1d, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977801ca, "fb_sys_write" },
	{ 0x98c34b2, "sys_imageblit" },
	{ 0xd61a40a9, "drm_fb_helper_damage_range" },
	{ 0xc0631eee, "drm_fb_helper_blank" },
	{ 0xb54f7f48, "drm_gem_private_object_init" },
	{ 0x6ae833e1, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa0e2b243, "drm_fb_helper_damage_area" },
	{ 0x2d6fa577, "sys_fillrect" },
	{ 0x869c5919, "set_pages_array_wb" },
	{ 0xd408f16a, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbbbe1086, "drm_client_init" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x110d24f1, "drm_gem_vm_close" },
	{ 0x1767eb65, "drm_gem_vm_open" },
	{ 0x15cf80b2, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff03c664, "drm_gem_object_release" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0x1edc1d24, "vmap" },
	{ 0x2b1bddc1, "drm_gem_handle_create" },
	{ 0x12a40cad, "drm_gem_fb_get_obj" },
	{ 0xb1b7a43d, "__drm_dev_dbg" },
	{ 0x2be9ada6, "drm_prime_pages_to_sg" },
	{ 0x42809ad2, "fb_deferred_io_mmap" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10df4577, "drm_fb_helper_pan_display" },
	{ 0xc75b5ec7, "dma_buf_vunmap" },
	{ 0x7984678e, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x988e9cce, "sys_copyarea" },
	{ 0xea6ec4b5, "shmem_truncate_range" },
	{ 0x5b6f73c, "set_pages_array_wc" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x766a3432, "dma_map_sgtable" },
	{ 0x20cbc896, "drm_gem_free_mmap_offset" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe530c8ba, "drm_client_buffer_vunmap" },
	{ 0x6dc5ea07, "fb_sys_read" },
	{ 0x185a0b8e, "drm_fb_helper_debug_leave" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x4620a829, "drm_fb_helper_initial_config" },
	{ 0xf4dcfe49, "drm_fb_helper_unregister_info" },
	{ 0xaba4e24d, "drm_gem_put_pages" },
	{ 0x28f954c, "drm_gem_private_object_fini" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xfcaa1ccc, "drm_fb_helper_ioctl" },
	{ 0x4c75b7b3, "drm_fb_helper_set_par" },
	{ 0xf75b4a15, "drm_prime_gem_destroy" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x79091ef0, "drm_client_register" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xb314cf18, "drm_fb_helper_init" },
	{ 0x7ef8f321, "drm_fb_helper_debug_enter" },
	{ 0xaa133881, "ww_mutex_lock_interruptible" },
	{ 0x750b5202, "vmf_insert_pfn" },
	{ 0xce8ec3bb, "drm_gem_get_pages" },
	{ 0xee940075, "dma_buf_vmap" },
	{ 0x8d39a2ea, "drm_client_buffer_vmap" },
	{ 0x4f1c4072, "drm_fb_helper_lastclose" },
	{ 0xcf9aa8a1, "drm_fb_helper_setcmap" },
	{ 0xefdb97b8, "drm_fb_helper_alloc_info" },
	{ 0xac2586d7, "drm_helper_disable_unused_functions" },
	{ 0x39c0ec72, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xeab54201, "drm_fb_helper_fini" },
	{ 0xa93bebf2, "drm_client_framebuffer_delete" },
	{ 0xa129ee96, "drm_client_framebuffer_create" },
	{ 0xceece5db, "invalidate_mapping_pages" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm");


MODULE_INFO(srcversion, "0A2DBE5C0E15DC70B9E9C60");
