#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_ttm_print_info, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_mmap, "", "");
KSYMTAB_FUNC(drm_gem_ttm_dumb_map_offset, "", "");
KSYMTAB_FUNC(drm_fbdev_ttm_setup, "", "");

SYMBOL_CRC(drm_gem_ttm_print_info, 0x7283b12e, "");
SYMBOL_CRC(drm_gem_ttm_vmap, 0x53230fa1, "");
SYMBOL_CRC(drm_gem_ttm_vunmap, 0x15b7b6b8, "");
SYMBOL_CRC(drm_gem_ttm_mmap, 0x4592e9c4, "");
SYMBOL_CRC(drm_gem_ttm_dumb_map_offset, 0xceefd155, "");
SYMBOL_CRC(drm_fbdev_ttm_setup, 0xd659a39f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa129ee96, "drm_client_framebuffer_create" },
	{ 0x8348a2a2, "drm_fb_helper_deferred_io" },
	{ 0xc7ab0510, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba54687a, "drm_driver_legacy_fb_format" },
	{ 0x12078340, "drm_fb_helper_fill_info" },
	{ 0xb80aa8cb, "fb_deferred_io_init" },
	{ 0x2340faaf, "fb_deferred_io_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x1a4f7e1d, "drm_fb_helper_hotplug_event" },
	{ 0x7e27500a, "drm_gem_object_lookup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977801ca, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x98c34b2, "sys_imageblit" },
	{ 0xd61a40a9, "drm_fb_helper_damage_range" },
	{ 0xc0631eee, "drm_fb_helper_blank" },
	{ 0x6ae833e1, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa0e2b243, "drm_fb_helper_damage_area" },
	{ 0x2d6fa577, "sys_fillrect" },
	{ 0xd408f16a, "module_put" },
	{ 0xf420feca, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbbbe1086, "drm_client_init" },
	{ 0x1a01342e, "drm_print_bits" },
	{ 0x15cf80b2, "drm_fb_helper_prepare" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb1b7a43d, "__drm_dev_dbg" },
	{ 0x42809ad2, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10df4577, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x7984678e, "drm_client_release" },
	{ 0x988e9cce, "sys_copyarea" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6dc5ea07, "fb_sys_read" },
	{ 0x185a0b8e, "drm_fb_helper_debug_leave" },
	{ 0xa2ec59be, "ttm_bo_mmap_obj" },
	{ 0x323d16bf, "drm_client_buffer_vunmap_local" },
	{ 0x90654a45, "ttm_bo_vmap" },
	{ 0xab586466, "drm_client_buffer_vmap_local" },
	{ 0x4620a829, "drm_fb_helper_initial_config" },
	{ 0xf4dcfe49, "drm_fb_helper_unregister_info" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xfcaa1ccc, "drm_fb_helper_ioctl" },
	{ 0x4c75b7b3, "drm_fb_helper_set_par" },
	{ 0x79091ef0, "drm_client_register" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xb314cf18, "drm_fb_helper_init" },
	{ 0x7ef8f321, "drm_fb_helper_debug_enter" },
	{ 0x4f1c4072, "drm_fb_helper_lastclose" },
	{ 0xcf9aa8a1, "drm_fb_helper_setcmap" },
	{ 0xefdb97b8, "drm_fb_helper_alloc_info" },
	{ 0xac2586d7, "drm_helper_disable_unused_functions" },
	{ 0x39c0ec72, "drm_fb_helper_unprepare" },
	{ 0xeab54201, "drm_fb_helper_fini" },
	{ 0xa93bebf2, "drm_client_framebuffer_delete" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,ttm");


MODULE_INFO(srcversion, "66A6C30A95B161197D8C13A");
