#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x7bb1a55d, "");
SYMBOL_CRC(drm_gem_vram_put, 0xd45bfbc3, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x73603d7e, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x7b7dbe6c, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xb6798aab, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x706e68f3, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xa7693a18, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x1a1d0a7e, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x5cc5a97f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xd3e1c016, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x3a22da07, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x69823728, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xf209b5da, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xce28749f, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x4c099cc3, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xdbfe2728, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x611489f1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf420feca, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff03c664, "drm_gem_object_release" },
	{ 0x4a341a86, "ttm_tt_init" },
	{ 0x2b1bddc1, "drm_gem_handle_create" },
	{ 0x12a40cad, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1217b095, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xb457c98c, "drm_debugfs_add_files" },
	{ 0xf92a17c1, "ttm_bo_init_validate" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x776c4cde, "ttm_device_init" },
	{ 0xa22eb403, "ttm_bo_validate" },
	{ 0x655c227b, "ttm_bo_move_to_lru_tail" },
	{ 0x90654a45, "ttm_bo_vmap" },
	{ 0xefb4fdf, "ttm_bo_put" },
	{ 0xe3bda29f, "ttm_resource_free" },
	{ 0x888b20ff, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x18fd1b72, "ttm_tt_fini" },
	{ 0x23c6c8f9, "ttm_device_fini" },
	{ 0x3a8019d7, "drm_gem_plane_helper_prepare_fb" },
	{ 0xde00847f, "ttm_bo_eviction_valuable" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7283b12e, "drm_gem_ttm_print_info" },
	{ 0x642e407, "ttm_range_man_init_nocheck" },
	{ 0xaa133881, "ww_mutex_lock_interruptible" },
	{ 0xe4069e12, "ttm_resource_manager_debug" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xac1531e0, "ttm_range_man_fini_nocheck" },
	{ 0xe874359b, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6792aa58, "ttm_bo_pin" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x4592e9c4, "drm_gem_ttm_mmap" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm,ttm,drm_kms_helper,drm_ttm_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
