#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd9a6dcef, "i915_gem_ww_ctx_backoff" },
	{ 0xe091c977, "list_sort" },
	{ 0x458f45d4, "i915_unreserve_fence" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7c999e45, "__i915_gem_object_set_pages" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x8d67c1de, "intel_gvt_iterate_mmio_table" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe2870bb2, "mdev_register_driver" },
	{ 0x61dd32cb, "kvm_write_track_add_gfn" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc057f771, "single_release" },
	{ 0x8ca7bc59, "i915_request_wait" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xccce8db0, "__i915_gem_object_flush_map" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x8df21183, "sysfs_bin_attr_simple_read" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x11b4d99f, "mdev_register_parent" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd3cd10c0, "_vfio_alloc_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf898de5d, "intel_uncore_forcewake_for_reg" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x516ab6d6, "device_remove_bin_file" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x5066d179, "mdev_unregister_parent" },
	{ 0xdc52bbcb, "i915_gem_object_set_to_cpu_domain" },
	{ 0x81176360, "intel_ring_begin" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaa133881, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x64f1fb47, "shmem_unpin_map" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5c3373c3, "intel_gvt_set_ops" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d60b3bb, "vfio_pin_pages" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x613c655, "intel_gvt_clear_ops" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x74f236b0, "i915_gem_object_alloc" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xc31e0a3, "intel_runtime_pm_get" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x9d8bee22, "i915_gem_object_create_shmem" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x36ca357d, "i915_gem_object_pin_map" },
	{ 0x5f40b01b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xdaf86ada, "__px_dma" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xed1a33ea, "i915_gem_gtt_insert" },
	{ 0x56c96dd2, "i915_request_add" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3bc97b16, "intel_uncore_forcewake_get" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x72ea654b, "vfio_dma_rw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x54dc3e94, "i915_gem_ww_ctx_fini" },
	{ 0xae74ca3, "__intel_context_do_pin" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7fe92d38, "device_create_bin_file" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0xb0185887, "shmem_pin_map" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfd96cccc, "i915_gem_prime_export" },
	{ 0x1000e51, "schedule" },
	{ 0x890fc889, "i915_vm_release" },
	{ 0xb54f7f48, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6b8da9e3, "kvm_write_track_remove_gfn" },
	{ 0x807f1582, "intel_context_create" },
	{ 0xf0c4c0ae, "debugfs_lookup_and_remove" },
	{ 0xb2c69045, "put_device" },
	{ 0x9fd91c49, "i915_gem_ww_ctx_init" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x8e6a505a, "i915_reserve_fence" },
	{ 0xab74ffb3, "vfio_iommufd_emulated_attach_ioas" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x539f9282, "i915_gem_object_ggtt_pin_ww" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xedd228ab, "intel_runtime_pm_put_unchecked" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4047bd7b, "kvm_page_track_register_notifier" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x226c48cc, "debugfs_create_file_unsafe" },
	{ 0xe3583f1, "vfio_iommufd_emulated_detach_ioas" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x42748202, "simple_attr_release" },
	{ 0x9faf46cc, "kmem_cache_create_usercopy" },
	{ 0xffa1f951, "i915_gem_object_init" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0xd1932686, "mdev_unregister_driver" },
	{ 0x6bb16ec6, "vfio_unpin_pages" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9ff4e164, "__intel_context_do_unpin" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbc2d8003, "vfio_unregister_group_dev" },
	{ 0x99efe6fa, "intel_uncore_forcewake_put" },
	{ 0xf1dc74d6, "dma_buf_put" },
	{ 0x8ba1e95d, "kvm_page_track_unregister_notifier" },
	{ 0xec80222d, "dma_buf_fd" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcdf2e368, "_i915_vma_move_to_active" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe06ff71, "i915_request_create" },
	{ 0x5d1098c3, "debugfs_create_ulong" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x302a4903, "bpf_trace_run9" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd13f9985, "drm_edid_block_valid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf5085b27, "vfio_iommufd_emulated_bind" },
	{ 0x7dbc25a8, "i915_ppgtt_create" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aeaa768, "vfio_iommufd_emulated_unbind" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfecc2e87, "vfio_register_emulated_iommu_dev" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "i915,mdev,kvm,drm");


MODULE_INFO(srcversion, "4D20AB94804E1CFEF564BB9");
