#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8648558, "pci_ignore_hotplug" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x4920825b, "drm_connector_list_iter_begin" },
	{ 0x71c2196b, "vga_switcheroo_unlock_ddc" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4966e59d, "drm_plane_helper_disable_primary" },
	{ 0x19e7ae54, "drm_dp_dpcd_read" },
	{ 0x353198c6, "drm_atomic_helper_commit_hw_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7e27500a, "drm_gem_object_lookup" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0x7df21c36, "drm_atomic_get_mst_payload_state" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xc64257fc, "drm_gpuvm_bo_obtain" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x522e28a9, "drm_gpuva_map" },
	{ 0x48193639, "acpi_lid_open" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5813f539, "drm_crtc_enable_color_mgmt" },
	{ 0x9ef3504c, "drm_universal_plane_init" },
	{ 0xb4b46994, "iommu_unmap" },
	{ 0xa6ef7707, "drm_dp_mst_get_edid" },
	{ 0xcec03c1, "drm_dp_mst_topology_mgr_init" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x20ed676e, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x95ad379d, "drm_atomic_state_default_clear" },
	{ 0x6792aa58, "ttm_bo_pin" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88c31bf1, "drm_atomic_add_affected_planes" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x27450616, "drm_i2c_encoder_mode_fixup" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4663a8c1, "drm_dp_mst_topology_mgr_resume" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xcfd69afe, "drm_atomic_helper_commit_cleanup_done" },
	{ 0xb6127243, "drm_need_swiotlb" },
	{ 0xa48b65e4, "drm_gpuvm_resv_object_alloc" },
	{ 0x66447bf6, "drm_connector_update_edid_property" },
	{ 0xdcff4ab3, "drm_edp_backlight_disable" },
	{ 0x1fd4a22b, "drm_dp_aux_unregister" },
	{ 0x7b615cb4, "drm_atomic_helper_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x19b88ae4, "drm_crtc_cleanup" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xfc1bcab4, "ttm_bo_kmap" },
	{ 0xc87cd5f2, "drm_atomic_get_old_mst_topology_state" },
	{ 0x514f6f05, "iommu_map" },
	{ 0x4f4ee5a9, "drm_atomic_state_alloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4d985ece, "drm_dp_mst_put_port_malloc" },
	{ 0x48def55e, "drm_kms_helper_poll_enable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xc7370ff1, "drm_modeset_unlock" },
	{ 0x1000e51, "schedule" },
	{ 0x91e127e4, "device_link_add" },
	{ 0x913bce65, "drm_connector_register" },
	{ 0x3312dd79, "drm_crtc_accurate_vblank_count" },
	{ 0xf3fa33c9, "mas_store_gfp" },
	{ 0x8cf4db2f, "drm_dp_atomic_release_time_slots" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x364deea8, "drm_object_property_set_value" },
	{ 0x381505e, "drm_modeset_acquire_init" },
	{ 0xe44c01c5, "drm_atomic_state_clear" },
	{ 0xa020303f, "drm_gpuvm_bo_evict" },
	{ 0xe15695e0, "drm_release" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x99de8ecb, "drm_atomic_helper_swap_state" },
	{ 0xbc1b9cae, "drm_gpuvm_sm_unmap_ops_create" },
	{ 0xe0a6aa43, "drm_gpuva_link" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe874359b, "drm_gem_object_init" },
	{ 0x79c35c53, "drm_helper_force_disable_all" },
	{ 0x734e0d7c, "ttm_agp_unbind" },
	{ 0xb19b445, "ioread8" },
	{ 0x53230fa1, "drm_gem_ttm_vmap" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5cb279b2, "drm_exec_init" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7542b188, "drm_plane_create_color_properties" },
	{ 0x33cc302b, "drm_fb_helper_set_suspend_unlocked" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc3a53836, "drm_dp_mst_detect_port" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4592e9c4, "drm_gem_ttm_mmap" },
	{ 0x1bc47001, "drm_get_edid_switcheroo" },
	{ 0x3246db23, "drm_gpuva_remove" },
	{ 0x95c232c5, "drm_plane_force_disable" },
	{ 0x69353664, "__drm_debug" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6f335584, "dma_resv_add_fence" },
	{ 0x303b96d2, "drm_dp_read_dpcd_caps" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x923468b9, "drm_encoder_init" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xed4e3f2f, "drm_atomic_get_mst_topology_state" },
	{ 0x4ceb2f3f, "acpi_video_get_edid" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x95e36e83, "__pm_runtime_use_autosuspend" },
	{ 0xf9a482f9, "msleep" },
	{ 0x776c4cde, "ttm_device_init" },
	{ 0xde392901, "vmalloc_to_page" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x23c6c8f9, "ttm_device_fini" },
	{ 0x66d769aa, "drm_gpuvm_exec_lock" },
	{ 0x2a7e1b23, "_dev_crit" },
	{ 0xae92f613, "drm_mode_create_tv_properties_legacy" },
	{ 0x8c5e64c0, "mas_erase" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7a403bc, "drm_dp_check_act_status" },
	{ 0x540e045f, "__drm_universal_plane_alloc" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9b5446af, "drm_gpuvm_sm_map_ops_create" },
	{ 0x4220feac, "pci_get_domain_bus_and_slot" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xaf950712, "drm_gpuva_insert" },
	{ 0x31a6f184, "drm_edp_backlight_init" },
	{ 0xf2b81b64, "arch_io_reserve_memtype_wc" },
	{ 0xceefd155, "drm_gem_ttm_dumb_map_offset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x94e4057e, "drm_plane_create_zpos_immutable_property" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x454792cb, "drm_sched_job_add_dependency" },
	{ 0x1217b095, "ttm_bo_unpin" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc0d1416d, "ttm_bo_vm_fault_reserved" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x81188c30, "match_string" },
	{ 0x5cc2bafa, "drm_connector_list_iter_next" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x175e012b, "drm_dev_register" },
	{ 0x2be9ada6, "drm_prime_pages_to_sg" },
	{ 0x77b1e13b, "ttm_pool_free" },
	{ 0x3c4ce4ce, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x233b6abc, "drm_modeset_drop_locks" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xae4680aa, "drm_dp_get_vc_payload_bw" },
	{ 0x15b7b6b8, "drm_gem_ttm_vunmap" },
	{ 0x3737b869, "drm_atomic_helper_calc_timestamping_constants" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x30dee47a, "drm_atomic_helper_set_config" },
	{ 0xce0ef7e, "drm_dp_read_sink_count_cap" },
	{ 0x721ef6e2, "drm_dp_read_downstream_info" },
	{ 0x6873791f, "drm_crtc_helper_set_config" },
	{ 0xd27f39db, "drm_i2c_encoder_detect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8458d7f8, "dma_resv_get_singleton" },
	{ 0xb3a0fead, "drm_crtc_vblank_put" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xbdbf29ff, "i2c_unregister_device" },
	{ 0x944c2726, "component_add" },
	{ 0x4e2a621e, "drm_prime_sg_to_dma_addr_array" },
	{ 0xf6b7222c, "__drm_atomic_helper_crtc_reset" },
	{ 0x479c2bb0, "drm_helper_connector_dpms" },
	{ 0x94961283, "vunmap" },
	{ 0x760e1679, "drm_edp_backlight_set_level" },
	{ 0xa325fd4e, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x1bf1490a, "drm_sched_fini" },
	{ 0x4c9e6dc, "pci_enable_rom" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x12375d33, "drmm_mode_config_init" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x58f62fe9, "led_classdev_suspend" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x306c0c6a, "drm_compat_ioctl" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f35e92b, "drm_mode_destroy" },
	{ 0x2c3f6cb0, "drm_crtc_init_with_planes" },
	{ 0x964fbefe, "drm_sched_entity_fini" },
	{ 0xd4d65e66, "drm_read" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0x43712e37, "drm_property_create_range" },
	{ 0x655c227b, "ttm_bo_move_to_lru_tail" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x5e17d0bf, "drm_kms_helper_poll_disable" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xc083bd4c, "drm_i2c_encoder_restore" },
	{ 0x91b682ab, "seq_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcc4e5520, "drm_gpuvm_validate" },
	{ 0xa821fa9b, "drm_gpuvm_bo_extobj_add" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb6e8a1c1, "drm_gem_fb_create_handle" },
	{ 0x36bd9542, "drm_plane_cleanup" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0x754d539c, "strlen" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0x450c8a01, "drm_modeset_lock_all" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x78bd3cf9, "drm_dp_read_lttpr_common_caps" },
	{ 0xea108592, "drm_syncobj_replace_fence" },
	{ 0x15f760bf, "drm_exec_fini" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffb7c514, "ida_free" },
	{ 0x43fefec5, "drm_syncobj_find" },
	{ 0xc057f771, "single_release" },
	{ 0x9f6fb1c0, "drm_crtc_vblank_get" },
	{ 0x63dca741, "drm_gpuva_unmap" },
	{ 0x66c31251, "ttm_resource_manager_evict_all" },
	{ 0xedc03953, "iounmap" },
	{ 0xbcee29ca, "drm_mode_config_reset" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa25a46b8, "drm_kms_helper_poll_fini" },
	{ 0x2459292d, "drm_helper_resume_force_mode" },
	{ 0xc233d3da, "drm_kms_helper_hotplug_event" },
	{ 0x85df9b6c, "strsep" },
	{ 0xeac8c00a, "drm_add_edid_modes" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0x51e55d65, "vga_switcheroo_client_probe_defer" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0x4909a790, "dma_fence_get_status" },
	{ 0xf5e99e0c, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0x5eb35893, "drm_atomic_state_init" },
	{ 0x4d984796, "drm_dp_remove_payload_part2" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x76019306, "drm_modeset_lock_all_ctx" },
	{ 0xa2ef70b1, "drm_atomic_helper_setup_commit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d55ef0e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x298009bc, "drm_atomic_helper_update_plane" },
	{ 0x683e30c2, "dma_resv_iter_first" },
	{ 0x999e8297, "vfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xa4968ccf, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xc2d1b8df, "dma_resv_init" },
	{ 0x8316f906, "drm_crtc_handle_vblank" },
	{ 0xe9c7cba9, "agp_enable" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb5bc6972, "drm_i2c_encoder_save" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcef7bf1e, "drm_dp_remove_payload_part1" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x27fb8709, "dma_resv_reserve_fences" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xe745d247, "drm_scdc_read" },
	{ 0xc3303325, "ttm_agp_bind" },
	{ 0xa67dc217, "drm_get_edid" },
	{ 0x232b5238, "mxm_wmi_supported" },
	{ 0x5e381ce7, "drm_mode_duplicate" },
	{ 0x51497a30, "drm_connector_attach_encoder" },
	{ 0x1c01bf78, "ttm_resource_init" },
	{ 0x35e9cb95, "drm_get_format_info" },
	{ 0x3a8019d7, "drm_gem_plane_helper_prepare_fb" },
	{ 0x72f616e3, "drm_fb_helper_output_poll_changed" },
	{ 0x8879a3b5, "drm_mode_create_dvi_i_properties" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xac56fae5, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x4ee1e79e, "vga_switcheroo_lock_ddc" },
	{ 0x11089ac7, "_ctype" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x6e322ff3, "pci_find_capability" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa3b4edd0, "drm_dp_mst_atomic_check" },
	{ 0x631a9cc4, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0x5c154a5e, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x74307b2, "ttm_bo_vm_reserve" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xab6813ae, "__mt_destroy" },
	{ 0x8b0c91d6, "drm_modeset_unlock_all" },
	{ 0x81036b4a, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x98f7be47, "agp_backend_acquire" },
	{ 0xd1f60a89, "arch_io_free_memtype_wc" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x88d77be4, "drm_gpuvm_resv_add_fence" },
	{ 0x638b0b3c, "drm_atomic_get_crtc_state" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0x888b20ff, "ttm_bo_move_memcpy" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb5e810be, "drm_dp_dpcd_set_powered" },
	{ 0x68f99ddf, "drm_atomic_helper_resume" },
	{ 0xf84fac5f, "ttm_bo_wait_ctx" },
	{ 0xc695a75d, "drm_dev_alloc" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x696322c2, "drm_atomic_helper_wait_for_fences" },
	{ 0xa5e28c3c, "dma_resv_iter_next" },
	{ 0x6f49fc86, "drm_modeset_lock" },
	{ 0x766a3432, "dma_map_sgtable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf75b4a15, "drm_prime_gem_destroy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x6b70fd79, "ttm_bo_vm_open" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x642e407, "ttm_range_man_init_nocheck" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe219136a, "drm_gpuvm_range_valid" },
	{ 0xf572fae3, "drm_kms_helper_connector_hotplug_event" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x3b97bb81, "drm_cvt_mode" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9e58223, "drm_dp_mst_atomic_setup_commit" },
	{ 0x94c83494, "drm_gem_prime_export" },
	{ 0xb3338fad, "drm_crtc_vblank_on" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc8ddf295, "drm_sched_entity_push_job" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x66ac284, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x169d250c, "pci_get_base_class" },
	{ 0xa4ff3a44, "drm_crtc_vblank_count" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcf32a2c0, "drm_dp_mst_topology_state_funcs" },
	{ 0xfb578fc5, "memset" },
	{ 0xece784c2, "rb_first" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x290cee7b, "drm_plane_helper_destroy" },
	{ 0xe2e4f264, "single_open" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d0b4bc, "ttm_sg_tt_init" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x20812447, "vga_switcheroo_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x56256e8a, "orderly_poweroff" },
	{ 0x399823ef, "__drm_atomic_helper_connector_reset" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x76b6ad2b, "drm_sched_init" },
	{ 0x1f0c0909, "drm_plane_create_blend_mode_property" },
	{ 0xd84cb2d6, "ttm_bo_init_reserved" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8193b9b8, "drm_atomic_commit" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0xb0e602eb, "memmove" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x991cd9a1, "pci_map_rom" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x66853128, "drm_sched_job_arm" },
	{ 0x2e5b10cf, "ttm_agp_destroy" },
	{ 0xf35affa9, "drm_mode_crtc_set_gamma_size" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xda7bd1fa, "ttm_bo_vm_access" },
	{ 0xc2e24ed, "drm_sched_job_init" },
	{ 0x15f785f6, "pci_pr3_present" },
	{ 0x94f3007e, "drm_dp_mst_root_conn_atomic_check" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0x74ac55f7, "drm_crtc_helper_set_mode" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x72787e30, "drm_i2c_encoder_init" },
	{ 0x88b93922, "hwmon_device_unregister" },
	{ 0xc0f8b060, "drm_gem_mmap" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xb544b5e2, "drm_modeset_lock_single_interruptible" },
	{ 0xab1326c9, "drm_atomic_helper_prepare_planes" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xff03c664, "drm_gem_object_release" },
	{ 0x86233af9, "drm_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc5bfc9ba, "dma_resv_wait_timeout" },
	{ 0xe23c870d, "drm_dp_mst_get_port_malloc" },
	{ 0xb7a07a82, "drm_debugfs_gpuva_info" },
	{ 0xe26032eb, "mxm_wmi_call_mxmx" },
	{ 0x55433581, "hwmon_device_register_with_info" },
	{ 0x87b30034, "mas_find" },
	{ 0xbd9a7e37, "drm_atomic_helper_disable_plane" },
	{ 0x9088be0, "drm_crtc_vblank_off" },
	{ 0x1220884f, "drm_dp_add_payload_part2" },
	{ 0xd9a099e0, "drm_dp_add_payload_part1" },
	{ 0x79b8101a, "pci_unmap_rom" },
	{ 0x2f3c9fc4, "agp_backend_release" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x7a19bf2, "vga_switcheroo_register_handler" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xce5599f8, "drm_syncobj_find_fence" },
	{ 0xa916b694, "strnlen" },
	{ 0x866b82aa, "ttm_resource_fini" },
	{ 0xd8c660ef, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x80ebb518, "drm_gpuva_unlink" },
	{ 0xde00847f, "ttm_bo_eviction_valuable" },
	{ 0x38108298, "debugfs_lookup" },
	{ 0xf442de95, "drm_dev_put" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0xc673ee24, "drm_gpuvm_interval_empty" },
	{ 0xbac308bc, "drm_helper_mode_fill_fb_struct" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x9be3fa1d, "vga_switcheroo_unregister_client" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x9fa2e6ab, "drm_mode_object_get" },
	{ 0xb1b7a43d, "__drm_dev_dbg" },
	{ 0x99ae3f66, "drm_sched_entity_init" },
	{ 0xc44c190c, "drm_connector_list_iter_end" },
	{ 0x16f8a2cd, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x12102a52, "drm_invalid_op" },
	{ 0x922ad59d, "drm_mode_object_put" },
	{ 0xbdcd80e6, "drm_crtc_vblank_helper_get_vblank_timestamp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3c742f57, "drm_crtc_arm_vblank_event" },
	{ 0x311b6fba, "drm_modeset_backoff" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0x2b1bddc1, "drm_gem_handle_create" },
	{ 0xc2f1f5cb, "drm_poll" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x94a39a2d, "ttm_pool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xda1ce897, "regulator_set_voltage" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xeb0c5ca7, "dma_resv_fini" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xc1b6a8f4, "drm_edp_backlight_enable" },
	{ 0xa22eb403, "ttm_bo_validate" },
	{ 0x848d372e, "iowrite8" },
	{ 0x9f425d73, "drm_dp_read_desc" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x18fd1b72, "ttm_tt_fini" },
	{ 0xb7e6fa78, "drm_exec_prepare_obj" },
	{ 0xe3bda29f, "ttm_resource_free" },
	{ 0xd2e35dbd, "regulator_get_voltage" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xac1531e0, "ttm_range_man_fini_nocheck" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x19a4397, "i2c_add_adapter" },
	{ 0xf8c04cd3, "drm_syncobj_add_point" },
	{ 0x8eaf2a5f, "vga_switcheroo_unregister_handler" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xf2b1f6db, "dma_free_pages" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xaa133881, "ww_mutex_lock_interruptible" },
	{ 0x1dd56afb, "led_classdev_resume" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfd7d870, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3072e9a, "ttm_resource_manager_init" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x157d7d70, "drm_vblank_work_schedule" },
	{ 0x125cf451, "dma_alloc_pages" },
	{ 0x28d61ad2, "dput" },
	{ 0x349cba85, "strchr" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x6556e73b, "drm_exec_cleanup" },
	{ 0xd80f754, "drm_atomic_helper_page_flip" },
	{ 0xfb7ebe59, "drm_connector_set_path_property" },
	{ 0x69d8d817, "drm_atomic_helper_check_plane_state" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x37114724, "drm_sched_stop" },
	{ 0xdcb16bd6, "drm_dp_aux_register" },
	{ 0xdaf3e5c4, "drm_framebuffer_init" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3b3796f2, "drm_mode_probed_add" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x98641649, "drm_sched_job_cleanup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda7eb4bf, "drm_atomic_helper_cleanup_planes" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x78813fd0, "agp_copy_info" },
	{ 0x1a63af34, "vga_switcheroo_process_delayed_switch" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xe0499c56, "vga_switcheroo_init_domain_pm_ops" },
	{ 0x7dce6b53, "drm_connector_cleanup" },
	{ 0xfc322686, "ttm_bo_move_accel_cleanup" },
	{ 0xa471063f, "drm_helper_probe_single_connector_modes" },
	{ 0xd0adf5f6, "mas_walk" },
	{ 0x2c208607, "power_supply_is_system_supplied" },
	{ 0x4813fb20, "drm_property_add_enum" },
	{ 0x9177d1d8, "component_del" },
	{ 0x16bb0052, "drm_gpuvm_init" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x10f4038e, "drm_connector_unregister" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x1479a44e, "pci_disable_rom" },
	{ 0x110db2d, "firmware_request_nowarn" },
	{ 0x6d483a83, "drm_atomic_helper_shutdown" },
	{ 0x8a489f8, "ttm_resource_manager_usage" },
	{ 0x4ef7c1b6, "__get_task_comm" },
	{ 0x91c011c4, "drm_plane_create_alpha_property" },
	{ 0xefb4fdf, "ttm_bo_put" },
	{ 0xecee3831, "drm_dp_read_sink_count" },
	{ 0x2c3fc912, "drm_dp_dpcd_read_phy_link_status" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x806b4d36, "drm_dp_aux_init" },
	{ 0x7c5fb60c, "drm_atomic_helper_unprepare_planes" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0xee0b438, "drm_debugfs_create_files" },
	{ 0xa9215a34, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xaf7ab689, "drm_gem_fb_destroy" },
	{ 0x4ee23ce, "ttm_bo_vm_close" },
	{ 0x3797bcc3, "drm_connector_init" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xd4ed4b9, "drm_ioctl" },
	{ 0x555ba3aa, "i2c_bit_algo" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0xa2dc727c, "drm_vblank_init" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x214a0f68, "drm_atomic_state_default_release" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb6562275, "ttm_agp_tt_create" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x1c32aaf9, "vga_switcheroo_fini_domain_pm_ops" },
	{ 0xa3d07b02, "drm_dp_mst_topology_mgr_suspend" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe55f9220, "drm_vblank_work_init" },
	{ 0xc11eb4e1, "drm_crtc_vblank_crtc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x28d7719a, "vga_client_register" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2b86ade4, "drm_dp_read_mst_cap" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x94a203e8, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0x19b8d8d6, "drm_kms_helper_poll_init" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x28f5473c, "drm_atomic_helper_check" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb1d51b98, "drm_plane_create_zpos_property" },
	{ 0x35b54a20, "drm_gpuvm_bo_put" },
	{ 0x3813cf9c, "drm_gpuvm_put" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x61cdf799, "mxm_wmi_call_mxds" },
	{ 0xa88d6ece, "drm_modeset_acquire_fini" },
	{ 0x1edc1d24, "vmap" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xa09c7564, "drm_dp_atomic_find_time_slots" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0x328e3071, "_dev_err" },
	{ 0xe399264f, "drm_vblank_work_cancel_sync" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x33ef6638, "drm_crtc_send_vblank_event" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x96f1aa66, "__drm_atomic_helper_plane_reset" },
	{ 0x5a4734d1, "drm_kms_helper_is_poll_worker" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xc43ca42d, "drm_dev_enter" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x9c5d8eef, "drm_property_create" },
	{ 0x9cd076c1, "drm_dev_unplug" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0xd37ca855, "drm_crtc_add_crc_entry" },
	{ 0xbb8e169a, "vga_switcheroo_handler_flags" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x8f7f8dc8, "drm_scdc_write" },
	{ 0x6da7e4f, "drm_mode_config_cleanup" },
	{ 0x9a4338dd, "drm_mode_create_scaling_mode_property" },
	{ 0x97d1efac, "drm_plane_helper_update_primary" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x77f904c7, "ttm_bo_kunmap" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x35f4996f, "drm_encoder_cleanup" },
	{ 0x954279af, "drm_gem_handle_delete" },
	{ 0xab514cc7, "drm_sched_start" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1afe317b, "drm_gpuva_ops_free" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa55fe4c2, "pci_d3cold_disable" },
	{ 0xf147c066, "__drm_atomic_helper_connector_destroy_state" },
	{ 0xb7d569fc, "drm_helper_probe_detect" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd659a39f, "drm_fbdev_ttm_setup" },
	{ 0x17eec8ab, "drm_object_attach_property" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x17debc55, "drm_dp_dpcd_write" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_display_helper,drm_gpuvm,ttm,video,drm_ttm_helper,drm_exec,gpu-sched,mxm-wmi,i2c-algo-bit,wmi");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v000012D2d*sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "3DF913DFA675880E327A538");
