#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbe78065, "drm_edid_connector_add_modes" },
	{ 0xd6c1b3ef, "drm_add_modes_noedid" },
	{ 0x6c5647fb, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x65880024, "pci_request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6d55ef0e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xc695a75d, "drm_dev_alloc" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x81bb41b4, "drmm_kmalloc" },
	{ 0x4c099cc3, "drmm_vram_helper_init" },
	{ 0x12375d33, "drmm_mode_config_init" },
	{ 0x3797bcc3, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xd5f5be0f, "drm_edid_read_custom" },
	{ 0x1b239254, "drm_connector_attach_edid_property" },
	{ 0xbc8dd884, "drm_edid_connector_update" },
	{ 0x6de56b69, "drm_simple_display_pipe_init" },
	{ 0xbcee29ca, "drm_mode_config_reset" },
	{ 0x175e012b, "drm_dev_register" },
	{ 0xd659a39f, "drm_fbdev_ttm_setup" },
	{ 0x73603d7e, "drm_gem_vram_offset" },
	{ 0xce28749f, "drm_vram_mm_debugfs_init" },
	{ 0x5cc5a97f, "drm_gem_vram_driver_dumb_create" },
	{ 0xceefd155, "drm_gem_ttm_dumb_map_offset" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xd4d65e66, "drm_read" },
	{ 0xc2f1f5cb, "drm_poll" },
	{ 0xd4ed4b9, "drm_ioctl" },
	{ 0x306c0c6a, "drm_compat_ioctl" },
	{ 0xc0f8b060, "drm_gem_mmap" },
	{ 0x86233af9, "drm_open" },
	{ 0xe15695e0, "drm_release" },
	{ 0xdbfe2728, "drm_vram_helper_mode_valid" },
	{ 0x28f5473c, "drm_atomic_helper_check" },
	{ 0x426df6c, "drm_atomic_helper_commit" },
	{ 0x6f94ecfb, "drm_atomic_helper_connector_reset" },
	{ 0xa471063f, "drm_helper_probe_single_connector_modes" },
	{ 0x7dce6b53, "drm_connector_cleanup" },
	{ 0xba466350, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x8ab63d29, "drm_atomic_helper_connector_destroy_state" },
	{ 0x69823728, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xf209b5da, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd2416ff, "drm_mode_config_helper_resume" },
	{ 0x801f2ab6, "drm_mode_config_helper_suspend" },
	{ 0x6d483a83, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x9cd076c1, "drm_dev_unplug" },
	{ 0xf442de95, "drm_dev_put" },
	{ 0xb1b7a43d, "__drm_dev_dbg" },
	{ 0xc43ca42d, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x967c6dc1, "drm_gem_fb_create" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_vram_helper,drm_kms_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "06CC19CA4B2CCD90B2A971A");
