#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0xf96c3985, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0xbbce2c12, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x25481d38, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0xd8fb0acc, "_gpl");
SYMBOL_CRC(intel_th_free, 0xf3e7633a, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x0dbdfaee, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0x9c11551b, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x04919a61, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0xd53c76e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0xde2c46b3, "devm_free_irq" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd408f16a, "module_put" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x4eea6ff4, "bus_find_device" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe535fdd, "device_del" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x38fb075f, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xab033b4f, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x4ecb3b2a, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0x689c9e31, "driver_register" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x810dca50, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3BD9067C8C9E8128A51111E");
