#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1c450d52, "cxgb4_l2t_send" },
	{ 0x255ab30f, "cxgb_get_4tuple" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce2727e9, "cxgb4_read_tpte" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa25d5072, "cxgb4_alloc_stid" },
	{ 0xb0dff67f, "debugfs_create_file_size" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xfafbea1e, "cxgb4_create_server_filter" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x42baa267, "rdma_nl_put_driver_u32_hex" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xa0435556, "cxgb4_ofld_send" },
	{ 0x56aea600, "tcp_parse_options" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd6ef54a2, "cxgb4_remove_tid" },
	{ 0x84313614, "cxgb4_alloc_atid" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe184c700, "ib_dealloc_device" },
	{ 0xd5d81115, "cxgb4_alloc_sftid" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x7abe697f, "in_dev_finish_destroy" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x96fc3020, "cxgb4_port_chan" },
	{ 0x48484e83, "ipv4_mtu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xca7f4769, "cxgb4_dbfifo_count" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xb6a8788c, "cxgb4_free_stid" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xc057f771, "single_release" },
	{ 0xf4329164, "cxgb4_create_server6" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3ac4fec, "ib_get_eth_speed" },
	{ 0xa33dc108, "ipv6_chk_addr" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xe2e4f264, "single_open" },
	{ 0xf59a9c1f, "rdma_nl_put_driver_u64" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x10ad6de1, "cxgb4_l2t_release" },
	{ 0x17d18e93, "cxgb4_clip_release" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xdd9a8327, "ib_set_device_ops" },
	{ 0xbac658ed, "cxgb4_create_server" },
	{ 0xe5cd2ca, "cxgb4_read_sge_timestamp" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8c4aff67, "cxgb4_l2t_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x564e0696, "ib_umem_release" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x29f733a4, "cxgb4_bar2_sge_qregs" },
	{ 0x5bef3dbf, "cxgb4_pktgl_to_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5411ef91, "cxgb4_port_idx" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x4a6d08bc, "__ip_dev_find" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xedc03953, "iounmap" },
	{ 0x3a054322, "cxgb4_get_tcp_stats" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc0782e7b, "rdma_nl_put_driver_u64_hex" },
	{ 0x69acdf38, "memcpy" },
	{ 0x694e0d4, "cxgb4_flush_eq_cache" },
	{ 0x52212d69, "ib_sg_to_pages" },
	{ 0x5f40b01b, "remap_pfn_range" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x50ee5c07, "cxgb4_best_aligned_mtu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xf80bc537, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x967a881c, "cxgb4_register_uld" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x97430267, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6ed55d1d, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaba88e70, "cxgb4_remove_server" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x9c7c8408, "rdma_nl_put_driver_u32" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xde3354ba, "cxgb4_clip_get" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2bf9e617, "cxgb_find_route" },
	{ 0x14e4fb69, "cxgb4_sync_txq_pidx" },
	{ 0x93f108a4, "ib_dispatch_event" },
	{ 0x8733096b, "cxgb4_select_ntuple" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xf482150f, "rdma_iw_cm_id" },
	{ 0x2c593ab5, "cxgb4_free_atid" },
	{ 0x328e3071, "_dev_err" },
	{ 0x93e6d09f, "init_net" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x73140cc2, "cxgb4_remove_server_filter" },
	{ 0x320fc1eb, "ip6_mtu" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xbf1322f9, "cxgb_find_route6" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd833340b, "ib_device_set_netdev" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x1a3d3ad1, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,libcxgb,ib_core,ib_uverbs,rdma_cm");


MODULE_INFO(srcversion, "04DEDAAEC3B64FC73D0769A");
