#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b09ab16, "ib_dereg_mr_user" },
	{ 0xa4bba228, "iscsi_suspend_queue" },
	{ 0xe544f7d, "iscsi_eh_cmd_timed_out" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xdb2f4b36, "ib_query_qp" },
	{ 0xc0cf2277, "iscsi_conn_failure" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf793845c, "iscsi_complete_pdu" },
	{ 0xfdcde1f4, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0xe359e990, "iscsi_prep_data_out_pdu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x68c1581b, "iscsi_eh_device_reset" },
	{ 0xbf13c524, "iscsi_register_transport" },
	{ 0x4c36f1aa, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa33b403b, "__rdma_create_kernel_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3e32e31e, "ib_register_event_handler" },
	{ 0xa639cee5, "rdma_resolve_route" },
	{ 0x4ba2e92d, "ib_unregister_event_handler" },
	{ 0x9424bc17, "iscsi_set_param" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6b8900c0, "rdma_create_qp" },
	{ 0x976eb119, "ib_map_mr_sg" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x5a9a8055, "ib_alloc_mr_integrity" },
	{ 0x93e6d09f, "init_net" },
	{ 0xa76a143, "ib_cq_pool_put" },
	{ 0x6d4f474, "iscsi_destroy_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xfceb922c, "iscsi_conn_get_param" },
	{ 0xeb04e40c, "iscsi_host_free" },
	{ 0x36153f94, "iscsi_put_task" },
	{ 0xfa1219ae, "iscsi_conn_teardown" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xfbce0f76, "iscsi_host_set_param" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5afcc74, "iscsi_session_get_param" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x239cb20c, "iscsi_conn_send_pdu" },
	{ 0xe4efbcb3, "rdma_destroy_qp" },
	{ 0x22f7a15d, "ib_check_mr_status" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc361b48e, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x150a5cbb, "iscsi_conn_unbind" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcb10e9cd, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xd698582b, "ib_cq_pool_get" },
	{ 0xf3163701, "rdma_connect_locked" },
	{ 0x7937006a, "iscsi_itt_to_ctask" },
	{ 0xf6903976, "iscsi_lookup_endpoint" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xe4dd60e9, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd36642dd, "iscsi_host_add" },
	{ 0x6f95fd20, "ib_dma_virt_map_sg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x8f1f79f, "rdma_destroy_id" },
	{ 0x4d6a7c73, "iscsi_session_teardown" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x61b7f933, "iscsi_unregister_transport" },
	{ 0x52842b38, "iscsi_eh_recover_target" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xceff586e, "iscsi_conn_stop" },
	{ 0xfd86759e, "iscsi_queuecommand" },
	{ 0xcf197fe5, "ib_drain_qp" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x9c7e0100, "iscsi_host_remove" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd285066, "iscsi_conn_setup" },
	{ 0xfc2247ee, "iscsi_session_recovery_timedout" },
	{ 0xd06673ec, "rdma_reject_msg" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa60641d3, "iscsi_put_endpoint" },
	{ 0xcc5a9626, "iscsi_target_alloc" },
	{ 0x52dddd0e, "iscsi_conn_bind" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe0738d0, "iscsi_host_get_param" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xe494d261, "iscsi_session_setup" },
	{ 0xf11b6389, "rdma_resolve_addr" },
	{ 0x4eb31854, "ib_map_mr_sg_pi" },
	{ 0x9a511deb, "param_set_uint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a3f9240, "iscsi_eh_abort" },
	{ 0x7688c838, "iscsi_create_endpoint" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core,libiscsi,rdma_cm,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A5CE640984986BAA0EB2117");
