#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdb247772, "target_stop_session" },
	{ 0x4b1c8b97, "target_wait_for_sess_cmds" },
	{ 0x82ed687a, "target_remove_session" },
	{ 0x1a450a8, "ib_destroy_cm_id" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0xa76a143, "ib_cq_pool_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9d14d4da, "core_tpg_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xfdcde1f4, "rdma_disconnect" },
	{ 0x54d840e0, "ib_send_cm_dreq" },
	{ 0x93b50da0, "ib_send_cm_drep" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4ba2e92d, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0x6b8900c0, "rdma_create_qp" },
	{ 0xd698582b, "ib_cq_pool_get" },
	{ 0x753a217b, "ib_create_qp_kernel" },
	{ 0x22ccc279, "ib_find_cached_pkey" },
	{ 0x7ff0d1fa, "rdma_reject" },
	{ 0x59c2620b, "ib_send_cm_rej" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73d8be73, "target_setup_session" },
	{ 0x5e4ea739, "rdma_accept" },
	{ 0xbdf57d84, "ib_send_cm_rep" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x9dfc12cc, "rdma_port_get_link_layer" },
	{ 0xc43c6957, "ib_cm_listen" },
	{ 0x3e32e31e, "ib_register_event_handler" },
	{ 0x88801f02, "ib_create_cm_id" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbcca836a, "target_register_template" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0xdc43b342, "target_unregister_template" },
	{ 0xc3097d74, "ib_modify_port" },
	{ 0x98f035e3, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6257a2f, "complete" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x28120a4, "__sbitmap_queue_get" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xacd014bc, "rdma_notify" },
	{ 0x80514f6d, "ib_cm_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x93e6d09f, "init_net" },
	{ 0xa33b403b, "__rdma_create_kernel_id" },
	{ 0x9c4a88b6, "rdma_bind_addr" },
	{ 0x1fdea428, "rdma_listen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f1f79f, "rdma_destroy_id" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa85c8c3e, "inet_pton_with_scope" },
	{ 0x92edfada, "target_put_sess_cmd" },
	{ 0xc4be7cdb, "target_execute_cmd" },
	{ 0xc8559a7e, "rdma_rw_ctx_wrs" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0xc92db701, "ib_create_ah_from_wc" },
	{ 0x82f4f16d, "ib_create_send_mad" },
	{ 0x953f2e6b, "ib_post_send_mad" },
	{ 0x3e172185, "ib_free_send_mad" },
	{ 0x42edd27c, "rdma_destroy_ah_user" },
	{ 0xb391f4a0, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0x7016e2e5, "rdma_rw_ctx_init" },
	{ 0x5f219485, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1c4bdece, "target_send_busy" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x755f8cd1, "target_init_cmd" },
	{ 0xe4969527, "target_submit_prep" },
	{ 0x235b2e87, "target_submit" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x4e204193, "transport_generic_free_cmd" },
	{ 0xbfbd5285, "transport_generic_request_failure" },
	{ 0x375cb294, "ib_modify_qp" },
	{ 0x60fffda1, "ib_cm_init_qp_attr" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda55e180, "target_submit_tmr" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0x9aa0d92f, "rdma_query_gid" },
	{ 0x9fc821bc, "ib_register_mad_agent" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x74a0fedd, "sbitmap_queue_clear" },
	{ 0x45f0d8e3, "kmem_cache_size" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x28e9f62e, "core_tpg_deregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,ib_cm,ib_core,rdma_cm");


MODULE_INFO(srcversion, "93D2306A30FCCD928C77BBE");
