#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x1300b9ec, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x73c86b5d, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x3a1bf29c, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x7e1b28d7, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x2fe5cace, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xff85fcd3, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x3438ef54, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x2a3cf1c6, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xe2d156b5, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xee9f241f, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xe15c36a9, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x53f27a42, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xf0306932, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xab9d80ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65e270ab, "handle_simple_irq" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x190d6a52, "input_mt_init_slots" },
	{ 0x87912482, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3b49fe89, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbe535fdd, "device_del" },
	{ 0x7138215d, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x124f7a24, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5dc9a54c, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe3fd5946, "input_set_abs_params" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xc873c8d7, "serio_interrupt" },
	{ 0xd3cd192, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3163652c, "irq_create_mapping_affinity" },
	{ 0xabff5181, "input_alloc_absinfo" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689c9e31, "driver_register" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x810dca50, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x706eab52, "input_mt_assign_slots" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x426aa80b, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7592426c, "irq_domain_remove" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xd753b524, "input_mt_report_slot_state" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xcec29407, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x362bfd2, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x1866724, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcadb7bbd, "irq_set_chip_and_handler_name" },
	{ 0xb2c69045, "put_device" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C32B32E8A328DFF9A9617D");
