#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(capi_ctr_handle_message, "", "");
KSYMTAB_FUNC(capi_ctr_ready, "", "");
KSYMTAB_FUNC(capi_ctr_down, "", "");
KSYMTAB_FUNC(attach_capi_ctr, "", "");
KSYMTAB_FUNC(detach_capi_ctr, "", "");

SYMBOL_CRC(capi_ctr_handle_message, 0x2196564a, "");
SYMBOL_CRC(capi_ctr_ready, 0x43738bb6, "");
SYMBOL_CRC(capi_ctr_down, 0x7051bd0c, "");
SYMBOL_CRC(attach_capi_ctr, 0x8c3812e7, "");
SYMBOL_CRC(detach_capi_ctr, 0x79ada47f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x61ed56a6, "tty_ldisc_ref" },
	{ 0xc0be3be, "tty_vhangup" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x44bc631a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x580df75b, "tty_port_init" },
	{ 0x2ead6c9e, "tty_port_register_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x3e3bc078, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0x54d20129, "tty_port_close" },
	{ 0x7899c5cb, "tty_port_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9888ed7d, "tty_register_driver" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0xd6d3a362, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x54bc3043, "tty_port_hangup" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa9e41fdc, "tty_port_open" },
	{ 0x8172c9a0, "stream_open" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0x235b08df, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x844c6b16, "class_register" },
	{ 0xf596d6d8, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xfbc1a90a, "tty_port_tty_get" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8cfdf879, "proc_create" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa43a71f8, "tty_kref_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d60e60e, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd80353c0, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x6e45f0b, "tty_unregister_driver" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x6e7c42be, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xd408f16a, "module_put" },
	{ 0x2b9f5373, "tty_port_tty_wakeup" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "96636C9CE5B428B3D355EB0");
