#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0x0171f35a, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x0c9b5396, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x6518e4e0, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x821254ae, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x9367e80c, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xcb731e2c, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x6700ba03, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x8a56749b, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x945b6fe8, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xc506f670, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xc2fea213, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x77ff4454, "_gpl");
SYMBOL_CRC(dm_get_md, 0xabe180ea, "_gpl");
SYMBOL_CRC(dm_hold, 0x21dd535d, "_gpl");
SYMBOL_CRC(dm_device_name, 0x7d87c829, "_gpl");
SYMBOL_CRC(dm_put, 0x0351036f, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0xdf4d54e9, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xfbf8c55e, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xdd80bb16, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x39c5902f, "_gpl");
SYMBOL_CRC(dm_disk, 0x37ecaa71, "_gpl");
SYMBOL_CRC(dm_suspended, 0xba349ff9, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xb5be546a, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xbbb7e624, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x83c26df0, "");
SYMBOL_CRC(dm_put_device, 0xa23a4918, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x9f79745f, "_gpl");
SYMBOL_CRC(dm_table_event, 0x9f2a8501, "");
SYMBOL_CRC(dm_table_get_size, 0xa0ceb30e, "");
SYMBOL_CRC(dm_table_get_mode, 0x83b330c2, "");
SYMBOL_CRC(dm_table_get_md, 0xdf041636, "");
SYMBOL_CRC(dm_table_device_name, 0x9d12286a, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x80736098, "");
SYMBOL_CRC(dm_register_target, 0xb724b3d8, "");
SYMBOL_CRC(dm_unregister_target, 0x03264c8e, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x3bb029de, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x768b0cd9, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xf550539a, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x81a0d394, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x0cc663bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7ce84365, "set_capacity" },
	{ 0xdd77396f, "submit_bio_noacct" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xec4176c1, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x56b9e80e, "dax_remove_host" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x84f8cf50, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9b500958, "dax_recovery_write" },
	{ 0x7ab19a14, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9ca6cb5, "kobject_init_and_add" },
	{ 0x2837d38e, "zero_fill_bio_iter" },
	{ 0x889c4ecf, "bio_add_page" },
	{ 0x3f41e69f, "crypto_shash_update" },
	{ 0x690a3d1e, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe35316cf, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x16e7fc2c, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa0e2654c, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3e46a3d4, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x50302258, "bio_alloc_clone" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbc327073, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf24e6943, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x30e4f0a5, "audit_log_start" },
	{ 0x56dd1fd4, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x614d2a60, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc18e93fa, "bio_uninit" },
	{ 0xf342ea9b, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x2ed0cf8c, "bioset_init" },
	{ 0x7c142513, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xa4d2087d, "__tracepoint_block_bio_remap" },
	{ 0x3ab553c8, "__tracepoint_block_rq_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc35b035a, "bd_link_disk_holder" },
	{ 0x68f2e816, "blk_mq_start_request" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0x3e517a5d, "file_bdev" },
	{ 0x8c83ed9d, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf3cf6be3, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbbffd4a7, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfc3bae4, "blk_zone_plug_bio" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x92e02ce4, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x767e4587, "queue_limits_set" },
	{ 0xe2e1eb61, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xdb2cf18c, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf248c151, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44a88a77, "bdev_end_io_acct" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x999096c7, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xfb509a5a, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa59f880b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x802c0e57, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8d9e7c36, "bio_split_to_limits" },
	{ 0xde392901, "vmalloc_to_page" },
	{ 0x504eb8ee, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x4595c430, "fs_dax_get_by_bdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xb78d8403, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc4d8b9dd, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x218b3d0d, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x876d1fa5, "blk_rq_prep_clone" },
	{ 0x350cb18d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x803a940c, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x58f16765, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbd426474, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x61a315f3, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd178e308, "bdev_thaw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xc8a1e238, "alloc_dax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x617249c6, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x677f70bb, "blk_mq_alloc_tag_set" },
	{ 0xada293aa, "blk_get_iostat_ticks" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xcb238f1, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x91b73c86, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x6d760ac6, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x5ee00d2b, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x68665c2a, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xe5cfa4d3, "__SCK__tp_func_block_split" },
	{ 0x618911fc, "numa_node" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd88295e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7fd2331c, "submit_bio" },
	{ 0xa77c5164, "dax_add_host" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf8c0f2a0, "blk_mq_init_allocated_queue" },
	{ 0x18d85d3b, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xd5cecc6, "ima_measure_critical_data" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0xfb97a14e, "bio_put" },
	{ 0x2298bff3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x8a78b05, "__SCK__tp_func_block_bio_remap" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x205593ee, "blk_revalidate_disk_zones" },
	{ 0xce807a25, "up_write" },
	{ 0x2dafc6a4, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B042C8AACA55B4A0ABCA6EC");
