#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x778417cf, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x82147d64, "");
SYMBOL_CRC(bttv_sub_unregister, 0x67df9ec2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7075dcd, "snd_tea575x_s_hw_freq_seek" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9c035894, "snd_tea575x_set_freq" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0xfa8eb280, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8c05b5d0, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1548a6a, "device_register" },
	{ 0x35702068, "rc_free_device" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3a831e75, "vb2_fop_read" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x19a4397, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b87344c, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaa847f09, "snd_tea575x_hw_init" },
	{ 0x4278d258, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x2429f5fa, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4a5c09f, "vb2_ioctl_streamon" },
	{ 0x5a06f9ce, "vb2_fop_poll" },
	{ 0xf685330e, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x64989e4, "vb2_wait_for_all_buffers" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x85c5cef, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0x689c9e31, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc900fd7, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x810dca50, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd50826ee, "vb2_ioctl_reqbufs" },
	{ 0x130bacd5, "vb2_queue_init" },
	{ 0x85d47e45, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x205c0833, "vb2_dma_sg_memops" },
	{ 0x47c953f9, "v4l2_ctrl_poll" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xb43fe9ca, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x50c2fdad, "v4l2_ctrl_radio_filter" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0x37f1b5fc, "v4l2_ctrl_add_handler" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x76321d98, "pci_get_device" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x5206ce2b, "vb2_ops_wait_finish" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x1d57dc6c, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x6038922e, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4f5e914c, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x84bf2787, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0xba49984, "v4l2_ctrl_handler_log_status" },
	{ 0x16411e95, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0xb2c69045, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x591868ae, "vb2_fop_release" },
	{ 0x68cec820, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2dce2bac, "v4l2_ctrl_find" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba47b8d2, "__v4l2_ctrl_s_ctrl" },
	{ 0xe2c4a54d, "vb2_plane_cookie" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3409694, "rc_keyup" },
	{ 0xef9c7a0d, "vb2_ioctl_dqbuf" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0xe905b701, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb5200b62, "tveeprom_read" },
	{ 0x67513101, "v4l2_ctrl_new_custom" },
	{ 0xbb39f82c, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41b0495f, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x58ea12df, "rc_register_device" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xb347a447, "rc_keydown" },
	{ 0x8ad8225e, "snd_tea575x_enum_freq_bands" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x48f96e55, "vb2_plane_vaddr" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videodev,videobuf2-v4l2,rc-core,videobuf2-common,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AB05FC7327E72DAD087FDD6");
