#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0x647968c4, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xc46de4e4, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0x42b94091, "");
SYMBOL_CRC(cx18_claim_stream, 0x09eef488, "");
SYMBOL_CRC(cx18_release_stream, 0xd4f7e050, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x868784cb, "__symbol_get" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef9c7a0d, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xe905b701, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb5200b62, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x28f30d68, "vb2_ioctl_prepare_buf" },
	{ 0xf84d9772, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x48f96e55, "vb2_plane_vaddr" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0xf3fe5ded, "v4l2_fh_init" },
	{ 0x5273c2a9, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6aa57c23, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36b77cf6, "dvb_dmxdev_release" },
	{ 0xfa8eb280, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8c05b5d0, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd726500c, "param_ops_short" },
	{ 0xc62d4723, "vb2_vmalloc_memops" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3a831e75, "vb2_fop_read" },
	{ 0x4ea80764, "__v4l2_device_register_subdev" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0x4a38db10, "dvb_frontend_detach" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x352a5bd4, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4278d258, "__video_register_device" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdac6c70b, "dvb_unregister_frontend" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x2429f5fa, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4a5c09f, "vb2_ioctl_streamon" },
	{ 0x5a06f9ce, "vb2_fop_poll" },
	{ 0xf685330e, "v4l2_ctrl_new_std" },
	{ 0x26d7758d, "v4l2_ctrl_g_ctrl" },
	{ 0x7b98e1d9, "cx2341x_handler_init" },
	{ 0x264a1fbb, "cx2341x_handler_set_50hz" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x17387432, "dvb_register_frontend" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x85c5cef, "v4l2_subdev_call_wrappers" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x78f9644d, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd50826ee, "vb2_ioctl_reqbufs" },
	{ 0x130bacd5, "vb2_queue_init" },
	{ 0x46393d34, "v4l2_fh_exit" },
	{ 0x51d97c8d, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4e278015, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc2629fbe, "vb2_queue_release" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xb43fe9ca, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0xaf531d41, "v4l2_fh_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf7594db3, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x5206ce2b, "vb2_ops_wait_finish" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x1d57dc6c, "v4l2_ctrl_handler_init_class" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6038922e, "vb2_ioctl_querybuf" },
	{ 0xc4a03295, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3221caa9, "vb2_video_unregister_device" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xc47e98b0, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xba49984, "v4l2_ctrl_handler_log_status" },
	{ 0x16411e95, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x68cec820, "i2c_new_scanned_device" },
	{ 0x5719ab7a, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba47b8d2, "__v4l2_ctrl_s_ctrl" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,dvb-core,tveeprom,videodev,videobuf2-common,videobuf2-vmalloc,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "569B9AFE1F87819F6323A64");
