#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x07431cd7, "");
SYMBOL_CRC(cx88_querycap, 0xba2b1681, "");
SYMBOL_CRC(cx88_enum_input, 0x4ec7699d, "");
SYMBOL_CRC(cx88_set_freq, 0xf247e2b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x97510d51, "cx88_ir_stop" },
	{ 0x16411e95, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0x942bf22d, "cx88_set_tvnorm" },
	{ 0x591868ae, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x2dce2bac, "v4l2_ctrl_find" },
	{ 0xc19a98f8, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba47b8d2, "__v4l2_ctrl_s_ctrl" },
	{ 0xe2c4a54d, "vb2_plane_cookie" },
	{ 0xef9c7a0d, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x98f003b7, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41b0495f, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3ceab7e2, "cx88_set_stereo" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0xfa8eb280, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8c05b5d0, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x62ef94ee, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a831e75, "vb2_fop_read" },
	{ 0x56c16cd3, "cx88_sram_channel_dump" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x43f85c07, "cx88_sram_channel_setup" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4278d258, "__video_register_device" },
	{ 0x2429f5fa, "vb2_ops_wait_prepare" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x4a5c09f, "vb2_ioctl_streamon" },
	{ 0x5a06f9ce, "vb2_fop_poll" },
	{ 0xf685330e, "v4l2_ctrl_new_std" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x76933a66, "cx88_newstation" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd50826ee, "vb2_ioctl_reqbufs" },
	{ 0x130bacd5, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x205c0833, "vb2_dma_sg_memops" },
	{ 0xe9a39ab0, "cx88_reset" },
	{ 0x47c953f9, "v4l2_ctrl_poll" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5268a953, "cx88_wakeup" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xb43fe9ca, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x37f1b5fc, "v4l2_ctrl_add_handler" },
	{ 0x37de96f6, "v4l2_i2c_new_subdev_board" },
	{ 0x211e2a84, "cx88_set_scale" },
	{ 0x5206ce2b, "vb2_ops_wait_finish" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x9c0a42f6, "cx88_shutdown" },
	{ 0x3c36b69b, "cx88_vdev_init" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x6038922e, "vb2_ioctl_querybuf" },
	{ 0x5d290460, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x84bf2787, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37e7812f, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x7f6f5f78, "cx88_core_get" },
	{ 0x7be6205a, "cx88_get_stereo" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");
