#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0x5b2c1ef0, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x14ea055a, "");
SYMBOL_CRC(cx8802_buf_queue, 0xbdc6ac30, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0xf1e34f9a, "");
SYMBOL_CRC(cx8802_get_driver, 0x9742e1e4, "");
SYMBOL_CRC(cx8802_register_driver, 0xf64d139a, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x485df64e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c0a42f6, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d290460, "cx88_core_put" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37e7812f, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f6f5f78, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe2c4a54d, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x56c16cd3, "cx88_sram_channel_dump" },
	{ 0x43f85c07, "cx88_sram_channel_setup" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2878ce4a, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe9a39ab0, "cx88_reset" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5268a953, "cx88_wakeup" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x608b5e4e, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");
