#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0xa117743b, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x98f003b7, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x2878ce4a, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0x43f85c07, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x56c16cd3, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x37e7812f, "");
SYMBOL_CRC(cx88_wakeup, 0x5268a953, "");
SYMBOL_CRC(cx88_shutdown, 0x9c0a42f6, "");
SYMBOL_CRC(cx88_reset, 0xe9a39ab0, "");
SYMBOL_CRC(cx88_set_scale, 0x211e2a84, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x942bf22d, "");
SYMBOL_CRC(cx88_vdev_init, 0x3c36b69b, "");
SYMBOL_CRC(cx88_core_get, 0x7f6f5f78, "");
SYMBOL_CRC(cx88_core_put, 0x5d290460, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x62ef94ee, "");
SYMBOL_CRC(cx88_newstation, 0x76933a66, "");
SYMBOL_CRC(cx88_get_stereo, 0x7be6205a, "");
SYMBOL_CRC(cx88_set_stereo, 0x3ceab7e2, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0xf5bece5d, "");
SYMBOL_CRC(cx88_ir_start, 0xc19a98f8, "");
SYMBOL_CRC(cx88_ir_stop, 0x97510d51, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0x7fc3a6ef, "i2c_smbus_xfer" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3409694, "rc_keyup" },
	{ 0xaf043d92, "__v4l2_ctrl_grab" },
	{ 0xbdbf29ff, "i2c_unregister_device" },
	{ 0xb5200b62, "tveeprom_read" },
	{ 0xbb39f82c, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x58ea12df, "rc_register_device" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xb347a447, "rc_keydown" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x308deaed, "freezing_slow_path" },
	{ 0x35702068, "rc_free_device" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b87344c, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x8c8587ab, "ir_raw_event_store_with_filter" },
	{ 0x9a749121, "i2c_smbus_read_byte_data" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc900fd7, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4929b72d, "ir_raw_event_handle" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0x1d57dc6c, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f5e914c, "i2c_transfer_buffer_flags" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rc-core,videodev,tveeprom,videobuf2-common,i2c-algo-bit");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");
