#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xe876eb5e, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x49bdb0f2, "");
SYMBOL_CRC(ivtv_api, 0xe0f82e5a, "");
SYMBOL_CRC(ivtv_vapi, 0xb8826d29, "");
SYMBOL_CRC(ivtv_vapi_result, 0x50cfec7b, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xe18db165, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xbcfd19b6, "");
SYMBOL_CRC(ivtv_udma_setup, 0x6cb5a8f0, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xe4a0e5fa, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x16525eac, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xb3146912, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x7e5a255f, "");
SYMBOL_CRC(ivtv_firmware_check, 0xf4fcef43, "");
SYMBOL_CRC(ivtv_claim_stream, 0x9c733599, "");
SYMBOL_CRC(ivtv_release_stream, 0xc6590edf, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x6bf95fac, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x60bb4836, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6566d47b, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x35edb533, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4ea80764, "__v4l2_device_register_subdev" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0x19a4397, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4278d258, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x46100547, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf685330e, "v4l2_ctrl_new_std" },
	{ 0x26d7758d, "v4l2_ctrl_g_ctrl" },
	{ 0x7b98e1d9, "cx2341x_handler_init" },
	{ 0x264a1fbb, "cx2341x_handler_set_50hz" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x13ffeb27, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x85c5cef, "v4l2_subdev_call_wrappers" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x93b42cc2, "v4l2_event_queue" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0x765c9aaf, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x46393d34, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4e278015, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0xaf531d41, "v4l2_fh_del" },
	{ 0x37de96f6, "v4l2_i2c_new_subdev_board" },
	{ 0x940e94f0, "kthread_flush_worker" },
	{ 0xf7594db3, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x1d57dc6c, "v4l2_ctrl_handler_init_class" },
	{ 0x23ff1c46, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xff38f593, "unpin_user_pages" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4f5e914c, "i2c_transfer_buffer_flags" },
	{ 0xc4a03295, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xaa8a5f3, "__devm_request_region" },
	{ 0x122c3a7e, "_printk" },
	{ 0xba49984, "v4l2_ctrl_handler_log_status" },
	{ 0x16411e95, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x68cec820, "i2c_new_scanned_device" },
	{ 0x5719ab7a, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xc1df8944, "kthread_queue_work" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba47b8d2, "__v4l2_ctrl_s_ctrl" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb5200b62, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x45fdb7da, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xf84d9772, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0xf3fe5ded, "v4l2_fh_init" },
	{ 0x5273c2a9, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x988380c1, "__kthread_init_worker" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,tveeprom,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
