#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xb4fd37b5, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x85cba40b, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x51f6fbec, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xb37ff11c, "");
SYMBOL_CRC(mpt_halt_firmware, 0x146f2367, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x2b0dc76a, "");
SYMBOL_CRC(mpt_attach, 0xf72c98c8, "");
SYMBOL_CRC(mpt_detach, 0x05464591, "");
SYMBOL_CRC(mpt_resume, 0xc0e084ad, "");
SYMBOL_CRC(mpt_suspend, 0xc0d720de, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xd1d28262, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xff31d915, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x638b7ca7, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xa9e88665, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x48f50dc8, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xa02520a2, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x20f03c3c, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x5456f1da, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x280c6842, "");
SYMBOL_CRC(mpt_verify_adapter, 0xb6ddef16, "");
SYMBOL_CRC(mpt_GetIocState, 0x5ee32cd1, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x334c3746, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xc2812c61, "");
SYMBOL_CRC(mpt_config, 0xa1d36be2, "");
SYMBOL_CRC(mpt_findImVolumes, 0xc50ea223, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x7c1a49fd, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x0ac381f1, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x7e678ae9, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x5806e20a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x2fd51ad4, "pci_release_selected_regions" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x47a03f2f, "pci_get_slot" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0xb145b2a3, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x608b5e4e, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x196d8c83, "pci_enable_wake" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x16b2d303, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x495f98f0, "pci_stop_and_remove_bus_device_locked" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xb9179171, "pci_select_bars" },
	{ 0x57e1235e, "pci_enable_device_mem" },
	{ 0x3fb2b77b, "pci_request_selected_regions" },
	{ 0xf99726dd, "dma_get_required_mask" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
