#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pcf50633_read_block, "_gpl", "");
KSYMTAB_FUNC(pcf50633_write_block, "_gpl", "");
KSYMTAB_FUNC(pcf50633_reg_read, "_gpl", "");
KSYMTAB_FUNC(pcf50633_reg_write, "_gpl", "");
KSYMTAB_FUNC(pcf50633_reg_set_bit_mask, "_gpl", "");
KSYMTAB_FUNC(pcf50633_reg_clear_bits, "_gpl", "");
KSYMTAB_FUNC(pcf50633_register_irq, "_gpl", "");
KSYMTAB_FUNC(pcf50633_free_irq, "_gpl", "");
KSYMTAB_FUNC(pcf50633_irq_mask, "_gpl", "");
KSYMTAB_FUNC(pcf50633_irq_unmask, "_gpl", "");
KSYMTAB_FUNC(pcf50633_irq_mask_get, "_gpl", "");
KSYMTAB_DATA(pcf50633_pm, "_gpl", "");

SYMBOL_CRC(pcf50633_read_block, 0x75e49ccb, "_gpl");
SYMBOL_CRC(pcf50633_write_block, 0xe0ffaed2, "_gpl");
SYMBOL_CRC(pcf50633_reg_read, 0x86272cf2, "_gpl");
SYMBOL_CRC(pcf50633_reg_write, 0x025584c8, "_gpl");
SYMBOL_CRC(pcf50633_reg_set_bit_mask, 0x3d84b19d, "_gpl");
SYMBOL_CRC(pcf50633_reg_clear_bits, 0xa3a40058, "_gpl");
SYMBOL_CRC(pcf50633_register_irq, 0x22b5eab5, "_gpl");
SYMBOL_CRC(pcf50633_free_irq, 0xc1007db0, "_gpl");
SYMBOL_CRC(pcf50633_irq_mask, 0x5bcf755e, "_gpl");
SYMBOL_CRC(pcf50633_irq_unmask, 0x63c7a7ca, "_gpl");
SYMBOL_CRC(pcf50633_irq_mask_get, 0x79a4ce62, "_gpl");
SYMBOL_CRC(pcf50633_pm, 0x9bf05b0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bfbb2e, "platform_device_add_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb1a3424e, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x27e018ed, "i2c_register_driver" },
	{ 0x328e3071, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xff9bc456, "platform_device_add" },
	{ 0x8de055de, "platform_device_alloc" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb6358db, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb6773663, "regmap_update_bits_base" },
	{ 0xd8c74ccb, "i2c_del_driver" },
	{ 0xf9a7e15c, "regmap_raw_write" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7d59f05a, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2da9befd, "regmap_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x37b6dcd6, "regmap_raw_read" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("i2c:pcf50633");

MODULE_INFO(srcversion, "852DB3E14779CF71D97FA71");
