#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0xd6f3bad3, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x2f58b153, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x92e8bb17, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x9e70445b, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0xa7d27f4d, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x0fc30258, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xd133143d, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xc28c7198, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0xbd37cc0f, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x5a4e4f5f, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0xce67faa2, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x148e8f27, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x0070c65f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfa3614d, "usb_bulk_msg" },
	{ 0x95bcd34a, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x816dd993, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x8cf78794, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a08d14, "usb_sg_cancel" },
	{ 0x15689486, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4be2341c, "mfd_add_devices" },
	{ 0x27373b96, "usb_enable_autosuspend" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");
