#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x38a3ab75, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x64b04c12, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xac31d493, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x072d0395, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x6e0b81df, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xe6ae3959, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x78762c73, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x6b04de6f, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x42c29743, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xcf7534dd, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xeb53b8fc, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x8ac5f1b1, "_gpl");
SYMBOL_CRC(nand_status_op, 0x19dd7e81, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x6787d436, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x2b608c7a, "_gpl");
SYMBOL_CRC(nand_reset_op, 0xa9a02d52, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xcb1a8233, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x48c0067d, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x221ea162, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x4e1ed6b0, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x14561360, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x957d8687, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0xe0acc33f, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0xc6aa85a4, "");
SYMBOL_CRC(nand_write_oob_std, 0x38a59682, "");
SYMBOL_CRC(nand_write_page_raw, 0x44287e20, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x2c70ae02, "");
SYMBOL_CRC(nand_decode_ext_id, 0xd59937ce, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0xead80293, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x4d25638d, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x19390799, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x0f3454bb, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0xe98c05fb, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xfdc507a4, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x818cbcb7, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x23749cce, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xbc7c9243, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xa2e584b5, "");
SYMBOL_CRC(nand_cleanup, 0x4d702d6a, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x46ea8af7, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x86dc2540, "");
SYMBOL_CRC(nand_create_bbt, 0xa63464fb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8653aa5e, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x93bbe6be, "mtd_ooblayout_get_databytes" },
	{ 0x81188c30, "match_string" },
	{ 0x5c9f8072, "mtd_ooblayout_get_eccbytes" },
	{ 0xf913bbd4, "nanddev_mtd_max_bad_blocks" },
	{ 0xb3f47113, "nand_ecc_sw_bch_calculate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x38a79710, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xff1e73b2, "mtd_read_oob" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x1f197cf7, "gpiod_count" },
	{ 0x8cb63d99, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x381d82ec, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9f1d31b, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x1dfe511b, "gpiod_get_index_optional" },
	{ 0x882a81ca, "nand_ecc_sw_hamming_init_ctx" },
	{ 0xb7e3c3aa, "nanddev_init" },
	{ 0x2bc8bb39, "nand_ecc_sw_bch_correct" },
	{ 0x1d3c1f5f, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0xa439b62, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x12cb5b8f, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedce4a34, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3f115fc9, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x328e3071, "_dev_err" },
	{ 0x95f8467e, "nand_ecc_is_strong_enough" },
	{ 0xcc6f9092, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x275859c6, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x5ab14268, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xee7b4c8c, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x386cdbff, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8c34547, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "CEDAE5265053F303681C2CB");
