#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x692777c2, "netdev_info" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xcf047524, "can_dropped_invalid_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x84458971, "netdev_printk" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0x9011f053, "consume_skb" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xe091bf2c, "usb_anchor_urb" },
	{ 0x7cc935de, "can_put_echo_skb" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x313cd47c, "can_free_echo_skb" },
	{ 0x343e477b, "usb_unanchor_urb" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x15689486, "usb_deregister" },
	{ 0x50cc6cdc, "open_candev" },
	{ 0x5020153f, "can_rx_offload_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0xfe1c94dc, "close_candev" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc00cbc3c, "can_rx_offload_queue_timestamp" },
	{ 0xd1a5830b, "can_rx_offload_queue_tail" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x18062879, "unregister_candev" },
	{ 0x8d2f83d9, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x5fa3e46, "alloc_can_err_skb" },
	{ 0x6c7caee7, "can_rx_offload_irq_finish" },
	{ 0x762fd745, "alloc_can_skb" },
	{ 0x4dc4afe7, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xcda092f8, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9e2be934, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0xe587f3f6, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb79c91cd, "usb_control_msg_recv" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0xeca17755, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x4c9e56ef, "can_eth_ioctl_hwts" },
	{ 0xea2e1fe8, "alloc_candev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5439ffb4, "can_rx_offload_add_manual" },
	{ 0x44bc0873, "register_candev" },
	{ 0x328e3071, "_dev_err" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b17ca5d, "can_rx_offload_del" },
	{ 0x696db589, "free_candev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "can-dev");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p0F30d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "12459A8E3E24ADA71916535");
