#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xe466d991, "napi_enable" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xc17875b0, "pcie_get_readrq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x84c3a7a5, "pcie_set_readrq" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3fb2b77b, "pci_request_selected_regions" },
	{ 0x2fd51ad4, "pci_release_selected_regions" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57e1235e, "pci_enable_device_mem" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9011f053, "consume_skb" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x3c16cd31, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xb9179171, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x328e3071, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001969d00001091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d00001090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001969d000010A0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "771E159D5A1C41019B1D80A");
