#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x1af521e7, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x9dc37985, "");
SYMBOL_CRC(bnxt_send_msg, 0xf5083047, "");
SYMBOL_CRC(bnxt_register_async_events, 0x3fcf970b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c320001, "ptp_clock_unregister" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb44caa30, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x3aed8a6b, "rps_may_expire_flow" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfddc56be, "netdev_reset_tc" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xf8de3f, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc236336c, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x22c15def, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x3a1b85f1, "bpf_prog_add" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb782b61e, "pcie_print_link_status" },
	{ 0x9fe00dba, "flow_rule_match_vlan" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x1e3fa4b2, "page_pool_alloc_pages" },
	{ 0x42dfba22, "napi_build_skb" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2a2af9f, "devlink_priv" },
	{ 0xf2198924, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xcdec170b, "tcp_gro_complete" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x459e20ca, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x88b93922, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0x87443a44, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xb8b8cc4e, "dcb_ieee_delapp" },
	{ 0xeb0db095, "netdev_notice" },
	{ 0x1f37fd64, "ethtool_params_from_link_mode" },
	{ 0x796a6bed, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x20689ced, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb90e0e9, "flow_rule_match_control" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x73d4839a, "netdev_core_stats_inc" },
	{ 0x1848d632, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x8fcad99f, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x1d01e4ed, "flow_block_cb_lookup" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x59154867, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5bc3f5c0, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x141eab4a, "pci_find_ext_capability" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0xa86ec22, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xeb6a4eee, "devlink_unregister" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x5c7f29e8, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1a04f8a4, "pci_wake_from_d3" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4ed8127e, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe6534907, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0c32f9d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x743b726b, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3920136f, "ndo_dflt_bridge_getlink" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2dc53ed7, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x465595c1, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xf72b6d73, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x72f51c65, "devlink_params_unregister" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x8ff6d1e1, "flow_rule_match_eth_addrs" },
	{ 0xa45ac658, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69ba6387, "ptp_clock_index" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe34f9e, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe1fb674e, "devlink_register" },
	{ 0x19c95623, "devlink_remote_reload_actions_performed" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xd14788c2, "page_pool_destroy" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x9fdf4a9a, "devlink_free" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x84c8f8e3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x50638200, "flow_rule_match_ipv4_addrs" },
	{ 0xdedc3dd6, "ip_route_output_flow" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3c16cd31, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x3a5f415d, "devlink_flash_update_status_notify" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x447e782f, "netdev_port_same_parent_id" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x72cd091f, "ptp_find_pin" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x1779c21c, "flow_rule_match_icmp" },
	{ 0xbbf8997a, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2c69045, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa5936b6, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xf9a3c4ee, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x458cb57f, "flow_indr_dev_unregister" },
	{ 0x56e22418, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7eeef6a2, "xdp_rxq_info_is_reg" },
	{ 0x2e4f0333, "ptp_classify_raw" },
	{ 0xaf37da8b, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdd85041f, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x41dfa10d, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x65973b79, "devlink_port_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x93e6d09f, "init_net" },
	{ 0xbbe65313, "softnet_data" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x15680499, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6113b9c9, "ptp_clock_register" },
	{ 0x55433581, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4a8ecd1f, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xdaed553a, "page_pool_disable_direct_recycling" },
	{ 0x84458971, "netdev_printk" },
	{ 0x8a156e79, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a2257b3, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x446b5f54, "pcie_flr" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xe466d991, "napi_enable" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x96dfd94b, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8e367e29, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xe79e59b9, "ethtool_rxfh_context_lost" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xbe535fdd, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x41d012f7, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x949ca2a8, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd94c448a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa911a85c, "flow_rule_match_ipv6_addrs" },
	{ 0xf02e60c9, "netdev_set_tc_queue" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C049A17A5CD8DBCEE91B09E");
