#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa7819899, "napi_gro_frags" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x2dff8190, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8fad2e1a, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6ec85677, "_dev_alert" },
	{ 0x328e3071, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xe466d991, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa140dcc7, "fixed_size_llseek" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x5bb3ef28, "napi_gro_flush" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001657d00000014sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00001657d00000022sv*sd*bc02sc00i*");

MODULE_INFO(srcversion, "70B9D2F1CDDDD795B719549");
