#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x000cd506, "");
SYMBOL_CRC(t3_l2t_send_event, 0x65b98799, "");
SYMBOL_CRC(t3_l2e_free, 0xcd137eb0, "");
SYMBOL_CRC(t3_l2t_get, 0x3006fb62, "");
SYMBOL_CRC(cxgb3_register_client, 0xebab6d37, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x64efd2fe, "");
SYMBOL_CRC(cxgb3_free_atid, 0xffcc6d3f, "");
SYMBOL_CRC(cxgb3_free_stid, 0xe920a2e2, "");
SYMBOL_CRC(cxgb3_insert_tid, 0xc7fed5ea, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0xe42d7c5e, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x055a64c2, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xc700d836, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xca63398d, "");
SYMBOL_CRC(dev2t3cdev, 0x11ab7e2a, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xf8ecf9bc, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x1d184880, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x637dda04, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0559989, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x71e3c297, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb8d72163, "pcie_capability_read_word" },
	{ 0xa7819899, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x918bd84e, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0xb0a37ba8, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9011f053, "consume_skb" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x2dff8190, "napi_get_frags" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xc9d9adba, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6e322ff3, "pci_find_capability" },
	{ 0x6ec85677, "_dev_alert" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x590a8aef, "arp_send" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x26d3c716, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xe466d991, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc2764560, "netif_rx" },
	{ 0x9fd3d2f4, "__neigh_event_send" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41097D3F5BE9D508D0BB550");
