#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0xf00b96a8, "");
SYMBOL_CRC(vnic_dev_get_res, 0x6c242b1a, "");
SYMBOL_CRC(vnic_dev_unregister, 0xfff1780d, "");
SYMBOL_CRC(vnic_dev_register, 0xb2cd498c, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0x808fb0ae, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x99897644, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x9fbbece4, "__hw_addr_unsync_dev" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb80186ec, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbbe65313, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8a156e79, "dev_close" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xe466d991, "napi_enable" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x8e367e29, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3aed8a6b, "rps_may_expire_flow" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x913ee8f9, "__hw_addr_sync_dev" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x451df039, "__napi_schedule_irqoff" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x141eab4a, "pci_find_ext_capability" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0xca875b21, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x57e1235e, "pci_enable_device_mem" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe6534907, "pci_iomap" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41CF40E5AE7D7C105240538");
