#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf02e60c9, "netdev_set_tc_queue" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfddc56be, "netdev_reset_tc" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xb782b61e, "pcie_print_link_status" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x331671d9, "skb_clone" },
	{ 0x913ee8f9, "__hw_addr_sync_dev" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x459e20ca, "netdev_set_num_tc" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbc611504, "seq_open" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0x451df039, "__napi_schedule_irqoff" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xa806a047, "napi_consume_skb" },
	{ 0x517a0f44, "pci_sriov_set_totalvfs" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x59154867, "__skb_pad" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x141eab4a, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x3fb2b77b, "pci_request_selected_regions" },
	{ 0x2fd51ad4, "pci_release_selected_regions" },
	{ 0x1a04f8a4, "pci_wake_from_d3" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57e1235e, "pci_enable_device_mem" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xf2fdffbf, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0c32f9d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x84c8f8e3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x148653, "vsnprintf" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x753b612b, "pci_reenable_device" },
	{ 0xeb3ecb5c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6174437d, "ipv6_skip_exthdr" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x9fbbece4, "__hw_addr_unsync_dev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xb9179171, "pci_select_bars" },
	{ 0x56e22418, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbbe65313, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xe466d991, "napi_enable" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x8e367e29, "netif_set_xps_queue" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d000015A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015A5sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A7D4F818DA425C3ECD37A77");
