#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x6e322ff3, "pci_find_capability" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xfb578fc5, "memset" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x754d539c, "strlen" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xde80cd09, "ioremap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x328e3071, "_dev_err" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x25e44b2d, "pci_pme_capable" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x692777c2, "netdev_info" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca875b21, "skb_put" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe466d991, "napi_enable" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xc9d9adba, "pci_write_vpd_any" },
	{ 0xecda67fc, "pci_read_vpd_any" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x84458971, "netdev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1a04f8a4, "pci_wake_from_d3" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0x8a156e79, "dev_close" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001148d00009000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00009E00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00009E01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004B00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004B02sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004B03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004341sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004342sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004343sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004344sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004345sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004346sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004347sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004352sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004355sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004356sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd0000435Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004361sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004363sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004364sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004365sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004366sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004367sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004369sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd0000436Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd0000436Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd0000436Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd0000436Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004370sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004380sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004382sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "123A62B8E206DEC4237AE6F");
