#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_choose_vector, "", "");
KSYMTAB_FUNC(mlx4_release_vector, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0xd50f51f6, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xbf40bcfe, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x2ba517da, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x7152e509, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xf4655924, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xe88ac5a4, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xeaefb29c, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xb89bc4d7, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x25a1ee3e, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x8322faa6, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xae4ce55b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x48427b83, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x6c51eaea, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x0b0e0811, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x1516240f, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x3a11b5a9, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x4b4a7b4c, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x0831f6aa, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xc4193aa2, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x1c3d9b80, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x1ee004b5, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x9e76c44e, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xdb87f2c1, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x26b94e39, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x411da699, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x91ba9f72, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x025bfd14, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x8e21483d, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x344e8c05, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x7a6c5b6e, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x2b67e0e3, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x1146c6ce, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x63c83fd5, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x6a436b8c, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xecac8a2d, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x34e6eca4, "");
SYMBOL_CRC(mlx4_test_async, 0x1f3882bf, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xd9b6cfdd, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x3c373656, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x80a03d04, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xc3aa34b2, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x69ebe643, "");
SYMBOL_CRC(mlx4_assign_eq, 0x1dfcf6fa, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x30096d92, "");
SYMBOL_CRC(mlx4_release_eq, 0x1ed98bde, "");
SYMBOL_CRC(mlx4_choose_vector, 0xe4c7b3a4, "");
SYMBOL_CRC(mlx4_release_vector, 0x9cec6c11, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x6e59f6c9, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x0d375104, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xaded871e, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0x37bf5dca, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x3da4f7a4, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x19dfcede, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x0635dfb9, "");
SYMBOL_CRC(mlx4_wol_read, 0x2eed828b, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x68fcee66, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x4f90eacb, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x1ad7f30c, "");
SYMBOL_CRC(set_phv_bit, 0x441ad488, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x71fd03d4, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x74a2f845, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xaba04fea, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x70c19c5c, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x8fe6cb9d, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x80606136, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x1b999b65, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x57b86e53, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xae6f8695, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x54b48dc8, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x35ea1985, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xccee240d, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xc1002e5a, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xc1626781, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x8a2308b0, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xaba9fee0, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x74471267, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xa109916c, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x161d0489, "");
SYMBOL_CRC(mlx4_read_clock, 0xc0e3db50, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x9d38a192, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x2956319f, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x74e51fa5, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x42d7038d, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0xd54f878f, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x496251e6, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x68151041, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0xdb49ada1, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0xc362a4a9, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x61d98a03, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x0b1ba45b, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x2413c1a3, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xd476d79b, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x43f04d4f, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xffd3e08b, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xb5b60766, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x950660e8, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x278f5de2, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x98f44759, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xba69b599, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x85948216, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x2a837532, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xdb9cec2f, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x3bcd2ae1, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xd50f8135, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x11f02798, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xc3401ee7, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x24a1e77d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x5877fd27, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x0edd6683, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x98d11470, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xa9e158ee, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x0674327b, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xc2976161, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xfbe1e9de, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xe6a31e02, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x469d3c87, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x462be89c, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x66b17336, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xb363b3a0, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x7693eb5f, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xaf56e6a0, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xf57ab268, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0x188460e6, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x3eb70a69, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x40875200, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x43572345, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x1c9a5290, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x460aab91, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xc36a32ba, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x465ed6ea, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xba27783b, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x923547b7, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x054c3f79, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0xc270d387, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xd2bec43a, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x9c80de7a, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x5bd77e39, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x58cb92db, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x5e377abf, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x8204403a, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x695aa3f9, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x1be39680, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xa0070874, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x4a202cde, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x12a9b6c3, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0xe54a3b61, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x7e35b440, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x2405568a, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xebdb149b, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x9396a7f0, "");
SYMBOL_CRC(mlx4_get_module_info, 0x9882fb69, "");
SYMBOL_CRC(mlx4_max_tc, 0xb7b8b8c5, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xe45047d2, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x043c1f95, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x15e5c85b, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x71c74b29, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xad07ee8e, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xc29e105e, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x6ecf81bf, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xd6e7434a, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xf4942124, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x88b057dc, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x5d49c788, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0xf8321a7e, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xe2499e01, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x7be39c42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd9f34e80, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2cc8cb94, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfe7740f4, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0x93e6d09f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf30f8be0, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf1e046cc, "panic" },
	{ 0xf2218314, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xbe535fdd, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x2f123a, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xe09e9710, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xb44caa30, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xa9d5197b, "devl_assert_locked" },
	{ 0xb782b61e, "pcie_print_link_status" },
	{ 0xd827059f, "devl_port_unregister" },
	{ 0x7ca76b64, "devl_param_driverinit_value_get" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2a2af9f, "devlink_priv" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x6c7eb6e3, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x187d7158, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x918bd84e, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef4ee8ea, "devl_region_create" },
	{ 0xeb6a4eee, "devlink_unregister" },
	{ 0x5c7f29e8, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8a304242, "devlink_region_snapshot_id_get" },
	{ 0x743b726b, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe34f9e, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x4e65d4e8, "pci_sriov_get_totalvfs" },
	{ 0xe1fb674e, "devlink_register" },
	{ 0x3c57e619, "devlink_port_type_clear" },
	{ 0x9fdf4a9a, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe83b41c5, "param_ops_byte" },
	{ 0x9b1ef178, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C83615B78AB2D103E2BB582");
