#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9f26d6, "device_wakeup_disable" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x80ed7ccf, "phy_stop" },
	{ 0x9c567532, "phy_disconnect" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6d5994f2, "phy_start" },
	{ 0xe466d991, "napi_enable" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xe77388d7, "phy_do_ioctl_running" },
	{ 0x9e377388, "phy_ethtool_nway_reset" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x5d35ad80, "phy_ethtool_get_link_ksettings" },
	{ 0xe8282d03, "phy_ethtool_set_link_ksettings" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xf6e98683, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8670adcb, "__mdiobus_register" },
	{ 0x383b593f, "mdiobus_get_phy" },
	{ 0xd9573b86, "phy_connect" },
	{ 0xd797549d, "phy_set_max_speed" },
	{ 0x85d016b6, "phy_support_asym_pause" },
	{ 0xdf1d02da, "phy_attached_info" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xf8d7d2d5, "mdiobus_unregister" },
	{ 0x89f1358f, "mdiobus_free" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x692777c2, "netdev_info" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001055d0000E420sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DE8BE1B8929D2C13B0CCA6C");
