#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x692777c2, "netdev_info" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x59154867, "__skb_pad" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xc2764560, "netif_rx" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00000E11d0000AE34sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE32sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE35sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000F130sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000F150sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000AE40sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000108Dd00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000E11d0000B012sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DE727509965CBCD6678E540");
