#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x31ddff3e, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x48c838ff, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xe59749dc, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x680aaf02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xcdfa039b, "netdev_upper_dev_unlink" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xfd39f94a, "dev_uc_add" },
	{ 0x86a7971b, "dev_set_mtu" },
	{ 0x6c5f5c36, "netif_inherit_tso_max" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x1025f493, "netif_stacked_transfer_operstate" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x331671d9, "skb_clone" },
	{ 0xc2764560, "netif_rx" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x78df8ae0, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9011f053, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x2b8ffd13, "dev_forward_skb" },
	{ 0xb00eb51b, "netpoll_send_skb" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xfbcfe46c, "__netif_rx" },
	{ 0x64276781, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73d4839a, "netdev_core_stats_inc" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x8a082e41, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x77b8bf90, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe5fad363, "dev_uc_sync" },
	{ 0x892b3728, "dev_mc_sync" },
	{ 0x1fa4780d, "passthru_features_check" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xe7263da1, "ndo_dflt_fdb_dump" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xd5865d45, "eth_header_parse" },
	{ 0x9f716275, "eth_header_cache" },
	{ 0xafc65788, "eth_header_cache_update" },
	{ 0x4f8f8d1d, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xe773f0ad, "__ethtool_get_link_ksettings" },
	{ 0x1af973ba, "ethtool_get_ts_info_by_layer" },
	{ 0x93e6d09f, "init_net" },
	{ 0x11548ae6, "generic_hwtstamp_set_lower" },
	{ 0x9f77d01e, "generic_hwtstamp_get_lower" },
	{ 0x2ad8c6b6, "dev_mc_del" },
	{ 0xcbba8f4a, "dev_uc_del" },
	{ 0xea45fac0, "dev_mc_add_excl" },
	{ 0x8dab8dc8, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6b790548, "__netpoll_free" },
	{ 0xbd9c1336, "vlan_vid_del" },
	{ 0x4cc8632f, "vlan_vid_add" },
	{ 0xdd94060d, "dev_set_allmulti" },
	{ 0x2d8caba8, "dev_set_promiscuity" },
	{ 0x87a61778, "dev_uc_unsync" },
	{ 0x334ccb06, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2e0561ab, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x37a0cba, "kfree" },
	{ 0x1bf7a5e3, "dev_set_mac_address" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf8ff9906, "netdev_is_rx_handler_busy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9dd05047, "netdev_rx_handler_register" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x993e46f9, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "136EB78A00830F19D165F00");
