#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0x4fb12b09, "genphy_read_abilities" },
	{ 0xa8451dde, "bcm_phy_get_sset_count" },
	{ 0xdc29277b, "bcm_ptp_probe" },
	{ 0x17e3b1a7, "devm_gpiod_get" },
	{ 0x9591574f, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0xa86ec22, "device_set_wakeup_capable" },
	{ 0x4561a53, "device_wakeup_enable" },
	{ 0x71481bfc, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0x3a75cd0a, "bcm_ptp_config_init" },
	{ 0xaa24343d, "pm_wakeup_dev_event" },
	{ 0x4999c980, "genphy_resume" },
	{ 0xc5193a91, "genphy_soft_reset" },
	{ 0x8bff6d9c, "bcm_phy_config_intr" },
	{ 0xf1a2cf10, "bcm_phy_handle_interrupt" },
	{ 0xd86e1211, "bcm_phy_get_strings" },
	{ 0xc4051d46, "bcm_phy_led_brightness_set" },
	{ 0xa2d00718, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d28bdee, "phy_drivers_register" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0x58a4bff7, "genphy_read_status" },
	{ 0x207a747f, "phy_trigger_machine" },
	{ 0x4abfeb5e, "phy_error" },
	{ 0x3e34262d, "bcm54xx_auxctl_read" },
	{ 0xbe7b7280, "bcm54xx_auxctl_write" },
	{ 0x90c4942d, "bcm_phy_read_shadow" },
	{ 0x5b8fc175, "bcm_phy_write_shadow" },
	{ 0x514d0a9e, "bcm_config_lre_aneg" },
	{ 0x8bd132c9, "__genphy_config_aneg" },
	{ 0xe1e9bd02, "phy_modify" },
	{ 0x7a87b170, "genphy_c37_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13cc280d, "genphy_c37_config_aneg" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x3192bc50, "bcm_phy_get_wol" },
	{ 0x198eec2b, "bcm_phy_set_wol" },
	{ 0x6c5ed7d5, "bcm_phy_get_stats" },
	{ 0xd3dedd4b, "phy_drivers_unregister" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x46ef24a, "__mdiobus_write" },
	{ 0xb59c1e26, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x49b860c3, "__mdiobus_read" },
	{ 0x7a34528f, "bcm_phy_read_exp" },
	{ 0xcde353e8, "bcm_phy_write_exp" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "0D8A86636DABFB5DEE19F38");
