#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4fb12b09, "genphy_read_abilities" },
	{ 0x4b2b52c2, "phy_read_mmd" },
	{ 0x1345591e, "genphy_restart_aneg" },
	{ 0x207a747f, "phy_trigger_machine" },
	{ 0x4abfeb5e, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2e4f0333, "ptp_classify_raw" },
	{ 0xbbf8997a, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7afe3ac, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc7eea250, "ptp_find_pin_unlocked" },
	{ 0xd94c448a, "ptp_clock_event" },
	{ 0x1daae2d1, "ptp_cancel_worker_sync" },
	{ 0x69ba6387, "ptp_clock_index" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x8efb46a2, "ptp_msg_is_sync" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xc2764560, "netif_rx" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x46ef24a, "__mdiobus_write" },
	{ 0x49b860c3, "__mdiobus_read" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x328e3071, "_dev_err" },
	{ 0x5dffcc5c, "ethnl_cable_test_result" },
	{ 0x715d4912, "ethnl_cable_test_fault_length" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd3dedd4b, "phy_drivers_unregister" },
	{ 0x8bd132c9, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xacc4967f, "phy_modify_mmd" },
	{ 0xa845d1e8, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65620cc3, "skb_push" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x20689ced, "ptp_schedule_worker" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6113b9c9, "ptp_clock_register" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x72cd091f, "ptp_find_pin" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf6e85c02, "devm_phy_package_join" },
	{ 0xceb6d899, "devm_gpiod_get_optional" },
	{ 0xa679cd1f, "gpiod_set_consumer_name" },
	{ 0xf598725a, "gpiod_set_value_cansleep" },
	{ 0x5d0803a3, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5193a91, "genphy_soft_reset" },
	{ 0x115018a8, "genphy_read_mmd_unsupported" },
	{ 0xdca22ca, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d28bdee, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2d00718, "genphy_suspend" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0x4999c980, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65b63033, "phy_write_mmd" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0x58a4bff7, "genphy_read_status" },
	{ 0xe1e9bd02, "phy_modify" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "1BC1F973D3F0863B5947015");
