#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x6317a136, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xd6d23037, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x67111c7f, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x65f1e662, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x3673ace1, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x21023e24, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xf20a1e58, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x61a59e20, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xa657d4c4, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xf79b6676, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x6654ac8b, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xcbade4c9, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x2a225fdd, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x7f58f383, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xafa6841c, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xf84432e2, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x522f6be7, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x1ebfff69, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x11585c4d, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x837233c5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xb7392edf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0x65b63033, "phy_write_mmd" },
	{ 0xe1e9bd02, "phy_modify" },
	{ 0x207a747f, "phy_trigger_machine" },
	{ 0x4abfeb5e, "phy_error" },
	{ 0xfe90fa75, "phy_modify_changed" },
	{ 0x5ea02e45, "genphy_update_link" },
	{ 0x14fd843, "genphy_read_lpa" },
	{ 0xbba8f655, "phy_resolve_aneg_pause" },
	{ 0xa845d1e8, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4b2b52c2, "phy_read_mmd" },
	{ 0x5dffcc5c, "ethnl_cable_test_result" },
	{ 0x715d4912, "ethnl_cable_test_fault_length" },
	{ 0xacc4967f, "phy_modify_mmd" },
	{ 0xc5193a91, "genphy_soft_reset" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");
