#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ppp_register_net_channel, "", "");
KSYMTAB_FUNC(ppp_register_channel, "", "");
KSYMTAB_FUNC(ppp_unregister_channel, "", "");
KSYMTAB_FUNC(ppp_channel_index, "", "");
KSYMTAB_FUNC(ppp_unit_number, "", "");
KSYMTAB_FUNC(ppp_dev_name, "", "");
KSYMTAB_FUNC(ppp_input, "", "");
KSYMTAB_FUNC(ppp_input_error, "", "");
KSYMTAB_FUNC(ppp_output_wakeup, "", "");
KSYMTAB_FUNC(ppp_register_compressor, "", "");
KSYMTAB_FUNC(ppp_unregister_compressor, "", "");

SYMBOL_CRC(ppp_register_net_channel, 0x90fa64b8, "");
SYMBOL_CRC(ppp_register_channel, 0xec0dd389, "");
SYMBOL_CRC(ppp_unregister_channel, 0x8e990952, "");
SYMBOL_CRC(ppp_channel_index, 0x27473903, "");
SYMBOL_CRC(ppp_unit_number, 0x8aa3b416, "");
SYMBOL_CRC(ppp_dev_name, 0x4be1cb93, "");
SYMBOL_CRC(ppp_input, 0xc4aa1dd8, "");
SYMBOL_CRC(ppp_input_error, 0x79e6c82f, "");
SYMBOL_CRC(ppp_output_wakeup, 0x0613bc4a, "");
SYMBOL_CRC(ppp_register_compressor, 0x2abcbee3, "");
SYMBOL_CRC(ppp_unregister_compressor, 0xfc6dd3e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xd6d3a362, "device_destroy" },
	{ 0x2a928918, "slhc_free" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0xb6393786, "bpf_prog_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf2dd6269, "bpf_prog_create" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xafc74a61, "iov_iter_init" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0x20978fb9, "idr_find" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9b9f5b2a, "netdev_name_in_use" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc36f6ffa, "fget" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x767b0da3, "fput" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x74b8e674, "slhc_toss" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x84458971, "netdev_printk" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0xf36f42a9, "slhc_uncompress" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x43f9ebc8, "slhc_remember" },
	{ 0x65620cc3, "skb_push" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x8ba96828, "skb_pull_rcsum" },
	{ 0x6cf5cf23, "skb_scrub_packet" },
	{ 0xc2764560, "netif_rx" },
	{ 0xdcdc0040, "slhc_compress" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x15f90688, "slhc_init" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd408f16a, "module_put" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdabf308, "ns_capable" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0x844c6b16, "class_register" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x44bc631a, "device_create" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "slhc");


MODULE_INFO(srcversion, "BB3A49C4C88642D800430A9");
