#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xf1824b23, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x8b4b1300, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x28d7dfac, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x5df72969, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x501d0b23, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xe344f36d, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x9cca3dc2, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0xf3302910, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x43ddd798, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75f0a2e, "netdev_err" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2964344, "__wake_up" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x90b8dc25, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd8348279, "sock_init_data_uid" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6f34d291, "cdev_init" },
	{ 0xc599b4c1, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x79678fff, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6bf40f1, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9ab776ec, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9011f053, "consume_skb" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65620cc3, "skb_push" },
	{ 0xf61b8fd7, "__skb_gso_segment" },
	{ 0xeb3ecb5c, "skb_checksum_help" },
	{ 0x4333d32e, "kfree_skb_list_reason" },
	{ 0x91711b22, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0x421832fc, "skb_partial_csum_set" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x3237a59c, "sock_alloc_send_pskb" },
	{ 0xca875b21, "skb_put" },
	{ 0x74e5c7c2, "zerocopy_sg_from_iter" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0x248b4e8d, "skb_copy_datagram_from_iter" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0xf4879002, "build_skb" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AB2B144EBEFF351009FE509");
