#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xca8d0caf, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x1186bb27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xea96a0ba, "xdp_return_frame_rx_napi" },
	{ 0xfdcb8f4b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x90b8dc25, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd8348279, "sock_init_data_uid" },
	{ 0x77ebfb09, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x5e956e7b, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0x94174b41, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd6a7106, "skb_copy_ubufs" },
	{ 0xf6f962d6, "__skb_get_hash_symmetric_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xd408f16a, "module_put" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xe5992d8e, "netdev_state_change" },
	{ 0xf4879002, "build_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x3f172071, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2dff8190, "napi_get_frags" },
	{ 0x279b31b2, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9011f053, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x377099b1, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0x421832fc, "skb_partial_csum_set" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x566c0717, "do_xdp_generic" },
	{ 0x7b10e730, "__page_frag_cache_drain" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x7eeef6a2, "xdp_rxq_info_is_reg" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0x136e143e, "sk_attach_filter" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xe466d991, "napi_enable" },
	{ 0x68435486, "__dev_get_by_name" },
	{ 0xfdabf308, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x9352aedb, "ip_tunnel_header_ops" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7e351ffc, "get_net_ns" },
	{ 0x94d3b8fa, "open_related_ns" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x49b84426, "sk_detach_filter" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9ab776ec, "dev_get_mac_address" },
	{ 0xc6bf40f1, "dev_set_mac_address_user" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0xda6845a7, "from_kgid" },
	{ 0xfb42a76b, "__module_get" },
	{ 0xc19ac1ab, "skb_page_frag_refill" },
	{ 0x47b741da, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x248b4e8d, "skb_copy_datagram_from_iter" },
	{ 0x3237a59c, "sock_alloc_send_pskb" },
	{ 0x74e5c7c2, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x65620cc3, "skb_push" },
	{ 0x56e22418, "eth_get_headlen" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xa7819899, "napi_gro_frags" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x1fa4780d, "passthru_features_check" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9bfc230e, "fasync_helper" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xb5d510cf, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x692777c2, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb6393786, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xfdc63f8c, "bpf_prog_get_type_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xbc327073, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15680499, "xdp_return_frame" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x47998ffa, "kill_fasync" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1ecebba, "net_hotdata" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0x73d4839a, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A5F8A55FB43852999F991E");
