#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7592426c, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x58a4bff7, "genphy_read_status" },
	{ 0xd5b52dfc, "usb_get_from_anchor" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x65e270ab, "handle_simple_irq" },
	{ 0x6454195b, "irq_domain_create_simple" },
	{ 0x3163652c, "irq_create_mapping_affinity" },
	{ 0xf6e98683, "mdiobus_alloc_size" },
	{ 0x8670adcb, "__mdiobus_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9c567532, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x2abc8044, "usb_put_dev" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcca77cd2, "usb_get_dev" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x328e3071, "_dev_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xbececdab, "usb_clear_halt" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x6d5994f2, "phy_start" },
	{ 0xe466d991, "napi_enable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xe77388d7, "phy_do_ioctl_running" },
	{ 0x9e377388, "phy_ethtool_nway_reset" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1977aea6, "eth_platform_get_mac_address" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5bfe893e, "usb_get_urb" },
	{ 0x49a8cda9, "usb_unlink_urb" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x310fba8c, "usb_autopm_get_interface" },
	{ 0xf2891ee5, "usb_autopm_put_interface" },
	{ 0xeb5cf2a1, "phy_ethtool_ksettings_set" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0x31240411, "phy_ethtool_ksettings_get" },
	{ 0xfb7eda42, "phy_ethtool_set_eee" },
	{ 0x32ce80fb, "phy_ethtool_get_eee" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0xe9ea1a04, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x80ed7ccf, "phy_stop" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x692777c2, "netdev_info" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x27507002, "skb_defer_rx_timestamp" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xcadb7bbd, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x993a5f53, "phy_print_status" },
	{ 0xf72c56bd, "phy_find_first" },
	{ 0x9a83e7b, "phy_register_fixup_for_uid" },
	{ 0xd8f4d0f7, "fixed_phy_register" },
	{ 0x4b2b52c2, "phy_read_mmd" },
	{ 0x65b63033, "phy_write_mmd" },
	{ 0x15689486, "usb_deregister" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x16f57155, "phy_connect_direct" },
	{ 0x246114af, "phy_remove_link_mode" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x3894351, "phy_support_eee" },
	{ 0x8bd132c9, "__genphy_config_aneg" },
	{ 0xb8d310b7, "fixed_phy_unregister" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca875b21, "skb_put" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0x82932202, "usb_autopm_get_interface_async" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x73148438, "usb_autopm_put_interface_async" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xe091bf2c, "usb_anchor_urb" },
	{ 0xf8d7d2d5, "mdiobus_unregister" },
	{ 0x89f1358f, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BD7C8B065714563FA8A22E7");
