#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a53336c, "usbnet_probe" },
	{ 0x8356bc0b, "usbnet_status_start" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb1540065, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x65620cc3, "skb_push" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa136093a, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf975632b, "usbnet_read_cmd" },
	{ 0x328e3071, "_dev_err" },
	{ 0x5bf44d0a, "usbnet_link_change" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0x3dd8790f, "usbnet_get_msglevel" },
	{ 0x9569ecfe, "usbnet_set_msglevel" },
	{ 0xab602040, "usbnet_nway_reset" },
	{ 0x9dddf0ef, "usbnet_get_link_ksettings_mii" },
	{ 0x4f481ae3, "usbnet_set_link_ksettings_mii" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xf1a9dd9b, "usbnet_change_mtu" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x331671d9, "skb_clone" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdaa6cb2c, "usbnet_get_drvinfo" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x15689486, "usb_deregister" },
	{ 0xfe93545a, "usbnet_write_cmd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");
