#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x431beb76, "mii_check_media" },
	{ 0x5b0716, "mii_ethtool_gset" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9f6a5b1b, "mii_nway_restart" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa136093a, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0x8a53336c, "usbnet_probe" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xdaa6cb2c, "usbnet_get_drvinfo" },
	{ 0x3dd8790f, "usbnet_get_msglevel" },
	{ 0x9569ecfe, "usbnet_set_msglevel" },
	{ 0xab602040, "usbnet_nway_reset" },
	{ 0xde8aef2b, "usbnet_get_link" },
	{ 0x9dddf0ef, "usbnet_get_link_ksettings_mii" },
	{ 0x4f481ae3, "usbnet_set_link_ksettings_mii" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6d7c82, "usbnet_write_cmd_nopm" },
	{ 0xfe93545a, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf9b808ee, "usbnet_read_cmd_nopm" },
	{ 0xf975632b, "usbnet_read_cmd" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0xf1a9dd9b, "usbnet_change_mtu" },
	{ 0xe037d98c, "generic_mii_ioctl" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x15689486, "usb_deregister" },
	{ 0x3509a643, "usbnet_defer_kevent" },
	{ 0x65620cc3, "skb_push" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x692777c2, "netdev_info" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0xeaede175, "platform_get_ethdev_address" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "68C8C6BEE099BCF8629E751");
