#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xa136093a, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x98cf68be, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x8356bc0b, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xb1540065, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x9e62b226, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xbd07c70b, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xf1a9dd9b, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x3509a643, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x7ca0e2bf, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xfdc2c53f, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x737a1154, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x0e5ece64, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x1a992ed4, "_gpl");
SYMBOL_CRC(usbnet_open, 0x0a27ab5e, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x9dddf0ef, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x71dc11cf, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x4f481ae3, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xde8aef2b, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xab602040, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xdaa6cb2c, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x3dd8790f, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9569ecfe, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x2cedbe59, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xa7735ea7, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x3380ec90, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x899df341, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x8a53336c, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xc7eaf11e, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x0c9c29c4, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x97741969, "");
SYMBOL_CRC(usbnet_manage_power, 0x5d1e37da, "");
SYMBOL_CRC(usbnet_link_change, 0x5bf44d0a, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf975632b, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xfe93545a, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xf9b808ee, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x0e6d7c82, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x692e7eac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7fc0080f, "usb_set_interface" },
	{ 0x64f0d2ed, "usb_string" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x27507002, "skb_defer_rx_timestamp" },
	{ 0xc2764560, "netif_rx" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5bfe893e, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49a8cda9, "usb_unlink_urb" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x228e2dc3, "mii_ethtool_get_link_ksettings" },
	{ 0x70a3001c, "mii_ethtool_set_link_ksettings" },
	{ 0x9f6a5b1b, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x9011f053, "consume_skb" },
	{ 0xd5b52dfc, "usb_get_from_anchor" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x692777c2, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0x310fba8c, "usb_autopm_get_interface" },
	{ 0xf2891ee5, "usb_autopm_put_interface" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xef92c38, "mii_link_ok" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x73148438, "usb_autopm_put_interface_async" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0x82932202, "usb_autopm_get_interface_async" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xe091bf2c, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0xcee2d563, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xa3d062c4, "usb_autopm_get_interface_no_resume" },
	{ 0xca875b21, "skb_put" },
	{ 0xbececdab, "usb_clear_halt" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "E35A8C8CA570AD854258909");
