#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf66c290e, "rtnl_link_get_net" },
	{ 0xa53253b9, "rtnl_create_link" },
	{ 0x6c5f5c36, "netif_inherit_tso_max" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x996131fa, "rtnl_configure_link" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x60d0e46a, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdcb8f4b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7eeef6a2, "xdp_rxq_info_is_reg" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7e19bdc, "skb_pp_cow_data" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x26099537, "xdp_return_buff" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x1fa4780d, "passthru_features_check" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x8353973a, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91711b22, "__skb_get_hash_net" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x7850d49a, "xdp_set_features_flag" },
	{ 0x15680499, "xdp_return_frame" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0x78df8ae0, "__dev_forward_skb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x56197a95, "sock_wfree" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xfbcfe46c, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0x5cc79d3c, "__xdp_build_skb_from_frame" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0xd14788c2, "page_pool_destroy" },
	{ 0x41d012f7, "page_pool_create" },
	{ 0xe466d991, "napi_enable" },
	{ 0xf9a3c4ee, "xdp_features_clear_redirect_target" },
	{ 0x2dc53ed7, "xdp_features_set_redirect_target" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA3B563B9F75D72903155CC");
