#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53569707, "this_cpu_off" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdcb8f4b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xea96a0ba, "xdp_return_frame_rx_napi" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x8d3a9678, "virtqueue_add_inbuf" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3a1b85f1, "bpf_prog_add" },
	{ 0xe466d991, "napi_enable" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0x84458971, "netdev_printk" },
	{ 0x551fb005, "bpf_prog_sub" },
	{ 0xf9a3c4ee, "xdp_features_clear_redirect_target" },
	{ 0x2dc53ed7, "xdp_features_set_redirect_target" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8466e98a, "skb_to_sgvec" },
	{ 0xbbe65313, "softnet_data" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa7846e43, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x3e4fff42, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x51d7950d, "net_dim_init_irq_moder" },
	{ 0xf7cfc18b, "net_dim_setting" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x852fac45, "net_failover_destroy" },
	{ 0xa5b48451, "virtio_reset_device" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0xeb4f6329, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x328e3071, "_dev_err" },
	{ 0xc19ac1ab, "skb_page_frag_refill" },
	{ 0x788b5dcb, "virtqueue_dma_map_single_attrs" },
	{ 0x716e7a55, "virtqueue_dma_mapping_error" },
	{ 0x79733205, "virtqueue_dma_need_sync" },
	{ 0x4a441c48, "virtqueue_get_buf_ctx" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0x940761c8, "skb_coalesce_rx_frag" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x921b8bc4, "virtqueue_add_inbuf_ctx" },
	{ 0xfb79ba0f, "xp_alloc_batch" },
	{ 0x15f71773, "virtqueue_resize" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xae36a92f, "xp_set_rxq_info" },
	{ 0x4b26d5e, "virtqueue_reset" },
	{ 0x976afbbe, "virtqueue_dma_dev" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf5ea0aa3, "xp_dma_map" },
	{ 0x65cf5bf5, "xp_dma_unmap" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x41ac263b, "virtqueue_detach_unused_buf" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x55bd8936, "net_dim_free_irq_moder" },
	{ 0xf4879002, "build_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7f52071a, "net_dim" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x1fa4780d, "passthru_features_check" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6f29cbef, "virtqueue_get_vring_size" },
	{ 0x9011f053, "consume_skb" },
	{ 0x15680499, "xdp_return_frame" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x7c7e4e88, "ethtool_virtdev_set_link_ksettings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x3cedea0c, "__register_virtio_driver" },
	{ 0xf096f5be, "unregister_virtio_driver" },
	{ 0xa56d4e83, "virtqueue_get_buf" },
	{ 0xa806a047, "napi_consume_skb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x975f665d, "virtqueue_disable_cb" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xf3455ab, "virtqueue_enable_cb_prepare" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ee058e2, "virtqueue_poll" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0xf6d40a81, "net_dim_work_cancel" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x5e1ec18c, "on_exadata" },
	{ 0x7c078c34, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x3dcee3c3, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2d5f2680, "virtqueue_add_sgs" },
	{ 0xc7db6f09, "virtqueue_kick" },
	{ 0x82ce425, "virtqueue_is_broken" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0x481009be, "netdev_notify_peers" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xae439782, "eth_prepare_mac_addr_change" },
	{ 0x185d2a6d, "eth_commit_mac_addr_change" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x174ef95a, "net_dim_get_rx_irq_moder" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0xfe0b8f08, "xp_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0x421832fc, "skb_partial_csum_set" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0x13f33afd, "virtqueue_add_outbuf" },
	{ 0x15a0f565, "virtqueue_enable_cb_delayed" },
	{ 0x85474e0a, "virtqueue_kick_prepare" },
	{ 0x4f3f1bec, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "885AB9A0B00722C2FA3882C");
