#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdc51821, "ieee80211_stop_queue" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9011f053, "consume_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x33112f44, "ieee80211_alloc_hw_nm" },
	{ 0xe6534907, "pci_iomap" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1bcc5b5b, "pci_set_mwi" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x328e3071, "_dev_err" },
	{ 0xca875b21, "skb_put" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x89fed12c, "ieee80211_rx_irqsafe" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x306c0268, "ieee80211_handle_wake_tx_queue" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x4ef8c9d5, "ieee80211_free_hw" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x65620cc3, "skb_push" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6b93630f, "ieee80211_tx_status_irqsafe" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x28b9f168, "ieee80211_wake_queue" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0xb08c7c9e, "ieee80211_free_txskb" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,eeprom_93cx6");

MODULE_ALIAS("pci:v000010B7d00006000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001200d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008211sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9D82139EE82CA040BCE8AFC");
