#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x7e82a0c7, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x23d7a3fe, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xe15ac089, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x8681bfce, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x94cdd037, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xdb33201a, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xe9e457b7, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xa4962624, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0xf7955f7c, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x7950d02a, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x2aebbe59, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xf6b68070, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x9a89a400, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x2b8d552f, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0x62e5b93e, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x6986aa43, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0x7d2944f9, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0x3dd38b83, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xcc03cbe1, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xfeab91f3, "ath9k_hw_set_txpowerlimit" },
	{ 0xa73f07a, "ath_hw_keyreset" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "BD058D5C6536F7696F72A1B");
