#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x4f628b6c, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x6cb98609, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x71845fc1, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0x2294794d, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x3af35304, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0xdd4ae873, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xb1fbf1c3, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x0e2f5014, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0x9d16ad29, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xa8b9f7b1, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x2d18662b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae143eb6, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x22fac730, "brcmu_pkt_buf_get_skb" },
	{ 0xf6dccc02, "mmc_hw_reset" },
	{ 0xe6130209, "sdio_retune_release" },
	{ 0x98898678, "sdio_claim_irq" },
	{ 0xd382db4d, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe79d36b9, "pci_match_id" },
	{ 0xe4eb774e, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xee2d3071, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xd5a23fb9, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x50ce4a8e, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x4ecb3b2a, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x857e4ffc, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0x2e7e280, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x81ed662, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa536fb09, "sdio_readb" },
	{ 0xbf416c20, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xfba5816d, "brcmu_pktq_mlen" },
	{ 0x58c40c56, "cfg80211_sched_scan_results" },
	{ 0x711d6e55, "sdio_retune_hold_now" },
	{ 0xbc784be2, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0xae42ff7a, "sdio_disable_func" },
	{ 0x25f9765c, "cfg80211_mgmt_tx_status_ext" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf2891ee5, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf4f9e3bf, "sdio_set_block_size" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0xf9d17461, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xba176cc9, "sdio_retune_crc_disable" },
	{ 0x7a5529a0, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x110db2d, "firmware_request_nowarn" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x14df622f, "sdio_claim_host" },
	{ 0x9f5921b, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3410a766, "sdio_memcpy_fromio" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x20245818, "cfg80211_remain_on_channel_expired" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x63b2af03, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x678b48e8, "cfg80211_port_authorized" },
	{ 0x43846bcb, "brcmu_pktq_init" },
	{ 0x10b77fa8, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa16d2321, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcad70944, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x3c7ef0bd, "cfg80211_disconnected" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x32950943, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x4d2bd04d, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xee0cabda, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd89fc86a, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a6eb3e1, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x17620b77, "cfg80211_crit_proto_stopped" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x61349828, "wiphy_register" },
	{ 0x109b94b8, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5e3ac59e, "cfg80211_put_bss" },
	{ 0x75667be1, "cfg80211_roamed" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x7c00b7f2, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe41af98c, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x40c59a0f, "sdio_set_host_pm_flags" },
	{ 0x247c2616, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xae7bab38, "sdio_unregister_driver" },
	{ 0x38c854f4, "sdio_readsb" },
	{ 0xdcc941fb, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4561a53, "device_wakeup_enable" },
	{ 0x726aaf5, "cfg80211_ibss_joined" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc70175d6, "wiphy_apply_custom_regulatory" },
	{ 0x6f97cd5e, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xfc10a71e, "sdio_retune_crc_enable" },
	{ 0xda2c9026, "brcmu_pktq_flush" },
	{ 0xd249619d, "brcmu_pktq_peek_tail" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xccdb39f, "cfg80211_del_sta_sinfo" },
	{ 0xb212a2af, "sdio_readl" },
	{ 0xce5f9b27, "mmc_set_data_timeout" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1cc78fd, "wiphy_unregister" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0x1977aea6, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x15689486, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x6ed6f7f1, "brcmu_pktq_pdeq_match" },
	{ 0x26166c34, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9c29ceda, "__sdio_register_driver" },
	{ 0xb813d1af, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5048cbb, "mmc_wait_for_req" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xc2764560, "netif_rx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0xe790a45f, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xaeeab283, "brcmu_pktq_mdeq" },
	{ 0x40c947bc, "cfg80211_unregister_wdev" },
	{ 0x25e44b2d, "pci_pme_capable" },
	{ 0xc697406a, "brcmu_pktq_penq" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x1f18f4e6, "__platform_driver_probe" },
	{ 0x1db22546, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x310fba8c, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x98b230ab, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,brcmutil,mmc_core");

MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");

MODULE_INFO(srcversion, "CCDA203218CFE95297CF02E");
