#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xcab58b22, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0xba4aecc9, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0xaaedd140, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xfcb40313, "_gpl");
SYMBOL_CRC(p54_rx, 0x425f38e8, "_gpl");
SYMBOL_CRC(p54_init_common, 0x1e028201, "_gpl");
SYMBOL_CRC(p54_register_common, 0x2951e447, "_gpl");
SYMBOL_CRC(p54_free_common, 0xf928068e, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xa080d8e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x6b93630f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb75c6ad5, "__ieee80211_get_rx_led_name" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb08c7c9e, "ieee80211_free_txskb" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33112f44, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xcdc51821, "ieee80211_stop_queue" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x15fbfb25, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xc0259047, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed11eb58, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x89fed12c, "ieee80211_rx_irqsafe" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0xca875b21, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4ef8c9d5, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7d3f0856, "ieee80211_beacon_loss" },
	{ 0x66201db7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xaef2055d, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x28b9f168, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbcd81467, "__ieee80211_get_tx_led_name" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x306c0268, "ieee80211_handle_wake_tx_queue" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");
