#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xe627b0ac, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x027c7e59, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0xeb24d25d, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xe5ddbbe7, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x6ad31e91, "_gpl");
SYMBOL_CRC(lbs_resume, 0x4ada20b2, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x145c5934, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x33d418e4, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x0ddfdc44, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x560bc684, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x29c8d297, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x722acf7c, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xdd9a1888, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0xc86a5141, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x9b865e9d, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xc8c27334, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86587044, "netif_device_detach" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x7c00b7f2, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x328e3071, "_dev_err" },
	{ 0x726aaf5, "cfg80211_ibss_joined" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f97cd5e, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xf1cc78fd, "wiphy_unregister" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc2764560, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81cb19ff, "netdev_alert" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x50ce4a8e, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x857e4ffc, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3d46a690, "__cfg80211_get_bss" },
	{ 0x2e7e280, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb8114e6b, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a5529a0, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66201db7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3c7ef0bd, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x4d2bd04d, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x61349828, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e3ac59e, "cfg80211_put_bss" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "2584C68FCED50C3842D607C");
