#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_eht_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x27c1a6a5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x12a0cf0b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x942c90de, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x470e21ee, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x7b8bd7ed, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0xd9b29575, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0x809611c7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x332f4f54, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0xec994881, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x2374c96d, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0xa2fe16b2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xe5f6d38b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x321d6b49, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0xde694ed0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0x33ce262c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0x711a5691, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xb5d08160, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0xece4256c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x374bf3f9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0xc1d3dbbe, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0x4db5b41c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x453c570a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0xb396587e, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0xb80eba16, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x7af432df, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x2eb69d0f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0x8a7fd832, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x4b9e8d00, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0x2256e74c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0xf42ce303, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x40c98e2e, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0xba862af8, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0x63731143, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x21f7958a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x0838a954, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0x15d992ff, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x164a98f6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x508c05b1, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0x4ab108c4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0x80047501, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0x41b6d02d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x576f2673, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0xd8a03db2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x58182c68, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0xbd8765d6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0x06d7d42b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0xbc07ce12, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0x59ca202e, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0xf48159b6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x469cdfb3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0xbdc71949, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x8c27a008, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x2c2ae1fe, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0x296ac805, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x6b1ddbef, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0xc90b3299, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0xd01e0adb, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0x5ec3c9ea, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0xc503aea4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0xd6bd49ca, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xd5d3cde9, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x4d07c19b, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xb460cb59, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x573cab6c, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x3e227aa6, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x4815a287, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0xb6766093, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0x250ae486, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0x8846e619, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0x897abc82, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0x0293ff06, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0x60f19a03, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x005bc54d, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0x9b4e5d56, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0x0580705c, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x387216b7, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x5e4ad030, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0xeb4a578c, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x83cd91b8, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x69fd7d7b, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x40366c50, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0xa41d1445, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x853aa9fb, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xa1ef398a, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0xff39274f, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_eht_radiotap, 0x652d6f07, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9011f053, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29389a3c, "mt76_tx_status_skb_get" },
	{ 0x64d5a47d, "mt76_tx_status_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x693155a, "mt76_get_rate" },
	{ 0x606ad0e6, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7d3f0856, "ieee80211_beacon_loss" },
	{ 0x150b24c5, "__mt76_tx_complete_skb" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x8b45ad10, "ieee80211_find_sta" },
	{ 0xfbcf0bb4, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x361419a0, "mt76_tx" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x1b4ffd5, "mt76_init_queue" },
	{ 0xd5ca2769, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xc52b1790, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0xdb205ff7, "mt76_mcu_send_and_get_msg" },
	{ 0xcb50a98a, "ieee80211_iter_keys_rcu" },
	{ 0x9b662b93, "__mt76_mcu_msg_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xa86eb07c, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29cb0f20, "mt76_get_rate_power_limits" },
	{ 0x5b8971fb, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x583c0250, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5aa3c3ee, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4106dad, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xca875b21, "skb_put" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "18D0BEC37D5DB20EAF0A570");
