#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x672a467e, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x90b36529, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x7591c74a, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x168ab672, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x2de5930b, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0xca965f34, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xb74b4f09, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x63e1e098, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xbe8f6ded, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x558c96e5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x981b52e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x5b8b8091, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x5aa3c3ee, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x25b6ee97, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0xffe3e484, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x4736bd75, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x7294ebc3, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x1702525e, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xb92f53a6, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xa18983b0, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x8efd4ed5, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xa4618d34, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xc62401e0, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x4f97d157, "_gpl");
SYMBOL_CRC(mt76_register_device, 0xa3746089, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xd1417b2a, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x71e60686, "_gpl");
SYMBOL_CRC(mt76_rx, 0xd07688c1, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x25b757aa, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x64fa1104, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xe8ab0f43, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x0130aa15, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xa5f76712, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x74aa7578, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xdfca969b, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x89943a65, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x7c87b09d, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x84228890, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x3d88b230, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xc08eb75f, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x399f54b5, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xd327e329, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x583c0250, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xf8ca3f5a, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x9b95698a, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xbffa2e82, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x7e8b43b2, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x0693155a, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xbc9fd349, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x3d3d7ac7, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x1bac661d, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x01b4ffd5, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0xfbcf0bb4, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x2db5527c, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x4382a076, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x1642e258, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xaa581d3c, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x6fadba13, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xdf9f8ffc, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0xd9f0ad9f, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x5259f5be, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x8f04adcc, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x48e17e13, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x29cb0f20, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0x498a06cf, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xd480f4fb, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x64d5a47d, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xe4106dad, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xd5ca2769, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xb1142052, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x29389a3c, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x305c03da, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x150b24c5, "_gpl");
SYMBOL_CRC(mt76_tx, 0x361419a0, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x0961f195, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x81dd1875, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xa48f6ac9, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x2543290c, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x28edf1aa, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x494df081, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x47256a90, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xb517852e, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x9d2d6f00, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x02195070, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x3e6839b0, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x914a4195, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xf3e7d8fa, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xab19472f, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x2d9875c3, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x9b662b93, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x7058b083, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x13e76164, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xdb205ff7, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xc52b1790, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xa86eb07c, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x84a0b654, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x08a1b235, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x5cddc26e, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0x9cfc25f6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd14788c2, "page_pool_destroy" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0xa16d8341, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9b6890d8, "ieee80211_sta_eosp" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce1db2ec, "kthread_park" },
	{ 0xfa56201b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x7e0872d1, "ieee80211_get_tx_rates" },
	{ 0xf5d5c04a, "ieee80211_send_bar" },
	{ 0xb64c42b1, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x47bbc12, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cc299e9, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x5e738076, "pci_disable_link_state" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x1bfca80c, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0xc010b6cb, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x328e3071, "_dev_err" },
	{ 0x226c48cc, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xcad7e50d, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24d5b858, "ieee80211_find_sta_by_ifaddr" },
	{ 0x5c63ee93, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3f4720a3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xe466d991, "napi_enable" },
	{ 0x6c76ad7d, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x1d597446, "ieee80211_sta_pspoll" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x96dfd94b, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xb08c7c9e, "ieee80211_free_txskb" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33112f44, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xef135a62, "ieee80211_tx_dequeue" },
	{ 0x6e2f5188, "ieee80211_rx_list" },
	{ 0x41d012f7, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe429ad39, "alloc_netdev_dummy" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xce5f42d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x42dfba22, "napi_build_skb" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0xac6e3ec3, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3d1be511, "debugfs_create_u8" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d25e1f1, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5492d581, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb8d72163, "pcie_capability_read_word" },
	{ 0x59154867, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x44ab38c2, "__ieee80211_schedule_txq" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x888b8950, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4ef8c9d5, "ieee80211_free_hw" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x4d269829, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1ada4d2c, "ieee80211_tx_status_ext" },
	{ 0x1245de87, "debugfs_create_blob" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "87EB4CEF5FEDD55C394092D");
