#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0x3d064db4, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x5c5cbc96, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0x2e282e43, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0x942d5568, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xdb23132d, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0x1949b654, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x57c7cccb, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x2d131cf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b95698a, "mt76_csa_check" },
	{ 0xb1142052, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb079743e, "mt76u_single_wr" },
	{ 0x150b24c5, "__mt76_tx_complete_skb" },
	{ 0xb1449185, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfa3614d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8ca3f5a, "mt76_csa_finish" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x62f1caa9, "mt76x02_init_beacon_config" },
	{ 0x9b662b93, "__mt76_mcu_msg_alloc" },
	{ 0x667fd141, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce5f42d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8d80c5b0, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x47256a90, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xe3a29a36, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x7591c74a, "__mt76_poll" },
	{ 0x2fb9ba0, "mt76x02_update_beacon_iter" },
	{ 0x1ac0da6b, "mt76x02_enqueue_buffered_bc" },
	{ 0xadb27469, "mt76x02_remove_hdr_pad" },
	{ 0xca875b21, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x495a8ac6, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x56b1cd64, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-usb,mt76x02-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "9E000E79562F8A49393B891");
