#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46e668f2, "mt76x02_mcu_set_radio_state" },
	{ 0x494df081, "mt76_wake_tx_queue" },
	{ 0xccef9d7a, "mt76x02e_init_beacon_config" },
	{ 0x1bac661d, "mt76_get_antenna" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xb92f53a6, "mt76_set_stream_caps" },
	{ 0x7a217aed, "mt76x2_apply_gain_adj" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0x42287303, "mt76x02_sta_ps" },
	{ 0x2a0e985, "mt76x2_set_sar_specs" },
	{ 0x16facd1f, "mt76x02_sta_rate_tbl_update" },
	{ 0xce1db2ec, "kthread_park" },
	{ 0x1702525e, "mt76_dma_cleanup" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbfb8e77, "mt76x02_reconfig_complete" },
	{ 0x4f97d157, "mt76_alloc_device" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x6fd165ca, "mt76x02_mac_shared_key_setup" },
	{ 0xafe19087, "mt76x02_ext_pa_enabled" },
	{ 0x92bc1b83, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x250a7079, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c31b993, "mt76x02_set_tx_ackto" },
	{ 0xbaa0764e, "mt76x02_update_channel" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xa043b3ce, "mt76x2_configure_tx_delay" },
	{ 0x5cddc26e, "mt76_pci_disable_aspm" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x9005e5e, "mt76x02_configure_filter" },
	{ 0x71e60686, "mt76_free_device" },
	{ 0x6a726d42, "mt76x02_queue_rx_skb" },
	{ 0x98b98625, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x328e3071, "_dev_err" },
	{ 0xed808880, "mt76x02_rx_poll_complete" },
	{ 0xbf34c885, "mt76x02_mac_setaddr" },
	{ 0xa3746089, "mt76_register_device" },
	{ 0xbffa2e82, "mt76_set_tim" },
	{ 0x5f22ea3c, "mt76x02_sw_scan_complete" },
	{ 0x3798943e, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xce496010, "mt76x02_phy_set_band" },
	{ 0x130aa15, "mt76_set_channel" },
	{ 0x4f1f98d9, "mt76x02_init_device" },
	{ 0xe466d991, "napi_enable" },
	{ 0xb5572888, "mt76x02_tx" },
	{ 0x90b36529, "mt76_mmio_init" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0xfa6b76d, "mt76x02_sta_remove" },
	{ 0x154ad38c, "mt76x02_edcca_init" },
	{ 0xd4a923e6, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd463db96, "mt76x02_sta_add" },
	{ 0xd1417b2a, "mt76_unregister_device" },
	{ 0x69bf2db4, "mt76x2_mcu_load_cr" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xdea2e9c0, "mt76x2_init_txpower" },
	{ 0x2b1d7ed2, "mt76x02_init_debugfs" },
	{ 0xa5f76712, "mt76_get_survey" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfd99163, "mt76x2_mcu_init_gain" },
	{ 0xe104fcbc, "mt76x02_set_rts_threshold" },
	{ 0x88f586e3, "mt76x02_tx_complete_skb" },
	{ 0x7c87b09d, "mt76_sta_state" },
	{ 0x82949f72, "mt76x02_mcu_msg_send" },
	{ 0x6b45989a, "mt76x2_phy_tssi_compensate" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0x7b3c4d88, "mt76x02_mac_cc_reset" },
	{ 0x59089655, "mt76x02_bss_info_changed" },
	{ 0x2123a129, "mt76x02_init_agc_gain" },
	{ 0x9c4037ac, "mt76x2_phy_update_channel_gain" },
	{ 0x196d8c83, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa48f6ac9, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6399da42, "mt76x02_add_interface" },
	{ 0x168ab672, "____mt76_poll_msec" },
	{ 0xb2c8528a, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x311728d6, "mt76x02_config_mac_addr_list" },
	{ 0x583c0250, "mt76_get_sar_power" },
	{ 0x536133a9, "mt76x02_tx_prepare_skb" },
	{ 0x732b88d9, "mt76x02_mcu_cleanup" },
	{ 0x24bd45a8, "mt76x02_ampdu_action" },
	{ 0x921a38c8, "mt76x02_mcu_calibrate" },
	{ 0x3d43e6c1, "mt76x02_conf_tx" },
	{ 0x75077611, "mt76x02_mcu_function_select" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbc9fd349, "mt76_sw_scan" },
	{ 0x84228890, "mt76_sta_pre_rcu_remove" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xb777534c, "mt76x2_get_temp_comp" },
	{ 0x63287709, "mt76x02_mac_wcid_setup" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x7591c74a, "__mt76_poll" },
	{ 0x8de07f5, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xd7d8d7f9, "mt76x2_phy_set_txpower_regs" },
	{ 0x8290a5c, "mt76x2_phy_set_txpower" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x1cebc737, "mt76x02_mac_start" },
	{ 0x5d5c11f0, "mt76x02_remove_interface" },
	{ 0x6a1b75fc, "mt76x02_dma_init" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x608b5e4e, "pci_choose_state" },
	{ 0xeba2fa1, "mt76x02_set_ethtool_fwver" },
	{ 0x622374a, "mt76x02_tx_set_txpwr_auto" },
	{ 0x3afe40e0, "mt76x02_set_key" },
	{ 0x56b1cd64, "mt76x02_mcu_parse_response" },
	{ 0x961f195, "mt76_release_buffered_frames" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x399f54b5, "mt76_get_txpower" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xa629121d, "mt76_write_mac_initvals" },
	{ 0x2cf46e41, "mt76x2_reset_wlan" },
	{ 0xa7dcb26e, "mt76x2_mcu_set_channel" },
	{ 0xd7fc42c9, "mt76x02_dma_disable" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76x2-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F45EF92C2C4249D6E80A246");
