#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x494df081, "mt76_wake_tx_queue" },
	{ 0x1bac661d, "mt76_get_antenna" },
	{ 0x7a217aed, "mt76x2_apply_gain_adj" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42287303, "mt76x02_sta_ps" },
	{ 0x2a0e985, "mt76x2_set_sar_specs" },
	{ 0x988c45f2, "mt76u_resume_rx" },
	{ 0x16facd1f, "mt76x02_sta_rate_tbl_update" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f97d157, "mt76_alloc_device" },
	{ 0x6fd165ca, "mt76x02_mac_shared_key_setup" },
	{ 0xafe19087, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x250a7079, "mt76x2_mac_stop" },
	{ 0x2abc8044, "usb_put_dev" },
	{ 0x9bb76f90, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbaa0764e, "mt76x02_update_channel" },
	{ 0xa043b3ce, "mt76x2_configure_tx_delay" },
	{ 0xcca77cd2, "usb_get_dev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x9005e5e, "mt76x02_configure_filter" },
	{ 0x71e60686, "mt76_free_device" },
	{ 0x6a726d42, "mt76x02_queue_rx_skb" },
	{ 0xd98b67b0, "mt76u_queues_deinit" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x328e3071, "_dev_err" },
	{ 0x3d064db4, "mt76x02u_mcu_fw_reset" },
	{ 0xbf34c885, "mt76x02_mac_setaddr" },
	{ 0xa3746089, "mt76_register_device" },
	{ 0xbffa2e82, "mt76_set_tim" },
	{ 0x5f22ea3c, "mt76x02_sw_scan_complete" },
	{ 0x3798943e, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xce496010, "mt76x02_phy_set_band" },
	{ 0x130aa15, "mt76_set_channel" },
	{ 0x4f1f98d9, "mt76x02_init_device" },
	{ 0xb5572888, "mt76x02_tx" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0x54388853, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xfa6b76d, "mt76x02_sta_remove" },
	{ 0x1de21537, "mt76x02_phy_set_rxpath" },
	{ 0x154ad38c, "mt76x02_edcca_init" },
	{ 0x15689486, "usb_deregister" },
	{ 0xcd658fee, "mt76x02_tx_status_data" },
	{ 0xd463db96, "mt76x02_sta_add" },
	{ 0x69bf2db4, "mt76x2_mcu_load_cr" },
	{ 0xdea2e9c0, "mt76x2_init_txpower" },
	{ 0x5c5cbc96, "mt76x02u_mcu_fw_send_data" },
	{ 0xe9653bcd, "mt76u_init" },
	{ 0xa5f76712, "mt76_get_survey" },
	{ 0x2b1d7ed2, "mt76x02_init_debugfs" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x2e282e43, "mt76x02u_init_mcu" },
	{ 0x1949b654, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xfd99163, "mt76x2_mcu_init_gain" },
	{ 0x7c87b09d, "mt76_sta_state" },
	{ 0x6b45989a, "mt76x2_phy_tssi_compensate" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0xdb23132d, "mt76x02u_mac_start" },
	{ 0x7b3c4d88, "mt76x02_mac_cc_reset" },
	{ 0x59089655, "mt76x02_bss_info_changed" },
	{ 0x2123a129, "mt76x02_init_agc_gain" },
	{ 0x9c4037ac, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa48f6ac9, "mt76_txq_schedule_all" },
	{ 0x870e477, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3aa81620, "mt76u_stop_tx" },
	{ 0x57c7cccb, "mt76x02u_init_beacon_config" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x8d80c5b0, "mt76u_vendor_request" },
	{ 0x6399da42, "mt76x02_add_interface" },
	{ 0x168ab672, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x583c0250, "mt76_get_sar_power" },
	{ 0x4d6cb7c9, "mt76u_stop_rx" },
	{ 0x24bd45a8, "mt76x02_ampdu_action" },
	{ 0x921a38c8, "mt76x02_mcu_calibrate" },
	{ 0x3d43e6c1, "mt76x02_conf_tx" },
	{ 0x75077611, "mt76x02_mcu_function_select" },
	{ 0xbc9fd349, "mt76_sw_scan" },
	{ 0x84228890, "mt76_sta_pre_rcu_remove" },
	{ 0x63287709, "mt76x02_mac_wcid_setup" },
	{ 0x7591c74a, "__mt76_poll" },
	{ 0x8de07f5, "mt76x2_read_rx_gain" },
	{ 0xd7d8d7f9, "mt76x2_phy_set_txpower_regs" },
	{ 0x8290a5c, "mt76x2_phy_set_txpower" },
	{ 0x90897d8d, "mt76x02_phy_set_txdac" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5d5c11f0, "mt76x02_remove_interface" },
	{ 0x942d5568, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xeba2fa1, "mt76x02_set_ethtool_fwver" },
	{ 0x3afe40e0, "mt76x02_set_key" },
	{ 0x961f195, "mt76_release_buffered_frames" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x399f54b5, "mt76_get_txpower" },
	{ 0xa629121d, "mt76_write_mac_initvals" },
	{ 0x2cf46e41, "mt76x2_reset_wlan" },
	{ 0xa7dcb26e, "mt76x2_mcu_set_channel" },
	{ 0x46e668f2, "mt76x02_mcu_set_radio_state" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x2-common,mac80211,mt76x02-lib,mt76-usb,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "EFD8C4061C24FF01545D55A");
