#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x143b6746, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xdac9e189, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xac40f464, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x7dd6c509, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x2ba75d3c, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xc087fe56, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xe1ace0bb, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xf8401f67, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x31af7e1c, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x37013937, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x5d959f40, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x9aa612bb, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xa3197757, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x676e41b9, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xa8720909, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x5302309c, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xb1d4fbf5, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0xef00324c, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xaf6fea90, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xbdfd880c, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xa52e5c43, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xe1487c7a, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x50c42440, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x0bf191ba, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x0e018488, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x0c6d3675, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x3706472a, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x8e79d745, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xe4ff3bfd, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x6a2e1c26, "_gpl");
SYMBOL_CRC(rt2800_config, 0x73e16680, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x478ffff9, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x736e4cdb, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x9a9cecbc, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x275727d7, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x60b7fbe4, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xd3505d1a, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xb3369e2e, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x97593624, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x84414a3e, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xfab13cbf, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x3541f5da, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xa3c51efe, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xe59d9855, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xe7638eff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x328e3071, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd350b3cc, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd8a615c2, "rt2x00lib_txdone" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x881dac5e, "rt2x00queue_get_entry" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x981e3ad4, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xd0379955, "rt2x00mac_conf_tx" },
	{ 0xbc0dc218, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65620cc3, "skb_push" },
	{ 0x445764b, "rt2x00debug_dump_frame" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x59154867, "__skb_pad" },
	{ 0x45ea71e, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x67dace66, "ieee80211_restart_hw" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x1580c3f, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "9E1A111AF9AF06F91AEF468");
