#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl92d_dm_initialize_txpower_tracking, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_check_txpower_tracking_thermal_meter, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_false_alarm_counter_statistics, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_find_minimum_rssi, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_write_dig, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_dig, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_check_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_init_rate_adaptive_mask, "_gpl", "");
KSYMTAB_FUNC(rtl92d_is_fw_downloaded, "_gpl", "");
KSYMTAB_FUNC(rtl92d_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl92d_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl92d_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fw_init, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fill_h2c_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_fw_joinbss_report_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_stop_tx_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl92d_resume_tx_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_hw_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_hw_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_llt_write, "_gpl", "");
KSYMTAB_FUNC(rtl92d_enable_hw_security_config, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_qos, "_gpl", "");
KSYMTAB_FUNC(rtl92d_read_eeprom_info, "_gpl", "");
KSYMTAB_FUNC(rtl92d_update_hal_rate_tbl, "_gpl", "");
KSYMTAB_FUNC(rtl92d_update_channel_access_setting, "_gpl", "");
KSYMTAB_FUNC(rtl92d_gpio_radio_on_off_checking, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_key, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_query_rf_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_rf_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_init_bb_rf_register_definition, "_gpl", "");
KSYMTAB_FUNC(rtl92d_store_pwrindex_diffrate_offset, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_get_hw_reg_originalvalue, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_txpower_level, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_enable_rf_env, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_restore_rf_env, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_rightchnlplace_for_iqk, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_calc_curvindex, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_reset_iqk_result, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_io_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_macphymode, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_macphymode_info, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_chnlgroup_fromarray, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_maccoexist_rfpage, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_bandwidth, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_cck_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_ofdm_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl92d_rx_query_desc, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_desc, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_desc, "_gpl", "");

SYMBOL_CRC(rtl92d_dm_initialize_txpower_tracking, 0xae84e0b6, "_gpl");
SYMBOL_CRC(rtl92d_dm_check_txpower_tracking_thermal_meter, 0x7e468418, "_gpl");
SYMBOL_CRC(rtl92d_dm_false_alarm_counter_statistics, 0xbfb5a71d, "_gpl");
SYMBOL_CRC(rtl92d_dm_find_minimum_rssi, 0x07c06f16, "_gpl");
SYMBOL_CRC(rtl92d_dm_write_dig, 0x69c9b807, "_gpl");
SYMBOL_CRC(rtl92d_dm_dig, 0x4e46d391, "_gpl");
SYMBOL_CRC(rtl92d_dm_init_edca_turbo, 0x09ee6ca0, "_gpl");
SYMBOL_CRC(rtl92d_dm_check_edca_turbo, 0x211b1da3, "_gpl");
SYMBOL_CRC(rtl92d_dm_init_rate_adaptive_mask, 0xfcfea055, "_gpl");
SYMBOL_CRC(rtl92d_is_fw_downloaded, 0xb5fd09f7, "_gpl");
SYMBOL_CRC(rtl92d_enable_fw_download, 0x921e689c, "_gpl");
SYMBOL_CRC(rtl92d_write_fw, 0x3bc731e0, "_gpl");
SYMBOL_CRC(rtl92d_fw_free_to_go, 0x09b97826, "_gpl");
SYMBOL_CRC(rtl92d_firmware_selfreset, 0xd8cf8ae5, "_gpl");
SYMBOL_CRC(rtl92d_fw_init, 0xb00d228b, "_gpl");
SYMBOL_CRC(rtl92d_fill_h2c_cmd, 0x64a79d73, "_gpl");
SYMBOL_CRC(rtl92d_set_fw_joinbss_report_cmd, 0xe46fa655, "_gpl");
SYMBOL_CRC(rtl92d_stop_tx_beacon, 0x630a13ac, "_gpl");
SYMBOL_CRC(rtl92d_resume_tx_beacon, 0xb77b0f2a, "_gpl");
SYMBOL_CRC(rtl92d_get_hw_reg, 0x25419399, "_gpl");
SYMBOL_CRC(rtl92d_set_hw_reg, 0x623a87dc, "_gpl");
SYMBOL_CRC(rtl92d_llt_write, 0xfad0f5d6, "_gpl");
SYMBOL_CRC(rtl92d_enable_hw_security_config, 0x756d8be7, "_gpl");
SYMBOL_CRC(rtl92d_set_qos, 0x6dfa162f, "_gpl");
SYMBOL_CRC(rtl92d_read_eeprom_info, 0x7649638e, "_gpl");
SYMBOL_CRC(rtl92d_update_hal_rate_tbl, 0xb1f1e70a, "_gpl");
SYMBOL_CRC(rtl92d_update_channel_access_setting, 0xb3af15ff, "_gpl");
SYMBOL_CRC(rtl92d_gpio_radio_on_off_checking, 0x9d695d89, "_gpl");
SYMBOL_CRC(rtl92d_set_key, 0x05dcd65e, "_gpl");
SYMBOL_CRC(rtl92d_phy_query_rf_reg, 0x48c7dc61, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_rf_reg, 0x654339b6, "_gpl");
SYMBOL_CRC(rtl92d_phy_init_bb_rf_register_definition, 0x86cf2418, "_gpl");
SYMBOL_CRC(rtl92d_store_pwrindex_diffrate_offset, 0x465fd960, "_gpl");
SYMBOL_CRC(rtl92d_phy_get_hw_reg_originalvalue, 0x6b7d7a38, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_txpower_level, 0xf757d791, "_gpl");
SYMBOL_CRC(rtl92d_phy_enable_rf_env, 0x1d7dc258, "_gpl");
SYMBOL_CRC(rtl92d_phy_restore_rf_env, 0x64212618, "_gpl");
SYMBOL_CRC(rtl92d_get_rightchnlplace_for_iqk, 0x9a051407, "_gpl");
SYMBOL_CRC(rtl92d_phy_save_adda_registers, 0x16f07919, "_gpl");
SYMBOL_CRC(rtl92d_phy_save_mac_registers, 0x6553a406, "_gpl");
SYMBOL_CRC(rtl92d_phy_path_adda_on, 0x3bc9e381, "_gpl");
SYMBOL_CRC(rtl92d_phy_mac_setting_calibration, 0x90d20364, "_gpl");
SYMBOL_CRC(rtl92d_phy_calc_curvindex, 0xc3add159, "_gpl");
SYMBOL_CRC(rtl92d_phy_reset_iqk_result, 0xb2afba1c, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_io_cmd, 0xbef84106, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_macphymode, 0x9f85bdae, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_macphymode_info, 0x43a523ef, "_gpl");
SYMBOL_CRC(rtl92d_get_chnlgroup_fromarray, 0xa0f98628, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_maccoexist_rfpage, 0x02f6a522, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_bandwidth, 0xce09314f, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_cck_txpower, 0x6d85545a, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_ofdm_txpower, 0x1f779fc0, "_gpl");
SYMBOL_CRC(rtl92d_rx_query_desc, 0xf87fe897, "_gpl");
SYMBOL_CRC(rtl92d_set_desc, 0xc550eb8d, "_gpl");
SYMBOL_CRC(rtl92d_get_desc, 0x1eeef610, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc786c760, "rtl_cam_del_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x54824f58, "channel5g" },
	{ 0xaebb3fee, "rtl_cam_mark_invalid" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xced6f119, "_rtl_dbg_print" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d385f51, "rtlwifi_rate_mapping" },
	{ 0xb0317468, "rtl_signal_scale_mapping" },
	{ 0xb9d13534, "_rtl_dbg_print_data" },
	{ 0x2606afdd, "rtl_fw_page_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98f7b324, "rtl_get_hwinfo" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0x43a70c2f, "read_efuse_byte" },
	{ 0x5905b86, "rtl_cam_add_one_entry" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x296f889c, "rtl_cam_get_free_entry" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x95028b8a, "rtl_cam_delete_one_entry" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ab873e4, "rtl_cam_empty_entry" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "3B0045DEC7C727194417F57");
