#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0xa1a94b2a, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0xa7e55412, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0xd8203766, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x17b9ecf2, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x23828c04, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0xdf444337, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0x232e8581, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x0ca8e1ce, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0xb7653009, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0xc98fd814, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0x05d1c528, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0x1aedc113, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0x40df4043, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0x60711c41, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0xcd9f544b, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0xce8a4bd1, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0x368075df, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0x6871b0a4, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0xd0568573, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0xdb427d3e, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0xc4ef7d5d, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0xd6e8e426, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0xf19bdf90, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x70759191, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xced6f119, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2606afdd, "rtl_fw_page_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "168ABD5B1AB8C27EE0F47E6");
