#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_tid_to_ac, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_deferred_work, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rfkill, "", "");
KSYMTAB_FUNC(rtl_deinit_rfkill, "_gpl", "");
KSYMTAB_FUNC(rtl_init_core, "_gpl", "");
KSYMTAB_FUNC(rtl_deinit_core, "_gpl", "");
KSYMTAB_FUNC(rtl_init_rx_config, "_gpl", "");
KSYMTAB_FUNC(rtl_mrate_idx_to_arfr_id, "", "");
KSYMTAB_FUNC(rtlwifi_rate_mapping, "", "");
KSYMTAB_FUNC(rtl_get_tcb_desc, "", "");
KSYMTAB_FUNC(rtl_tx_mgmt_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_action_proc, "_gpl", "");
KSYMTAB_FUNC(rtl_is_special_data, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_ackqueue, "_gpl", "");
KSYMTAB_FUNC(rtl_set_tx_report, "_gpl", "");
KSYMTAB_FUNC(rtl_tx_report_handler, "_gpl", "");
KSYMTAB_FUNC(rtl_get_hal_edca_param, "_gpl", "");
KSYMTAB_FUNC(rtl_rx_ampdu_apply, "", "");
KSYMTAB_FUNC(rtl_beacon_statistic, "_gpl", "");
KSYMTAB_FUNC(rtl_collect_scan_list, "", "");
KSYMTAB_FUNC(rtl_c2hcmd_enqueue, "", "");
KSYMTAB_FUNC(rtl_send_smps_action, "", "");
KSYMTAB_FUNC(rtl_phy_scan_operation_backup, "", "");
KSYMTAB_FUNC(rtl_recognize_peer, "_gpl", "");
KSYMTAB_DATA(rtl_global_var, "_gpl", "");
KSYMTAB_FUNC(rtl_cam_add_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_delete_one_entry, "", "");
KSYMTAB_FUNC(rtl_cam_reset_all_entry, "", "");
KSYMTAB_FUNC(rtl_cam_mark_invalid, "", "");
KSYMTAB_FUNC(rtl_cam_empty_entry, "", "");
KSYMTAB_FUNC(rtl_cam_get_free_entry, "", "");
KSYMTAB_FUNC(rtl_cam_del_entry, "", "");
KSYMTAB_DATA(channel5g, "", "");
KSYMTAB_DATA(channel5g_80m, "", "");
KSYMTAB_FUNC(rtl_addr_delay, "", "");
KSYMTAB_FUNC(rtl_rfreg_delay, "", "");
KSYMTAB_FUNC(rtl_bb_delay, "", "");
KSYMTAB_FUNC(rtl_fw_cb, "", "");
KSYMTAB_FUNC(rtl_wowlan_fw_cb, "", "");
KSYMTAB_FUNC(rtl_update_beacon_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_hal_pwrseqcmdparsing, "", "");
KSYMTAB_FUNC(rtl_cmd_send_packet, "", "");
KSYMTAB_FUNC(rtl_init_sw_leds, "", "");
KSYMTAB_DATA(rtl_ops, "_gpl", "");
KSYMTAB_FUNC(rtl_btc_status_false, "_gpl", "");
KSYMTAB_FUNC(rtl_dm_diginit, "", "");
KSYMTAB_FUNC(_rtl_dbg_print, "_gpl", "");
KSYMTAB_FUNC(_rtl_dbg_print_data, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_add_one, "_gpl", "");
KSYMTAB_FUNC(rtl_debug_remove_one, "_gpl", "");
KSYMTAB_FUNC(efuse_read_1byte, "", "");
KSYMTAB_FUNC(read_efuse_byte, "_gpl", "");
KSYMTAB_FUNC(efuse_shadow_read, "", "");
KSYMTAB_FUNC(rtl_efuse_shadow_map_update, "", "");
KSYMTAB_FUNC(efuse_one_byte_read, "", "");
KSYMTAB_FUNC(efuse_power_switch, "", "");
KSYMTAB_FUNC(rtl_get_hwinfo, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_block_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fw_page_write, "_gpl", "");
KSYMTAB_FUNC(rtl_fill_dummy, "_gpl", "");
KSYMTAB_FUNC(rtl_efuse_ops_init, "_gpl", "");
KSYMTAB_FUNC(rtl_ps_enable_nic, "", "");
KSYMTAB_FUNC(rtl_ps_disable_nic, "", "");
KSYMTAB_FUNC(rtl_ips_nic_on, "_gpl", "");
KSYMTAB_FUNC(rtl_swlps_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_change_work_callback, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_enter, "_gpl", "");
KSYMTAB_FUNC(rtl_lps_leave, "_gpl", "");
KSYMTAB_FUNC(rtl_p2p_info, "_gpl", "");
KSYMTAB_FUNC(rtl_query_rxpwrpercentage, "", "");
KSYMTAB_FUNC(rtl_evm_db_to_percentage, "", "");
KSYMTAB_FUNC(rtl_signal_scale_mapping, "", "");
KSYMTAB_FUNC(rtl_process_phyinfo, "", "");

SYMBOL_CRC(rtl_tid_to_ac, 0x97e05663, "_gpl");
SYMBOL_CRC(rtl_deinit_deferred_work, 0x6e17229f, "_gpl");
SYMBOL_CRC(rtl_init_rfkill, 0xfc307272, "");
SYMBOL_CRC(rtl_deinit_rfkill, 0x7c6bae53, "_gpl");
SYMBOL_CRC(rtl_init_core, 0xbae8ac67, "_gpl");
SYMBOL_CRC(rtl_deinit_core, 0x088be04d, "_gpl");
SYMBOL_CRC(rtl_init_rx_config, 0xf0d9c10f, "_gpl");
SYMBOL_CRC(rtl_mrate_idx_to_arfr_id, 0xe63cd42b, "");
SYMBOL_CRC(rtlwifi_rate_mapping, 0x4d385f51, "");
SYMBOL_CRC(rtl_get_tcb_desc, 0x686738c7, "");
SYMBOL_CRC(rtl_tx_mgmt_proc, 0xc03e5fed, "_gpl");
SYMBOL_CRC(rtl_action_proc, 0xcc0f2a03, "_gpl");
SYMBOL_CRC(rtl_is_special_data, 0x58964d91, "_gpl");
SYMBOL_CRC(rtl_tx_ackqueue, 0x9c82ea03, "_gpl");
SYMBOL_CRC(rtl_set_tx_report, 0x3223e52b, "_gpl");
SYMBOL_CRC(rtl_tx_report_handler, 0x4505be09, "_gpl");
SYMBOL_CRC(rtl_get_hal_edca_param, 0xa164e126, "_gpl");
SYMBOL_CRC(rtl_rx_ampdu_apply, 0x02613fc8, "");
SYMBOL_CRC(rtl_beacon_statistic, 0xdd195af2, "_gpl");
SYMBOL_CRC(rtl_collect_scan_list, 0xe217cb75, "");
SYMBOL_CRC(rtl_c2hcmd_enqueue, 0x952bffaa, "");
SYMBOL_CRC(rtl_send_smps_action, 0x4830e6f4, "");
SYMBOL_CRC(rtl_phy_scan_operation_backup, 0xf3f40415, "");
SYMBOL_CRC(rtl_recognize_peer, 0x3960c606, "_gpl");
SYMBOL_CRC(rtl_global_var, 0x4e94cd48, "_gpl");
SYMBOL_CRC(rtl_cam_add_one_entry, 0x05905b86, "");
SYMBOL_CRC(rtl_cam_delete_one_entry, 0x95028b8a, "");
SYMBOL_CRC(rtl_cam_reset_all_entry, 0xfc903f0f, "");
SYMBOL_CRC(rtl_cam_mark_invalid, 0xaebb3fee, "");
SYMBOL_CRC(rtl_cam_empty_entry, 0x7ab873e4, "");
SYMBOL_CRC(rtl_cam_get_free_entry, 0x296f889c, "");
SYMBOL_CRC(rtl_cam_del_entry, 0xc786c760, "");
SYMBOL_CRC(channel5g, 0x54824f58, "");
SYMBOL_CRC(channel5g_80m, 0x0b038e24, "");
SYMBOL_CRC(rtl_addr_delay, 0x1b945315, "");
SYMBOL_CRC(rtl_rfreg_delay, 0xc46e7e7d, "");
SYMBOL_CRC(rtl_bb_delay, 0xea25360b, "");
SYMBOL_CRC(rtl_fw_cb, 0x8ea60059, "");
SYMBOL_CRC(rtl_wowlan_fw_cb, 0xebedfe5f, "");
SYMBOL_CRC(rtl_update_beacon_work_callback, 0x6db3ba37, "_gpl");
SYMBOL_CRC(rtl_hal_pwrseqcmdparsing, 0xa4348480, "");
SYMBOL_CRC(rtl_cmd_send_packet, 0x0ea2fcd5, "");
SYMBOL_CRC(rtl_init_sw_leds, 0x434ae05f, "");
SYMBOL_CRC(rtl_ops, 0x54d9c402, "_gpl");
SYMBOL_CRC(rtl_btc_status_false, 0x2921a4d4, "_gpl");
SYMBOL_CRC(rtl_dm_diginit, 0x0ed62762, "");
SYMBOL_CRC(_rtl_dbg_print, 0xced6f119, "_gpl");
SYMBOL_CRC(_rtl_dbg_print_data, 0xb9d13534, "_gpl");
SYMBOL_CRC(rtl_debug_add_one, 0x52ceba88, "_gpl");
SYMBOL_CRC(rtl_debug_remove_one, 0x4773030a, "_gpl");
SYMBOL_CRC(efuse_read_1byte, 0x364df1cd, "");
SYMBOL_CRC(read_efuse_byte, 0x43a70c2f, "_gpl");
SYMBOL_CRC(efuse_shadow_read, 0x4c45ee6e, "");
SYMBOL_CRC(rtl_efuse_shadow_map_update, 0x26a34814, "");
SYMBOL_CRC(efuse_one_byte_read, 0xc4e1beaf, "");
SYMBOL_CRC(efuse_power_switch, 0x86921c13, "");
SYMBOL_CRC(rtl_get_hwinfo, 0x98f7b324, "_gpl");
SYMBOL_CRC(rtl_fw_block_write, 0x9ae2fc4f, "_gpl");
SYMBOL_CRC(rtl_fw_page_write, 0x2606afdd, "_gpl");
SYMBOL_CRC(rtl_fill_dummy, 0x2e5382f9, "_gpl");
SYMBOL_CRC(rtl_efuse_ops_init, 0x2b4d8ab1, "_gpl");
SYMBOL_CRC(rtl_ps_enable_nic, 0xf58cc271, "");
SYMBOL_CRC(rtl_ps_disable_nic, 0x2438a0fa, "");
SYMBOL_CRC(rtl_ips_nic_on, 0x73868f8b, "_gpl");
SYMBOL_CRC(rtl_swlps_beacon, 0xc25b573e, "_gpl");
SYMBOL_CRC(rtl_lps_change_work_callback, 0x2d32cdfc, "_gpl");
SYMBOL_CRC(rtl_lps_enter, 0x326120c6, "_gpl");
SYMBOL_CRC(rtl_lps_leave, 0xec46e9a1, "_gpl");
SYMBOL_CRC(rtl_p2p_info, 0xb9427fd8, "_gpl");
SYMBOL_CRC(rtl_query_rxpwrpercentage, 0x30a956d7, "");
SYMBOL_CRC(rtl_evm_db_to_percentage, 0xed7c8cf2, "");
SYMBOL_CRC(rtl_signal_scale_mapping, 0xb0317468, "");
SYMBOL_CRC(rtl_process_phyinfo, 0xfb5026dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbc0dc218, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xd3090d52, "wiphy_to_ieee80211_hw" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc70175d6, "wiphy_apply_custom_regulatory" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xce392432, "ieee80211_rate_control_register" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x15fbfb25, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x2f1f6ca4, "wiphy_rfkill_start_polling" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x52379f42, "freq_reg_info" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa74938f1, "ieee80211_resume_disconnect" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xed11eb58, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc057f771, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xe2e4f264, "single_open" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0x8d17871, "cfg80211_unlink_bss" },
	{ 0x3d46a690, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x89fed12c, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbd4a1eec, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x606ad0e6, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7fca02de, "ieee80211_rate_control_unregister" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b45ad10, "ieee80211_find_sta" },
	{ 0x306c0268, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b93630f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5e3ac59e, "cfg80211_put_bss" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,rfkill,cfg80211");


MODULE_INFO(srcversion, "18DCC9152A408ED19D6E0CF");
