#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd27f215d, "gnttab_alloc_grant_references" },
	{ 0x41d012f7, "page_pool_create" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xe466d991, "napi_enable" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xd14788c2, "page_pool_destroy" },
	{ 0x328e3071, "_dev_err" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0x93d1d424, "gnttab_free_grant_references" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x86d6c5e7, "skb_checksum_setup" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5d26bd27, "gnttab_end_foreign_access" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc7c23ff0, "xenbus_exists" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x37914025, "xenbus_write" },
	{ 0x3a1b85f1, "bpf_prog_add" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0x1000e51, "schedule" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6ec85677, "_dev_alert" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0x8c484409, "gnttab_release_grant_reference" },
	{ 0x7defc870, "gnttab_end_foreign_access_ref" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x5fd31bef, "gnttab_foreach_grant_in_range" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xff1f1005, "netif_skb_features" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x371bc0f0, "skb_copy_header" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x1e3fa4b2, "page_pool_alloc_pages" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0x4b931968, "xen_features" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xe2964344, "__wake_up" },
	{ 0x481009be, "netdev_notify_peers" },
	{ 0xb03deb03, "xenbus_frontend_closed" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfdcb8f4b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xea96a0ba, "xdp_return_frame_rx_napi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x34f3b6, "xen_has_pv_nic_devices" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x9c68270c, "__xenbus_register_frontend" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x37a0cba, "kfree" },
	{ 0xd72feba2, "xenbus_read_driver_state" },
	{ 0x3acb8d16, "xenbus_switch_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x31dca4d8, "gnttab_claim_grant_reference" },
	{ 0xf27d0a7b, "gnttab_grant_foreign_access_ref" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x91711b22, "__skb_get_hash_net" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0x2ad622ab, "xenbus_unregister_driver" },
	{ 0x692777c2, "netdev_info" },
	{ 0xb2678093, "xenbus_setup_ring" },
	{ 0xacf0a313, "xenbus_alloc_evtchn" },
	{ 0xf7866b4f, "bind_evtchn_to_irqhandler_lateeoi" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xfd9119c3, "xenbus_free_evtchn" },
	{ 0x754d539c, "strlen" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x453d4da5, "xenbus_dev_fatal" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9f984513, "strrchr" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4E4B65266257E4E8B9F811C");
