#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xc8559a7e, "rdma_rw_ctx_wrs" },
	{ 0x93e6d09f, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa76a143, "ib_cq_pool_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66a8022e, "nvmet_register_transport" },
	{ 0xacd014bc, "rdma_notify" },
	{ 0x34d177a5, "rdma_set_afonly" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa85c8c3e, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fdea428, "rdma_listen" },
	{ 0xe4efbcb3, "rdma_destroy_qp" },
	{ 0x22f7a15d, "ib_check_mr_status" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf04b9038, "rdma_rw_ctx_signature_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd698582b, "ib_cq_pool_get" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4099f7fb, "nvmet_req_alloc_sgls" },
	{ 0xb145b2a3, "param_set_int" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x8f1f79f, "rdma_destroy_id" },
	{ 0x4b1ce803, "nvmet_sq_init" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5e4ea739, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xcf197fe5, "ib_drain_qp" },
	{ 0xa0d27ee2, "nvmet_ctrl_fatal_error" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0x1cd78045, "nvmet_req_uninit" },
	{ 0x16b2d303, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7016e2e5, "rdma_rw_ctx_init" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9b074601, "dma_pci_p2pdma_supported" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd06673ec, "rdma_reject_msg" },
	{ 0x5f219485, "rdma_rw_ctx_destroy" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x895c0768, "rdma_rw_mr_factor" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0xa039994, "nvmet_req_complete" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x7abdc694, "nvmet_req_free_sgls" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3d0a698, "rdma_rw_ctx_post" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x7ff0d1fa, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdcde1f4, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16b16e89, "nvmet_sq_destroy" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa33b403b, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x25b6cf60, "rdma_rw_ctx_destroy_signature" },
	{ 0x162e5278, "nvmet_unregister_transport" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x9c4a88b6, "rdma_bind_addr" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6ab09403, "nvmet_req_init" },
	{ 0x6b8900c0, "rdma_create_qp" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core,nvmet,rdma_cm");


MODULE_INFO(srcversion, "3933BE2D667254E925BD05A");
