#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_set, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xe5d01755, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0x476407d0, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0xfa40f4b7, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmidev_block_set, 0x815d4744, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x006d493a, "");
SYMBOL_CRC(wmi_driver_unregister, 0x43ad172d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x810dca50, "bus_register" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x6650e84c, "device_for_each_child_reverse" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x37a0cba, "kfree" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x668b19a1, "down_read" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53b954a2, "up_read" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4eea6ff4, "bus_find_device" },
	{ 0xb2c69045, "put_device" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x91e127e4, "device_link_add" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0x44bc631a, "device_create" },
	{ 0xdcd5c01c, "__devm_add_action" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3dc21f9, "driver_set_override" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x689c9e31, "driver_register" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x844c6b16, "class_register" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "CD4A8D1AE2B9AA70AEA376C");
