#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x803b0cb1, "cxgbi_sock_skb_entail" },
	{ 0xe220ecfb, "cxgbi_sock_fail_act_open" },
	{ 0xe42d7c5e, "cxgb3_queue_tid_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x3a5a7103, "cxgbi_sock_closed" },
	{ 0xc7fed5ea, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x4d0bd80f, "cxgbi_sock_established" },
	{ 0xb850860e, "cxgbi_conn_tx_open" },
	{ 0xffcc6d3f, "cxgb3_free_atid" },
	{ 0x3006fb62, "t3_l2t_get" },
	{ 0xc700d836, "cxgb3_alloc_atid" },
	{ 0x320fc1eb, "ip6_mtu" },
	{ 0x3e97a2d9, "cxgbi_sock_select_mss" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd137eb0, "t3_l2e_free" },
	{ 0x48484e83, "ipv4_mtu" },
	{ 0xf7ba86e9, "cxgbi_sock_free_cpl_skbs" },
	{ 0x8b021509, "cxgbi_sock_purge_wr_queue" },
	{ 0x55a64c2, "cxgb3_remove_tid" },
	{ 0xb4a9a0c2, "cxgbi_create_session" },
	{ 0x67f1210f, "cxgbi_destroy_session" },
	{ 0xda900cde, "cxgbi_create_conn" },
	{ 0x150a5cbb, "iscsi_conn_unbind" },
	{ 0x4d54b444, "cxgbi_bind_conn" },
	{ 0xc361b48e, "iscsi_conn_start" },
	{ 0xceff586e, "iscsi_conn_stop" },
	{ 0xb83074f2, "iscsi_tcp_conn_teardown" },
	{ 0x914bcf63, "cxgbi_set_conn_param" },
	{ 0x9eef26b5, "cxgbi_get_ep_param" },
	{ 0xfceb922c, "iscsi_conn_get_param" },
	{ 0x5afcc74, "iscsi_session_get_param" },
	{ 0x1479651a, "cxgbi_get_host_param" },
	{ 0x301980dd, "cxgbi_set_host_param" },
	{ 0x239cb20c, "iscsi_conn_send_pdu" },
	{ 0x21613252, "cxgbi_get_conn_stats" },
	{ 0x9fde7983, "iscsi_tcp_task_init" },
	{ 0x2b9d5c05, "iscsi_tcp_task_xmit" },
	{ 0x3fb70c74, "cxgbi_cleanup_task" },
	{ 0xa28a0772, "cxgbi_conn_alloc_pdu" },
	{ 0x2d28a911, "cxgbi_conn_xmit_pdu" },
	{ 0x26860412, "cxgbi_conn_init_pdu" },
	{ 0x9a69bc19, "cxgbi_parse_pdu_itt" },
	{ 0xfc2247ee, "iscsi_session_recovery_timedout" },
	{ 0x719c519, "cxgbi_ep_connect" },
	{ 0xc937cde1, "cxgbi_ep_poll" },
	{ 0xf92983f6, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xfd86759e, "iscsi_queuecommand" },
	{ 0x6a3f9240, "iscsi_eh_abort" },
	{ 0x68c1581b, "iscsi_eh_device_reset" },
	{ 0x52842b38, "iscsi_eh_recover_target" },
	{ 0xcc5a9626, "iscsi_target_alloc" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xe544f7d, "iscsi_eh_cmd_timed_out" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x250d466f, "cxgbi_sock_rcv_wr_ack" },
	{ 0x71e3c297, "__kfree_skb" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe463e131, "cxgbi_device_find_by_lldev" },
	{ 0x9b81a161, "cxgbi_device_unregister" },
	{ 0x1d184880, "cxgb3_ofld_send" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd1a9916a, "cxgbi_device_portmap_create" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x38340ec8, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x26cc5c7c, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x97d15ff6, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x4d59a3d0, "cxgbi_sock_rcv_peer_close" },
	{ 0x61c94694, "cxgbi_iscsi_init" },
	{ 0xebab6d37, "cxgb3_register_client" },
	{ 0x64efd2fe, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xf42beae9, "cxgbi_iscsi_cleanup" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0x43edc070, "cxgbi_ddp_ppm_setup" },
	{ 0x688c431f, "cxgbi_device_register" },
	{ 0x448bdba4, "cxgbi_hbas_add" },
	{  0xcd506, "t3_l2t_send_slow" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x21aade33, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb3,libiscsi,libiscsi_tcp,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");
