#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa1bcd198, "fc_cpu_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xbc994aac, "fc_exch_recv" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xca875b21, "skb_put" },
	{ 0x65620cc3, "skb_push" },
	{ 0xdc951185, "fcoe_start_io" },
	{ 0xb99f9cc7, "fcoe_check_wait_queue" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9e95ed36, "fcoe_get_paged_crc_eof" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3d51954f, "fcoe_ctlr_els_send" },
	{ 0xebf499b4, "fcoe_fc_crc" },
	{ 0x707728fd, "fc_lport_destroy" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xca19ad5e, "fc_remove_host" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0xf493e10d, "fc_fcp_destroy" },
	{ 0x28a15361, "fc_exch_mgr_free" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x18b41e6a, "fcoe_transport_attach" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x64cbd2ff, "fc_attach_transport" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xee24f985, "fc_release_transport" },
	{ 0xfbcce944, "fcoe_transport_detach" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x61c35fea, "fcoe_ctlr_destroy" },
	{ 0xd408f16a, "module_put" },
	{ 0xa4b6db20, "fcoe_ctlr_device_delete" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0xfbfe5e77, "libfc_vport_create" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x12a56c7, "fc_lport_config" },
	{ 0x129e2318, "fc_set_mfs" },
	{ 0xbac58840, "fcoe_queue_timer" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x291afc58, "fcoe_link_speed_update" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x8bee92d6, "fcoe_libfc_config" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5ad83795, "fcoe_get_wwn" },
	{ 0xfa69c02, "fc_exch_mgr_list_clone" },
	{ 0xc3f30cc0, "fcoe_wwn_from_mac" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x786efa4a, "fcoe_ctlr_device_add" },
	{ 0x6ed9734, "fcoe_ctlr_init" },
	{ 0xf2a6b46, "dcb_getapp" },
	{ 0x45db38e, "dcb_ieee_getapp_mask" },
	{ 0x387619fe, "fcoe_validate_vport_create" },
	{ 0xf167cb7a, "fcoe_wwn_to_str" },
	{ 0x97227c, "fc_queuecommand" },
	{ 0x64e2e75e, "fc_eh_abort" },
	{ 0x6fe8e86d, "fc_eh_device_reset" },
	{ 0xf146ea01, "fc_eh_host_reset" },
	{ 0x633fbf6d, "fc_slave_alloc" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xb35c410d, "fc_eh_timed_out" },
	{ 0x1b3698, "fc_set_rport_loss_tmo" },
	{ 0x17d225b9, "fc_get_host_port_state" },
	{ 0xab636a9e, "fc_get_host_speed" },
	{ 0x10214cf, "fc_get_host_stats" },
	{ 0x1a37c7fb, "fc_rport_terminate_io" },
	{ 0xf13730aa, "fc_lport_bsg_request" },
	{ 0xd734af9b, "fcoe_get_lesb" },
	{ 0x280144fc, "fcoe_ctlr_get_lesb" },
	{ 0xc40283ca, "fcoe_fcf_get_selected" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa20295b, "fcoe_ctlr_link_down" },
	{ 0x84d17ae5, "fcoe_clean_pending_queue" },
	{ 0x3dfd9f70, "fcoe_ctlr_link_up" },
	{ 0xcbba8f4a, "dev_uc_del" },
	{ 0xfd39f94a, "dev_uc_add" },
	{ 0xf0559989, "vlan_dev_vlan_id" },
	{ 0xc5486bf1, "fcoe_ctlr_set_fip_mode" },
	{ 0x2ad8c6b6, "dev_mc_del" },
	{ 0x1c5bb0b6, "dev_mc_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7ca0a2d, "fcoe_ctlr_recv" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x85c6d3a6, "dev_add_pack" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xeb504ebc, "fcoe_ctlr_recv_flogi" },
	{ 0xa10e44c2, "fc_elsct_send" },
	{ 0x5ab1102e, "fc_lport_logo_resp" },
	{ 0x2ed5c65b, "fc_lport_flogi_resp" },
	{ 0x5aff821f, "fc_exch_mgr_alloc" },
	{ 0x887f331b, "fc_exch_mgr_add" },
	{ 0xe6d4938e, "__dev_remove_pack" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa189d4ba, "fc_fabric_logoff" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7753824a, "fc_fabric_login" },
	{ 0x8e5a72c2, "fc_vport_setlink" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x124565c, "_fc_frame_alloc" },
	{ 0x7be2e5ab, "fc_frame_alloc_fill" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x93e6d09f, "init_net" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0x331671d9, "skb_clone" },
	{ 0x9011f053, "consume_skb" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libfc,libfcoe,scsi_transport_fc");


MODULE_INFO(srcversion, "98FDDE1904877BF00B79CC2");
