#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf588f5f7, "kernel_getsockname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x406c500f, "iscsi_put_conn" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xe0738d0, "iscsi_host_get_param" },
	{ 0xc033d9fd, "kernel_getpeername" },
	{ 0xfceb922c, "iscsi_conn_get_param" },
	{ 0x9424bc17, "iscsi_set_param" },
	{ 0x6dad35b2, "iscsi_tcp_set_max_r2t" },
	{ 0xc024b7ae, "sockfd_lookup" },
	{ 0x767b0da3, "fput" },
	{ 0x52dddd0e, "iscsi_conn_bind" },
	{ 0x23a97085, "sk_set_memalloc" },
	{ 0xdee38fd6, "sock_no_linger" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x961b4e76, "iscsi_tcp_hdr_recv_prep" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd91cba80, "iscsi_conn_queue_xmit" },
	{ 0x38d36100, "iscsi_tcp_recv_skb" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0xeaf90357, "iscsi_session_remove" },
	{ 0x9c7e0100, "iscsi_host_remove" },
	{ 0xdddf0c89, "iscsi_tcp_r2tpool_free" },
	{ 0xb0269663, "iscsi_session_free" },
	{ 0xeb04e40c, "iscsi_host_free" },
	{ 0xe4dd60e9, "iscsi_host_alloc" },
	{ 0xd3374c37, "iscsi_host_get_max_scsi_cmds" },
	{ 0xd36642dd, "iscsi_host_add" },
	{ 0xe494d261, "iscsi_session_setup" },
	{ 0x32e9e82b, "iscsi_tcp_r2tpool_alloc" },
	{ 0x4d6a7c73, "iscsi_session_teardown" },
	{ 0x61b7f933, "iscsi_unregister_transport" },
	{ 0xa4508d7f, "kernel_sock_shutdown" },
	{ 0xea76c1df, "iscsi_suspend_rx" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xb83074f2, "iscsi_tcp_conn_teardown" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcf537e54, "iscsi_suspend_tx" },
	{ 0xceff586e, "iscsi_conn_stop" },
	{ 0xd6f4a5b1, "__tracepoint_iscsi_dbg_sw_tcp" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdf515c49, "__SCT__tp_func_iscsi_dbg_sw_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe1c391fa, "__tracepoint_sk_data_ready" },
	{ 0xb7b94d5e, "tcp_read_sock" },
	{ 0xc1e66cf1, "iscsi_conn_queue_recv" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x47b14bb3, "iscsi_tcp_conn_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x21194c1f, "crypto_alloc_ahash" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xc361b48e, "iscsi_conn_start" },
	{ 0x5afcc74, "iscsi_session_get_param" },
	{ 0xfbce0f76, "iscsi_host_set_param" },
	{ 0x239cb20c, "iscsi_conn_send_pdu" },
	{ 0x9fde7983, "iscsi_tcp_task_init" },
	{ 0x2b9d5c05, "iscsi_tcp_task_xmit" },
	{ 0x35e4c94a, "iscsi_tcp_cleanup_task" },
	{ 0xfc2247ee, "iscsi_session_recovery_timedout" },
	{ 0xfd86759e, "iscsi_queuecommand" },
	{ 0x6a3f9240, "iscsi_eh_abort" },
	{ 0x68c1581b, "iscsi_eh_device_reset" },
	{ 0x52842b38, "iscsi_eh_recover_target" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xe544f7d, "iscsi_eh_cmd_timed_out" },
	{ 0x4396b4d4, "__SCK__tp_func_sk_data_ready" },
	{ 0x2ebdbabb, "__SCK__tp_func_iscsi_dbg_sw_tcp" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbf13c524, "iscsi_register_transport" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3dcafa47, "iscsi_dbg_trace" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x3098cbf5, "iscsi_segment_init_linear" },
	{ 0x789301fa, "iscsi_segment_seek_sg" },
	{ 0x7471ece1, "iscsi_tcp_dgst_header" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0xe6d0047e, "sock_sendmsg" },
	{ 0x5a092397, "iscsi_tcp_segment_done" },
	{ 0xd6a70d31, "iscsi_tcp_segment_unmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc0cf2277, "iscsi_conn_failure" },
	{ 0xd471c80a, "iscsi_tcp_conn_get_stats" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfd612af0, "iscsi_get_conn" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "942BC462961DE37CFD1F3E8");
