#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0xd91cba80, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0xc1e66cf1, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x10888785, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0xe359e990, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0x54fa0b1b, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x23659da0, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0x36153f94, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0x4f796252, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0x239cb20c, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x4ca380b7, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x30a4903b, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0xf793845c, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xcb149d3f, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0x7937006a, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0xa54a1bc5, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0xc0cf2277, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0x4ffafe95, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0xfd86759e, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0xcc5a9626, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0xa4bba228, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0xcf537e54, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0xea76c1df, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x0e544f7d, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0x150a5cbb, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0x6a3f9240, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x68c1581b, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0xfc2247ee, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x23e15047, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x52842b38, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0xd3374c37, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0xd36642dd, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0xe4dd60e9, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0x9c7e0100, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0xeb04e40c, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0xe494d261, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0xeaf90357, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xb0269663, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0x4d6a7c73, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0x0d285066, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0xfa1219ae, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0xc361b48e, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0xceff586e, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0x52dddd0e, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0x9424bc17, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x05afcc74, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0xfceb922c, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0x0e0738d0, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0xfbce0f76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x3dcafa47, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x583286b9, "scsi_host_get" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x288cb5c2, "iscsi_remove_session" },
	{ 0x150d5529, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x56c95bb1, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x406c500f, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb959e489, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeeb0d60d, "__tracepoint_iscsi_dbg_conn" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa82cea20, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x37ad691, "__tracepoint_iscsi_dbg_eh" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0x71ee4ae2, "__tracepoint_iscsi_dbg_session" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0x45a277cd, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0x5758df3b, "iscsi_recv_pdu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x57f35ce0, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0x32932246, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa6e15871, "flush_signals" },
	{ 0xb31aea05, "iscsi_free_session" },
	{ 0xd408f16a, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e582459, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0x98a13326, "iscsi_alloc_session" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x3cb3583a, "iscsi_add_session" },
	{ 0xc9eab59f, "iscsi_remove_conn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfd612af0, "iscsi_get_conn" },
	{ 0xe4679acc, "iscsi_block_session" },
	{ 0x24d273d1, "add_timer" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x1860d372, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0x91c3eae3, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0xeb8999b7, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");
