#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31aca677, "qlt_rdy_to_xfer" },
	{ 0xd7b7abb5, "qlt_lport_register" },
	{ 0x349cba85, "strchr" },
	{ 0x754d539c, "strlen" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbcca836a, "target_register_template" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xdc43b342, "target_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28e9f62e, "core_tpg_deregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x878b474c, "qlt_stop_phase1" },
	{ 0xb33c07d, "qlt_enable_vha" },
	{ 0xbd023f6, "qlt_stop_phase2" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0xd82b4ef4, "fc_vport_terminate" },
	{ 0x34678b85, "fc_vport_create" },
	{ 0x583286b9, "scsi_host_get" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x8077de8d, "qlt_xmit_tm_rsp" },
	{ 0xdb247772, "target_stop_session" },
	{ 0x92edfada, "target_put_sess_cmd" },
	{ 0x2bc6a1b8, "target_show_dynamic_sessions" },
	{ 0xf331236f, "btree_geo32" },
	{ 0xede9a09a, "btree_lookup" },
	{ 0x4f2593f0, "btree_update" },
	{ 0xf3b95d79, "btree_remove" },
	{ 0x50df94f5, "btree_insert" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x56470118, "__warn_printk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73d8be73, "target_setup_session" },
	{ 0x4e204193, "transport_generic_free_cmd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x74a0fedd, "sbitmap_queue_clear" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x28120a4, "__sbitmap_queue_get" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xda55e180, "target_submit_tmr" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x755f8cd1, "target_init_cmd" },
	{ 0xe4969527, "target_submit_prep" },
	{ 0x235b2e87, "target_submit" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf7afb369, "btree_init" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x759bfe36, "btree_destroy" },
	{ 0x4cd8bbb4, "qlt_free_cmd" },
	{ 0x4a1da3f0, "qlt_free_mcmd" },
	{ 0x4b1c8b97, "target_wait_for_sess_cmds" },
	{ 0x82ed687a, "target_remove_session" },
	{ 0xbfbd5285, "transport_generic_request_failure" },
	{ 0xc4be7cdb, "target_execute_cmd" },
	{ 0x11089ac7, "_ctype" },
	{ 0x57399568, "qlt_lport_deregister" },
	{ 0x999e8297, "vfree" },
	{ 0xef92ef33, "btree_last" },
	{ 0x890fa0fa, "btree_get_prev" },
	{ 0x5a921311, "strncmp" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9d14d4da, "core_tpg_register" },
	{ 0xae4518b3, "qlt_xmit_response" },
	{ 0x5d69e3, "qlt_abort_cmd" },
	{ 0xf7402d60, "qlt_unreg_sess" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "qla2xxx,target_core_mod,scsi_transport_fc");


MODULE_INFO(srcversion, "7723ACAC0B5617A8307D5C9");
