#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0xeeb0d60d, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xdc4a3658, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0xeb8999b7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x037ad691, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x857cda32, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0x1860d372, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x71ee4ae2, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x3058d444, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x91c3eae3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0x302c940e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xf144e25e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x09343dc9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd6f4a5b1, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xe8f4ec5f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x2ebdbabb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x7688c838, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x06d4f474, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xa60641d3, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xf6903976, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x917bff54, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x2a75cef9, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x328538c3, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x21c3fb89, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x30f2fceb, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x6e51bb8c, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x0334fa76, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xfb7c886a, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x37c139ee, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x6e582459, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x199d3c47, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x0cc85155, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x57f35ce0, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xb4c6b2cd, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xb959e489, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xe4679acc, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x98a13326, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x3cb3583a, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xa849b086, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x288cb5c2, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x32932246, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xb31aea05, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x150d5529, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x56c95bb1, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xc9eab59f, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x406c500f, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xfd612af0, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x5758df3b, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x6f3c1986, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xa82cea20, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x16380f6f, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xcf6b86b9, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x46086b76, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x0b33392a, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x367c00eb, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x5cb055ee, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xbf13c524, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x61b7f933, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x3dcafa47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x56470118, "__warn_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb2c69045, "put_device" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9b1ef178, "get_device" },
	{ 0xc017bc5, "device_find_child" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xad701cef, "scsi_target_unblock" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbfe7a2ad, "netlink_kernel_release" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0xc4d7893a, "transport_class_unregister" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x844c6b16, "class_register" },
	{ 0xd4f31512, "transport_class_register" },
	{ 0x810dca50, "bus_register" },
	{ 0x93e6d09f, "init_net" },
	{ 0xf4bbef58, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0xefc31456, "scsi_scan_target" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x583286b9, "scsi_host_get" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd459592f, "scsi_init_limits" },
	{ 0x9bf2085, "bsg_setup_queue" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xf59bbb, "transport_setup_device" },
	{ 0xe1592525, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x877d8c14, "transport_destroy_device" },
	{ 0xbe535fdd, "device_del" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xc4d01228, "scsi_host_lookup" },
	{ 0xfb578fc5, "memset" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe9373084, "transport_remove_device" },
	{ 0x73e28b09, "attribute_container_unregister" },
	{ 0x410940d7, "bsg_remove_queue" },
	{ 0xf152a742, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9657662b, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7c6fa01f, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x1548a6a, "device_register" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x6fb3ae3c, "attribute_container_register" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5480c69, "netlink_capable" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xd408f16a, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8D765E2BA32E89DB97677EE");
