#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x1f3ba172, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0xa5d8de15, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x44724779, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xd37a66ef, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x35c5b1c4, "");
SYMBOL_CRC(sdw_show_ping_status, 0x0d2bba23, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xd77d206c, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xef85f384, "");
SYMBOL_CRC(sdw_write_no_pm, 0xa0317af6, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x4993ab9f, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xfacb814e, "");
SYMBOL_CRC(sdw_read_no_pm, 0xe49e93f6, "");
SYMBOL_CRC(sdw_update_no_pm, 0xfac6415d, "");
SYMBOL_CRC(sdw_update, 0xe96b3748, "");
SYMBOL_CRC(sdw_nread, 0xbcfa2282, "");
SYMBOL_CRC(sdw_nwrite, 0xa4f37c58, "");
SYMBOL_CRC(sdw_read, 0x935f773e, "");
SYMBOL_CRC(sdw_write, 0x8fead01f, "");
SYMBOL_CRC(sdw_compare_devid, 0x4331b4d1, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xb0d41d34, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x0a84c9d6, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xcd10bd56, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xa7a2fcc1, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x7bf2f1cf, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x5ae90b18, "");
SYMBOL_CRC(sdw_slave_add, 0x8c9857ed, "");
SYMBOL_CRC(sdw_master_read_prop, 0xedb788ed, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x5e80d8cb, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xcf841fd4, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x5d079500, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xad068ad3, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x9594012a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d8473fc, "fwnode_property_present" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xd3cd192, "irq_domain_instantiate" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8c22cd23, "device_get_named_child_node" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x3163652c, "irq_create_mapping_affinity" },
	{ 0xc057f771, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x49b51612, "acpi_dev_for_each_child" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0xf5e828cc, "irq_set_chip" },
	{ 0x95e36e83, "__pm_runtime_use_autosuspend" },
	{ 0xe2e4f264, "single_open" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x689c9e31, "driver_register" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x810dca50, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xcea75953, "debugfs_create_str" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6c76475a, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7592426c, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xde5a3a39, "dev_pm_domain_attach" },
	{ 0xd540c2e2, "devm_device_add_group" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57627e47, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x5dbd31ad, "dev_pm_domain_detach" },
	{ 0xe7c5dcbb, "pm_generic_runtime_suspend" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x42748202, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1548a6a, "device_register" },
	{ 0x7138215d, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3145F82C43934FB645317B0");
