#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x578aff24, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x51689cd7, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x729f3d91, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x168876c8, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x0249879b, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x0a8acfee, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x2973ec54, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x4c9b6cee, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x3d3fc237, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xc9b6145c, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x19518371, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x1a667c5a, "_gpl");
SYMBOL_CRC(tb_service_type, 0x458658ea, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0xabd9b2df, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x529f3bd4, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x8cdff7c9, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0x1c3212b7, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0xe6ac9109, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x79b84221, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xffa52d28, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x9920d9dc, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0xe6926d8b, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xf987e7ee, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x9dd7aaa1, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5dcb4d2e, "acpi_fetch_acpi_dev" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x91b682ab, "seq_write" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x6766bf1d, "device_iommu_capable" },
	{ 0xc057f771, "single_release" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x97e47abb, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xafde4377, "nvmem_register" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x944c2726, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x95e36e83, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x91e127e4, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x689c9e31, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x810dca50, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x141eab4a, "pci_find_ext_capability" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xa86ec22, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x5c7f29e8, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x802a7d53, "nvmem_unregister" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9177d1d8, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0x562ece12, "acpi_find_child_by_adr" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaa24343d, "pm_wakeup_dev_event" },
	{ 0xdfd577a6, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xdb40d55b, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf0c4c0ae, "debugfs_lookup_and_remove" },
	{ 0xb2c69045, "put_device" },
	{ 0xde2c46b3, "devm_free_irq" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0x6650e84c, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5de3625e, "bus_for_each_dev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4561a53, "device_wakeup_enable" },
	{ 0xca53f895, "crypto_shash_setkey" },
	{ 0x4eea6ff4, "bus_find_device" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3a3dee23, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a2257b3, "pci_device_is_present" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x73b2252b, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2652658a, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc017bc5, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1548a6a, "device_register" },
	{ 0xbe535fdd, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf1d24cbf, "unregister_acpi_bus_type" },
	{ 0x36531fcd, "acpi_get_first_physical_node" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xab033b4f, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8db3fff1, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "4274988DB6B4555B5FF4A18");
