#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0xdfb0d8cf, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x75553806, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0xb55dd353, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xbef2e9d0, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x5f4a4969, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x092d2f42, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x6915d22c, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x10b7a2bd, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x6f790b43, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xdbe7f9c3, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xba968175, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xd62864a5, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xac681676, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xbdadc1dc, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0xae22f458, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x7bc44a7d, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x2c734821, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xc53938f5, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x962b4e84, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x25404493, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xe50e3d22, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x167d8c20, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x46582fba, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x216c679c, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xced98a39, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xf3eead34, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x13d31ca2, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x310336bd, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x283bdd2e, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x44571e37, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x185d2130, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x473677ab, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0x3d58fca6, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x7d9a738d, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x9ba3e068, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x4f4b3dcf, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xd39dac63, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xb29c07cb, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xa15378e7, "_gpl");
SYMBOL_CRC(typec_register_port, 0x10823e69, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xb42d14b3, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x4bf6c5d5, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xec0a5f85, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x9c04aca7, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x64376ba1, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xc0cc0f6f, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xe0a8ec4b, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xa4ef2469, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xbf64f1d3, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xdd22bcf1, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x4f426d61, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xe7846878, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x5aa7aecd, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x552b6b8d, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xf85bfd9d, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xebf2f83c, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xa255f36d, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0xe8be921a, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x2614ed5b, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x5cb0cc34, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x0227aad2, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x63dc936e, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x94978d36, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xdecac5a4, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x3b53fc39, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x2975e993, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x37db8675, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x12c415bc, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xb61e4925, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xeae8c2b6, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x12a7af99, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xa9573621, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x7d0149e1, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x42f0169f, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x8959470a, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xd4164b1d, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x296f3e65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc405ad, "class_unregister" },
	{ 0xc017bc5, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1548a6a, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbadac652, "fwnode_property_read_string" },
	{ 0x7d8473fc, "fwnode_property_present" },
	{ 0xbe4adb8, "component_master_del" },
	{ 0x6368b7c6, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8c22cd23, "device_get_named_child_node" },
	{ 0xb0fe7548, "component_bind_all" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x74902fbf, "device_match_name" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x7f79ea87, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x38f6f6cf, "component_unbind_all" },
	{ 0x689c9e31, "driver_register" },
	{ 0x844c6b16, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x810dca50, "bus_register" },
	{ 0x2faea5c7, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6be9b546, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xf3767e76, "acpi_bus_for_each_dev" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x6080d5f, "fwnode_connection_find_match" },
	{ 0x1fc2dd5a, "fwnode_get_next_child_node" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x9b1ef178, "get_device" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd87f6e9, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc9a96f33, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0xd408f16a, "module_put" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x800614a8, "fwnode_get_name" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0x3e5f46d7, "sysfs_update_group" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xac24fdd6, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2652658a, "driver_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D48E9393F4F1CD41FD8A933");
