#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52021e2e, "usbip_dump_urb" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9b12645f, "usb_hcd_check_unlink_urb" },
	{ 0xacf03c7f, "usbip_pad_iso" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x800318b7, "kthread_stop_put" },
	{ 0xf333d25f, "usbip_recv_iso" },
	{ 0x767b0da3, "fput" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x28a4b457, "dev_attr_usbip_debug" },
	{ 0xc33e20e4, "usbip_stop_eh" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa4508d7f, "kernel_sock_shutdown" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2b9cc564, "usb_hcd_link_urb_to_ep" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe1ea0586, "usbip_dump_header" },
	{ 0xfefab2b8, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x291b04b4, "usbip_event_add" },
	{ 0x554441bc, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0x9013c0d1, "usb_hcd_giveback_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7f957e8e, "usbip_alloc_iso_desc_pdu" },
	{ 0x1ca10a1a, "usb_hcd_poll_rh_status" },
	{ 0x3ffead20, "usb_create_hcd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xccc7abed, "usb_remove_hcd" },
	{ 0x349cba85, "strchr" },
	{ 0x224a8c2d, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc024b7ae, "sockfd_lookup" },
	{ 0x7dfa1c42, "kernel_sendmsg" },
	{ 0xd02753dc, "usbip_header_correct_endian" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeeb16413, "usb_create_shared_hcd" },
	{ 0x7edfe7b, "usbip_event_happened" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x1975341, "usbip_pack_pdu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd7aad3d6, "usbip_start_eh" },
	{ 0xb475bde4, "usb_hcd_resume_root_hub" },
	{ 0x9c3d823a, "usb_hcd_unlink_urb_from_ep" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78b72f44, "usbip_debug_flag" },
	{ 0x7e9de15a, "usbip_recv_xbuff" },
	{ 0x37a0cba, "kfree" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd53ad779, "platform_bus" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x2abc8044, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xee69aa0c, "usbip_recv" },
	{ 0xcca77cd2, "usb_get_dev" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "usbip-core");


MODULE_INFO(srcversion, "FCA4008342FEA28665CB2F5");
