#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xa74d6420, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xefce1939, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x4b14b8da, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xd1e6d682, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x46778234, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xa194a6fc, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xe142c72f, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x6fe7f3c3, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0x17d0513c, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x1fc6361a, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x2397ed78, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0xdbf0a75e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x689c9e31, "driver_register" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5de3625e, "bus_for_each_dev" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x51ec2b35, "genl_unregister_family" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x810dca50, "bus_register" },
	{ 0x945bd939, "genl_register_family" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5480c69, "netlink_capable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x59636cad, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3dc21f9, "driver_set_override" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4eea6ff4, "bus_find_device" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xb2c69045, "put_device" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "37B2F6FA9EA4B98702C7E84");
