#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x755e446d, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xdc2fd7ee, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xe646bec0, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x48ad03a5, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xb48ab511, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xf4a2d454, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xd1f99ab0, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xb30c2e92, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x2a4b2bd6, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x56c8affc, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xcdde8b1d, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x6c0b8b4d, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xfad935de, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x4f87e64d, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xa39294be, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x8de23489, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x1aeeaba3, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x1152aaa2, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xd804015d, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x7f252f7c, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xa54b7067, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x29314a56, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x3aabc44c, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0xe87063c9, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xe82131b3, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x8b61d024, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0xa17a22bc, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x8fad2e1a, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe8f9fb3d, "pci_user_write_config_word" },
	{ 0xe3b258a6, "vfio_iommufd_device_ictx" },
	{ 0xeffdfd46, "bus_register_notifier" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xc2457f00, "vfio_file_is_group" },
	{ 0x9f75c7ce, "pci_msix_can_alloc_dyn" },
	{ 0xbb28e0a8, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x41dfa10d, "pci_clear_master" },
	{ 0xa515e682, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x26d3c716, "pci_write_vpd" },
	{ 0xe5d325a7, "vfio_virqfd_enable" },
	{ 0x28d7719a, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd70a33bf, "aperture_remove_conflicting_pci_devices" },
	{ 0xbc2d8003, "vfio_unregister_group_dev" },
	{ 0x991cd9a1, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x811dcd26, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xf911fc78, "pcie_get_mps" },
	{ 0xdd43878d, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9c292a, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x8d77e2ed, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x3dfffb55, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0x75b0b25d, "pci_reset_bus" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x2005317, "vfio_register_group_dev" },
	{ 0x537e71d3, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7dfb7460, "pci_user_read_config_byte" },
	{ 0x624daacd, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x976fa08, "pci_get_class" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xfa985ff0, "pci_user_write_config_dword" },
	{ 0xc04ea3d6, "pcie_capability_read_dword" },
	{ 0x9cfa0e09, "pci_load_and_free_saved_state" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe79d36b9, "pci_match_id" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0x56e8163a, "pci_check_and_unmask_intx" },
	{ 0x84c3a7a5, "pcie_set_readrq" },
	{ 0x97e47abb, "pci_walk_bus" },
	{ 0x64ab4352, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe345b9e7, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x79b8101a, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x50a6673b, "vga_set_legacy_decoding" },
	{ 0x5f29318e, "pci_dev_unlock" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x3e614fd6, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x750b5202, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb0a37ba8, "pci_read_vpd" },
	{ 0x67bd9f41, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3fb2b77b, "pci_request_selected_regions" },
	{ 0x2fd51ad4, "pci_release_selected_regions" },
	{ 0x572b406d, "pci_user_write_config_byte" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x81d3e26c, "pci_bus_max_busnr" },
	{ 0xcc6a669a, "pci_check_and_mask_intx" },
	{ 0xe6534907, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x319172ee, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0xc20440d, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xc31dc2bc, "vfio_virqfd_disable" },
	{ 0x1b95ba20, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc36f6ffa, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0xc86e7432, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xf53de82e, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe8f55269, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xd02eacef, "pci_probe_reset_slot" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DEF36634042A04835349FAE");
