#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xef94ead5, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0x78c5127c, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x60cb6858, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0x2a6dbe5c, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x7899dfb8, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0x0c2d48b1, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x309a3dae, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x07685fa7, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x18339279, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x0fb9d53f, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0xe97e8a84, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xec6ec6b9, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x13202f95, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x2b94058e, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xbd2049a0, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x54a47aba, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xfd7d0d44, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x9cb674a4, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x6142eff6, "");
SYMBOL_CRC(vhost_chr_poll, 0x218a16b0, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x3092883c, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x87c4c59e, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x14905212, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x6f9360bf, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xa4d121f6, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x5887b790, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xc5260118, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x4a35b63f, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xfda5293d, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0xb47b046e, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x7823a675, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x67e67ec2, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xff632c5a, "_gpl");
SYMBOL_CRC(vhost_signal, 0x2656358b, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x44dfcf8e, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xf8915cbd, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x0cd65ce7, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x5387a5a3, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x620c06f1, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xfdf70a4c, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x421cf90e, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x2e9c8ce5, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0x9f3c449b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf26767df, "mmput" },
	{ 0x815f63e7, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x745a981, "xa_erase" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf2957d6a, "unpin_user_pages_dirty_lock" },
	{ 0x60666145, "pin_user_pages_fast" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x767b0da3, "fput" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xafc74a61, "iov_iter_init" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x724745f1, "get_task_mm" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x4e53ed22, "eventfd_fget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "EEA0F6DBC2C7DD4874C288A");
