#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54a47aba, "vhost_dev_stop" },
	{ 0xfb9d53f, "vhost_dev_init" },
	{ 0x75ef59d7, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0xafc74a61, "iov_iter_init" },
	{ 0x6e44ffe2, "virtio_transport_dgram_bind" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x774638b7, "sk_error_report" },
	{ 0x1d47af7a, "virtio_transport_notify_recv_pre_block" },
	{ 0xfda5293d, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0x14820f07, "virtio_transport_dgram_enqueue" },
	{ 0x2a6dbe5c, "vhost_vq_work_queue" },
	{ 0xa6660597, "virtio_transport_shutdown" },
	{ 0x18339279, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x84b2cf46, "virtio_transport_notify_send_post_enqueue" },
	{ 0xf88083d1, "virtio_transport_dgram_dequeue" },
	{ 0x309a3dae, "vhost_poll_queue" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd9b9649e, "virtio_transport_notify_send_init" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x6142eff6, "vhost_chr_write_iter" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x49aa6c07, "virtio_transport_notify_send_pre_enqueue" },
	{ 0xf83a42ee, "virtio_transport_seqpacket_dequeue" },
	{ 0xb47b046e, "vhost_get_vq_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe5345ac2, "virtio_transport_seqpacket_enqueue" },
	{ 0xc46cf0cc, "virtio_transport_seqpacket_has_data" },
	{ 0x85730cc5, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x8a8dc12a, "virtio_transport_stream_enqueue" },
	{ 0x3092883c, "vhost_chr_read_iter" },
	{ 0xfc107b55, "virtio_transport_stream_dequeue" },
	{ 0xcbbecab2, "vsock_core_unregister" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0x638c19fd, "vsock_core_register" },
	{ 0xc5260118, "vhost_dev_ioctl" },
	{ 0x2656358b, "vhost_signal" },
	{ 0xbc327073, "misc_register" },
	{ 0x620c06f1, "vhost_disable_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8087f8be, "virtio_transport_notify_poll_out" },
	{ 0xbaebc83c, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x9f3c449b, "vhost_set_backend_features" },
	{ 0x5387a5a3, "vhost_enable_notify" },
	{ 0x69c5796, "virtio_transport_deliver_tap_pkt" },
	{ 0x14905212, "vhost_log_access_ok" },
	{ 0x4c9289be, "virtio_transport_read_skb" },
	{ 0x9cb674a4, "vhost_dev_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6c3d2294, "virtio_transport_stream_is_active" },
	{ 0x7dbf6214, "virtio_transport_do_socket_init" },
	{ 0x218a16b0, "vhost_chr_poll" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x9e7251cc, "virtio_transport_notify_poll_in" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0x997922d1, "virtio_transport_stream_has_space" },
	{ 0x4180269d, "virtio_transport_notify_send_pre_block" },
	{ 0x87c4c59e, "vq_meta_prefetch" },
	{ 0xe97e8a84, "vhost_dev_check_owner" },
	{ 0x47710a64, "virtio_transport_notify_buffer_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xb8cbb7f7, "virtio_transport_destruct" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd72dc13c, "virtio_transport_recv_pkt" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x67e67ec2, "vhost_add_used" },
	{ 0x749d5501, "virtio_transport_purge_skbs" },
	{ 0x91cd80f9, "virtio_transport_notify_recv_init" },
	{ 0x5887b790, "vhost_init_device_iotlb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc3df14f2, "virtio_transport_release" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x90aa8549, "vsock_find_cid" },
	{ 0xa4d121f6, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x6c94337, "vsock_for_each_connected_socket" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7899dfb8, "vhost_dev_flush" },
	{ 0x9011f053, "consume_skb" },
	{ 0x8d850580, "virtio_transport_connect" },
	{ 0x20e87b3f, "virtio_transport_notify_set_rcvlowat" },
	{ 0x6ffa7cf1, "virtio_transport_stream_has_data" },
	{ 0x6f9360bf, "vhost_vq_access_ok" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "vhost,vmw_vsock_virtio_transport_common,vsock");


MODULE_INFO(srcversion, "41B47C0A8AA3FEB1E802D21");
