#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xab781570, "fb_get_options" },
	{ 0x33e8a5b4, "cfb_imageblit" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe89fc5dc, "fb_io_write" },
	{ 0xc631580a, "console_unlock" },
	{ 0xf93fd09c, "fb_find_mode_cvt" },
	{ 0x5421a649, "fb_set_suspend" },
	{ 0xc9aaac67, "fb_firmware_edid" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xae1d2c5e, "fb_modesetting_disabled" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0xfdcc8a0e, "fb_find_best_display" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xfa772333, "framebuffer_release" },
	{ 0x86771482, "fb_io_mmap" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x60e02243, "unregister_framebuffer" },
	{ 0xacdbc204, "fb_validate_mode" },
	{ 0x664bfe58, "fb_ddc_read" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x87bea349, "fb_set_cmap" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7c2ea6ee, "framebuffer_alloc" },
	{ 0xce4cdb8e, "fb_find_best_mode" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc07b0863, "fb_destroy_modedb" },
	{ 0x397edd5, "fb_edid_to_monspecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9346368a, "fb_get_mode" },
	{ 0x50a4698c, "fb_videomode_to_modelist" },
	{ 0xe7a2620e, "save_vga" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x915ba66e, "fb_find_mode" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x686de290, "restore_vga" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xd70a33bf, "aperture_remove_conflicting_pci_devices" },
	{ 0x94e55ec3, "register_framebuffer" },
	{ 0xa2d455bb, "fb_io_read" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "fb_ddc,i2c-algo-bit,vgastate");

MODULE_ALIAS("pci:v00005333d00008C22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C24sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C26sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C2Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008A22sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008A20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00009102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C10sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C11sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C12sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008C13sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008A25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008A26sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008D01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008D02sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008D03sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00005333d00008D04sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "82485AA257F2649136E2099");
