#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vp_modern_probe, "_gpl", "");
KSYMTAB_FUNC(vp_modern_remove, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_driver_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_generation, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_config_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_address, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_num_queues, "_gpl", "");
KSYMTAB_FUNC(vp_modern_map_vq_notify, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_num, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_index, "_gpl", "");

SYMBOL_CRC(vp_modern_probe, 0xef0cc994, "_gpl");
SYMBOL_CRC(vp_modern_remove, 0x9e43ef29, "_gpl");
SYMBOL_CRC(vp_modern_get_features, 0x8f135969, "_gpl");
SYMBOL_CRC(vp_modern_get_driver_features, 0x292b5ed5, "_gpl");
SYMBOL_CRC(vp_modern_set_features, 0xbf9c4aa1, "_gpl");
SYMBOL_CRC(vp_modern_generation, 0x5454add4, "_gpl");
SYMBOL_CRC(vp_modern_get_status, 0x35318ba6, "_gpl");
SYMBOL_CRC(vp_modern_set_status, 0x1ad88491, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_reset, 0x7a65d8c0, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_reset, 0x32146c7d, "_gpl");
SYMBOL_CRC(vp_modern_queue_vector, 0xb316ebbe, "_gpl");
SYMBOL_CRC(vp_modern_config_vector, 0x63de7a8d, "_gpl");
SYMBOL_CRC(vp_modern_queue_address, 0x89ce97b2, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_enable, 0x0a9e173c, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_enable, 0x80739ff2, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_size, 0x6622e37e, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_size, 0x98d0ed2f, "_gpl");
SYMBOL_CRC(vp_modern_get_num_queues, 0x1934629b, "_gpl");
SYMBOL_CRC(vp_modern_map_vq_notify, 0xc71d441e, "_gpl");
SYMBOL_CRC(vp_modern_avq_num, 0x75222567, "_gpl");
SYMBOL_CRC(vp_modern_avq_index, 0x15ee6bfc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0x2fd51ad4, "pci_release_selected_regions" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x96ce7743, "pci_iomap_range" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x328e3071, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb19b445, "ioread8" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e322ff3, "pci_find_capability" },
	{ 0xf44a9ea2, "pci_find_next_capability" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3fb2b77b, "pci_request_selected_regions" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "82E423363CB8EDBD367A4CE");
