#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57bc19d2, "down_write" },
	{ 0x7bde2564, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0x6364ade, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2db073, "set_cached_acl" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xa8541adb, "ceph_auth_handle_svc_reply_more" },
	{ 0x87b4866e, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xa8e66624, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc298c958, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x4fe31df9, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xf3df534d, "__fscrypt_prepare_rename" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc1582424, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f474f4e, "file_update_time" },
	{ 0x772a8061, "fscrypt_ioctl_set_policy" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x4509df49, "ceph_auth_add_authorizer_challenge" },
	{ 0x9ce1ad10, "d_move" },
	{ 0xebc43718, "netfs_release_folio" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xda6845a7, "from_kgid" },
	{ 0x7641226, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x247edcd9, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd4c82465, "__fscrypt_encrypt_symlink" },
	{ 0x2de0fcbd, "ceph_osdc_abort_requests" },
	{ 0x9ff677cf, "ceph_zero_page_vector_range" },
	{ 0xc758fb44, "param_set_bool" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8fef1d5c, "file_remove_privs" },
	{ 0x189f20cf, "__fscrypt_prepare_link" },
	{ 0xfe01fefb, "ceph_osdc_start_request" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9e8518a, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7af235e2, "ceph_compare_options" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0xa60fa1d6, "file_modified" },
	{ 0x34036338, "posix_acl_chmod" },
	{ 0xa6c1d317, "copy_page_to_iter" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x66bdfd81, "ceph_parse_mon_ips" },
	{ 0xff2b3e79, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6b7283f6, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2be98ee9, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x2f79a8e1, "fscrypt_fname_encrypted_size" },
	{ 0xfead9c9c, "finish_no_open" },
	{ 0x564419c3, "d_obtain_root" },
	{ 0xb6339c09, "netfs_dirty_folio" },
	{ 0x5f4dd9e7, "fscrypt_d_revalidate" },
	{ 0x1a91fe0e, "osd_req_op_extent_init" },
	{ 0x5dcb6657, "ceph_put_page_vector" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe36e8df4, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0xecc10964, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x12dfae80, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x41366e46, "osd_req_op_extent_osd_iter" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8fdce4b7, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd8c63af6, "d_delete" },
	{ 0xc7dfc541, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xed2e31ec, "simple_attr_read" },
	{ 0xc2ee38df, "end_page_writeback" },
	{ 0xf8a1dd14, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3f265fc6, "osd_req_op_extent_osd_data_pages" },
	{ 0x84428b43, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x16f2c328, "iov_iter_get_pages_alloc2" },
	{ 0xf8d90b2e, "ceph_osdc_sync" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x47b741da, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x4cb1d396, "ceph_destroy_client" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xed643575, "fscrypt_free_bounce_page" },
	{ 0x908eb7dd, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4d9596f6, "noop_direct_IO" },
	{ 0x60a86b18, "__fscrypt_prepare_readdir" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x1909f01b, "igrab" },
	{ 0x64303785, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9163f94, "__ceph_open_session" },
	{ 0xbe6929d7, "set_page_writeback" },
	{ 0x966367be, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x688fc1b8, "fscrypt_ioctl_add_key" },
	{ 0xd78c4873, "d_find_alias" },
	{ 0x186a75be, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xab556791, "fscrypt_fname_disk_to_usr" },
	{ 0x39259ec0, "inode_set_ctime_current" },
	{ 0x37b53938, "bdi_dev_name" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x11f3eced, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4dd9003d, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe86b63a9, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xabf8a46d, "ceph_monc_do_statfs" },
	{ 0x28d61ad2, "dput" },
	{ 0x9bc20ad4, "ceph_monc_validate_auth" },
	{ 0x672b5a77, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x14ff602, "generic_delete_inode" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0xe6f1fd9, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x61b96ac1, "set_page_dirty_lock" },
	{ 0x9ba87196, "tag_pages_for_writeback" },
	{ 0x155cac6d, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc652eb32, "posix_acl_update_mode" },
	{ 0xdc3cea7, "ceph_auth_handle_bad_authorizer" },
	{ 0x6c1482db, "ceph_monc_renew_subs" },
	{ 0xe3962e6f, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0x23c43384, "pagecache_get_page" },
	{ 0x5da78ec5, "ceph_msg_put" },
	{ 0xa14aae8f, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0x99a0ee30, "__fscache_use_cookie" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0xc057f771, "single_release" },
	{ 0xa6a08537, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x324b6bc2, "iov_iter_xarray" },
	{ 0x203f869b, "__fs_parse" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0xba2a55ab, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x644c7735, "dget_parent" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2f1b3697, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc0b5291, "osd_req_op_raw_data_in_pages" },
	{ 0x1bb47469, "fscrypt_prepare_new_inode" },
	{ 0xb92b2dd1, "netfs_subreq_terminated" },
	{ 0x42ad5f2c, "ceph_con_init" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x135d8eb, "fscrypt_encrypt_pagecache_blocks" },
	{ 0x5cf8a116, "fscrypt_get_symlink" },
	{ 0xe2e4f264, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x498560ed, "filemap_fault" },
	{ 0x9b53d741, "d_invalidate" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x4078daf7, "ceph_osdc_clear_abort_err" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xda123091, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe60566c, "fscrypt_has_permitted_context" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xfc8d57f8, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xf45849be, "__fscache_acquire_cookie" },
	{ 0xc862eefc, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xd2019fea, "forget_cached_acl" },
	{ 0x20202f81, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe42e3688, "fscrypt_context_for_new_inode" },
	{ 0xac7b1e79, "ceph_con_keepalive" },
	{ 0x113b6c8f, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x1dd4b4d, "folio_invalidate" },
	{ 0x4f91b15b, "ceph_auth_get_authorizer" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xe248179a, "vfs_fsync_range" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0x2f2ae65, "ceph_print_client_options" },
	{ 0x4da012b0, "simple_attr_write" },
	{ 0xc5aeebfa, "file_check_and_advance_wb_err" },
	{ 0x3b54ed77, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd087aff, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xd434c7d7, "ceph_create_client" },
	{ 0xb7f5e9a9, "__fscache_acquire_volume" },
	{ 0x9d13a323, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x72aede8a, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xa696f892, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0xa98ced40, "__folio_batch_release" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0x903bf874, "__fscache_resize_cookie" },
	{ 0x3586cedf, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x75e452ef, "fscrypt_parse_test_dummy_encryption" },
	{ 0x6f1c017f, "inode_insert5" },
	{ 0x96f173b7, "ceph_monc_want_map" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae66a1dd, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x207d7881, "ceph_con_open" },
	{ 0x832ff89b, "forget_all_cached_acls" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x11af81fa, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x47cdadf5, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x13ed5b60, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x53e85b1c, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1f434319, "generic_error_remove_folio" },
	{ 0x3eec0e43, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0xa8f099fc, "fscrypt_ioctl_get_key_status" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x285ba721, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3cce72ac, "fscrypt_decrypt_block_inplace" },
	{ 0xa5bf08ff, "read_cache_folio" },
	{ 0xceece5db, "invalidate_mapping_pages" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0xe86f3ec7, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x55fdd1ad, "ceph_parse_param" },
	{ 0x9f1f36c8, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xe6d0ed60, "sget_fc" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0xd17c5e38, "iov_iter_get_pages2" },
	{ 0xfc260f9c, "current_time" },
	{ 0xba11eaec, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0xecc5e8ee, "from_vfsuid" },
	{ 0x7b08c55b, "ihold" },
	{ 0x6993a1a2, "d_find_any_alias" },
	{ 0x3a11258b, "inode_dio_wait" },
	{ 0x8d18b898, "generic_permission" },
	{ 0xd24f5eba, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2deb5b65, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb1858707, "posix_lock_file" },
	{ 0xfd8554cf, "finish_open" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x35632810, "fs_param_is_enum" },
	{ 0x7fa9cb61, "fs_param_is_s32" },
	{ 0x257e08d1, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7dc56c43, "logfc" },
	{ 0xc29db823, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x169afea7, "fscrypt_show_test_dummy_encryption" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa679d387, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xb137b1e0, "__fscache_relinquish_cookie" },
	{ 0x35be07b9, "filemap_alloc_folio_noprof" },
	{ 0xe5fe08b7, "ceph_msg_new" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xd5733cf9, "ceph_auth_invalidate_authorizer" },
	{ 0xe0aade70, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfb34e803, "fscrypt_ioctl_get_policy_ex" },
	{ 0xa5087de3, "ceph_monc_got_map" },
	{ 0xf2778355, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb86640b7, "ceph_osdc_alloc_messages" },
	{ 0xc862dd23, "clear_page_dirty_for_io" },
	{ 0x2518d163, "ceph_msg_data_add_pagelist" },
	{ 0xd14914d9, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xc1a429d6, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x9d7ef5bd, "shrink_dcache_parent" },
	{ 0x744f29fb, "__put_cred" },
	{ 0xbe56a4cc, "d_prune_aliases" },
	{ 0xee6bd418, "ceph_reset_client_addr" },
	{ 0x33566317, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0x3788de0f, "inode_newsize_ok" },
	{ 0xeba21b1c, "netfs_invalidate_folio" },
	{ 0xef02cda, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf99f0679, "ceph_msg_new2" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3415a9b4, "ceph_release_page_vector" },
	{ 0x2e9c0a31, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xfccbc576, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x8461dcae, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x5ce617da, "ceph_auth_verify_authorizer_reply" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0x9bfd3cf6, "d_alloc" },
	{ 0x4c0b11a, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x7b086f02, "fscrypt_file_open" },
	{ 0x358a3f1, "generic_perform_write" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x5daafff1, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0xb1ca42e, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7d414a3, "ceph_osdc_wait_request" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x1c076388, "folio_wait_private_2" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0x6b9ff8a6, "ceph_osdc_new_request" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0xa104e380, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x6c10cb1f, "__fscache_relinquish_volume" },
	{ 0x69f3e19, "ilookup5" },
	{ 0xf0876a10, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x1cd14309, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdeb3e07f, "posix_acl_create" },
	{ 0x3d119967, "release_pages" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "73019187BEB42350F0B064B");
