#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0xb4629c23, "");
SYMBOL_CRC(jbd2_journal_start, 0x94fc8431, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x4f60858e, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8e982d62, "");
SYMBOL_CRC(jbd2__journal_restart, 0x514af672, "");
SYMBOL_CRC(jbd2_journal_restart, 0xae3a966a, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x4d478239, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xd628eedd, "");
SYMBOL_CRC(jbd2_journal_extend, 0x7dee8eda, "");
SYMBOL_CRC(jbd2_journal_stop, 0xfb108163, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x0e0b1557, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xfb2617dd, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x3d1f8d4a, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x62fc0904, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xa33f5383, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x881936cc, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xb355feb1, "");
SYMBOL_CRC(jbd2_journal_forget, 0x359aaadc, "");
SYMBOL_CRC(jbd2_journal_flush, 0xe108fce1, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xdeb751e8, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xf0c31b7c, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xa057285d, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x75420b10, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0xb0e7fa8c, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x90693075, "");
SYMBOL_CRC(jbd2_journal_load, 0xa50209fa, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x2cedc85d, "");
SYMBOL_CRC(jbd2_journal_abort, 0x5ff228b5, "");
SYMBOL_CRC(jbd2_journal_errno, 0xfdea8974, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xf4e06ae9, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x968a1c31, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x39183351, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xb3d1e004, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x56ebea36, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x82a3f1a5, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x1ddc146c, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x8d27b29e, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x8adc5abc, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xe7cbfd87, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xfd7e5d69, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x0c42aff9, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xb08781d7, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xf219e2af, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x7d4c54ed, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xd2953931, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x2450712d, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x1e7d6e1a, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x04a61069, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x5f6eaad5, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xf0d9ee9b, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x4f6010c1, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x4d14e382, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xebee3e8b, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x9d0c2456, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x448d55e5, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x22696828, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x44cf6884, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x85a78a86, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28f9c48b, "try_to_free_buffers" },
	{ 0xe8444cde, "sync_blockdev" },
	{ 0x20061ab4, "free_buffer_head" },
	{ 0xbc74b2a4, "shrinker_register" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd88295e, "blk_finish_plug" },
	{ 0x613f440d, "bdev_getblk" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa4c6a39c, "__brelse" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x174acee5, "__bh_read_batch" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xa427b383, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xc5503a81, "__bh_read" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1b9cdb93, "blkdev_issue_zeroout" },
	{ 0xd7b0a6ef, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f41e69f, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x308deaed, "freezing_slow_path" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f71911f, "unlock_buffer" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xf05d2e7b, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe3962e6f, "truncate_inode_pages_range" },
	{ 0xe53d51d9, "blkdev_issue_flush" },
	{ 0x91849126, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4f1de92a, "end_buffer_write_sync" },
	{ 0xbc611504, "seq_open" },
	{ 0x348ffa7c, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x22b92d36, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xdc5f7bbf, "bh_uptodate_or_lock" },
	{ 0x2cc54058, "shrinker_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa59f880b, "blk_start_plug" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0xf2fdffbf, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x23b6eb83, "mark_buffer_dirty" },
	{ 0xde04f916, "__find_get_block" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x1400d53a, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcf8102c7, "write_dirty_buffer" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xdbfab1c7, "blockdev_superblock" },
	{ 0xcb8e8e7, "proc_create_data" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x421ad030, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc1d16d14, "alloc_buffer_head" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0xdb9a3874, "shrinker_free" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "335B4B249D28BA7CA37274B");
