#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xd14914d9, "");
SYMBOL_CRC(netfs_read_folio, 0x64303785, "");
SYMBOL_CRC(netfs_write_begin, 0x87b4866e, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xb5c36e3c, "");
SYMBOL_CRC(netfs_file_read_iter, 0x2ccce05c, "");
SYMBOL_CRC(netfs_perform_write, 0x857755d8, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x0b4e1f2a, "");
SYMBOL_CRC(netfs_file_write_iter, 0x1b021472, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x30ed675a, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x39bca979, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x8b7f4ffa, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0xfdf8cada, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x2410a100, "");
SYMBOL_CRC(netfs_subreq_terminated, 0xb92b2dd1, "");
SYMBOL_CRC(netfs_extract_user_iter, 0xa699bc1d, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x9d77da2a, "");
SYMBOL_CRC(netfs_start_io_read, 0xc69683f0, "");
SYMBOL_CRC(netfs_end_io_read, 0x9a1eaa29, "");
SYMBOL_CRC(netfs_start_io_write, 0xc93e02d1, "");
SYMBOL_CRC(netfs_end_io_write, 0x366de088, "");
SYMBOL_CRC(netfs_start_io_direct, 0x4d0f815f, "");
SYMBOL_CRC(netfs_end_io_direct, 0x5f473bed, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xb6f04496, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0x6fe75418, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x313bb954, "");
SYMBOL_CRC(__SCT__tp_func_netfs_sreq, 0x42c377ab, "");
SYMBOL_CRC(netfs_dirty_folio, 0xb6339c09, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xae66a1dd, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0xae1a2d8a, "");
SYMBOL_CRC(netfs_invalidate_folio, 0xeba21b1c, "");
SYMBOL_CRC(netfs_release_folio, 0xebc43718, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0xcf34ed1d, "");
SYMBOL_CRC(netfs_writepages, 0xdb56713a, "");
SYMBOL_CRC(netfs_stats_show, 0x1febec21, "");
SYMBOL_CRC(fscache_addremove_sem, 0x557a775f, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x8c2d6da7, "");
SYMBOL_CRC(fscache_acquire_cache, 0x44af9841, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x677e356d, "");
SYMBOL_CRC(fscache_add_cache, 0xa02dc2d8, "");
SYMBOL_CRC(fscache_io_error, 0x678bf9a4, "");
SYMBOL_CRC(fscache_withdraw_cache, 0xc9d1399b, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x677cf708, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x0a25c074, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0xba18723a, "");
SYMBOL_CRC(fscache_caching_failed, 0x4e545b2d, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xf45849be, "");
SYMBOL_CRC(__fscache_use_cookie, 0x99a0ee30, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xe86f3ec7, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0x156248b6, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xb137b1e0, "");
SYMBOL_CRC(fscache_put_cookie, 0x05878757, "");
SYMBOL_CRC(fscache_get_cookie, 0x58eecb58, "");
SYMBOL_CRC(__fscache_invalidate, 0x155cac6d, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xb8dcf8a2, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xab035887, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xb9aa0d59, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x67761f5e, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x84428b43, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x903bf874, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0xee6f4931, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x9fe13c7d, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x148e8044, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6b95038a, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x4d162e05, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x779cf00d, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x8fa322b4, "");
SYMBOL_CRC(fscache_end_volume_access, 0x2783f0d4, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xb7f5e9a9, "");
SYMBOL_CRC(fscache_put_volume, 0x2c465ba3, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x6c10cb1f, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xdecb04d5, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x98084b7b, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x572e454, "copy_page_from_iter_atomic" },
	{ 0x74783c35, "__folio_swap_cache_index" },
	{ 0x1c076388, "folio_wait_private_2" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x45f0d8e3, "kmem_cache_size" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xd35f1640, "readahead_expand" },
	{ 0x3e66073b, "__inode_attach_wb" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x691b080a, "__folio_lock_killable" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x209fb23, "xas_load" },
	{ 0x4f474f4e, "file_update_time" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x8fef1d5c, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb1691f89, "__folio_start_writeback" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x12222238, "folio_end_writeback" },
	{ 0x10f25dee, "folio_alloc_noprof" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3690c90f, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6bb0ffb8, "folio_end_private_2" },
	{ 0x976549df, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x8e463083, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x672b5a77, "iov_iter_zero" },
	{ 0x546b2bde, "touch_atime" },
	{ 0x3d15f3b5, "filemap_read" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0x91fffaaf, "balance_dirty_pages_ratelimited_flags" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x691b4823, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x324b6bc2, "iov_iter_xarray" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0xbafdc434, "folio_wait_writeback_killable" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x754d539c, "strlen" },
	{ 0xf86a1a8a, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x235b08df, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe923f72a, "folio_wait_private_2_killable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x1ddc4937, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe248179a, "vfs_fsync_range" },
	{ 0x3d32ae11, "wbc_detach_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xa787368c, "kiocb_write_and_wait" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xf12f53e5, "filemap_range_has_page" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x23967b1, "xas_find" },
	{ 0x6a235c1c, "folio_redirty_for_writepage" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2deb5b65, "invalidate_inode_pages2_range" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x58bac75a, "wbc_attach_and_unlock_inode" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2c7af4, "remove_proc_subtree" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xe0aade70, "folio_clear_dirty_for_io" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c0b11a, "__filemap_set_wb_err" },
	{ 0xe222c184, "__filemap_get_folio" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x337ddb62, "filemap_invalidate_inode" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1ca42e, "folio_mark_dirty" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5AC6356C958C28F4764D8D9");
