#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xcfd4c1fa, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x9fc9dbf7, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xa8000c72, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xd245065d, "_gpl");
SYMBOL_CRC(nfs_put_client, 0xd3186014, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x202e5db5, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xcbefc15f, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xbc7e338b, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x6c7f3ed1, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xbfb6595a, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xe2d8c24a, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xe8c07968, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x03b7cafe, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xb750be4a, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0xd3cc541c, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x8588ff34, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0xd38f4508, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x79f9fdfe, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x19e6009d, "_gpl");
SYMBOL_CRC(nfs_create_server, 0xdc8f38a3, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x6f1f23e9, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xa26a694f, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x4dfb3d07, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x38cfd191, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x85521d75, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x9117f075, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xfe233575, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x97dba34a, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x2cfdfad8, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0x8df48378, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x4ee04e59, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xf62ee655, "_gpl");
SYMBOL_CRC(nfs_create, 0x9c3fd765, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xb3add4ee, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xb839a44a, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x3da1b22f, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x6d1d7828, "_gpl");
SYMBOL_CRC(nfs_symlink, 0xd9eaa73b, "_gpl");
SYMBOL_CRC(nfs_link, 0x6dab5e8d, "_gpl");
SYMBOL_CRC(nfs_rename, 0x65bd5d33, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x5d7bc2a3, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x176db134, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xf6c8bdf0, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x05935d16, "_gpl");
SYMBOL_CRC(nfs_permission, 0x838ed994, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x3dc8edc1, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x7f470946, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xce84566e, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x47577cb7, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xd0473518, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x4b7fdcd6, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xad626a64, "_gpl");
SYMBOL_CRC(nfs_lock, 0x55124d33, "_gpl");
SYMBOL_CRC(nfs_flock, 0xc2747e6e, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xb4e63ebc, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xdc9c8ce4, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xd30d0908, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0xd3ec3f9b, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xe34a3ecc, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x87847b0d, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xb5ee0273, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xa3d16472, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xab165637, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x5510418a, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x5f77fc93, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xcbc85f78, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x7c261219, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x0636bb97, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x6058b042, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xf7ab0899, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x35fd6cff, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xbe4aeff3, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x8f78ec27, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x644b6027, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x09fea01c, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x5b81b115, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x3206a17c, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xe9134050, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x15f044cd, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x18eadb32, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x72fc47b5, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xe338262c, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xc8a2cca1, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xaa6df75b, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x92ee3727, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x86071900, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xcc52bce1, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x2bd5ca39, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x0abeee8b, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xd376bdd1, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x7f40419f, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xfa7dac5d, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x835dde85, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x3f88db63, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xc8d20ad6, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xe97a8ee7, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x8a5dd96f, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x59c7ed52, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xeeed1a89, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x8f9e12af, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x206065cb, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xd1885ba5, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xd0580c15, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x23724195, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xf63aa43f, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x44d42eb0, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x9a8b4657, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x8abfa152, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x57d31626, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x74881d18, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x9f17ae7d, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x020aa8d9, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xa2e0f7d2, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x4f1da240, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x173a69c0, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x2269ce3c, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x397cf710, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xf0573159, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xdef59190, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x37e474db, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x2298ed28, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x2d99a6a1, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xf26d640b, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x4724b9e7, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x7e3b46af, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x9b805c54, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x59269d26, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x5f61833a, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xa4f43ef9, "_gpl");
SYMBOL_CRC(nfs_path, 0xbd52ceeb, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xb2c942e5, "_gpl");
SYMBOL_CRC(nfs_submount, 0xcf2d8296, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0xcb7ed1b2, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x5505a4cf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x8d135b9f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0xa738651e, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xa5e6c52b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0xa30c31b1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0xba6661ec, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xb0ba5764, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0xbe523543, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x5fe999eb, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x0c77dcba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x91754214, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xd206eb35, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x5a14c7f2, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xb53cc5fc, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xb5110c0b, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xa684394d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0x9bfd3cf6, "d_alloc" },
	{ 0xfcfde478, "fs_kobj" },
	{ 0x15df7a7b, "net_ns_type_operations" },
	{ 0x4c0b11a, "__filemap_set_wb_err" },
	{ 0x70f0844b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x358a3f1, "generic_perform_write" },
	{ 0xbc74b2a4, "shrinker_register" },
	{ 0xe222c184, "__filemap_get_folio" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x5daafff1, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd408f16a, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe8ef76c, "rpc_setbufsize" },
	{ 0x384d9784, "fs_context_for_submount" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x1c076388, "folio_wait_private_2" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6c10cb1f, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xf0876a10, "seq_escape_mem" },
	{ 0x69f3e19, "ilookup5" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x9c62d8be, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x156ac228, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xdd6795e1, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0xd4b1f30f, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa8e66624, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc414d031, "put_fs_context" },
	{ 0x517096dc, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5c885b98, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x91fbf10e, "write_cache_pages" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xd89ceacd, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x9ce1ad10, "d_move" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x61ea8f5a, "rpc_proc_unregister" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcfc2a0f2, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xeff603fb, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x764f928f, "nlmclnt_rpc_clnt" },
	{ 0x34775517, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0xa9ca6cb5, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3ab709f1, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb1200e6d, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x5cb20108, "rpc_create" },
	{ 0xfead9c9c, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb1691f89, "__folio_start_writeback" },
	{ 0x564419c3, "d_obtain_root" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xd726500c, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x12222238, "folio_end_writeback" },
	{ 0x10f25dee, "folio_alloc_noprof" },
	{ 0x749b760, "rpc_call_sync" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1c0892e8, "rpc_put_task_async" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x9522e378, "xdr_init_decode_pages" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa968e806, "rpc_exit" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd8c63af6, "d_delete" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x9870235, "nfs_ssc_unregister" },
	{ 0x7a017283, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xe98c64be, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x16f2c328, "iov_iter_get_pages_alloc2" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x64303785, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x743a9cb4, "kobject_del" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x966367be, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e463083, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x20c3cbc9, "security_inode_notifysecctx" },
	{ 0xf6370c1e, "nfs_ssc_register" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x186a75be, "invalidate_inode_pages2" },
	{ 0x91b682ab, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xdaacf57a, "kobject_set_name" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x28d61ad2, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0xa2d7b693, "put_rpccred" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0x88a6dc70, "__d_lookup_unhash_wake" },
	{ 0x26653443, "rpc_clnt_swap_deactivate" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x155cac6d, "__fscache_invalidate" },
	{ 0x9b4a897c, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x28f0a2f0, "cred_fscmp" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0x691b4823, "filemap_dirty_folio" },
	{ 0x23c43384, "pagecache_get_page" },
	{ 0xdd75057d, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x99a0ee30, "__fscache_use_cookie" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0xf271a31d, "_proc_mkdir" },
	{ 0x73ab8d8b, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe58e10, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x203f869b, "__fs_parse" },
	{ 0xd573729a, "sysfs_create_link_nowarn" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x644c7735, "dget_parent" },
	{ 0x2433b0c4, "nlmclnt_init" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2f1b3697, "iget5_locked" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0x74026492, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6bff28b0, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xf86a1a8a, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb92b2dd1, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4c06f524, "mntget" },
	{ 0x1b731c14, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x498560ed, "filemap_fault" },
	{ 0x9b53d741, "d_invalidate" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe923f72a, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xed860b99, "rpc_wait_for_completion_task" },
	{ 0x5d085766, "set_anon_super" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xf45849be, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x1721cc71, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x45888aeb, "rpc_put_task" },
	{ 0x113b6c8f, "super_setup_bdi_name" },
	{ 0x63b53aed, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x191a2c14, "inode_update_timestamps" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xe248179a, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2cc54058, "shrinker_alloc" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0xc5aeebfa, "file_check_and_advance_wb_err" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x50beda4f, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xc3d636ec, "inode_to_bdi" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xb7f5e9a9, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x802c0e57, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x1aaeac5d, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe785c5d5, "sysfs_create_file_ns" },
	{ 0x72cd7e4a, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0x70e0ff19, "mnt_set_expiry" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0x44c36287, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x663ebca7, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8e85c6a1, "filemap_map_pages" },
	{ 0x54709195, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x79b6c9a7, "kobject_rename" },
	{ 0x8b57115, "security_sb_set_mnt_opts" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1f434319, "generic_error_remove_folio" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0xecc3b64c, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0xe86f3ec7, "__fscache_unuse_cookie" },
	{ 0x6a235c1c, "folio_redirty_for_writepage" },
	{ 0xe6d0ed60, "sget_fc" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x7b08c55b, "ihold" },
	{ 0x3a11258b, "inode_dio_wait" },
	{ 0x8d18b898, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x2deb5b65, "invalidate_inode_pages2_range" },
	{ 0xf77fddcb, "read_cache_page" },
	{ 0xfd8554cf, "finish_open" },
	{ 0xd86e4c9c, "iput" },
	{ 0xe9ac6480, "kset_unregister" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x2753a7c7, "security_sb_clone_mnt_opts" },
	{ 0x35632810, "fs_param_is_enum" },
	{ 0x7dc56c43, "logfc" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x79e3001a, "rpc_pton" },
	{ 0x8ad56a8, "mod_node_page_state" },
	{ 0xd5299df6, "rpc_wake_up_queued_task" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2c7af4, "remove_proc_subtree" },
	{ 0xd39da487, "rpc_restart_call_prepare" },
	{ 0xa679d387, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfb42a76b, "__module_get" },
	{ 0xb137b1e0, "__fscache_relinquish_cookie" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xe0aade70, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc9083e3, "filemap_add_folio" },
	{ 0x70a7b8ee, "rpc_sleep_on" },
	{ 0x4cf84230, "rpc_run_task" },
	{ 0xd14914d9, "netfs_readahead" },
	{ 0xd829eb49, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbe56a4cc, "d_prune_aliases" },
	{ 0x744f29fb, "__put_cred" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x3ba70145, "rpc_cancel_tasks" },
	{ 0xdb9a3874, "shrinker_free" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x857ed92, "migrate_folio" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5e40eb3d, "add_swap_extent" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0x3788de0f, "inode_newsize_ok" },
	{ 0xef02cda, "d_drop" },
	{ 0x1d77fa31, "deactivate_super" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc069d8b4, "security_sb_mnt_opts_compat" },
	{ 0x4c36f1aa, "param_get_uint" },
	{ 0x86b7346a, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "2AD644688300C3B6E3F7EF0");
