#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc4a1ccde, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x3dcb4dff, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x45a154a8, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x1fa28b6c, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x3c318914, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x77cb54fb, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x2f63f41d, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x49a04144, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x1e1cdf9f, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xb47cdca8, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xb72fe253, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x638448e6, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x30890285, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xc90da868, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x7de4e4fa, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xc446a7ae, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x22c17b02, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x3f947147, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x0e57edf3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xe6628255, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xd77a65f9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x5ab44fe4, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xd5f417ff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x050ad527, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xc2a43f04, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xccb584c3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x20c69730, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x3852459d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xd9f4185b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x1904d380, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0e849248, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xad38acd7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x38632d14, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xc80efe73, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x45497492, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0xed1cbdca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x7f774b7a, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xbc6d0863, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xcdef5211, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x6031ead6, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xf2877607, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x41677ccb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x75547d37, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0xa43f3def, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x16734778, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x06ed8d4d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x1ffdb577, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x04dfa0dd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x79b3bc05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x95840e8b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x89be1d6c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7afcb414, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x61b622d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x4e626049, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x5b14bd62, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x4b8fdd0e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x5d8e313d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg, 0xf0a5b199, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xa9922553, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x83d72290, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0xb01e1fe6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_reg_err, 0x87ed16c4, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0xc953bb78, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xd7685873, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x107e3372, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg, 0xa37b1177, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x3382c5b0, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x0ddf5988, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x6c3c5f73, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bl_pr_key_unreg_err, 0xe1bc35e8, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xd6e454f7, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x74acbda6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0xd07ed8a8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_fl_getdevinfo, 0x6f27cded, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x6bf9fd08, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7220d679, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x2ecc0899, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xd47f873b, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x0d14839d, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x660b9725, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xafc7370d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x933eefa4, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x8cb73152, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x01a09ba8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x20841f82, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xcc17d896, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x666f9a87, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xb274e651, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xa4a13538, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x5a941144, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x6277de19, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x0e9dfd7c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xef199264, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x39916983, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x3868b831, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x261c6e2c, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x47204741, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xa6f1929e, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x5b9f1a32, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xa312990c, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x88eeb16b, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x712c1696, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x07904323, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x6d7f3c6d, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x27d48fa0, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x2b2545f0, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x43988d80, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xd297ddfe, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xaca19aa4, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xe23f828e, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xd7393d67, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x96544e1c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x6c686abb, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xd845c151, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xb0a65c71, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x5dcdc7db, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xd787f83d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x7635a2f1, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x7d93c4dc, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x3b7a134c, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x734dc717, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x465de9ad, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x4cc12a0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x639367e4, "svc_create" },
	{ 0xe61f4eff, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x3206a17c, "nfs_file_set_open_context" },
	{ 0x9c66d431, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x749b760, "rpc_call_sync" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x1c0892e8, "rpc_put_task_async" },
	{ 0x8a971c62, "rpc_prepare_reply_pages" },
	{ 0x1517e29, "rpc_queue_upcall" },
	{ 0x19e6009d, "nfs_free_server" },
	{ 0x8be2e398, "fc_mount" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0x7c261219, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x52ace59b, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb5110c0b, "nfs4_fs_type" },
	{ 0x4795e435, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x6a3e4bb6, "rpc_delay" },
	{ 0xc2747e6e, "nfs_flock" },
	{ 0x9f17ae7d, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4980828a, "__list_lru_init" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x745b8438, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa30a0c36, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xa968e806, "rpc_exit" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xa88c607c, "rpc_remove_pipe_dir_object" },
	{ 0x5935d16, "nfs_may_open" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xd3cc541c, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe98c64be, "xdr_reserve_space" },
	{ 0x84ad9d52, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3da1b22f, "nfs_rmdir" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xacfc79f7, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5f61833a, "nfs_filemap_write_and_wait_range" },
	{ 0xa03ad6e3, "rpc_mkpipe_dentry" },
	{ 0xdc5e5165, "alloc_file_pseudo" },
	{ 0x87187663, "rpc_mkpipe_data" },
	{ 0x691196a1, "rpc_add_pipe_dir_object" },
	{ 0x1909f01b, "igrab" },
	{ 0x9fc9dbf7, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x206065cb, "nfs_async_iocounter_wait" },
	{ 0xce84566e, "nfs_file_read" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x15f044cd, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e463083, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x20aa8d9, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x636bb97, "nfs_setattr_update_inode" },
	{ 0xf62ee655, "nfs_instantiate" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x7672ea4f, "rpc_uaddr2sockaddr" },
	{ 0x851b45dc, "user_read" },
	{ 0x7dc6c1a2, "rpc_restart_call" },
	{ 0xc1e547ed, "request_key_tag" },
	{ 0x585e8b32, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xad042790, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xd20fb734, "svc_xprt_destroy_all" },
	{ 0xa25177ca, "generic_key_instantiate" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x6dab5e8d, "nfs_link" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdf8097b5, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xde0bd074, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28d61ad2, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8b36c255, "xdr_stream_move_subsegment" },
	{ 0xa2d7b693, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xe338262c, "nfs_post_op_update_inode_force_wcc" },
	{ 0x8f9e12af, "nfs_pgheader_init" },
	{ 0x9fea01c, "put_nfs_open_context" },
	{ 0xfa7dac5d, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7f40419f, "nfs_show_devname" },
	{ 0x838ed994, "nfs_permission" },
	{ 0xf26d640b, "nfs_initiate_commit" },
	{ 0xe3962e6f, "truncate_inode_pages_range" },
	{ 0x663a0324, "__put_user_ns" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x28f0a2f0, "cred_fscmp" },
	{ 0x840b315e, "rpc_unlink" },
	{ 0xd3ec3f9b, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad626a64, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x73ab8d8b, "node_data" },
	{ 0xb750be4a, "nfs_probe_server" },
	{ 0x5510418a, "nfs_setsecurity" },
	{ 0xe58e10, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x12e55d10, "rpc_clnt_test_and_add_xprt" },
	{ 0xbfe0e7b9, "file_ra_state_init" },
	{ 0xa26a694f, "nfs_force_lookup_revalidate" },
	{ 0x7f470946, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x697f8b6f, "rpc_clnt_add_xprt" },
	{ 0x644c7735, "dget_parent" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0xa8cb6ce9, "prepare_kernel_cred" },
	{ 0x79f9fdfe, "nfs_alloc_server" },
	{ 0x858c9949, "rpc_call_async" },
	{ 0x4cd49410, "security_dentry_init_security" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x8588ff34, "nfs_server_insert_lists" },
	{ 0x59c7ed52, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xd245065d, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x98ba4508, "rpc_init_pipe_dir_object" },
	{ 0x56ef42aa, "bpf_trace_run7" },
	{ 0x18eadb32, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xe8c07968, "nfs_init_server_rpcclient" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa8757eb1, "rpc_set_connect_timeout" },
	{ 0x636fa73a, "rpcauth_create" },
	{ 0x5810d673, "xdr_stream_pos" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xc0d26893, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x11b2d584, "svc_xprt_create" },
	{ 0x3718acfb, "nfs42_ssc_register" },
	{ 0xed860b99, "rpc_wait_for_completion_task" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x27bd101b, "rpc_num_bc_slots" },
	{ 0xc8a2cca1, "nfs_alloc_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x1698ad02, "security_inode_listsecurity" },
	{ 0x5f77fc93, "nfs_fhget" },
	{ 0xd9eaa73b, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x82c0450b, "locks_copy_lock" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x6d1d7828, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4dfb3d07, "nfs_set_verifier" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x45888aeb, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9db3e15f, "svc_generic_rpcbind_set" },
	{ 0x6f1f23e9, "nfs_clone_server" },
	{ 0xf6c8bdf0, "nfs_access_add_cache" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0x835dde85, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd38f4508, "nfs_server_remove_lists" },
	{ 0x2cc54058, "shrinker_alloc" },
	{ 0xabea3df2, "nfs42_ssc_unregister" },
	{ 0xd2249326, "generic_listxattr" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x563d1dcf, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2298ed28, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xc3d636ec, "inode_to_bdi" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xbe71a06d, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x3423f73d, "user_revoke" },
	{ 0x943279c6, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8000c72, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xbfb6595a, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf608734f, "rpc_clnt_probe_trunked_xprts" },
	{ 0x74881d18, "nfs_pageio_reset_read_mds" },
	{ 0xb7b99b4c, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x72cd7e4a, "rpc_shutdown_client" },
	{ 0x3d3a6ce7, "svc_bind" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfe233575, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xaa6df75b, "nfs_free_inode" },
	{ 0x5d7bc2a3, "nfs_access_zap_cache" },
	{ 0xcc52bce1, "nfs_sb_deactive" },
	{ 0xa4f43ef9, "nfs_wb_all" },
	{ 0x8c57e263, "__break_lease" },
	{ 0xdef59190, "nfs_pageio_init_write" },
	{ 0x60b889a3, "svc_recv" },
	{ 0xdc9c8ce4, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x54709195, "xdr_inline_decode" },
	{ 0x57d31626, "nfs_pageio_init_read" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xbc7e338b, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x4724b9e7, "nfs_init_commit" },
	{ 0x2d99a6a1, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x45fb7858, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0xb3add4ee, "nfs_mknod" },
	{ 0x5b81b115, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xab165637, "nfs4_label_alloc" },
	{ 0xaec9f845, "rpc_localaddr" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x176db134, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x55124d33, "nfs_lock" },
	{ 0x98ea4535, "unregister_key_type" },
	{ 0x202e5db5, "nfs_client_init_is_complete" },
	{ 0x47577cb7, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x7b08c55b, "ihold" },
	{ 0xd24f5eba, "truncate_pagecache_range" },
	{ 0xe7718ecc, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2deb5b65, "invalidate_inode_pages2_range" },
	{ 0x72fc47b5, "nfs_post_op_update_inode" },
	{ 0x9d4c4d1f, "svc_exit_thread" },
	{ 0xd86e4c9c, "iput" },
	{ 0xfd64c9e3, "xdr_set_pagelen" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xf63aa43f, "nfs_pgio_header_free" },
	{ 0x4f1da240, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7dc56c43, "logfc" },
	{ 0x23724195, "nfs_pgio_header_alloc" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x79e3001a, "rpc_pton" },
	{ 0x86071900, "nfs_sb_active" },
	{ 0x8ad56a8, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xd5299df6, "rpc_wake_up_queued_task" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x49b823d6, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xd39da487, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdaa28403, "_copy_from_pages" },
	{ 0xfb42a76b, "__module_get" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x876b9eba, "rpc_task_release_transport" },
	{ 0x54e6d6e1, "xdr_page_pos" },
	{ 0x3dc8edc1, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xeeed1a89, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2ab1fe0, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xf508e76, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x455f7ed6, "register_key_type" },
	{ 0x70a7b8ee, "rpc_sleep_on" },
	{ 0x4cf84230, "rpc_run_task" },
	{ 0x8abfa152, "nfs_pageio_resend" },
	{ 0x16779d36, "keyring_alloc" },
	{ 0xa04f2c5f, "vfs_setpos" },
	{ 0x9c3fd765, "nfs_create" },
	{ 0x8fd31bb6, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x744f29fb, "__put_cred" },
	{ 0xcbc85f78, "nfs_update_delegated_mtime" },
	{ 0xabeee8b, "nfs_statfs" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0xdb9a3874, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x33566317, "splice_file_range" },
	{ 0xf0fc664e, "rpc_max_bc_payload" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x3053ee4c, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb839a44a, "nfs_mkdir" },
	{ 0xe9134050, "nfs_revalidate_inode" },
	{ 0x3788de0f, "inode_newsize_ok" },
	{ 0xd0473518, "nfs_file_mmap" },
	{ 0xf7ab0899, "nfs_get_lock_context" },
	{ 0xef02cda, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x87847b0d, "nfs_set_cache_invalid" },
	{ 0xbc89c46e, "rpc_release_client" },
	{ 0x28fdd57, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x615517eb, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9188dbae, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x9a8b4657, "nfs_generic_pgio" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0xcf43c448, "generic_setlease" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd242b268, "xprt_destroy_backchannel" },
	{ 0xf015ec1b, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xf0573159, "nfs_scan_commit_list" },
	{ 0xd8d657dc, "xdr_stream_decode_string_dup" },
	{ 0x9b805c54, "nfs_commit_inode" },
	{ 0xbc74b2a4, "shrinker_register" },
	{ 0x52ff1f4a, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xf7b26f38, "rpc_destroy_pipe_data" },
	{ 0x6c7f3ed1, "nfs_get_client" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x9e5f6d86, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2cfdfad8, "nfs_atomic_open" },
	{ 0x63191e69, "rpc_pipe_generic_upcall" },
	{ 0x4b7fdcd6, "nfs_file_fsync" },
	{ 0xd408f16a, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x27772ceb, "mntput" },
	{ 0x35fd6cff, "nfs_put_lock_context" },
	{ 0x65bd5d33, "nfs_rename" },
	{ 0x9117f075, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd206eb35, "nfs_sysfs_link_rpc_client" },
	{ 0xd3186014, "nfs_put_client" },
	{ 0xd376bdd1, "nfs_show_options" },
	{ 0x5a1a1279, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x98eb839c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x644f314, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x644b6027, "get_nfs_open_context" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x38cfd191, "nfs_clear_verifier_delegated" },
	{ 0x5a14c7f2, "nfs_sysfs_add_server" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa11ec4e3, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xb2c942e5, "nfs_do_submount" },
	{ 0x60bacb19, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xfe45d893, "request_key_with_auxdata" },
	{ 0xd4b1f30f, "rpc_clone_client_set_auth" },
	{ 0x639bfca6, "rpc_clone_client" },
	{ 0x4278a922, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xcbefc15f, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92fd0bab, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x7151eb88, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc414d031, "put_fs_context" },
	{ 0x7e3b46af, "nfs_retry_commit" },
	{ 0x97dba34a, "nfs4_dentry_operations" },
	{ 0x98733d77, "__module_put_and_kthread_exit" },
	{ 0x517096dc, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x2bd5ca39, "nfs_client_for_each_server" },
	{ 0xd30d0908, "nfs_clear_inode" },
	{ 0xb0e9b47e, "rpc_sleep_on_priority" },
	{ 0xa3d16472, "nfs_invalidate_atime" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x3f88db63, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6058b042, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37e474db, "nfs_pageio_reset_write_mds" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xd0580c15, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x7f93f1cd, "xdr_stream_subsegment" },
	{ 0xb5ee0273, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xa684394d, "nfs_fscache_open_file" },
	{ 0xda6845a7, "from_kgid" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x59269d26, "nfs_write_inode" },
	{ 0x2269ce3c, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd0a11d10, "rpc_wake_up_first" },
	{ 0x8f78ec27, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x533811c, "vfs_parse_fs_param" },
	{ 0xbd52ceeb, "nfs_path" },
	{ 0xcec00a15, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe2d8c24a, "nfs_create_rpc_client" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcfd4c1fa, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5180dd61, "rpc_sleep_on_timeout" },
	{ 0xb46a9533, "list_lru_count_one" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xcd437973, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x47e70f6b, "rpc_call_start" },
	{ 0x5d47f23, "xprt_setup_backchannel" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "DB6ACCA7EB5E33B12455BFE");
