#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeeb74d22, "qtree_write_dquot" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x5fbddb7a, "mark_page_accessed" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0xf0876a10, "seq_escape_mem" },
	{ 0x69f3e19, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x968a1c31, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa4c6a39c, "__brelse" },
	{ 0x156ac228, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xa057285d, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x5ff228b5, "jbd2_journal_abort" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0xebc1fc1e, "inode_maybe_inc_iversion" },
	{ 0x6364ade, "unlock_page" },
	{ 0x31b5bcba, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xca5ae913, "qtree_release_dquot" },
	{ 0xc2db073, "set_cached_acl" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xe3e038ca, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x3d54311e, "dquot_resume" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa40827e7, "setattr_copy" },
	{ 0x7d4c54ed, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xa427b383, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xe2df2998, "security_inode_init_security" },
	{ 0x9ce1ad10, "d_move" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xda6845a7, "from_kgid" },
	{ 0x2d9b4117, "qtree_read_dquot" },
	{ 0xc5503a81, "__bh_read" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb3d1e004, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x1b9cdb93, "blkdev_issue_zeroout" },
	{ 0x67acc88a, "mpage_writepages" },
	{ 0xf4e06ae9, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc6c0afff, "ocfs2_plock" },
	{ 0xa9ca6cb5, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3ab709f1, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x2450712d, "jbd2_trans_will_send_data_barrier" },
	{ 0x7dee8eda, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99cb59a5, "__audit_inode_child" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9e187601, "__seq_open_private" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x14073d49, "ocfs2_kset" },
	{ 0xf4288a90, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4312ad61, "dquot_alloc_inode" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x302a4903, "bpf_trace_run9" },
	{ 0xb355feb1, "jbd2_journal_dirty_metadata" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9eb7b7c4, "generic_remap_file_range_prep" },
	{ 0x8380a25, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x8f15e50a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2c46fb52, "register_quota_format" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x82a3f1a5, "jbd2_journal_wipe" },
	{ 0xd8c63af6, "d_delete" },
	{ 0x94fc8431, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf866344d, "unregister_quota_format" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x41a73e95, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x2cedc85d, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9d456e2e, "__dquot_alloc_space" },
	{ 0x4f71911f, "unlock_buffer" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x1909f01b, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x743a9cb4, "kobject_del" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xec6e1ee6, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5a9917e0, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3d2dbd22, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e463083, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75420b10, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x39259ec0, "inode_set_ctime_current" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x28d61ad2, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0xe7cbfd87, "jbd2_journal_force_commit" },
	{ 0xf05d2e7b, "__lock_buffer" },
	{ 0xa33f5383, "jbd2_journal_get_undo_access" },
	{ 0x6bd423a7, "qtree_get_next_id" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x39183351, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc652eb32, "posix_acl_update_mode" },
	{ 0xe3962e6f, "truncate_inode_pages_range" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0x23c43384, "pagecache_get_page" },
	{ 0xe53d51d9, "blkdev_issue_flush" },
	{ 0xdd75057d, "is_bad_inode" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0x7bed2ee9, "block_is_partially_uptodate" },
	{ 0x85a78a86, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0x20b8f761, "done_path_create" },
	{ 0x5d0196b6, "seq_release_private" },
	{ 0x4f1de92a, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x2f1b3697, "iget5_locked" },
	{ 0xb9bf4bb5, "__generic_file_write_iter" },
	{ 0xe0b1557, "jbd2_journal_lock_updates" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x56ef42aa, "bpf_trace_run7" },
	{ 0x4eec7bdf, "clean_bdev_aliases" },
	{ 0xfdea8974, "jbd2_journal_errno" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0x6d348a20, "dqget" },
	{ 0xf9d7959d, "inode_permission" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3e7b9d3f, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x825e86b2, "dquot_quotactl_sysfile_ops" },
	{ 0x498560ed, "filemap_fault" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7e6b198, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd2953931, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x88a1757e, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7156739b, "put_pid" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe108fce1, "jbd2_journal_flush" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x6c03cd73, "kobject_get" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbba16af4, "kset_create_and_add" },
	{ 0x22b92d36, "blkdev_issue_discard" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbc7582fa, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xdc5f7bbf, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xbf530328, "inode_init_owner" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0x4f6010c1, "jbd2_complete_transaction" },
	{ 0xe1d92a98, "filemap_flush" },
	{ 0x3c41f1db, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x5b20aa93, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xb8cd63ec, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7af6d33c, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7f78c280, "dquot_free_inode" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0x44cf6884, "jbd2_journal_grab_journal_head" },
	{ 0xbc7f535, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xfde9a103, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfb108163, "jbd2_journal_stop" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x832ff89b, "forget_all_cached_acls" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0xfd7e5d69, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0xae3a966a, "jbd2_journal_restart" },
	{ 0x23b6eb83, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1f434319, "generic_error_remove_folio" },
	{ 0xde04f916, "__find_get_block" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0x881936cc, "jbd2_journal_set_triggers" },
	{ 0xb5cbe7b3, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x42127355, "inode_query_iversion" },
	{ 0x5ee16cfa, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x484ad6bf, "nop_posix_acl_access" },
	{ 0xa50209fa, "jbd2_journal_load" },
	{ 0xd0410462, "nop_posix_acl_default" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x90693075, "jbd2_journal_set_features" },
	{ 0x30b016b2, "sb_set_blocksize" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x2dda3412, "end_buffer_read_sync" },
	{ 0xf16d7c2a, "fsnotify" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0xfb2617dd, "jbd2_journal_unlock_updates" },
	{ 0xfc260f9c, "current_time" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0xef8242db, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66c78d69, "unmap_mapping_range" },
	{ 0x7b08c55b, "ihold" },
	{ 0x66c8068d, "page_get_link" },
	{ 0x3a11258b, "inode_dio_wait" },
	{ 0x8d18b898, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xd86e4c9c, "iput" },
	{ 0xe9ac6480, "kset_unregister" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x257e08d1, "wrap_directory_iterator" },
	{ 0x22696828, "jbd2_journal_clear_features" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb08781d7, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9f2819b7, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb54df8de, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x421ad030, "submit_bh" },
	{ 0xa04f2c5f, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9d7ef5bd, "shrink_dcache_parent" },
	{ 0x9435c050, "user_path_at" },
	{ 0xfe2a1267, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ddd1499, "dquot_scan_active" },
	{ 0x2b2ca183, "qtree_entry_unused" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x3788de0f, "inode_newsize_ok" },
	{ 0xb72076e2, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xfb978118, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7b038eb8, "mnt_want_write_file" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x93da0222, "block_invalidate_folio" },
	{ 0xbffa4f8f, "make_kprojid" },
	{ 0xf219e2af, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3d1f8d4a, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x28f9c48b, "try_to_free_buffers" },
	{ 0xc033383a, "create_empty_buffers" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0xe8444cde, "sync_blockdev" },
	{ 0x383b177b, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e93c7c9, "sync_mapping_buffers" },
	{ 0xfdcbf8a5, "dquot_initialize" },
	{ 0x52ff1f4a, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xe92c321d, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x309ce904, "block_commit_write" },
	{ 0x613f440d, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x986ea4d5, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,jbd2,ocfs2_nodemanager");


MODULE_INFO(srcversion, "6E97C11CB425EADA46932FB");
