#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57bc19d2, "down_write" },
	{ 0x7bde2564, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x375ddad3, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xf3df534d, "__fscrypt_prepare_rename" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xc1582424, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x91fbf10e, "write_cache_pages" },
	{ 0x772a8061, "fscrypt_ioctl_set_policy" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xe2df2998, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0xda6845a7, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x247edcd9, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd4c82465, "__fscrypt_encrypt_symlink" },
	{ 0x189f20cf, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2f98a6fe, "ubi_leb_write" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9ca6cb5, "kobject_init_and_add" },
	{ 0xba043c4e, "sget" },
	{ 0x959c06a1, "ubi_leb_change" },
	{ 0x3ab709f1, "write_inode_now" },
	{ 0x882e6c0b, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2be98ee9, "fscrypt_put_encryption_info" },
	{ 0x308deaed, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb1691f89, "__folio_start_writeback" },
	{ 0xf0c0af23, "ubi_open_volume_nm" },
	{ 0x12222238, "folio_end_writeback" },
	{ 0x5f4dd9e7, "fscrypt_d_revalidate" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0xb62e348f, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x8380a25, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xc4259a43, "fscrypt_drop_inode" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x936dfcfa, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56dd1fd4, "nonseekable_open" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60a86b18, "__fscrypt_prepare_readdir" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xb145b2a3, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x743a9cb4, "kobject_del" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x5d643a83, "simple_rename_timestamp" },
	{ 0x688fc1b8, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0xab556791, "fscrypt_fname_disk_to_usr" },
	{ 0x39259ec0, "inode_set_ctime_current" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x91b682ab, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xdaacf57a, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x4dd9003d, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xa4221cb, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x691b4823, "filemap_dirty_folio" },
	{ 0xdd75057d, "is_bad_inode" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xa6a08537, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0xefc8fb95, "writeback_inodes_sb_nr" },
	{ 0x25d7ff13, "d_parent_ino" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x74026492, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x81553d12, "generic_update_time" },
	{ 0x1bb47469, "fscrypt_prepare_new_inode" },
	{ 0x16b2d303, "param_get_int" },
	{ 0x5cf8a116, "fscrypt_get_symlink" },
	{ 0x498560ed, "filemap_fault" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7e6b198, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x5d085766, "set_anon_super" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xda123091, "fscrypt_free_inode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe60566c, "fscrypt_has_permitted_context" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9352592, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xfc8d57f8, "fscrypt_symlink_getattr" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x113b6c8f, "super_setup_bdi_name" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xa9e2bb4a, "crypto_comp_decompress" },
	{ 0xbf530328, "inode_init_owner" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0x29bcac73, "filemap_migrate_folio" },
	{ 0xba8f54aa, "iget_locked" },
	{ 0x2cc54058, "shrinker_alloc" },
	{ 0xe4f63b39, "generic_set_sb_d_ops" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4dca06cf, "crypto_alloc_base" },
	{ 0x47dad680, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0x3586cedf, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8e85c6a1, "filemap_map_pages" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x11af81fa, "__fscrypt_prepare_setattr" },
	{ 0x6b3ce989, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa8f099fc, "fscrypt_ioctl_get_key_status" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x3cce72ac, "fscrypt_decrypt_block_inplace" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0x8f08dbc3, "ubi_is_mapped" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x6a235c1c, "folio_redirty_for_writepage" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfc260f9c, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7b08c55b, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xfd8554cf, "finish_open" },
	{ 0xd86e4c9c, "iput" },
	{ 0xe9ac6480, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x631d57e5, "generic_file_write_iter" },
	{ 0xb8dd132c, "ubi_open_volume_path" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x445f410, "d_tmpfile" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xe0aade70, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfb34e803, "fscrypt_ioctl_get_policy_ex" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec4d72a7, "crypto_comp_compress" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x42ea513a, "ubi_get_volume_info" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0xdb9a3874, "shrinker_free" },
	{ 0x7e726639, "fscrypt_setup_filename" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xe475983, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce91c159, "fscrypt_set_context" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xfcfde478, "fs_kobj" },
	{ 0x4c0b11a, "__filemap_set_wb_err" },
	{ 0x70f0844b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x7b086f02, "fscrypt_file_open" },
	{ 0xbc74b2a4, "shrinker_register" },
	{ 0xe222c184, "__filemap_get_folio" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xeea94e5e, "ilookup" },
	{ 0x95a2ea20, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbfee1fc1, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd3e48634, "ubi_leb_unmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "88B28F568ECB99F4F034BE4");
