#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa4c6a39c, "__brelse" },
	{ 0x156ac228, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0xebc1fc1e, "inode_maybe_inc_iversion" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa8e66624, "truncate_pagecache" },
	{ 0xa8c47f63, "sync_dirty_buffer" },
	{ 0x7c71412, "insert_inode_locked" },
	{ 0x174acee5, "__bh_read_batch" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa40827e7, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x91fbf10e, "write_cache_pages" },
	{ 0x4f474f4e, "file_update_time" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xda6845a7, "from_kgid" },
	{ 0xc5503a81, "__bh_read" },
	{ 0xc2b801c, "cdrom_multisession" },
	{ 0x67acc88a, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x882e6c0b, "folio_wait_stable" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98dceded, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb1200e6d, "folio_end_read" },
	{ 0xf4288a90, "block_dirty_folio" },
	{ 0xe1faf356, "inode_add_bytes" },
	{ 0x9f141920, "mpage_read_folio" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f15e50a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x936dfcfa, "truncate_setsize" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f71911f, "unlock_buffer" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x811602ea, "d_instantiate_new" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3d2dbd22, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x39259ec0, "inode_set_ctime_current" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa290bbee, "get_tree_bdev" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x546b2bde, "touch_atime" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0xf05d2e7b, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc4ffa382, "generic_file_open" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0xdd75057d, "is_bad_inode" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0xf8905f93, "block_write_begin" },
	{ 0x203f869b, "__fs_parse" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x25d7ff13, "d_parent_ino" },
	{ 0xb9bf4bb5, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0xf9d7959d, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x498560ed, "filemap_fault" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb7e6b198, "make_bad_inode" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x828487dc, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xea2ad911, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x9352592, "iget_failed" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdc5f7bbf, "bh_uptodate_or_lock" },
	{ 0xbf530328, "inode_init_owner" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xe248179a, "vfs_fsync_range" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0xba8f54aa, "iget_locked" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0xe6a2179a, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xa696f892, "discard_new_inode" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x8e85c6a1, "filemap_map_pages" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0x23b6eb83, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xb5cbe7b3, "__block_write_begin" },
	{ 0x42127355, "inode_query_iversion" },
	{ 0x5ee16cfa, "__blockdev_direct_IO" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x30b016b2, "sb_set_blocksize" },
	{ 0x1e2f4974, "block_truncate_page" },
	{ 0xa5bf08ff, "read_cache_folio" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7b08c55b, "ihold" },
	{ 0x66c8068d, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xfdc0d715, "generic_file_fsync" },
	{ 0xfd8554cf, "finish_open" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x7dc56c43, "logfc" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x445f410, "d_tmpfile" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe475983, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0xfb978118, "kill_block_super" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x93da0222, "block_invalidate_folio" },
	{ 0xc08d7ae2, "generic_write_end" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34ba0d52, "load_nls" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0x75b31633, "inode_sub_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xe222c184, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x7171121c, "overflowgid" },
	{ 0xb1ca42e, "folio_mark_dirty" },
	{ 0x8ce0773d, "invalidate_inode_buffers" },
	{ 0x309ce904, "block_commit_write" },
	{ 0x613f440d, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x757f787d, "inode_init_once" },
	{ 0xbebebbfd, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "9725534A7D8D90A91908D77");
