#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_write_subreq, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0xd4311c90, "");
SYMBOL_CRC(v9fs_unregister_trans, 0xca2ffe1d, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xe355e20e, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x2c8e78ff, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x4c71d5b9, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x8d44e361, "");
SYMBOL_CRC(p9_show_client_options, 0x7323a04f, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xdf2931c1, "");
SYMBOL_CRC(p9_req_put, 0x2909c246, "");
SYMBOL_CRC(p9_client_cb, 0xe06f29a1, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x94218048, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xcf8eaf86, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0xf1cf475f, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0x1158a1da, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0xb31ccdee, "");
SYMBOL_CRC(p9_client_create, 0x51851970, "");
SYMBOL_CRC(p9_client_destroy, 0x2c8b3f59, "");
SYMBOL_CRC(p9_client_disconnect, 0x667084e8, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x5445ee67, "");
SYMBOL_CRC(p9_client_attach, 0xcf94f55a, "");
SYMBOL_CRC(p9_client_walk, 0x491f8bc6, "");
SYMBOL_CRC(p9_client_open, 0x2d8afb55, "");
SYMBOL_CRC(p9_client_create_dotl, 0x76339edb, "");
SYMBOL_CRC(p9_client_fcreate, 0x04e2d8e5, "");
SYMBOL_CRC(p9_client_symlink, 0x6443feaf, "");
SYMBOL_CRC(p9_client_link, 0xccf78c36, "");
SYMBOL_CRC(p9_client_fsync, 0x15fce2e8, "");
SYMBOL_CRC(p9_client_clunk, 0x6cc3f010, "");
SYMBOL_CRC(p9_client_remove, 0x01d29a29, "");
SYMBOL_CRC(p9_client_unlinkat, 0x97f9ce11, "");
SYMBOL_CRC(p9_client_read, 0x74da7d08, "");
SYMBOL_CRC(p9_client_read_once, 0x81f00790, "");
SYMBOL_CRC(p9_client_write, 0x8db08f0c, "");
SYMBOL_CRC(p9_client_write_subreq, 0x9fcfa568, "");
SYMBOL_CRC(p9_client_stat, 0x6a3fbeb3, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0xae582cfa, "");
SYMBOL_CRC(p9_client_wstat, 0x5930f2c7, "");
SYMBOL_CRC(p9_client_setattr, 0xe510f7c4, "");
SYMBOL_CRC(p9_client_statfs, 0x7279b993, "");
SYMBOL_CRC(p9_client_rename, 0x05cd2f96, "");
SYMBOL_CRC(p9_client_renameat, 0x6585a5f5, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xd15a7510, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x95403dcd, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x6832d2ec, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x5955f2b4, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xd63a126f, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x839cf189, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x5a7813dd, "");
SYMBOL_CRC(p9_client_readlink, 0xfc99a651, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0xe7a992e2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xd408f16a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x9faf46cc, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xda6845a7, "from_kgid" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x91b682ab, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x754d539c, "strlen" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "C4FD48EAC2294E5484E1EF2");
