#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x72071f1f, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xa326c355, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x44c6e633, "");
SYMBOL_CRC(vcc_insert_socket, 0xe1113f05, "");
SYMBOL_CRC(vcc_release_async, 0x37ededd7, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x8cdb041e, "");
SYMBOL_CRC(atm_dev_signal_change, 0xea54370d, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x314257d4, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x418715b3, "");
SYMBOL_CRC(atm_alloc_charge, 0xfe2a55c7, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x528b63a1, "");
SYMBOL_CRC(atm_dev_lookup, 0x11e6e3aa, "");
SYMBOL_CRC(atm_dev_register, 0xdd712c19, "");
SYMBOL_CRC(atm_dev_deregister, 0x38582529, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x76daa20c, "sock_register" },
	{ 0x7e48a653, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xccdbc47, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xd408f16a, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0x93e6d09f, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x6dc5c03b, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc28db27, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1b154bcb, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90b8dc25, "sk_alloc" },
	{ 0x1548a6a, "device_register" },
	{ 0xbe535fdd, "device_del" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x82a26957, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xc277d9f4, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x30443718, "skb_recv_datagram" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x26039ad7, "sock_gettstamp" },
	{ 0xf271a31d, "_proc_mkdir" },
	{ 0xd5a23fb9, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x235b08df, "proc_create_seq_private" },
	{ 0x844c6b16, "class_register" },
	{ 0x404cf4, "sock_init_data" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2ecec09f, "skb_free_datagram" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb8e8e7, "proc_create_data" },
	{ 0x2c7af4, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe82306e1, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");
