#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xfdabf308, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe5992d8e, "netdev_state_change" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x3e234fee, "ip6_tnl_xmit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d55f75e, "iptunnel_handle_offloads" },
	{ 0x82620cad, "icmp_ndo_send" },
	{ 0x6e4dcf08, "ip6_tnl_xmit_ctl" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x320fc1eb, "ip6_mtu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48484e83, "ipv4_mtu" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x98f8e65b, "ip6_tnl_get_iflink" },
	{ 0x4c4027b7, "ip6_tnl_get_link_net" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x122c3a7e, "_printk" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0x491a202c, "inet6_add_protocol" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xd62d8931, "inet6_del_protocol" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x36bbea40, "ip6_tnl_get_cap" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4098953, "rt6_lookup" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x93e6d09f, "init_net" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65620cc3, "skb_push" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0xe4a8aae1, "ip6_tnl_change_mtu" },
	{ 0xea244960, "ip6_tnl_encap_setup" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7ac9064d, "gro_cells_init" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xf001d596, "ip6_tnl_parse_tlv_enc_lim" },
	{ 0x171ba1b9, "icmpv6_ndo_send" },
	{ 0x504ec0ea, "gre_parse_header" },
	{ 0xe6634f7b, "ip6_redirect" },
	{ 0x7b3c7e20, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc88a7973, "__iptunnel_pull_header" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0x39ee361f, "ip6_tnl_rcv" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x32dba2d2, "icmp6_send" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ip6_tunnel,gre");


MODULE_INFO(srcversion, "4933B9D45CE85B3F5863C72");
