#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x269f765b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xbf37c67c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xd2fee753, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x07c25767, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x64a4a91e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xa8d7788d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xa5f78cb7, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xc68b2787, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x78b05013, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x2f065785, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xc4a1f4ca, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xadfc573f, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x755dd82b, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x0265c0da, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x82525e41, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xdc718db0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x33b95565, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x2f379595, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x3d7b0037, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xf9534529, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x9a2cee24, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xe81cafcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x774638b7, "sk_error_report" },
	{ 0x5fd338d9, "ip_icmp_error" },
	{ 0x5bdb12bc, "ipv6_icmp_error" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9d5ab0f3, "sock_create_kern" },
	{ 0x1b8bf41f, "kernel_bind" },
	{ 0x877c9977, "udp_sock_create6" },
	{ 0xa4508d7f, "kernel_sock_shutdown" },
	{ 0xdc6f81c6, "sock_release" },
	{ 0xcf6451f7, "kernel_connect" },
	{ 0x3fe0f96c, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a586802, "udp_set_csum" },
	{ 0x81844bef, "ip_queue_xmit" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x88d5043d, "udp6_set_csum" },
	{ 0xc001115e, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xc024b7ae, "sockfd_lookup" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x767b0da3, "fput" },
	{ 0x4ae338cb, "setup_udp_tunnel_sock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x56470118, "__warn_printk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "3B933BEA124EA36CF28A4ED");
