#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(kernel_rds_rt_debug_bitmap, "", "");
KSYMTAB_FUNC(rds_rt_debug_tp_enable, "_gpl", "");
KSYMTAB_FUNC(rds_str_array, "", "");
KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_find, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_trace_state_change, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_faddr_ha_changed, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_addref, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(do_rds_receive_csum_err, "", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_asend_complete, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_hs_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_mod_stats_register, "_gpl", "");
KSYMTAB_FUNC(rds_stats_print, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work_on, "_gpl", "");
KSYMTAB_FUNC(rds_mod_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_drop_keys, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_process_send_cmsg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(rds_ns, "", "");

SYMBOL_CRC(kernel_rds_rt_debug_bitmap, 0x86d9b622, "");
SYMBOL_CRC(rds_rt_debug_tp_enable, 0x7f5dc4b0, "_gpl");
SYMBOL_CRC(rds_str_array, 0x7505d413, "");
SYMBOL_CRC(rds_cong_map_updated, 0xae2e7961, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x536e7735, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0x2a6c73eb, "_gpl");
SYMBOL_CRC(rds_conn_find, 0x3f06f8af, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0xec6ca2de, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x0840e329, "_gpl");
SYMBOL_CRC(rds_conn_path_trace_state_change, 0x5c2589e1, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x5ea33857, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x9f298e9a, "_gpl");
SYMBOL_CRC(rds_conn_faddr_ha_changed, 0xb022c9a3, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xb72c0c3a, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x10d7a44d, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x77db7fa9, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xb9e58fb1, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xdf42a52f, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x55340699, "_gpl");
SYMBOL_CRC(rds_message_put, 0x04856cba, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0xec2e7c77, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0xb9500e75, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x3cbe85a5, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x95f31159, "_gpl");
SYMBOL_CRC(rds_inc_addref, 0xdd2d911c, "_gpl");
SYMBOL_CRC(rds_inc_put, 0x8fa4e884, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xfc39b793, "_gpl");
SYMBOL_CRC(do_rds_receive_csum_err, 0xcb98a7e3, "");
SYMBOL_CRC(rds_send_path_reset, 0xb0d4280e, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x19ae5207, "_gpl");
SYMBOL_CRC(rds_asend_complete, 0xf88b99c0, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x784b2310, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x539ca336, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x697f0f44, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x45ecf8eb, "_gpl");
SYMBOL_CRC(rds_send_hs_ping, 0xd2bd4598, "_gpl");
SYMBOL_CRC(rds_stats, 0xb6391898, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x598f6c97, "_gpl");
SYMBOL_CRC(rds_mod_stats_unregister, 0x1fdd2359, "_gpl");
SYMBOL_CRC(rds_mod_stats_register, 0x45591da9, "_gpl");
SYMBOL_CRC(rds_stats_print, 0x60be35ca, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_queue_work, 0xfd5c41c0, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work, 0xecd82379, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work_on, 0x307ecac7, "_gpl");
SYMBOL_CRC(rds_mod_delayed_work, 0x832ceccd, "_gpl");
SYMBOL_CRC(rds_queue_cancel_work, 0x57641524, "_gpl");
SYMBOL_CRC(rds_queue_flush_work, 0x4815fdc9, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x59386e89, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x5595bed1, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x8b55cf83, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0x1ba4adfc, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x75e194c9, "_gpl");
SYMBOL_CRC(rds_rdma_drop_keys, 0xe6d3cc8d, "_gpl");
SYMBOL_CRC(rds_rdma_process_send_cmsg, 0xed24df13, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change, 0x389aa9da, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change, 0xe74462b9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change, 0x13c83f28, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change, 0x1e7fab7a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change_err, 0x1bc0cdad, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change_err, 0xfbb0316c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change_err, 0xea001155, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change_err, 0xce157370, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive, 0xaf831847, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive, 0x8c9ee52e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive, 0x5adcc625, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive, 0xf2db730b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive_csum_err, 0x2ff0cd0c, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive_csum_err, 0x27a32279, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive_csum_err, 0xde3011f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive_csum_err, 0xca5fd9dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_ingress, 0xda84304f, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_ingress, 0x642715b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_ingress, 0xf1d6a6bd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_ingress, 0xdec52cb1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_egress, 0x844a7c89, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_egress, 0xf6e37f2e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_egress, 0x62861c33, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_egress, 0xa9c56129, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_ping, 0xb53f634a, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_ping, 0x9b498121, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_ping, 0xb8010970, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_ping, 0x068b101b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_pong, 0x90543c96, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_pong, 0x706fb218, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_pong, 0x9d6a56ac, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_pong, 0x5c76b2ed, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_ping, 0x77bf5250, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_ping, 0xbd77fd7c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_ping, 0x0030ac9d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_ping, 0xe7f0c741, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_pong, 0x52d40d8c, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_pong, 0x5651ce45, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_pong, 0x255bf341, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_pong, 0x4f3ff255, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_disable, 0xf05240cb, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_disable, 0x2b2eb042, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_disable, 0x43c5fa39, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_disable, 0x63fcdfe5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device, 0xf9b54ba6, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device, 0x49186f19, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device, 0xaa2d8a00, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device, 0xb9ec22a1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device_err, 0x6e301c0c, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device_err, 0x14104059, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device_err, 0xdda7a6fe, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device_err, 0xd7f28c88, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device, 0x22710288, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device, 0xbe88c73b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device, 0xd3b1de70, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device, 0x524400dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device_err, 0xef016b58, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device_err, 0x9bd8c691, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device_err, 0x29008c80, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device_err, 0xd98f6498, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_shutdown_device, 0xe38650d2, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_shutdown_device, 0xf9f698e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_shutdown_device, 0xb0865458, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_shutdown_device, 0xece143fd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_accept_err, 0x4a40250e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_accept_err, 0xb51ca328, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_accept_err, 0xbb80f9f6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_accept_err, 0x20c43551, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect, 0xdb9db695, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect, 0x9a6ced94, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect, 0x1d9c514d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect, 0xdb44b6db, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect_err, 0xb98f448e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect_err, 0xbd1bdecd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect_err, 0x9dde4519, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect_err, 0x25cf4ea5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect, 0x46c8bbaf, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect, 0x48791bf8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect, 0x31474562, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect, 0xe3415bdc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect_err, 0x67b389f0, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect_err, 0x22caccf8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect_err, 0x2eb481ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, 0xc8303e71, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect, 0x25ef44a2, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect, 0x5259e30b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect, 0xe3eea37a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect, 0xb0475606, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect_err, 0x253fe747, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect_err, 0x65288a01, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect_err, 0x016ee6d0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect_err, 0x82b62f26, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare, 0x0a1f7891, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare, 0x81a469a9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, 0x4d1341d5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, 0xad28a08c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, 0x55bd7018, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, 0xd020d947, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0x2e7cfa52, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0xe4925020, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_yielding, 0x71f39685, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_yielding, 0x4e0a0ad0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_yielding, 0x067c6848, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_yielding, 0x0b340d7e, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_right_of_way, 0x2f25645a, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_right_of_way, 0x90142a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_right_of_way, 0x66226c40, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, 0xd10716ff, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_stale, 0xb9d8c6c6, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_stale, 0x7446af60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_stale, 0xb4e6acfc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_stale, 0x3d58d409, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_expired, 0x52001e9a, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_expired, 0x59a5fd7f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_expired, 0xdace459b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_expired, 0xb268807d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accepting, 0xab6685e0, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accepting, 0xe90cfb55, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accepting, 0x4ec4b413, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accepting, 0xdac1c6dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_success, 0x96171b10, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_success, 0x17a10ac1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_success, 0x1ed94011, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_success, 0x65830d15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accept_err, 0x22cddfd2, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accept_err, 0x446e5880, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accept_err, 0x069cde45, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accept_err, 0xdc748619, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg, 0x02c1896e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg, 0x5f5cd353, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg, 0xf3015596, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg, 0x6ee67c15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg_err, 0x2ede0fad, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg_err, 0x4c3cc024, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg_err, 0xe8dfe875, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg_err, 0xbe7bad4d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp, 0xb328b006, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp, 0x0b57b62e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp, 0x55e4d0bc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp, 0x360f26de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp_err, 0xc82cc5e1, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp_err, 0x1487fd88, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp_err, 0xdc127f30, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp_err, 0x28921228, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler, 0xe5c8c94b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler, 0x7951ffb0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler, 0xe8f6a371, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler, 0x5942bd55, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler_err, 0x260411f3, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler_err, 0xde026ac6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler_err, 0xc3a62000, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler_err, 0xe4d385b1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler, 0x2581baac, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler, 0x6b589145, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler, 0xad4fe1ad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler, 0xf416b410, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler_err, 0x81c48887, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler_err, 0x0f88a078, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler_err, 0xef8bdf61, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler_err, 0x607f6769, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_add_credits, 0x0149a971, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_add_credits, 0x6b272a42, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, 0x6f06fe97, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, 0x78ac01cc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_advertise_credits, 0x34adae4d, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_advertise_credits, 0xe4716526, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, 0xffbdeb48, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, 0x00ec8051, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_grab_credits, 0xbefed53a, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_grab_credits, 0x7df8bdee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, 0xf7f9dd20, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, 0x80254d7c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_work, 0x7818b2bc, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_work, 0xda850970, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_work, 0x2b80731a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_work, 0xa6576d27, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_worker, 0x7cf02d64, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_worker, 0x3a792038, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_worker, 0x68ce97b5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_worker, 0x197883d8, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_cancel_work, 0x1a948735, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_cancel_work, 0xe31e1b16, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_cancel_work, 0xdc9560ed, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_cancel_work, 0xb1361ce6, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_flush_work, 0x7e6bfc32, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_flush_work, 0x10d3b351, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_flush_work, 0x73559608, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_flush_work, 0xf17c4446, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_work, 0x19953bea, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_work, 0x5c0edee8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_work, 0xb6a980a5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_work, 0xebd4efc4, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_worker, 0x04758dbf, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_worker, 0x1fd6f000, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_worker, 0x2f271b4d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_worker, 0xa14dce90, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_cancel_work, 0xa9c2faed, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_cancel_work, 0xf1397b84, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_cancel_work, 0x1a55401f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_cancel_work, 0x0c6bafd0, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_destroy, 0xad1c7d49, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_destroy, 0xb3437913, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_destroy, 0x0220c606, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_destroy, 0xb0c2decc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get, 0xfa6e165e, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get, 0x40f1153c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get, 0xaa742309, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get, 0xce7265de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get_err, 0xb243d2c9, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get_err, 0x63021a45, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get_err, 0x1d7f6986, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get_err, 0x3c698b36, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_state_change, 0xcdd2ff00, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_state_change, 0x2bb409ed, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_state_change, 0x3c1223f8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_state_change, 0x7d7ad297, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect, 0xcbad1ae9, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect, 0x9f94a0c7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect, 0x2d617a53, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect, 0xf215fb0f, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect_err, 0x8af5d939, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect_err, 0x8b663067, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect_err, 0x9ecb63e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect_err, 0xeac4e099, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept, 0x7f67f7b4, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept, 0x467b75ab, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept, 0xd05b4cfb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept, 0xe34e13fe, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept_err, 0xefb105e4, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept_err, 0x573d0a54, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept_err, 0xd0579bf8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept_err, 0x051d1d41, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen, 0x9dae892a, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen, 0xce808eb4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen, 0x32923265, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen, 0x4da3c0df, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen_err, 0xb87d397a, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen_err, 0xf2fde2c8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen_err, 0x879ba766, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen_err, 0x7a45a512, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_shutdown, 0x4aead0f8, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_shutdown, 0x6c1e1131, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_shutdown, 0x61b8460a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_shutdown, 0xfd39220b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_free_cache_one, 0x6af8865f, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_free_cache_one, 0x67afd2e1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_free_cache_one, 0xd96f3cad, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_free_cache_one, 0x82c80d89, "_gpl");
SYMBOL_CRC(rds_ns, 0x488900c5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d7ed7eb, "put_cmsg" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x49d9aa66, "register_net_sysctl_sz" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x1627ec24, "pin_user_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe82306e1, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x76daa20c, "sock_register" },
	{ 0x4c36f1aa, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xccdbc47, "proto_register" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xec9abb, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x93e6d09f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc28db27, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x1b154bcb, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfdabf308, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0xa6c1d317, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90b8dc25, "sk_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x82a26957, "sock_no_socketpair" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x3690c90f, "unpin_user_page" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4ef7c1b6, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc277d9f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0x815f63e7, "__mmdrop" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x47b741da, "copy_page_from_iter" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd2d78d, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xde931414, "csum_and_copy_from_iter_full" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd217e9e6, "trace_set_clr_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x56ef42aa, "bpf_trace_run7" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x404cf4, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x60666145, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x81e8815f, "__do_once_done" },
	{ 0x9c65b78a, "csum_partial_copy_nocheck" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x23967b1, "xas_find" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xff38f593, "unpin_user_pages" },
	{ 0x9a511deb, "param_set_uint" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "16D47CA84966B91CE8F05B2");
