#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1a619fdb, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x3a725fea, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x049fe707, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x981e04a2, "");
SYMBOL_CRC(gss_mech_put, 0xce658017, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xd6064cb9, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xdcc0559a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5180dd61, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5cb20108, "rpc_create" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x749b760, "rpc_call_sync" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x1517e29, "rpc_queue_upcall" },
	{ 0x8caf9068, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9bf4f51d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2ac6b407, "svcauth_unix_set_client" },
	{ 0x4f630243, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xa88c607c, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe98c64be, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56dd1fd4, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa03ad6e3, "rpc_mkpipe_dentry" },
	{ 0x87187663, "rpc_mkpipe_data" },
	{ 0xab228063, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x1dc535e2, "cache_register_net" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3e886833, "xdr_inline_pages" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xa2d7b693, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x840b315e, "rpc_unlink" },
	{ 0xbde28a61, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0x6f94b404, "rpcauth_init_cred" },
	{ 0x2661535a, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5c881fea, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x98ba4508, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5810d673, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x21765dc6, "sunrpc_cache_update" },
	{ 0x9e09099, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x86656ecd, "auth_domain_put" },
	{ 0xcbb14e30, "rpcauth_unwrap_resp_decode" },
	{ 0xe656a8d6, "rpcauth_register" },
	{ 0x45888aeb, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x68db7877, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9d76ffee, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x81dc35e5, "xdr_stream_decode_opaque_auth" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb7b99b4c, "xdr_write_pages" },
	{ 0x72cd7e4a, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdb357fcc, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x54709195, "xdr_inline_decode" },
	{ 0x24ab0ff8, "cache_create_net" },
	{ 0xff65bbeb, "rpcauth_destroy_credcache" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x45fb7858, "rpc_net_ns" },
	{ 0x5b29041c, "read_bytes_from_xdr_buf" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x67666937, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xcb8e8e7, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd87edfe0, "xdr_truncate_decode" },
	{ 0x9855b330, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2e6ce8de, "__xdr_commit_encode" },
	{ 0xfb42a76b, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x70a7b8ee, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x744f29fb, "__put_cred" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27c151bc, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbc89c46e, "rpc_release_client" },
	{ 0x78367a9c, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x46042c36, "svc_auth_register" },
	{ 0x48940809, "xdr_stream_encode_opaque_auth" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xf7b26f38, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x63191e69, "rpc_pipe_generic_upcall" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x59e82ccd, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf4ef8e0e, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc16790fe, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xbf4232cd, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd61128a8, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xbd450ea5, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xafda5603, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");
