#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xc8559a7e, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3d119967, "release_pages" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0xb800cb80, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x60a53498, "svc_xprt_deferred_close" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0xd4c8106b, "xprt_release_xprt_cong" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7622bbd0, "svc_xprt_copy_addrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbd450ea5, "xdr_init_decode" },
	{ 0x4fbbec91, "svc_xprt_received" },
	{ 0x34d177a5, "rdma_set_afonly" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb9f44e67, "rdma_unlock_handler" },
	{ 0xf321581b, "xprt_unregister_transport" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fdea428, "rdma_listen" },
	{ 0xe4efbcb3, "rdma_destroy_qp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0xebfc7d80, "svc_xprt_init" },
	{ 0xcb10e9cd, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf34720a7, "ib_drain_rq" },
	{ 0x4f630243, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6f8fa02d, "svc_unreg_xprt_class" },
	{ 0x3d016086, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe98c64be, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xa628800d, "xprt_wake_pending_tasks" },
	{ 0x6ea5154a, "xprt_unpin_rqst" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x800ff5d0, "rpcb_getport_async" },
	{ 0x5b76d754, "xprt_add_backlog" },
	{ 0xd458d2e6, "xprt_alloc" },
	{ 0x6f95fd20, "ib_dma_virt_map_sg" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x354795b6, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1dec3d1a, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x8f1f79f, "rdma_destroy_id" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x51faa55, "xprt_free" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x585e8b32, "xprt_force_disconnect" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x5e4ea739, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ceeae4e, "xprt_unlock_connect" },
	{ 0xbb2e3073, "xprt_register_transport" },
	{ 0x89d898dd, "svc_reg_xprt_class" },
	{ 0x235326e4, "svc_xprt_enqueue" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xcf197fe5, "ib_drain_qp" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x539ced4d, "svc_xprt_close" },
	{ 0xb19f3713, "xprt_wait_for_reply_request_def" },
	{ 0x9555956a, "svc_pool_wake_idle_thread" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xfcf0255f, "xdr_init_encode" },
	{ 0x5810d673, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53d84ed, "xprt_lookup_rqst" },
	{ 0x1869683d, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x3f1e564c, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7016e2e5, "rdma_rw_ctx_init" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf051cce4, "xprt_write_space" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xbcb0bb93, "xprt_free_slot" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x5f219485, "rdma_rw_ctx_destroy" },
	{ 0x693bf928, "xprt_release_rqst_cong" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x54709195, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x3af8c922, "xprt_disconnect_done" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7cd95d4, "__kmalloc_node_noprof" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf11b6389, "rdma_resolve_addr" },
	{ 0xfb4a2423, "xprt_reserve_xprt_cong" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1348a300, "xprt_get" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8849f629, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x4b09ab16, "ib_dereg_mr_user" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x59d9488c, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfb42a76b, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xdae64144, "xprt_complete_rqst" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfdcde1f4, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcf224ff, "xprt_put" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x90d9b192, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x5710b7e1, "xprt_lock_connect" },
	{ 0xab2bb750, "rdma_lock_handler" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa33b403b, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x5de766ac, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xa639cee5, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0xd408f16a, "module_put" },
	{ 0x9c4a88b6, "rdma_bind_addr" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2d076451, "svc_xprt_put" },
	{ 0x6b8900c0, "rdma_create_qp" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf37e907, "xprt_pin_rqst" },
	{ 0x976eb119, "ib_map_mr_sg" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core,sunrpc,rdma_cm");


MODULE_INFO(srcversion, "E3E81031FCE5C3292E60EA9");
