#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x843f9368, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xec08631b, "_gpl");
SYMBOL_CRC(tls_get_record, 0x1199aee0, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xff84bfdc, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xb6d17719, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98084b7b, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2f7d82f0, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf2336af5, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf59e85e6, "crypto_aead_encrypt" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x4396b4d4, "__SCK__tp_func_sk_data_ready" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x8f2d5cfd, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5790f966, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x41ed1e1, "sk_stream_wait_memory" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x377099b1, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xb80740fe, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x91fd9372, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc1d743a1, "sock_efree" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0x4333d32e, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd48d555d, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x931fc6ab, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9234ebbc, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbae9be57, "tcp_register_ulp" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xfc2dc31a, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc19ac1ab, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xac41466, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xa4fc57fe, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x331671d9, "skb_clone" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0x371bc0f0, "skb_copy_header" },
	{ 0x3153eaa2, "sk_msg_trim" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x7498b7ce, "netdev_sk_get_lowest_dev" },
	{ 0xca42e831, "sk_msg_alloc" },
	{ 0xee8a48a8, "_copy_from_iter_nocache" },
	{ 0x17f4a3be, "tcp_rate_check_app_limited" },
	{ 0x6cdd2b45, "tcp_poll" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc856afa0, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8466e98a, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x91cb56ce, "tcp_read_done" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf2a8c964, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9fec359c, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb7b94d5e, "tcp_read_sock" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5acdb0b9, "sk_page_frag_refill" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xab22728e, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x4b8fd0ab, "sk_psock_msg_verdict" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd17c5e38, "iov_iter_get_pages2" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1db0033e, "clean_acked_data_enable" },
	{ 0xc5320750, "skb_splice_bits" },
	{ 0xe784de3c, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe1c391fa, "__tracepoint_sk_data_ready" },
	{ 0x4e892625, "crypto_aead_setauthsize" },
	{ 0x14f538a, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0x27b8893c, "sk_stream_error" },
	{ 0x44a8977e, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x43c0a580, "sk_msg_memcopy_from_iter" },
	{ 0x774638b7, "sk_error_report" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x7d7ed7eb, "put_cmsg" },
	{ 0x2705b43a, "__sk_flush_backlog" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x65803f21, "sk_psock_tls_strp_read" },
	{ 0x6887dc80, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xda65b95d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "853855CAE8AEAAACCA35AF6");
