#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync_per_card, "_gpl", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x579fd3b2, "");
SYMBOL_CRC(snd_pcm_new, 0xe579aa2c, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x098d0f11, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x4948002e, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x252e47cc, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0x7f5cc2d2, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x015c3176, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x7b467bfc, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xe89e9273, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xc165d703, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xb9f6ba63, "");
SYMBOL_CRC(snd_pcm_stop, 0x188fa18a, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x99f6bcd6, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x412ea9c4, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x238c777e, "");
SYMBOL_CRC(snd_pcm_open_substream, 0x3ceece46, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xb1349348, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x1a1776da, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x79d22558, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0xb8d07311, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x7b06702b, "");
SYMBOL_CRC(snd_pcm_set_ops, 0x9026354a, "");
SYMBOL_CRC(snd_pcm_set_sync_per_card, 0x0aa54cc5, "_gpl");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xbf3ca736, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x6213c98e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0x87473a5d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0xac97c788, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xe383dff0, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x00b167ad, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x61a8e36d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x739b4d98, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0xf76a2d93, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x37b9bf93, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0xd00ef710, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x2171870e, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x195b710c, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x77bd191e, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x42b22246, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0x75f2af52, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0xbacffbcf, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0xe385f704, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x1a30c00b, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0x8a5a6bf6, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x2ecaeeb0, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x5f1d2d7d, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xfac6ff00, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xe0cd66f2, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0x575c31ed, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x1798e40c, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0x36816e8e, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0xbc99645a, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x19fc8418, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x58e649ed, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0xeef3b65e, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x9430151b, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0xfd51c642, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0xe338e317, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x3a7739f9, "");
SYMBOL_CRC(snd_dma_free_pages, 0x94519f8f, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x8d0ac2a9, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x4c155979, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x81090f1c, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x5ac0b875, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x2d9863e7, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x6d0aeae5, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0xd8d4d5be, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0x63d9a929, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x99b70ac2, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x8f74fa95, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x5115799c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x11aae5f6, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56dd1fd4, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x21d87741, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5f390ed8, "dma_alloc_noncontiguous" },
	{ 0x4cfa559d, "dma_mmap_noncontiguous" },
	{ 0x5b6f73c, "set_pages_array_wc" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x5fd5d023, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x118cf0e3, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x210c1a79, "snd_info_create_card_entry" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x49a26505, "snd_power_wait" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x9c98d721, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4f6eede3, "pid_vnr" },
	{ 0x4bbf92ff, "snd_device_free" },
	{ 0xf8e4a913, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0x5f601396, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4199177, "snd_device_register" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x874503b6, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7156739b, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x4d2dd95, "dma_can_mmap" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x10be63a0, "dma_ops" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0xcc31dd20, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9728be2c, "snd_info_create_module_entry" },
	{ 0x6cdf260b, "snd_ctl_unregister_ioctl_compat" },
	{ 0x802c0e57, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xde392901, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x5be6b535, "snd_timer_notify" },
	{ 0x90aeac47, "snd_ctl_get_preferred_subdevice" },
	{ 0x1cbdad4e, "dma_vunmap_noncontiguous" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0xdfdb8f7e, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xc94fa8d1, "dma_mmap_pages" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39b4448b, "__dma_need_sync" },
	{ 0xf2b1f6db, "dma_free_pages" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf1861e05, "snd_timer_interrupt" },
	{ 0x263e5cf2, "snd_info_free_entry" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5f40b01b, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xeff7f7a8, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x793db635, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xf075347f, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x856efcdd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x125cf451, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0x2fa23bb5, "snd_ctl_register_ioctl" },
	{ 0x95cd966e, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x869c5919, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xe18839de, "dma_vmap_noncontiguous" },
	{ 0x69bb191a, "__dma_sync_sg_for_device" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x65c6c7a4, "__dma_sync_sg_for_cpu" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1edc1d24, "vmap" },
	{ 0x395a1bab, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5dc93bd7, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd0b87b51, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x65cdca95, "snd_device_new" },
	{ 0x896c3e8, "alloc_pages_exact_noprof" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "6C0C5B2EF58DB252962518F");
