#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_host_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0x51f19974, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0x1bb1118f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xadc841d2, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0x46e5d6f1, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0xaff64fbd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xe7c5b792, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0xa1378f00, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x91c074c5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0xbe1e7e5f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x18047df9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0xca858149, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x785de057, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x2e87a327, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x74ddcf99, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xfd7b28ac, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x88f6fd3c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x4c5afe9b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0xb0bb46df, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x6e7aecb9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xe911c848, "_gpl");
SYMBOL_CRC(snd_hdac_ext_host_stream_setup, 0x6212f052, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x077935fc, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xdc3e2283, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x42e0cfb7, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0x08eb79f1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x3d1000a2, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xcd43f4c5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x87b5367b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xdc005916, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x15065108, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x9369cb99, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xcbd2842c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe959fc22, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x55841ede, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x602e2eb9, "snd_hdac_bus_init" },
	{ 0x631c3cc3, "snd_hdac_stream_init" },
	{ 0x328e3071, "_dev_err" },
	{ 0x579d2dfa, "snd_hdac_device_unregister" },
	{ 0x655cf997, "snd_hdac_stream_assign" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6f94b5ce, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3bb1ccf9, "snd_hdac_bus_init_cmd_io" },
	{ 0x5d0986d, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4999b598, "snd_hdac_stream_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x689c9e31, "driver_register" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x4766ec7d, "snd_hdac_stream_release" },
	{ 0x2b236dfe, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "180A3C7D21DEA709F6C09A4");
