#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xeca3a8e7, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x05d0986d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x602e2eb9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x55841ede, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x02feb1d3, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x80bd473b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x2c2b3412, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x2cafab89, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x80601258, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x026e878f, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x579d2dfa, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x4044ea4d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x5a1391dc, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x9bd4f71a, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x2e85da10, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xaa87a1fe, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x90488c21, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x2a4ab476, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xd631f28b, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x528256d5, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xcacd508b, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xfd8cd644, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x9dcee366, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x6b3f7ce7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x50a63f06, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x6364954b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0xc688ab1f, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x854d1a6b, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x426c789f, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0xaa630a77, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xd589c48a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xb31a8a9f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x051abd9a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xc66a23aa, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x03bb68a1, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x9e1dd937, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0x85820e71, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x67135831, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x3bb1ccf9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x6f94b5ce, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x8d3196d4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x384f15ba, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x9de0a2f7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xeccefd57, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xb0cb99e0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xa726739f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x52e79a4f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x758f8166, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x93201b11, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x320a4740, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x9ed9833b, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xaea10bf2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xe959fc22, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xcddbec66, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x631c3cc3, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0xc55786f5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xe4f7ed8a, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x3fef6037, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xa7fa6146, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x90c7b011, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x4999b598, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x0d4a0fd1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x655cf997, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x2b236dfe, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x4766ec7d, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x6b65e65f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x595ec2e5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x62f145dc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x8ee95db7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x18590339, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x024d6b55, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x52c3ed17, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xb087f305, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xd27d7509, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xe0199eda, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x5288cc17, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0xad0d42bb, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xddbc4c18, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xa94fd2c9, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb42010fc, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xff4f632a, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x2620959c, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xeb1f8868, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xfecffde5, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xaa53fccc, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x174aedd9, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x340803e4, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xaae5e1ae, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x906f4455, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x1b72884c, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xadd1fee2, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xbf39240c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x91bfacb4, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xe46779d1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x856efcdd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x94519f8f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xd408f16a, "module_put" },
	{ 0x1cd800, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0xc0f93da1, "kobject_add" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd36d9f83, "__regmap_init" },
	{ 0xbe535fdd, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf6f32e41, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xbe4adb8, "component_master_del" },
	{ 0xb6358db, "regmap_read" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb0fe7548, "component_bind_all" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe79d36b9, "pci_match_id" },
	{ 0x51d099fe, "devres_find" },
	{ 0xb6773663, "regmap_update_bits_base" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x312e5041, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x38f6f6cf, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x810dca50, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4c7db35e, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2da9befd, "regmap_write" },
	{ 0xe338e317, "snd_dma_alloc_dir_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6be9b546, "component_master_add_with_match" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xfac6ff00, "snd_pcm_add_chmap_ctls" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x76321d98, "pci_get_device" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0xbcca200a, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfc0db0fb, "pm_runtime_get_if_active" },
	{ 0xc9f64af0, "kobject_init" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x56a9081, "regcache_reg_cached" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5ac0b875, "snd_sgbuf_get_addr" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x6d0aeae5, "snd_sgbuf_get_chunk_size" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "55F9481F7C99359F9D6475F");
