#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_memset, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x3c484fb1, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x85436549, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x67a7b3e5, "");
SYMBOL_CRC(snd_emu10k1_synth_memset, 0xae15e5b8, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0x4aca77cf, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xd017d7ef, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x17a381f3, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0xd6b61e18, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0xdc757fa6, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0x267ed73d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe914e41e, "strcpy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x194bd625, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe338e317, "snd_dma_alloc_dir_pages" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e5dacc0, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc29a9002, "snd_ac97_write_cache" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xbd61964, "snd_ac97_resume" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x60e32c13, "snd_seq_device_new" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x8d0ac2a9, "snd_devm_alloc_dir_pages" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0xaa54cc5, "snd_pcm_set_sync_per_card" },
	{ 0xf1861e05, "snd_timer_interrupt" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4370f59, "snd_card_rw_proc_new" },
	{ 0xae9b3924, "snd_ac97_update_bits" },
	{ 0xe0c8bacc, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5ac0b875, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xf075347f, "snd_ctl_remove" },
	{ 0x87849bcb, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x82030e7f, "snd_ctl_find_id" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x94519f8f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d936cef, "snd_ctl_remove_id" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8c0ffc6c, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x162e4f7b, "snd_ac97_suspend" },
	{ 0x19fc8418, "snd_pcm_lib_malloc_pages" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x1a30c00b, "snd_pcm_lib_ioctl" },
	{ 0x58e649ed, "snd_pcm_lib_free_pages" },
	{ 0x9e8d916f, "snd_hwdep_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x5f784427, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36816e8e, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd0b87b51, "snd_timer_new" },
	{ 0x3179704d, "snd_ctl_rename" },
	{ 0xe383dff0, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9a702fe2, "snd_ac97_update" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18baaaa8, "snd_rawmidi_new" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x87473a5d, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0xa6d38f22, "snd_rawmidi_set_ops" },
	{ 0x575c31ed, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xe7d55ced, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x210c1a79, "snd_info_create_card_entry" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x4bbf92ff, "snd_device_free" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2171870e, "snd_pcm_hw_rule_noresample" },
	{ 0x32e6bee7, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-rawmidi,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "89D46A9160B5F47917A0CAE");
