#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc50954ec, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x77e760f3, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a12aaad, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x285b4d74, "snd_hda_jack_unsol_event" },
	{ 0x6c73ff86, "snd_hda_gen_shutup_speakers" },
	{ 0x196f3fbc, "snd_hda_gen_build_pcms" },
	{ 0xdb173d91, "snd_hda_mixer_amp_tlv" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xedeb1adf, "snd_hda_pick_fixup" },
	{ 0x3bee35d1, "snd_hda_apply_fixup" },
	{ 0x334da52c, "snd_hda_gen_parse_auto_config" },
	{ 0xc688ab1f, "snd_hdac_codec_read" },
	{ 0x5d85ddeb, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xc9f48e92, "snd_hda_codec_get_pin_target" },
	{ 0x9d582da2, "snd_hda_gen_free" },
	{ 0xee29b1fe, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x60cea36, "snd_hda_add_new_ctls" },
	{ 0xad4b83df, "snd_hda_gen_build_controls" },
	{ 0x9f7e179b, "snd_hda_gen_mic_autoswitch" },
	{ 0x1149668c, "query_amp_caps" },
	{ 0x65835265, "snd_hda_mixer_amp_volume_info" },
	{ 0x3bb68a1, "snd_hdac_regmap_read_raw" },
	{ 0xe89cb055, "snd_hda_jack_detect_state_mst" },
	{ 0xaba3b5fd, "snd_hda_gen_spec_init" },
	{ 0x8a1c9c90, "snd_hda_mixer_amp_switch_info" },
	{ 0xe980a0a5, "hda_codec_driver_unregister" },
	{ 0xdfd2486c, "snd_hda_add_new_path" },
	{ 0x854d1a6b, "snd_hdac_codec_write" },
	{ 0xc80c9511, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0xd3e63721, "snd_hda_gen_add_kctl" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6b39e9b7, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2e85da10, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0xd31540e3, "snd_hda_override_amp_caps" },
	{ 0x949886ff, "__hda_codec_driver_register" },
	{ 0xc4d209d9, "snd_hda_jack_set_gating_jack" },
	{ 0x69e0cb9a, "snd_hda_parse_pin_defcfg" },
	{ 0xe665ec3d, "snd_hda_gen_init" },
	{ 0x68f734b, "snd_hda_activate_path" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41d51c81, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x51abd9a, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xaca0d977, "snd_hda_codec_set_pin_target" },
	{ 0x3be6b17e, "snd_hda_gen_check_power_status" },
	{ 0xc66a23aa, "snd_hdac_regmap_write_raw" },
	{ 0x96e17c9e, "snd_hda_mixer_amp_volume_get" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "94FA71D747EAA6260949405");
