#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5f784427, "snd_ctl_notify" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe383dff0, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18baaaa8, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6d38f22, "snd_rawmidi_set_ops" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xe7d55ced, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x42b22246, "_snd_pcm_hw_param_setempty" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xf76a2d93, "snd_pcm_hw_constraint_msbits" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x194bd625, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x45141fef, "_copy_to_iter" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x7875dde6, "snd_rawmidi_transmit_empty" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e5dacc0, "snd_rawmidi_transmit" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0x817f3da, "snd_card_free" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x8d0ac2a9, "snd_devm_alloc_dir_pages" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x23ff1c46, "devm_ioremap" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xb4370f59, "snd_card_rw_proc_new" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xbf3ca736, "snd_pcm_hw_rule_add" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0x94098ff8, "snd_interval_list" },
	{ 0x328e3071, "_dev_err" },
	{ 0x1a30c00b, "snd_pcm_lib_ioctl" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9e8d916f, "snd_hwdep_new" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi,snd-hwdep");

MODULE_ALIAS("pci:v000010EEd00003FC5sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7D4ED178ED25C77157913A5");
