#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x476ed700, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xfe39b695, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x112fd408, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x5bf1734a, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x5c80585e, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x1716c576, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0xfbcd9dd6, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x3768b35b, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x1c60d827, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xd3f4761a, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xcc6f437a, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x1fca8f0c, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x099e22ae, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xc15e1a29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0xadc5ede3, "regcache_sync_region" },
	{ 0x4210e24, "snd_soc_put_enum_double" },
	{ 0xa87021a7, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xceb6d899, "devm_gpiod_get_optional" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb86b180c, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9feb8c58, "regulator_bulk_disable" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0xec7d37e6, "snd_soc_get_enum_double" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5ee25752, "snd_soc_info_volsw" },
	{ 0x91639064, "regcache_drop_region" },
	{ 0x328e3071, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4bb42381, "snd_soc_info_enum_double" },
	{ 0x6d33ba43, "regulator_bulk_enable" },
	{ 0x842aaa84, "devm_regulator_bulk_get" },
	{ 0x2d4c724d, "snd_soc_get_volsw" },
	{ 0xb6358db, "regmap_read" },
	{ 0xe7677c9, "snd_soc_put_volsw" },
	{ 0x8c9977d1, "snd_soc_component_update_bits" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ac0275f, "regmap_bulk_read" },
	{ 0xb6773663, "regmap_update_bits_base" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x4dedbbed, "regmap_multi_reg_write" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6c76475a, "device_property_present" },
	{ 0xdf301253, "regcache_cache_only" },
	{ 0x4c7db35e, "regcache_sync" },
	{ 0x2da9befd, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe65b4698, "snd_soc_jack_report" },
	{ 0xf598725a, "gpiod_set_value_cansleep" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "03C925C7DEB10ECF436DE21");
