#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xa200d333, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x2eb17411, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xe699c26a, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x18d22ea5, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x4605d442, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0xcc3a739a, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x3457dce1, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x16ad9831, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xa185328e, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xb0844206, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xe8c8b284, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x2c9de191, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x6a4aac6e, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x99cdd380, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x10b04063, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x862d6203, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0xb908fb6f, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x5d94b63c, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x9b12e9af, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x2f335172, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x8c4e4399, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xe124629d, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0x703a9829, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x93676c03, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0x4a3ae82e, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xbb14d053, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xa7cde90c, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x43128d5b, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0x8d689f38, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xea24685c, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x72ca4771, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xc6e08cd9, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x1bb0bcba, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x25d6e968, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x2958946e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4a0fd1, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x384bd14c, "sst_dsp_shim_read_unlocked" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xa726739f, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x8abb7253, "sst_ipc_fini" },
	{ 0x15065108, "snd_hdac_ext_stream_assign" },
	{ 0x9369cb99, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77935fc, "snd_hdac_ext_stream_init_all" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x7ce04218, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x30dea378, "sst_dsp_shim_update_bits_forced" },
	{ 0xff9bc456, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x8de055de, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x15ae47b, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0xbbb3d096, "snd_soc_tplg_component_load" },
	{ 0xa542b441, "sst_dsp_shim_read" },
	{ 0xdc005916, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6f94b5ce, "snd_hdac_bus_stop_cmd_io" },
	{ 0x24d6b55, "snd_hdac_stream_sync" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0x88ce9484, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7f2a20b9, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xee15cb11, "sst_ipc_tx_msg_reply_complete" },
	{ 0x4a6d4aae, "snd_soc_tplg_component_remove" },
	{ 0x3bb1ccf9, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x87473a5d, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf533fa2a, "sst_dsp_shim_update_bits" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xeccefd57, "snd_hdac_bus_parse_capabilities" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0xa7db6464, "sst_dsp_outbox_write" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xed49238b, "sst_dsp_inbox_read" },
	{ 0x62f145dc, "snd_hdac_stream_set_params" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x958bf43b, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6212f052, "snd_hdac_ext_host_stream_setup" },
	{ 0x91c074c5, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x320a4740, "snd_hdac_bus_handle_stream_irq" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0xe0199eda, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf883b050, "snd_soc_acpi_intel_skl_machines" },
	{ 0xca858149, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x2bd9f8ac, "snd_soc_set_runtime_hwparams" },
	{ 0x6b65e65f, "snd_hdac_get_stream" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x88f6fd3c, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x18590339, "snd_hdac_stream_sync_trigger" },
	{ 0x6e7aecb9, "snd_hdac_ext_bus_link_put" },
	{ 0x86c4dd17, "snd_hda_codec_device_init" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x174aedd9, "snd_hdac_set_codec_wakeup" },
	{ 0x90c7b011, "snd_hdac_stream_reset" },
	{ 0x7474a78d, "sst_dsp_shim_write" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x9ed9833b, "snd_hdac_bus_alloc_stream_pages" },
	{ 0xc3f5d7ee, "snd_soc_tplg_widget_bind_event" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0xb42010fc, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x477a4b8, "intel_nhlt_init" },
	{ 0xa7fa6146, "snd_hdac_stop_streams_and_chip" },
	{ 0xff4f632a, "snd_hdac_dsp_cleanup" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x87b5367b, "snd_hdac_ext_stream_reset" },
	{ 0x3fef6037, "snd_hdac_stop_streams" },
	{ 0x4c5afe9b, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xc55786f5, "snd_hdac_stream_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x6332e1be, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xad0d42bb, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x28bc2801, "snd_soc_acpi_intel_hda_machines" },
	{ 0x7d59f05a, "platform_device_put" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xfd7b28ac, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a5d7552, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe338e317, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x384f15ba, "snd_hdac_bus_send_cmd" },
	{ 0xe785c5d5, "sysfs_create_file_ns" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb087f305, "snd_hdac_stream_set_spib" },
	{ 0xb0cb99e0, "snd_hdac_bus_enter_link_reset" },
	{ 0xbd684752, "sst_ipc_tx_message_wait" },
	{ 0x16464b54, "intel_nhlt_get_dmic_geo" },
	{ 0x9de0a2f7, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d1000a2, "snd_hdac_ext_stream_start" },
	{ 0xd4b9686d, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdc3e2283, "snd_hdac_ext_stream_free_all" },
	{ 0x8d3196d4, "snd_hdac_bus_update_rirb" },
	{ 0xf63f6d91, "sst_dsp_shim_write_unlocked" },
	{ 0xe7c5b792, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0x93201b11, "snd_hdac_bus_stop_chip" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x785de057, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x51f19974, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd07db763, "snd_intel_dsp_driver_probe" },
	{ 0xddbc4c18, "snd_hdac_stream_set_lpib" },
	{ 0x5ac0b875, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x6d0aeae5, "snd_sgbuf_get_chunk_size" },
	{ 0x3c16cd31, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xadc841d2, "snd_hdac_ext_bus_device_remove" },
	{ 0xa1378f00, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4bfbb2e, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8ee95db7, "snd_hdac_stream_timecounter_init" },
	{ 0xbe1e7e5f, "snd_hdac_ext_link_free_all" },
	{ 0x57918f82, "sst_ipc_tx_message_nowait" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x94519f8f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb86b180c, "devm_snd_soc_register_component" },
	{ 0xaea10bf2, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa94fd2c9, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x74ddcf99, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x1bb1118f, "snd_hdac_ext_bus_exit" },
	{ 0x8fad2e1a, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0x3171b1f4, "sysfs_remove_file_ns" },
	{ 0x8eb79f1, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xcd43f4c5, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x26e878f, "snd_hdac_device_register" },
	{ 0x52c3ed17, "snd_hdac_stream_spbcap_enable" },
	{ 0x9ac7f31, "sst_ipc_tx_message_nopm" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x758f8166, "snd_hdac_bus_init_chip" },
	{ 0xe4f7ed8a, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xce190dba, "intel_nhlt_get_endpoint_blob" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-sst-ipc,snd-hda-ext-core,snd-soc-acpi,snd-intel-dspcfg,snd-soc-core,snd-pcm,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "001835E63DBF07FC9C0F9DD");
