#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x9db41772, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x60f7a35b, "");
SYMBOL_CRC(cnl_ipc_dump, 0x301eb26c, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x3621c0be, "");
SYMBOL_CRC(sof_cnl_ops, 0x6bc92404, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x4a11dca0, "");
SYMBOL_CRC(jsl_chip_info, 0xc4d39adf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x385f813b, "hda_dsp_disable_interrupts" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x760cb439, "hda_dsp_cl_boot_firmware" },
	{ 0xc510638, "hda_dsp_set_power_state_ipc4" },
	{ 0x83892d53, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x99b15eeb, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0xbade2687, "hda_dsp_ipc_get_reply" },
	{ 0xf23d1eb8, "hda_power_down_dsp" },
	{ 0x9293bd3c, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa35cfaa0, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x491f69c9, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x44c127e1, "hda_sdw_check_lcount_common" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x809e0600, "hda_pci_intel_probe" },
	{ 0x79b05331, "sof_mailbox_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd635ab93, "snd_sof_dsp_update_bits_forced" },
	{ 0x751a00fd, "sof_pci_remove" },
	{ 0x3f781693, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdddfd387, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe7f02c6b, "hda_set_dai_drv_ops" },
	{ 0x7408192f, "hda_dsp_set_power_state_ipc3" },
	{ 0xc1fdabaa, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4812a2ba, "snd_sof_ipc_get_reply" },
	{ 0x5cc04a15, "snd_sof_dsp_update_bits" },
	{ 0x3c18688b, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98fe808a, "hda_common_enable_sdw_irq" },
	{ 0x6cf4c0d8, "hda_dsp_check_ipc_irq" },
	{ 0x49946cc9, "snd_sof_ipc_reply" },
	{ 0xcd894f20, "cl_dsp_init" },
	{ 0x8b496261, "hda_ipc4_tx_is_busy" },
	{ 0x5e2bf69, "hda_ops_free" },
	{ 0x958bf43b, "snd_soc_acpi_intel_cnl_machines" },
	{ 0x5496de86, "sof_pci_shutdown" },
	{ 0x41eaa7e0, "hda_dsp_core_get" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe8b95283, "hda_sdw_process_wakeen_common" },
	{ 0xa0e12644, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x8b788af, "snd_sof_dsp_panic" },
	{ 0x8ca70d32, "hda_dsp_ipc4_load_library" },
	{ 0x5cb503db, "hda_ipc_irq_dump" },
	{ 0x965bfed0, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x29768627, "hda_common_check_sdw_irq" },
	{ 0x388762a9, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf987d11d, "snd_soc_acpi_intel_cfl_machines" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8d49012c, "hda_sdw_check_wakeen_irq_common" },
	{ 0x4af27a97, "hda_dsp_shutdown" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C9CE7A864383831841843D3");
