#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0xad849847, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x0bb6562a, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x40999545, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x4942852a, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0xb545beb2, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x6746292f, "");
SYMBOL_CRC(mtl_dsp_dump, 0x19b16f16, "");
SYMBOL_CRC(mtl_power_down_dsp, 0xc3a9d1d8, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0xa61a6948, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0xc1292716, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0xaa60b598, "");
SYMBOL_CRC(mtl_ipc_dump, 0x06fd3666, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x2accfc7d, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xd7f1e041, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xc510638, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2802a5e6, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x491f69c9, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x44c127e1, "hda_sdw_check_lcount_common" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x809e0600, "hda_pci_intel_probe" },
	{ 0x2bdc3750, "snd_sof_dsp_dbg_dump" },
	{ 0x79b05331, "sof_mailbox_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xcfea5903, "debugfs_create_bool" },
	{ 0xd635ab93, "snd_sof_dsp_update_bits_forced" },
	{ 0x751a00fd, "sof_pci_remove" },
	{ 0xd9243276, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe7f02c6b, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4812a2ba, "snd_sof_ipc_get_reply" },
	{ 0x5cc04a15, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x283dea94, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x49946cc9, "snd_sof_ipc_reply" },
	{ 0x8b496261, "hda_ipc4_tx_is_busy" },
	{ 0x553557f9, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x5e2bf69, "hda_ops_free" },
	{ 0x5496de86, "sof_pci_shutdown" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe8b95283, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x10414541, "hda_dsp_get_state" },
	{ 0x8ca70d32, "hda_dsp_ipc4_load_library" },
	{ 0x965bfed0, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0x388762a9, "sof_pci_pm" },
	{ 0xd87cfc3d, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x6b546c25, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x8d49012c, "hda_sdw_check_wakeen_irq_common" },
	{ 0x1fad33c3, "snd_soc_acpi_intel_arl_machines" },
	{ 0x4af27a97, "hda_dsp_shutdown" },
	{ 0xd2ff57b9, "hda_sdw_int_enable" },
	{ 0x26db7aa2, "hda_sdw_startup" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F46591CFE13A41038E04026");
