#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa6af498b, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x14816ce5, "snd_card_set_id" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7fc0080f, "usb_set_interface" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0x15689486, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x64f0d2ed, "usb_string" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5dc9a54c, "input_event" },
	{ 0xe3fd5946, "input_set_abs_params" },
	{ 0x18baaaa8, "snd_rawmidi_new" },
	{ 0x9cee5a47, "snd_card_disconnect" },
	{ 0xa6d38f22, "snd_rawmidi_set_ops" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0x6a6ddec1, "usb_init_urb" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x194bd625, "snd_rawmidi_receive" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x2e5dacc0, "snd_rawmidi_transmit" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0x817f3da, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdfa3614d, "usb_bulk_msg" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0x9bb76f90, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc3a4b21c, "snd_card_new" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
