#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x875fc914, "");
SYMBOL_CRC(acpi_video_get_edid, 0x4ceb2f3f, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x3b7235aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2c69045, "put_device" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x1dcf6c75, "pnp_get_resource" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0xbe9b291e, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x54df6511, "acpi_get_pci_dev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xb19b445, "ioread8" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x36531fcd, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5dc9a54c, "input_event" },
	{ 0xa919897d, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xecf81427, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5dcb4d2e, "acpi_fetch_acpi_dev" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x6db78dbf, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0x49b51612, "acpi_dev_for_each_child" },
	{ 0xb6c85525, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x64d6568c, "acpi_dev_get_first_match_dev" },
	{ 0x4733c70, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x55054c3, "backlight_force_update" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0x76321d98, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xedc03953, "iounmap" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0b1034d, "acpi_device_fix_up_power_children" },
	{ 0x9e79cb02, "acpi_dev_remove_notify_handler" },
	{ 0x70fa9813, "thermal_cooling_device_register" },
	{ 0x9b1ef178, "get_device" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6088446, "__acpi_bus_register_driver" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "20E170CFD3B23D0468F1520");
