#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x0f44e3ad, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xb0447ce1, "_gpl");
SYMBOL_CRC(ahci_ops, 0x2d408b79, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xde6de3cb, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x5f64df15, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x3dafcb0a, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x48331d4f, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xa50dbe24, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x657738b3, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xb87a1f2f, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x6d27a259, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x19bd81a2, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x3ec302cc, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x832f839e, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x31f94ddd, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x912f8a76, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x49737b54, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x77eac2bb, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xdc4c498e, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xb3281837, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x7092c8db, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xdee820b3, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x4e659bdd, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x005b45db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x8cbc85fc, "ata_std_qc_defer" },
	{ 0x6043724a, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xf2dd3de1, "ata_port_classify" },
	{ 0x2cbcccbf, "ata_qc_complete_multiple" },
	{ 0x508d59e2, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x833b4e8d, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xdd1c39ec, "ata_host_start" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x35edfc8f, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x1cdcfb4d, "ata_host_register" },
	{ 0x9c4cf389, "ata_host_activate" },
	{ 0xe1211cbb, "ata_dummy_port_ops" },
	{ 0x32242dd1, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x7957fb5, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x74f5100a, "sata_link_hardreset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9149c701, "ata_ehi_clear_desc" },
	{ 0x1e300042, "ata_ehi_push_desc" },
	{ 0xf83298fb, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe9221e3d, "ata_port_abort" },
	{ 0xc9ddaca2, "sata_lpm_ignore_phy_events" },
	{ 0x7cf5ab66, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xff0d4924, "sata_pmp_port_ops" },
	{ 0xbe4491a3, "dev_attr_sw_activity" },
	{ 0xc7efdfe2, "dev_attr_unload_heads" },
	{ 0x79afd03d, "dev_attr_ncq_prio_supported" },
	{ 0x7989d84f, "dev_attr_ncq_prio_enable" },
	{ 0x449490db, "dev_attr_link_power_management_policy" },
	{ 0xa1aa1f9c, "dev_attr_em_message_type" },
	{ 0xb330cb5f, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2437da9c, "ata_link_next" },
	{ 0x94662e48, "ata_wait_register" },
	{ 0x447f8c00, "ata_dev_set_feature" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x7f5c8e1d, "ata_msleep" },
	{ 0x11620329, "sata_link_scr_lpm" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb559acc4, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "0673F02CDCC2B61FD50E0F4");
