#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_noop_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_slave_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_read_sense_success_ncq_log, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(sata_port_ops, 0x242aba1e, "_gpl");
SYMBOL_CRC(ata_link_next, 0x2437da9c, "_gpl");
SYMBOL_CRC(ata_dev_next, 0xdf52ddc4, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x5bbe6dd4, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0x059f0c0d, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0xbfdaed5d, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xe20bfa9e, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0xe6550579, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0x65d58593, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0xdc4adcca, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x00a31957, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0xebbbe9f6, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x07957fb5, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0xc235418e, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0x5ea00d29, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xb559acc4, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0x447f8c00, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x8cbc85fc, "_gpl");
SYMBOL_CRC(ata_noop_qc_prep, 0x38c2ff26, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0xbba4fb1d, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0xa328109a, "_gpl");
SYMBOL_CRC(ata_link_online, 0x216996d7, "_gpl");
SYMBOL_CRC(ata_link_offline, 0xc46e58a3, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0xd7525ce7, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x28cc86b0, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x3dca36c1, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x8aba3ffc, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x61abb7d0, "_gpl");
SYMBOL_CRC(ata_port_free, 0x32d17581, "_gpl");
SYMBOL_CRC(ata_host_put, 0x377c7e6f, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0x5871e1ce, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0xb0bf35ae, "_gpl");
SYMBOL_CRC(ata_host_start, 0xdd1c39ec, "_gpl");
SYMBOL_CRC(ata_host_init, 0x7a44013f, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xa069b4a3, "_gpl");
SYMBOL_CRC(ata_host_register, 0x1cdcfb4d, "_gpl");
SYMBOL_CRC(ata_host_activate, 0x9c4cf389, "_gpl");
SYMBOL_CRC(ata_host_detach, 0xb23065a2, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0xd9f9beee, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0xf61ad448, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0xc736a5cb, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0xb47225a7, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0x2cbfd888, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0x84a877e4, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x3dfb020c, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x129461a5, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x7f5c8e1d, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x94662e48, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0xe1211cbb, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0x1dd508c9, "_gpl");
SYMBOL_CRC(ata_print_version, 0xd40ee869, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0xb5f17849, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x62a05e4d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0xe8f4535e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0xe0d3ced8, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x63088233, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0x4cfe4c87, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xad5a2901, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0xa479fdf1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0x3c21362a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xf63ee31f, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x54701e20, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x6745fc34, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0xd1adc72f, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x0a829a73, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0x7d804570, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xc7efdfe2, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0x4595b6ea, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0xbed0bb49, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x856751c2, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x7bf090d3, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0x3ab796f0, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0x57d47387, "_gpl");
SYMBOL_CRC(ata_scsi_slave_alloc, 0xf0336e80, "_gpl");
SYMBOL_CRC(ata_scsi_device_configure, 0xf2445122, "_gpl");
SYMBOL_CRC(ata_scsi_slave_destroy, 0xf4b39ccc, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0xc6be26f3, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x20f0bdfd, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x1e300042, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x9149c701, "_gpl");
SYMBOL_CRC(ata_port_desc, 0x35edfc8f, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0x18c29cae, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0x1cb22d73, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0x7b85543d, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0x058f7bb2, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0xf97a4881, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0xf306a791, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xc604a168, "_gpl");
SYMBOL_CRC(ata_link_abort, 0xf83298fb, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xe9221e3d, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x508d59e2, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0x733c2374, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0xbc1083f2, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x88bad05a, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0xe76b8aab, "_gpl");
SYMBOL_CRC(ata_tport_add, 0xe1807dd8, "_gpl");
SYMBOL_CRC(ata_port_classify, 0xf2dd3de1, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0xf9c7e7bb, "_gpl");
SYMBOL_CRC(sata_scr_read, 0xe6c73f4f, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x116fb32b, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xb87fabee, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0xecdbde85, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x8ee899eb, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0x11620329, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x22f86a9d, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0x74f5100a, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0x2cbcccbf, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0xb88d10ec, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0xc9ddaca2, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x449490db, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x201a9c19, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x79afd03d, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x3ce70592, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x5cdd4fe5, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0x7989d84f, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x4698f7af, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0xb330cb5f, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0xa1aa1f9c, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xbe4491a3, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x925f1ec8, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0xb5cfee94, "_gpl");
SYMBOL_CRC(ata_sas_device_configure, 0x1c965138, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0x3cdfe39e, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x7cf5ab66, "_gpl");
SYMBOL_CRC(ata_eh_read_sense_success_ncq_log, 0xae544960, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x6d7d60a4, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0xfceef78c, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x7414219e, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x4b852638, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x4c021d08, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0xdd0ebe83, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0x0df47910, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0xbf2c32b5, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x83757177, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0x0e7307f4, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x2115b621, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0xd1feaf94, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0x0770954e, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x76de31a5, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x11f0237b, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x49779883, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x48bdbf37, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x6b3350dc, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0x778bbf85, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xd33f91f1, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x5833790e, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x264e4950, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0xff21be2c, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0xfe317e7c, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0x2ee7d318, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0xae5e0c5e, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x479f97c4, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0x701fe96a, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xb3b3e3d8, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0x81d91c3f, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x7ec6a421, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0xb9fe3b2f, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x41e0278f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x1a907e00, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xff298c8b, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0x169f4e12, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x4b944c79, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xbae78ebc, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x9b3992c7, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0xbd0273c0, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0x34d9abec, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0x69b3fb91, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x7f9c8d8c, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0xd56831fb, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0x4b0e2c56, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x73ae7bb4, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0x3699885b, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0x53a84e6c, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x486b0948, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xb2dce5f3, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0x2192f380, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0x2a073538, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xff0d4924, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x6043724a, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x833b4e8d, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x43a80f00, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0xce5ea689, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0xdb38228c, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0xfb1e9612, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0xfde3a346, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96b29254, "strncasecmp" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xdb40d55b, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0xde2c46b3, "devm_free_irq" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3a1c0678, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3c896a20, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0x4c8b4513, "sg_miter_next" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0xc4d7893a, "transport_class_unregister" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6fb3ae3c, "attribute_container_register" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0x1c956513, "sg_miter_stop" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa53c5110, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x9ff7dba6, "transport_configure_device" },
	{ 0x90397bf9, "devres_open_group" },
	{ 0xddcf4867, "scsi_resume_device" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x21b1238b, "pcim_pin_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe1592525, "transport_add_device" },
	{ 0xc03e0c90, "sg_miter_start" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xbe535fdd, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb19b445, "ioread8" },
	{ 0x7393a956, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x73e28b09, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c594254, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x877d8c14, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf3af8bcd, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0x15f95e3c, "scsi_remove_device" },
	{ 0x9783862, "blk_abort_request" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x5a6498f1, "set_primary_fwnode" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x28a4034, "__scsi_add_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x91e127e4, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd4f31512, "transport_class_register" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x140cdf41, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xde213542, "devres_release_group" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdef1324c, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x205a75d4, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0xe9373084, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x45a277cd, "scsi_build_sense" },
	{ 0xcd03d175, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9f64e039, "scsi_check_sense" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x48b8e147, "sdev_evt_send_simple" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x856efcdd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x63827f3d, "scsi_device_set_state" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0xf59bbb, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "47E0530A7BBA70711EED368");
