#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f0237b, "ata_sff_queue_pio_task" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x74f5100a, "sata_link_hardreset" },
	{ 0xe6c73f4f, "sata_scr_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xbae78ebc, "ata_bmdma_qc_issue" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9149c701, "ata_ehi_clear_desc" },
	{ 0x1e300042, "ata_ehi_push_desc" },
	{ 0xf83298fb, "ata_link_abort" },
	{ 0xb87fabee, "sata_scr_write_flush" },
	{ 0xe9221e3d, "ata_port_abort" },
	{ 0x7cf5ab66, "sata_async_notification" },
	{ 0x9b3992c7, "ata_bmdma_port_intr" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc46e58a3, "ata_link_offline" },
	{ 0xd9f9beee, "ata_pci_remove_one" },
	{ 0x84a877e4, "ata_pci_device_suspend" },
	{ 0x1a907e00, "ata_bmdma_port_ops" },
	{ 0xfceef78c, "ata_sff_port_ops" },
	{ 0xc6be26f3, "ata_scsi_queuecmd" },
	{ 0x3ab796f0, "ata_scsi_ioctl" },
	{ 0xf0336e80, "ata_scsi_slave_alloc" },
	{ 0xf2445122, "ata_scsi_device_configure" },
	{ 0xf4b39ccc, "ata_scsi_slave_destroy" },
	{ 0xb5cfee94, "ata_scsi_change_queue_depth" },
	{ 0x57d47387, "ata_scsi_dma_need_drain" },
	{ 0xbed0bb49, "ata_std_bios_param" },
	{ 0x856751c2, "ata_scsi_unlock_native_capacity" },
	{ 0x4698f7af, "ata_ncq_sdev_groups" },
	{ 0x4595b6ea, "ata_common_sdev_groups" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x328e3071, "_dev_err" },
	{ 0x3dca36c1, "ata_host_suspend" },
	{ 0xb23065a2, "ata_host_detach" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x180a7f06, "phy_power_off" },
	{ 0x96848186, "scnprintf" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb19b445, "ioread8" },
	{ 0x6d7d60a4, "ata_eh_analyze_ncq_error" },
	{ 0x508d59e2, "ata_port_freeze" },
	{ 0x833b4e8d, "sata_pmp_error_handler" },
	{ 0xfc4e8658, "dmam_pool_create" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x6ec85677, "_dev_alert" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4c021d08, "ata_sff_dma_pause" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8aba3ffc, "ata_host_resume" },
	{ 0xbd895d05, "platform_get_resource" },
	{ 0x44ea6000, "platform_get_irq" },
	{ 0xb0bf35ae, "ata_host_alloc_pinfo" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x23ff1c46, "devm_ioremap" },
	{ 0x76b9f17e, "clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x91ebff47, "devm_phy_optional_get" },
	{ 0xdf5883a, "phy_power_on" },
	{ 0xd40ee869, "ata_print_version" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x9c4cf389, "ata_host_activate" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x2cbfd888, "ata_pci_device_do_resume" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x18c29cae, "ata_port_pbar_desc" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x4218944d, "pci_try_set_mwi" },
	{ 0x21b1238b, "pcim_pin_device" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xa328109a, "ata_qc_get_active" },
	{ 0x2cbcccbf, "ata_qc_complete_multiple" },
	{ 0x5ea00d29, "sata_std_hardreset" },
	{ 0x2ee7d318, "ata_sff_softreset" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v000011ABd00005040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001742sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000241sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000243sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00007042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002310sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E42AE79D6858BF81291B67A");
