#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49779883, "ata_sff_qc_issue" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbba4fb1d, "ata_qc_complete" },
	{ 0x9149c701, "ata_ehi_clear_desc" },
	{ 0x1e300042, "ata_ehi_push_desc" },
	{ 0xe9221e3d, "ata_port_abort" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x508d59e2, "ata_port_freeze" },
	{ 0xb3b3e3d8, "ata_sff_error_handler" },
	{ 0x2ee7d318, "ata_sff_softreset" },
	{ 0x5ea00d29, "sata_std_hardreset" },
	{ 0xd9f9beee, "ata_pci_remove_one" },
	{ 0xdc4adcca, "ata_cable_sata" },
	{ 0xfceef78c, "ata_sff_port_ops" },
	{ 0xc6be26f3, "ata_scsi_queuecmd" },
	{ 0x3ab796f0, "ata_scsi_ioctl" },
	{ 0xf0336e80, "ata_scsi_slave_alloc" },
	{ 0xf2445122, "ata_scsi_device_configure" },
	{ 0xf4b39ccc, "ata_scsi_slave_destroy" },
	{ 0x57d47387, "ata_scsi_dma_need_drain" },
	{ 0xbed0bb49, "ata_std_bios_param" },
	{ 0x856751c2, "ata_scsi_unlock_native_capacity" },
	{ 0x4595b6ea, "ata_common_sdev_groups" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x2115b621, "ata_sff_exec_command" },
	{ 0x83757177, "ata_sff_tf_load" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf9c7e7bb, "sata_scr_valid" },
	{ 0x3699885b, "ata_bmdma_port_start" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xb0bf35ae, "ata_host_alloc_pinfo" },
	{ 0x18c29cae, "ata_port_pbar_desc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9c4cf389, "ata_host_activate" },
	{ 0xd40ee869, "ata_print_version" },
	{ 0x21b1238b, "pcim_pin_device" },
	{ 0x328e3071, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v0000105Ad00003371sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003373sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003375sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003376sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003570sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003571sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003D73sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003D75sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003515sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003519sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003D17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00003D18sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Ad00006629sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "573EFD104697F935B839937");
