#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x76665a84, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x0a1db3af, "");
SYMBOL_CRC(__bcma_driver_register, 0x8dc8fa68, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xf95fe8b5, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x481fa56d, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xbf552c2b, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xe4e08076, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x5465a801, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x164ebd0d, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x7e193f77, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xbf4a4fa1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x45025f37, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xf3436fa1, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x52197dbc, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x6481871e, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x17bc3f05, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x3fc502ab, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x2f59c4f8, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xd76f52bf, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xe340c46c, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x15273eb5, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x139356fb, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x8e3b8f29, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x768aaef7, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x30beb8ed, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x2b23f79b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x56dc07ed, "gpiochip_get_data" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xda9cfe3d, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x14064a20, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x84c3a7a5, "pcie_set_readrq" },
	{ 0x689c9e31, "driver_register" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x810dca50, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xe6534907, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x70461bf3, "platform_device_register" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "427C5475EF8C59A544795B4");
