#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xdbdee578, "lc_element_by_index" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xdd77396f, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa4508d7f, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x6e5bf911, "set_cpus_allowed_ptr" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x73b2252b, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0x1b9cdb93, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe6d0047e, "sock_sendmsg" },
	{ 0x889c4ecf, "bio_add_page" },
	{ 0x3f41e69f, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe35316cf, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaeb959aa, "lc_create" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa0e2654c, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x50302258, "bio_alloc_clone" },
	{ 0xf0e20f9b, "lc_try_lock" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x75e88edc, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbf18a077, "lc_reset" },
	{ 0x25f81b17, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xa79000a0, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x702e14d7, "lc_seq_dump_details" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf342ea9b, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x9d5ab0f3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x2ed0cf8c, "bioset_init" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x58ca8fec, "sock_recvmsg" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0xdc6f81c6, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc35b035a, "bd_link_disk_holder" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xddc09ddc, "queue_limits_commit_update" },
	{ 0xc057f771, "single_release" },
	{ 0x3e517a5d, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0049bf2, "tcp_sock_set_nodelay" },
	{ 0xd5a23fb9, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x51ec2b35, "genl_unregister_family" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0xcb562e6, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4d8d7a4, "lc_find" },
	{ 0xe2e4f264, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x945bd939, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xe2e1eb61, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x5abd9d6f, "fs_bio_set" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x22b92d36, "blkdev_issue_discard" },
	{ 0x681bca20, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd32123c3, "lc_seq_printf_stats" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xfb509a5a, "__blk_alloc_disk" },
	{ 0x49d20633, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x8c30735, "bdev_file_open_by_path" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xd2014187, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x31f1c22, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa59f880b, "blk_start_plug" },
	{ 0x20978fb9, "idr_find" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfba16232, "lc_get_cumulative" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8d9e7c36, "bio_split_to_limits" },
	{ 0x504eb8ee, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x13ed5b60, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x59636cad, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfab21d71, "kernel_accept" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfa56201b, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb59de9a8, "tcp_sock_set_quickack" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0x6f9cff22, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2675693b, "lc_del" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x91b73c86, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x12de578e, "lc_committed" },
	{ 0x1d2ebc6a, "lc_get" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xd88295e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7fd2331c, "submit_bio" },
	{ 0xd408f16a, "module_put" },
	{ 0xf41e3106, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x966109f2, "bdev_discard_alignment" },
	{ 0x96d40a48, "lc_try_get" },
	{ 0x18d85d3b, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa6e15871, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xfb97a14e, "bio_put" },
	{ 0x2298bff3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x93e6d09f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xca53f895, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "lru_cache");


MODULE_INFO(srcversion, "6057BE158AE83297D1AF4C0");
