#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x681bca20, "set_capacity_and_notify" },
	{ 0x84c49cdb, "ceph_cls_set_cookie" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x66bdfd81, "ceph_parse_mon_ips" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc0b5291, "osd_req_op_raw_data_in_pages" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x7af235e2, "ceph_compare_options" },
	{ 0x9d10a583, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfb42a76b, "__module_get" },
	{ 0x7ce84365, "set_capacity" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x504eb8ee, "device_add_disk" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x61a315f3, "blk_mq_end_request" },
	{ 0x68f2e816, "blk_mq_start_request" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0x35632810, "fs_param_is_enum" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd34f641, "ceph_cls_unlock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfe5223c4, "ceph_osdc_unwatch" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x96627cc2, "ceph_osdc_flush_notifies" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x55fdd1ad, "ceph_parse_param" },
	{ 0x203f869b, "__fs_parse" },
	{ 0x7dc56c43, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85df9b6c, "strsep" },
	{ 0x349cba85, "strchr" },
	{ 0x754d539c, "strlen" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfe01fefb, "ceph_osdc_start_request" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb539ed0c, "ceph_osdc_call" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9f1f36c8, "ceph_client_gid" },
	{ 0xff2b3e79, "ceph_client_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xce807a25, "up_write" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x57bc19d2, "down_write" },
	{ 0x67d645e2, "ceph_cls_lock_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe8e530dd, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xa50ce3ad, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xffb8c0b0, "osd_req_op_alloc_hint_init" },
	{ 0x1a91fe0e, "osd_req_op_extent_init" },
	{ 0xecc10964, "osd_req_op_init" },
	{ 0x38091880, "ceph_osdc_watch" },
	{ 0xbef952fc, "ceph_osdc_notify_ack" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9b1ef178, "get_device" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1548a6a, "device_register" },
	{ 0x810dca50, "bus_register" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2c69045, "put_device" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x677f70bb, "blk_mq_alloc_tag_set" },
	{ 0x13286eb8, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x690a3d1e, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x3ea2df51, "ceph_cls_lock" },
	{ 0xa06c21fd, "ceph_cls_break_lock" },
	{ 0xe36e8df4, "ceph_osdc_alloc_request" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x11f3eced, "ceph_alloc_page_vector" },
	{ 0x3f265fc6, "osd_req_op_extent_osd_data_pages" },
	{ 0xb86640b7, "ceph_osdc_alloc_messages" },
	{ 0xc7d414a3, "ceph_osdc_wait_request" },
	{ 0x53e85b1c, "ceph_osdc_put_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x519dd950, "ceph_copy_from_page_vector" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0x91b73c86, "put_disk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x162d32da, "ceph_osdc_notify" },
	{ 0x3415a9b4, "ceph_release_page_vector" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8d2374dd, "osd_req_op_cls_init" },
	{ 0x19188e7, "osd_req_op_cls_request_data_bvecs" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x4cb1d396, "ceph_destroy_client" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd408f16a, "module_put" },
	{ 0xd434c7d7, "ceph_create_client" },
	{ 0x5160eb38, "ceph_open_session" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x73ad220f, "ceph_osdc_list_watchers" },
	{ 0xc29db823, "ceph_monc_blocklist_add" },
	{ 0x19fc4dc3, "osd_req_op_cls_request_data_pages" },
	{ 0x6a5400b3, "ceph_cls_assert_locked" },
	{ 0xa77a5726, "blk_mq_freeze_queue" },
	{ 0xbbffd4a7, "blk_mark_disk_dead" },
	{ 0xe35316cf, "del_gendisk" },
	{ 0xbe535fdd, "device_del" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "AD13399FBD102924A3EEF53");
