#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x78b3dfda, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xd4c7c045, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xa4642b62, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xa04965df, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0x47599487, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x58767886, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x05fd722c, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xee5b4344, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0x82cd83ae, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xc34831a0, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0x3a16e9f3, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x5b46e70e, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x75d66c8f, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x1376ef38, "_gpl");
SYMBOL_CRC(adf_dev_put, 0xc025a5dc, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x71f24bec, "_gpl");
SYMBOL_CRC(adf_dev_started, 0xe0941616, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x97fa1da1, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x11412945, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x85169be7, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x14f2c9e8, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x73978103, "_gpl");
SYMBOL_CRC(adf_err_handler, 0xea78d502, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x4677e86f, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x49735d8a, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0x2b1b8046, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x7948f21a, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xc59445fa, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x44b2c889, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x2dccf4ca, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x7a16d53c, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x3a7913c9, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x2a887818, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0xf69d41af, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x933fcd05, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0xec08035b, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x6b2d2043, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x17ab6ac9, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xf87117a9, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x9ee7b3fc, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0xcc764630, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x72be4354, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x794a5f57, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0x0b19fef8, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xa4ed7a54, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0x833d1905, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x87eb9e12, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xbcf61084, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x4ffd4ec6, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x1ad81c75, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x4ae02315, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x007e9619, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0xfd3f7c1e, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x5064418c, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x3b4bd942, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xf76759ed, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xdc9570c4, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xc9c8f6ad, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x9bbcb127, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0x4583a6b5, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0x1858eb48, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0xa82d5ff6, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x765c84f2, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x17e59e8f, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xf41cb176, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x0c934ea5, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0x570a69c8, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x9c8e467b, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x73e103de, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xbc017f82, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0x5da7e82a, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xfb4331ed, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x1b40ef0a, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x7ac60162, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0xf29b05f8, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x59440992, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0x04bd690c, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xfc873a5e, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x91c1c793, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x628a8765, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x66bef139, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0xe5d9f5f5, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xc54913e6, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x9a4f9698, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0x666c3a3c, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0xa44e9fd0, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0x8cf82ceb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x91b682ab, "seq_write" },
	{ 0xe8d98357, "crypto_register_kpp" },
	{ 0xd6d3a362, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xc057f771, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x24020aab, "device_add_groups" },
	{ 0xbc611504, "seq_open" },
	{ 0xe246c194, "crypto_unregister_skciphers" },
	{ 0x81188c30, "match_string" },
	{ 0xc434f7a9, "crypto_register_akcipher" },
	{ 0xe2e4f264, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x844c6b16, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f34d291, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x79678fff, "cdev_del" },
	{ 0x28cf5a1b, "crypto_shash_export" },
	{ 0xdd67b11, "crypto_alloc_skcipher" },
	{ 0xe8fff3a6, "crypto_skcipher_encrypt" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4dca06cf, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0xffc6fef4, "crypto_unregister_kpp" },
	{ 0xf2fdffbf, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7cd95d4, "__kmalloc_node_noprof" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x99c66e5a, "crypto_register_aeads" },
	{ 0x4e65d4e8, "pci_sriov_get_totalvfs" },
	{ 0x6f2e09cc, "seq_hex_dump" },
	{ 0x223729e, "device_remove_groups" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xd540c2e2, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0xb15bb8c4, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbdba0ae3, "crypto_cipher_setkey" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x8957268b, "crypto_unregister_aeads" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x83d9d3b2, "crypto_alloc_kpp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf99fa523, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xd408f16a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xc599b4c1, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x41dfa10d, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x150b990a, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x474873db, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x44bc631a, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3ec8577c, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x446b5f54, "pcie_flr" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x73b2252b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f41e69f, "crypto_shash_update" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe9b213de, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x51456ab9, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x432724fb, "crypto_cipher_encrypt_one" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "BD8243CCA9F4EA5E06F93D2");
