#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0xa11ad15b, "__devm_drm_dev_alloc" },
	{ 0xfa985a09, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x81bb41b4, "drmm_kmalloc" },
	{ 0x66447bf6, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30dee47a, "drm_atomic_helper_set_config" },
	{ 0x883b1e86, "devm_arch_phys_wc_add" },
	{ 0x66ac284, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xba466350, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7dce6b53, "drm_connector_cleanup" },
	{ 0xbc24407d, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ef3504c, "drm_universal_plane_init" },
	{ 0xcb606d76, "drm_gem_destroy_shadow_plane_state" },
	{ 0xa325fd4e, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x5813f539, "drm_crtc_enable_color_mgmt" },
	{ 0x65c4029, "drm_fb_memcpy" },
	{ 0x923468b9, "drm_encoder_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa471063f, "drm_helper_probe_single_connector_modes" },
	{ 0xf6b7222c, "__drm_atomic_helper_crtc_reset" },
	{ 0xa5928c0d, "drm_gem_reset_shadow_plane" },
	{ 0xaee667ad, "pcim_iomap" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x332452f2, "drm_gem_end_shadow_fb_access" },
	{ 0xd80f754, "drm_atomic_helper_page_flip" },
	{ 0x2614b93a, "devm_ioremap_wc" },
	{ 0x6f94ecfb, "drm_atomic_helper_connector_reset" },
	{ 0xbcee29ca, "drm_mode_config_reset" },
	{ 0xdcd5c01c, "__devm_add_action" },
	{ 0xfd2416ff, "drm_mode_config_helper_resume" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x421eb5c, "drm_fbdev_shmem_setup" },
	{ 0x298009bc, "drm_atomic_helper_update_plane" },
	{ 0x306c0c6a, "drm_compat_ioctl" },
	{ 0x175e012b, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xe15695e0, "drm_release" },
	{ 0x49f2843a, "drm_connector_helper_detect_from_ddc" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0x6d55ef0e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x86233af9, "drm_open" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc2f1f5cb, "drm_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf35affa9, "drm_mode_crtc_set_gamma_size" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x5016eeca, "drm_plane_enable_fb_damage_clips" },
	{ 0x19ed36c5, "drm_gem_shmem_dumb_create" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0xbd9a7e37, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x6d483a83, "drm_atomic_helper_shutdown" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x11b70e49, "drmm_kfree" },
	{ 0x37a0cba, "kfree" },
	{ 0x19b88ae4, "drm_crtc_cleanup" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0x35f4996f, "drm_encoder_cleanup" },
	{ 0xf7f49a82, "devm_arch_io_reserve_memtype_wc" },
	{ 0x12375d33, "drmm_mode_config_init" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6c1b3ef, "drm_add_modes_noedid" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x51497a30, "drm_connector_attach_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x193e32c5, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x611489f1, "__drmm_add_action_or_reset" },
	{ 0x3670eef9, "drm_connector_helper_get_modes" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x426df6c, "drm_atomic_helper_commit" },
	{ 0x28f5473c, "drm_atomic_helper_check" },
	{ 0xf4923af2, "__drmm_mutex_release" },
	{ 0x8ab63d29, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc0f8b060, "drm_gem_mmap" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x4fefd01e, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xd4ed4b9, "drm_ioctl" },
	{ 0x36bd9542, "drm_plane_cleanup" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x32d57873, "drm_atomic_helper_commit_tail" },
	{ 0x3797bcc3, "drm_connector_init" },
	{ 0x96ce7743, "pci_iomap_range" },
	{ 0x328e3071, "_dev_err" },
	{ 0x801f2ab6, "drm_mode_config_helper_suspend" },
	{ 0x8a5560d7, "drm_connector_init_with_ddc" },
	{ 0xeac8c00a, "drm_add_edid_modes" },
	{ 0x74828874, "drm_atomic_helper_damage_merged" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xd4d65e66, "drm_read" },
	{ 0x995d567e, "drm_gem_fb_create_with_dirty" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6e798101, "drm_gem_begin_shadow_fb_access" },
	{ 0x29c157a0, "drmm_kms_helper_poll_init" },
	{ 0x69d8d817, "drm_atomic_helper_check_plane_state" },
	{ 0x2c3f6cb0, "drm_crtc_init_with_planes" },
	{ 0xe112df6a, "drm_atomic_helper_disable_planes_on_crtc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x61687579, "drm_dev_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_shmem_helper,i2c-algo-bit");

MODULE_ALIAS("pci:v00001A03d00002000sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00001A03d00002010sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "A82D6C675661DE8A6E962CE");
