#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35f4996f, "drm_encoder_cleanup" },
	{ 0x10f4038e, "drm_connector_unregister" },
	{ 0x73603d7e, "drm_gem_vram_offset" },
	{ 0x12375d33, "drmm_mode_config_init" },
	{ 0xfdd47197, "drm_plane_get_damage_clips" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6c1b3ef, "drm_add_modes_noedid" },
	{ 0x51497a30, "drm_connector_attach_encoder" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x426df6c, "drm_atomic_helper_commit" },
	{ 0x28f5473c, "drm_atomic_helper_check" },
	{ 0x8ab63d29, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc44c190c, "drm_connector_list_iter_end" },
	{ 0xcb4f5f65, "drm_atomic_helper_plane_duplicate_state" },
	{ 0xc0f8b060, "drm_gem_mmap" },
	{ 0x4fefd01e, "drm_gem_duplicate_shadow_plane_state" },
	{ 0xd4ed4b9, "drm_ioctl" },
	{ 0x36bd9542, "drm_plane_cleanup" },
	{ 0xd3e1c016, "drm_gem_vram_plane_helper_prepare_fb" },
	{ 0x6f49fc86, "drm_modeset_lock" },
	{ 0xc7370ff1, "drm_modeset_unlock" },
	{ 0x3797bcc3, "drm_connector_init" },
	{ 0x801f2ab6, "drm_mode_config_helper_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xd4d65e66, "drm_read" },
	{ 0x995d567e, "drm_gem_fb_create_with_dirty" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdbfe2728, "drm_vram_helper_mode_valid" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6e798101, "drm_gem_begin_shadow_fb_access" },
	{ 0xce28749f, "drm_vram_mm_debugfs_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x69d8d817, "drm_atomic_helper_check_plane_state" },
	{ 0xe77e6026, "drm_atomic_helper_plane_reset" },
	{ 0x2c3f6cb0, "drm_crtc_init_with_planes" },
	{ 0x17eec8ab, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc1017b73, "drm_plane_get_damage_clips_count" },
	{ 0x61687579, "drm_dev_unregister" },
	{ 0xa11ad15b, "__devm_drm_dev_alloc" },
	{ 0x66447bf6, "drm_connector_update_edid_property" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30dee47a, "drm_atomic_helper_set_config" },
	{ 0x883b1e86, "devm_arch_phys_wc_add" },
	{ 0x4c099cc3, "drmm_vram_helper_init" },
	{ 0xba466350, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x1c06e57b, "devm_gen_pool_create" },
	{ 0x7dce6b53, "drm_connector_cleanup" },
	{ 0x9ef3504c, "drm_universal_plane_init" },
	{ 0xcb606d76, "drm_gem_destroy_shadow_plane_state" },
	{ 0xfca30970, "drm_atomic_helper_crtc_reset" },
	{ 0x2068eb44, "pcim_iomap_range" },
	{ 0x5cc2bafa, "drm_connector_list_iter_next" },
	{ 0x364deea8, "drm_object_property_set_value" },
	{ 0x923468b9, "drm_encoder_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc233d3da, "drm_kms_helper_hotplug_event" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa471063f, "drm_helper_probe_single_connector_modes" },
	{ 0xd659a39f, "drm_fbdev_ttm_setup" },
	{ 0x3b97bb81, "drm_cvt_mode" },
	{ 0xa5928c0d, "drm_gem_reset_shadow_plane" },
	{ 0x290cee7b, "drm_plane_helper_destroy" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x332452f2, "drm_gem_end_shadow_fb_access" },
	{ 0x7f35e92b, "drm_mode_destroy" },
	{ 0xd80f754, "drm_atomic_helper_page_flip" },
	{ 0xceefd155, "drm_gem_ttm_dumb_map_offset" },
	{ 0x6f94ecfb, "drm_atomic_helper_connector_reset" },
	{ 0xbcee29ca, "drm_mode_config_reset" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x3a22da07, "drm_gem_vram_plane_helper_cleanup_fb" },
	{ 0x6da7e4f, "drm_mode_config_cleanup" },
	{ 0xfd2416ff, "drm_mode_config_helper_resume" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x764dc636, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x298009bc, "drm_atomic_helper_update_plane" },
	{ 0x306c0c6a, "drm_compat_ioctl" },
	{ 0x175e012b, "drm_dev_register" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xe15695e0, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd1a419d0, "drm_atomic_helper_plane_destroy_state" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0x6d55ef0e, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x86233af9, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc2f1f5cb, "drm_poll" },
	{ 0xf35affa9, "drm_mode_crtc_set_gamma_size" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5cc5a97f, "drm_gem_vram_driver_dumb_create" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b3796f2, "drm_mode_probed_add" },
	{ 0xbd9a7e37, "drm_atomic_helper_disable_plane" },
	{ 0x6d483a83, "drm_atomic_helper_shutdown" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x5a85402f, "drm_mode_create_suggested_offset_properties" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5767577, "drm_atomic_helper_crtc_destroy_state" },
	{ 0x19b88ae4, "drm_crtc_cleanup" },
	{ 0x4920825b, "drm_connector_list_iter_begin" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_vram_helper,drm_kms_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v000080EEd0000BEEFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A2C355E73852F8C27500A82");
