#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x8fc90b9a, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x6b512d22, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x231f5033, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xd3101e53, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x2a078508, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x18f4fc27, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x28ade9a6, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xae7ce043, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x07a1f5cb, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x2f8b6543, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x0431ffbf, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x94f875f2, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xd93e492d, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xa0c1d62a, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xcc6127a4, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0xe67a112d, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x3f20b430, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xc4c2ee6c, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x4623d49c, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xa3ed2182, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x0e0f674a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd87f6e9, "sysfs_notify" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0xbabecf70, "regulator_notifier_call_chain" },
	{ 0x7fc3a6ef, "i2c_smbus_xfer" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0xdcd5c01c, "__devm_add_action" },
	{ 0x96848186, "scnprintf" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb74a2faf, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe4786c4a, "devm_hwmon_device_register_with_groups" },
	{ 0x8e056af2, "devm_regulator_register" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6c7e3074, "i2c_smbus_write_byte_data" },
	{ 0x9a749121, "i2c_smbus_read_byte_data" },
	{ 0x9c5e11f5, "i2c_smbus_write_byte" },
	{ 0x1ef3da2, "i2c_smbus_write_word_data" },
	{ 0x39e284a9, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3a68d58, "devm_krealloc" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x621143f2, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6045fd5d, "rdev_get_dev" },
	{ 0x5854c289, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "396207AED3A699221C7726C");
