#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xc8c6445e, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xabe44288, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xb8e6203f, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x87471326, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95e36e83, "__pm_runtime_use_autosuspend" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7c0e7577, "iio_trigger_unregister" },
	{ 0x2c84f16, "iio_trigger_free" },
	{ 0xf04b742c, "iio_triggered_buffer_cleanup" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0x8c4cb113, "sensor_hub_device_close" },
	{ 0xd9038402, "hid_sensor_get_usage_index" },
	{ 0x8d91e0d6, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa624f6fa, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9e57665d, "sensor_hub_device_open" },
	{ 0xa4b31513, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd4dc141, "hid_sensor_set_report_latency" },
	{ 0x26c72cfa, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xd5957e37, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x4e7451c, "iio_triggered_buffer_setup_ext" },
	{ 0xd1772ba1, "iio_device_id" },
	{ 0x4e441a3d, "__iio_trigger_alloc" },
	{ 0xf93e8770, "iio_trigger_register" },
	{ 0x9b1ef178, "get_device" },
	{ 0xfb42a76b, "__module_get" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x328e3071, "_dev_err" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");
