#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x9dfc12cc, "");
SYMBOL_CRC(__ib_alloc_pd, 0x7443c530, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x83a902ad, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xac67e25d, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xc9a5bce5, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xddd325a3, "");
SYMBOL_CRC(rdma_create_ah, 0x42dfe974, "");
SYMBOL_CRC(rdma_create_user_ah, 0x58b05323, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xbcd1902d, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x7962e6fa, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x85ba85df, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xc92db701, "");
SYMBOL_CRC(rdma_modify_ah, 0x9d007283, "");
SYMBOL_CRC(rdma_query_ah, 0x32c4b498, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x42edd27c, "");
SYMBOL_CRC(ib_create_srq_user, 0x93ab3b64, "");
SYMBOL_CRC(ib_modify_srq, 0x8c9bfdff, "");
SYMBOL_CRC(ib_query_srq, 0x2b740481, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x468749e1, "");
SYMBOL_CRC(ib_open_qp, 0x91b2d456, "");
SYMBOL_CRC(ib_create_qp_user, 0x1d02faf3, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xdef7acb3, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xddb373ae, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x753a217b, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x9116162d, "");
SYMBOL_CRC(ib_get_eth_speed, 0x03ac4fec, "");
SYMBOL_CRC(ib_modify_qp, 0x375cb294, "");
SYMBOL_CRC(ib_query_qp, 0xdb2f4b36, "");
SYMBOL_CRC(ib_close_qp, 0xb4d94c5b, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xabac7e61, "");
SYMBOL_CRC(__ib_create_cq, 0xd37a0adc, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xad31a6a9, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x41be789b, "");
SYMBOL_CRC(ib_resize_cq, 0x6df3565f, "");
SYMBOL_CRC(ib_reg_user_mr, 0x7715b83c, "");
SYMBOL_CRC(ib_advise_mr, 0x3cd01e6a, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x4b09ab16, "");
SYMBOL_CRC(ib_alloc_mr, 0xcb10e9cd, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x5a9a8055, "");
SYMBOL_CRC(ib_attach_mcast, 0xa6b0404c, "");
SYMBOL_CRC(ib_detach_mcast, 0x4dab58e0, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x7b5b48ce, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xbef883d6, "");
SYMBOL_CRC(ib_create_wq, 0x4a9d482e, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xfa47c41d, "");
SYMBOL_CRC(ib_check_mr_status, 0x22f7a15d, "");
SYMBOL_CRC(ib_set_vf_link_state, 0xc4d084c7, "");
SYMBOL_CRC(ib_get_vf_config, 0xc03e75a8, "");
SYMBOL_CRC(ib_get_vf_stats, 0x04572825, "");
SYMBOL_CRC(ib_set_vf_guid, 0x5cfea031, "");
SYMBOL_CRC(ib_get_vf_guid, 0x16771645, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x4eb31854, "");
SYMBOL_CRC(ib_map_mr_sg, 0x976eb119, "");
SYMBOL_CRC(ib_sg_to_pages, 0x52212d69, "");
SYMBOL_CRC(ib_drain_sq, 0x90d9b192, "");
SYMBOL_CRC(ib_drain_rq, 0xf34720a7, "");
SYMBOL_CRC(ib_drain_qp, 0xcf197fe5, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x3069ec4d, "");
SYMBOL_CRC(rdma_init_netdev, 0x62117cbc, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xc89589b6, "");
SYMBOL_CRC(__ib_alloc_cq, 0xdfbc4012, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xb800cb80, "");
SYMBOL_CRC(ib_free_cq, 0x1dec3d1a, "");
SYMBOL_CRC(ib_cq_pool_get, 0xd698582b, "");
SYMBOL_CRC(ib_cq_pool_put, 0x0a76a143, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x7016e2e5, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xf04b9038, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xc8559a7e, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xa3d0a698, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x5f219485, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x25b6cf60, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x895c0768, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xdc3ab3ec, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x8cf318fc, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x21603bc7, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x8b0399fa, "");
SYMBOL_CRC(ibdev_printk, 0x3a56b39c, "");
SYMBOL_CRC(ibdev_emerg, 0xf135462b, "");
SYMBOL_CRC(ibdev_alert, 0x6a591a35, "");
SYMBOL_CRC(ibdev_crit, 0x4377cc62, "");
SYMBOL_CRC(ibdev_err, 0x305292f3, "");
SYMBOL_CRC(ibdev_warn, 0x368eb3b4, "");
SYMBOL_CRC(ibdev_notice, 0x0aa1e9b9, "");
SYMBOL_CRC(ibdev_info, 0x9e94c171, "");
SYMBOL_CRC(ib_device_put, 0x4c93071a, "");
SYMBOL_CRC(ib_device_get_by_name, 0xeb8c5002, "");
SYMBOL_CRC(_ib_alloc_device, 0xf80bc537, "");
SYMBOL_CRC(ib_dealloc_device, 0xe184c700, "");
SYMBOL_CRC(ib_port_immutable_read, 0x63785f67, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x613849af, "");
SYMBOL_CRC(ib_register_device, 0x6ed55d1d, "");
SYMBOL_CRC(ib_unregister_device, 0x97430267, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x9520a6bc, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x99e97242, "");
SYMBOL_CRC(ib_register_client, 0xe766a1c1, "");
SYMBOL_CRC(ib_unregister_client, 0xae655593, "");
SYMBOL_CRC(ib_set_client_data, 0x671b73e3, "");
SYMBOL_CRC(ib_register_event_handler, 0x3e32e31e, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x4ba2e92d, "");
SYMBOL_CRC(ib_query_port, 0x3a023ded, "");
SYMBOL_CRC(ib_device_set_netdev, 0xd833340b, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xf0abc789, "");
SYMBOL_CRC(ib_query_pkey, 0x07aefc71, "");
SYMBOL_CRC(ib_modify_device, 0xc5d3fa66, "");
SYMBOL_CRC(ib_modify_port, 0xc3097d74, "");
SYMBOL_CRC(ib_find_gid, 0x11d3b238, "");
SYMBOL_CRC(ib_find_pkey, 0xd02bfae4, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x4f93b7fb, "");
SYMBOL_CRC(ib_set_device_ops, 0xdd9a8327, "");
SYMBOL_CRC(ib_add_sub_device, 0x5d20e51f, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0xde0b8e5c, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x6f95fd20, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xc54e9d58, "");
SYMBOL_CRC(rdma_query_gid, 0x9aa0d92f, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xbe38ef88, "");
SYMBOL_CRC(rdma_find_gid, 0x2acf514f, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xe7a5afbd, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xe65d98a2, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x22ccc279, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xe71c4f16, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x2e587ac7, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xddc9f056, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x740e2f7a, "");
SYMBOL_CRC(rdma_query_gid_table, 0x44b50266, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x99eacec1, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xe50d2180, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xaf3561f0, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x2696fbeb, "");
SYMBOL_CRC(ib_dispatch_event, 0x93f108a4, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x561dbb6b, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xaaa3b730, "");
SYMBOL_CRC(ibnl_put_attr, 0x242b7412, "");
SYMBOL_CRC(rdma_nl_unicast, 0xaa9ac1fd, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x6f757278, "");
SYMBOL_CRC(rdma_nl_multicast, 0x9b98d404, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xcb4cf387, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x9faafc6b, "");
SYMBOL_CRC(ib_mr_pool_get, 0xd46b2dcf, "");
SYMBOL_CRC(ib_mr_pool_put, 0x7065ba2a, "");
SYMBOL_CRC(ib_mr_pool_init, 0x416740ef, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xf94c65a9, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x9cf1d605, "");
SYMBOL_CRC(rdma_translate_ip, 0xc286d284, "");
SYMBOL_CRC(rdma_resolve_ip, 0x10174192, "");
SYMBOL_CRC(rdma_addr_cancel, 0x0263117e, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x923a6049, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x18f63565, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xd856d24d, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xee5a7bb6, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xfa920e4c, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x5dabec8b, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x9fc821bc, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x98f035e3, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x50ab04c9, "");
SYMBOL_CRC(ib_create_send_mad, 0x82f4f16d, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x5a7f1aed, "");
SYMBOL_CRC(ib_free_send_mad, 0x3e172185, "");
SYMBOL_CRC(ib_post_send_mad, 0x953f2e6b, "");
SYMBOL_CRC(ib_free_recv_mad, 0xb391f4a0, "");
SYMBOL_CRC(ib_modify_mad, 0xb357b598, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x4185d8d6, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x9c7c8408, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x42baa267, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xf59a9c1f, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0xc0782e7b, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xa2330d1c, "");
SYMBOL_CRC(rdma_link_register, 0xdb51426d, "");
SYMBOL_CRC(rdma_link_unregister, 0xd9e492ba, "");
SYMBOL_CRC(rdma_restrack_count, 0x70202e98, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x1125dd35, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xc1012464, "");
SYMBOL_CRC(rdma_restrack_new, 0xe9fcf3cb, "");
SYMBOL_CRC(rdma_restrack_add, 0xff0b43f8, "");
SYMBOL_CRC(rdma_restrack_get, 0xeadd4c46, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xb66c1f9b, "");
SYMBOL_CRC(rdma_restrack_put, 0x44956dd4, "");
SYMBOL_CRC(rdma_restrack_del, 0x42d22a1e, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x296dc5d2, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x13e4d0bf, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x8cb24230, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x13d81e0b, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x54efeb3f, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xf33776f9, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x4dcc8b6d, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x8b080697, "");
SYMBOL_CRC(ib_create_qp_security, 0x4bab2dd1, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xf917b5c4, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x5889008e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5e1ec18c, "on_exadata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe773f0ad, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xbe535fdd, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xf279cc13, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x9fd3d2f4, "__neigh_event_send" },
	{ 0x2e70a6e9, "dev_printk_emit" },
	{ 0xf6f32e41, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x43fd52d2, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x76f61ae0, "netdev_walk_all_upper_dev_rcu" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x743a9cb4, "kobject_del" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x766a3432, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xe7446b5e, "dev_get_by_name" },
	{ 0x8e6c9cb1, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x1693b699, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0559989, "vlan_dev_vlan_id" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa33dc108, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ff14869, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0x2bf18981, "get_net_ns_by_fd" },
	{ 0x844c6b16, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe05fee9c, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xba8f126, "rdmacg_try_charge" },
	{ 0xdeddb4c7, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xca875b21, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xac1f5d41, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xb32fdc18, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x7cd95d4, "__kmalloc_node_noprof" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x4a6d08bc, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x65aa0dcd, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x5add9dda, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x23967b1, "xas_find" },
	{ 0xc9f64af0, "kobject_init" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x1e5a7ba0, "__dynamic_ibdev_dbg" },
	{ 0xaa82ebb8, "sysfs_create_groups" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5f40b01b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xabe33bfd, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xf4bbef58, "__netlink_kernel_create" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xdedc3dd6, "ip_route_output_flow" },
	{ 0x9b1ef178, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4455deb3, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x787b54ca, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2c69045, "put_device" },
	{ 0x15df7a7b, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x5480c69, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdfacc445, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0x93e6d09f, "init_net" },
	{ 0xc0f93da1, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xceb6b087, "ipv6_stub" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbfe7a2ad, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2A9CD5AEA46EB03C94502F");
