#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x87a250f2, "");
SYMBOL_CRC(flow_resources_alloc, 0xe02c5655, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x9ce8c5a4, "");
SYMBOL_CRC(flow_resources_add, 0xdff6ae5b, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xb6af92e5, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0xc9c2510b, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0xfbe9a37e, "");
SYMBOL_CRC(uverbs_idr_class, 0x44544006, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x19dc6167, "");
SYMBOL_CRC(uverbs_fd_class, 0xc0966d6d, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0xe3792c42, "");
SYMBOL_CRC(_uverbs_alloc, 0x757b5500, "");
SYMBOL_CRC(uverbs_get_flags64, 0x5bf0a0ed, "");
SYMBOL_CRC(uverbs_get_flags32, 0xad35626e, "");
SYMBOL_CRC(uverbs_copy_to, 0xd54b3dcf, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0xaaae0807, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x53aab3d2, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xe4b6df26, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xaa2b068a, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x085bb53a, "");
SYMBOL_CRC(ib_umem_get, 0x1a3d3ad1, "");
SYMBOL_CRC(ib_umem_release, 0x564e0696, "");
SYMBOL_CRC(ib_umem_copy_from, 0x9885e5cc, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x6b510933, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x2bfc614b, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xb9761cc2, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x8fdf7e74, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0x57507449, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x95140e63, "");
SYMBOL_CRC(ib_umem_odp_get, 0xea0849a7, "");
SYMBOL_CRC(ib_umem_odp_release, 0xf15ed5f8, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xc7de5165, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x3444d0cb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdef7acb3, "ib_qp_usecnt_inc" },
	{ 0xf1dc74d6, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1125dd35, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x58b05323, "rdma_create_user_ah" },
	{ 0x42edd27c, "rdma_destroy_ah_user" },
	{ 0x82dd978c, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x41be789b, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x815f63e7, "__mmdrop" },
	{ 0x42d22a1e, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x26b928b0, "__mmap_lock_do_trace_start_locking" },
	{ 0x5889008e, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1909f01b, "igrab" },
	{ 0x6f95fd20, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf26767df, "mmput" },
	{ 0x766a3432, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa29039b8, "__tracepoint_mmap_lock_start_locking" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c484d0e, "__mmap_lock_do_trace_released" },
	{ 0x7b5b48ce, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xad31a6a9, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xbef883d6, "ib_dealloc_xrcd_user" },
	{ 0x4e889170, "dma_buf_detach" },
	{ 0x8172c9a0, "stream_open" },
	{ 0x95cc8faf, "mmu_interval_notifier_insert" },
	{ 0x1d92f167, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x91b2d456, "ib_open_qp" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x740e2f7a, "rdma_get_gid_attr" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x9dfc12cc, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe9fcf3cb, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x44b50266, "rdma_query_gid_table" },
	{ 0xd8b07cdb, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x44956dd4, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa6b0404c, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x296dc5d2, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xfa47c41d, "ib_destroy_wq_user" },
	{ 0x7156739b, "put_pid" },
	{ 0x844c6b16, "class_register" },
	{ 0x6f34d291, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x54efeb3f, "rdma_user_mmap_entry_put" },
	{ 0x60666145, "pin_user_pages_fast" },
	{ 0x20a507aa, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5180cdd1, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0x9312191, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf2957d6a, "unpin_user_pages_dirty_lock" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x368eb3b4, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xba475b57, "mmu_interval_read_begin" },
	{ 0x1d02faf3, "ib_create_qp_user" },
	{ 0xc5bfc9ba, "dma_resv_wait_timeout" },
	{ 0x28a4b08d, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x219ed121, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x47998ffa, "kill_fasync" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x6d934b68, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc36f6ffa, "fget" },
	{ 0x5add9dda, "__put_task_struct" },
	{ 0x2b740481, "ib_query_srq" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x1e5a7ba0, "__dynamic_ibdev_dbg" },
	{ 0xf917b5c4, "ib_rdmacg_try_charge" },
	{ 0x24cfdfa7, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9d422ca, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x745dd970, "unpin_user_page_range_dirty_lock" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1ac14d27, "dma_buf_unpin" },
	{ 0xd21055a4, "zap_vma_ptes" },
	{ 0x4b09ab16, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3391c93d, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8b0399fa, "rdma_dev_access_netns" },
	{ 0x9b1ef178, "get_device" },
	{ 0xdb2f4b36, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x429bf3c9, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x95d5d202, "dma_buf_dynamic_attach" },
	{ 0xbc4cb426, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0xaf3561f0, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x96a9f74f, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8bee4805, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xff0b43f8, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x9116162d, "ib_modify_qp_with_udata" },
	{ 0x3e32e31e, "ib_register_event_handler" },
	{ 0x4dab58e0, "ib_detach_mcast" },
	{ 0xf2ab280d, "dma_buf_map_attachment" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x4ba2e92d, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd408f16a, "module_put" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xdfacc445, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x767b0da3, "fput" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x3d343522, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x99eacec1, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x71ea9fce, "dma_buf_get" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0x9bfc230e, "fasync_helper" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "482346190C11FA6D2935B76");
