#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_notify_addr_change, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xd06673ec, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x327c99fd, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xf482150f, "");
SYMBOL_CRC(rdma_res_to_id, 0xfb9da0b3, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xa33b403b, "");
SYMBOL_CRC(rdma_create_user_id, 0xbb900bc0, "");
SYMBOL_CRC(rdma_create_qp, 0x6b8900c0, "");
SYMBOL_CRC(rdma_destroy_qp, 0xe4efbcb3, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x645c13f6, "");
SYMBOL_CRC(rdma_destroy_id, 0x08f1f79f, "");
SYMBOL_CRC(rdma_get_service_id, 0x3fa15ddf, "");
SYMBOL_CRC(rdma_read_gids, 0x8afdc568, "");
SYMBOL_CRC(rdma_set_service_type, 0x0e009fd4, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x33188181, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x93d63802, "");
SYMBOL_CRC(rdma_set_ib_path, 0x4c2a2e6f, "");
SYMBOL_CRC(rdma_resolve_route, 0xa639cee5, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x906edf31, "");
SYMBOL_CRC(rdma_notify_addr_change, 0xca77939f, "");
SYMBOL_CRC(rdma_set_afonly, 0x34d177a5, "");
SYMBOL_CRC(rdma_listen, 0x1fdea428, "");
SYMBOL_CRC(rdma_resolve_addr, 0xf11b6389, "");
SYMBOL_CRC(rdma_bind_addr, 0x9c4a88b6, "");
SYMBOL_CRC(rdma_connect_locked, 0xf3163701, "");
SYMBOL_CRC(rdma_connect, 0x3d016086, "");
SYMBOL_CRC(rdma_connect_ece, 0xfd0979cf, "");
SYMBOL_CRC(rdma_accept, 0x5e4ea739, "");
SYMBOL_CRC(rdma_accept_ece, 0x9a2f71b3, "");
SYMBOL_CRC(rdma_lock_handler, 0xab2bb750, "");
SYMBOL_CRC(rdma_unlock_handler, 0xb9f44e67, "");
SYMBOL_CRC(rdma_notify, 0xacd014bc, "");
SYMBOL_CRC(rdma_reject, 0x7ff0d1fa, "");
SYMBOL_CRC(rdma_disconnect, 0xfdcde1f4, "");
SYMBOL_CRC(rdma_join_multicast, 0x56e2fb2b, "");
SYMBOL_CRC(rdma_leave_multicast, 0x798bc7ff, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85ba85df, "rdma_destroy_ah_attr" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0x93e6d09f, "init_net" },
	{ 0xe7a5afbd, "ib_get_cached_pkey" },
	{ 0x5e4c1c33, "configfs_register_subsystem" },
	{ 0x83ead50f, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x99eacec1, "rdma_put_gid_attr" },
	{ 0xd39853aa, "config_group_init_type_name" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0xc3bc78a2, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbdf57d84, "ib_send_cm_rep" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xec6f8532, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x60fffda1, "ib_cm_init_qp_attr" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x93b50da0, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1125dd35, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4f93b7fb, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xddc9f056, "ib_get_cached_port_state" },
	{ 0xd9bc838d, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x42d22a1e, "rdma_restrack_del" },
	{ 0x375cb294, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc1012464, "rdma_restrack_parent_name" },
	{ 0xee405968, "iw_cm_accept" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xea641fa6, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bfe4468, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xaa92d854, "iw_cm_init_qp_attr" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x5072716c, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x54d840e0, "ib_send_cm_dreq" },
	{ 0x89d4d40b, "ib_send_cm_req" },
	{ 0x753a217b, "ib_create_qp_kernel" },
	{ 0xee5a7bb6, "ib_sa_join_multicast" },
	{ 0xcb4cf387, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x740e2f7a, "rdma_get_gid_attr" },
	{ 0xe9fcf3cb, "rdma_restrack_new" },
	{ 0xd79c4dda, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x1f590313, "iw_cm_listen" },
	{ 0x59c2620b, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9cf1d605, "rdma_copy_src_l2_addr" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x10174192, "rdma_resolve_ip" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x35bf63cf, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbae652fd, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0xdeddb4c7, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8b15bd8, "ib_send_cm_sidr_rep" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x18591d44, "config_group_init" },
	{ 0x923a6049, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc54e9d58, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x9c8c664f, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9aa0d92f, "rdma_query_gid" },
	{ 0x4098953, "rt6_lookup" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xc286d284, "rdma_translate_ip" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8b0399fa, "rdma_dev_access_netns" },
	{ 0x85acd28c, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1a450a8, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf329b35f, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x49d9aa66, "register_net_sysctl_sz" },
	{ 0x94593c2e, "ip_mc_inc_group" },
	{ 0xaf3561f0, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x22ccc279, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9b004471, "iw_cm_connect" },
	{ 0xff0b43f8, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x263117e, "rdma_addr_cancel" },
	{ 0x80514f6d, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xfa920e4c, "ib_sa_get_mcmember_rec" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x18f63565, "ib_sa_path_rec_get" },
	{ 0x88801f02, "ib_create_cm_id" },
	{ 0xffc57d9e, "__ip_mc_dec_group" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x5dabec8b, "ib_init_ah_from_mcmember" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core,iw_cm,ib_cm");


MODULE_INFO(srcversion, "BE0BB47D93945E7D3D52337");
