#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a889671, "mlx5_fc_query" },
	{ 0x41be789b, "ib_destroy_cq_user" },
	{ 0x13e4d0bf, "rdma_user_mmap_io" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x815f63e7, "__mmdrop" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x375cb294, "ib_modify_qp" },
	{ 0x88b98a72, "mlx5_eswitch_get_core_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x4dcc8b6d, "rdma_user_mmap_entry_insert_range" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x8fdf7e74, "ib_umem_dmabuf_get_pinned" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2bfc614b, "ib_umem_dmabuf_unmap_pages" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x20a3999f, "mlx5_eswitch_get_proto_dev" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe4b6df26, "uverbs_copy_to_struct_or_zero" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x9ce8c5a4, "ib_uverbs_flow_resources_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc7de5165, "ib_umem_odp_map_dma_and_lock" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0x1dec3d1a, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a5ccafc, "mlx5_eq_notifier_unregister" },
	{ 0x26ab0e0e, "mlx5_comp_eqn_get" },
	{ 0x516c2ae0, "mlx5_query_port_vl_hw_cap" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xfe6ec9b7, "mlx5_query_hca_vport_pkey" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4b455cf0, "mlx5_core_uplink_netdev_event_replay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe4db52f1, "mlx5_frag_buf_alloc_node" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xefa1cbcd, "netdev_master_upper_dev_get" },
	{ 0x757b5500, "_uverbs_alloc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x456ee93c, "mlx5_fc_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7d418359, "mlx5_lag_is_master" },
	{ 0xecbe4239, "mlx5_nic_vport_unaffiliate_multiport" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x149dbabe, "mlx5_query_hca_vport_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7aefc71, "ib_query_pkey" },
	{ 0xfbe9a37e, "uverbs_uobject_put" },
	{ 0x59723316, "mlx5_core_roce_gid_set" },
	{ 0x21dec63c, "mlx5_comp_eqn_get_low" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x34fa9429, "mlx5_query_port_oper_mtu" },
	{ 0x6276a37a, "mlx5_nic_vport_enable_roce" },
	{ 0x63785f67, "ib_port_immutable_read" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x753a217b, "ib_create_qp_kernel" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xd54b3dcf, "uverbs_copy_to" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x10631fa7, "mlx5_blocking_notifier_register" },
	{ 0xdff6ae5b, "flow_resources_add" },
	{ 0xea34da74, "mlx5_core_modify_rq" },
	{ 0xc6b78572, "mlx5_core_query_mkey" },
	{ 0x6c7eb6e3, "__auxiliary_driver_register" },
	{ 0xde4d4d9, "mlx5_db_alloc_node" },
	{ 0xa2330d1c, "rdma_nl_stat_hwcounter_entry" },
	{ 0x2a7e1b23, "_dev_crit" },
	{ 0xe3792c42, "uverbs_destroy_def_handler" },
	{ 0x47bd67c4, "mlx5_qp_debugfs_init" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0x5e7cd28f, "mlx5_core_modify_tis" },
	{ 0x2567f91b, "mlx5_core_mp_event_replay" },
	{ 0xa31b62d2, "mlx5_comp_vectors_max" },
	{ 0xa0fc0f49, "mlx5_create_cq" },
	{ 0x9dfc12cc, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd46c5120, "mlx5_eswitch_get_total_vports" },
	{ 0x5fdde811, "mlx5_core_destroy_cq" },
	{ 0x6e0e35e3, "mlx5_core_reserved_gids_count" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xff8441d4, "mlx5_debugfs_root" },
	{ 0xf10b9e2b, "mlx5_core_modify_cq_moderation" },
	{ 0x9885e5cc, "ib_umem_copy_from" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5048540b, "mlx5_qp_debugfs_cleanup" },
	{ 0x4ca9c8e2, "mlx5_eq_disable" },
	{ 0x3422a30d, "mlx5_cmd_cleanup_async_ctx" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x23bb3f50, "mlx5_create_flow_table" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x454c334d, "mlx5_rl_remove_rate_raw" },
	{ 0x9faafc6b, "rdma_roce_rescan_device" },
	{ 0xb28dbbe8, "mlx5_destroy_flow_group" },
	{ 0xbb06f595, "mlx5_alloc_bfreg" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc528f155, "mlx5_eq_destroy_generic" },
	{ 0x4185d8d6, "rdma_nl_put_driver_string" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe18f8594, "mlx5_lag_is_active" },
	{ 0x9f39c802, "mlx5_free_bfreg" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xdc198323, "mlx5_cmd_destroy_vport_lag" },
	{ 0xdd9a8327, "ib_set_device_ops" },
	{ 0x54efeb3f, "rdma_user_mmap_entry_put" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc825fa65, "mlx5_core_access_reg" },
	{ 0x72460c4, "mlx5_fill_page_frag_array" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6a1d250c, "mlx5_eswitch_add_send_to_vport_rule" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1222574e, "mlx5_modify_header_alloc" },
	{ 0xef41b7c0, "mlx5_dm_sw_icm_dealloc" },
	{ 0x564e0696, "ib_umem_release" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x57d53613, "mlx5_db_free" },
	{ 0x1594ce50, "mlx5_core_destroy_mkey" },
	{ 0x6547f55b, "mlx5_eswitch_mode" },
	{ 0x59c07890, "mlx5_cmd_check" },
	{ 0x680e3cfd, "__rdma_block_iter_start" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb5ae6d3e, "mlx5_rl_add_rate_raw" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcd760c15, "mlx5_lag_query_cong_counters" },
	{ 0xad35626e, "uverbs_get_flags32" },
	{ 0x72ca8373, "mlx5_rsc_dump_cmd_create" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44544006, "uverbs_idr_class" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x37583265, "mlx5_core_destroy_psv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x886ce7e0, "mlx5_eq_enable" },
	{ 0xa85e04b7, "mlx5_flow_table_id" },
	{ 0x2696fbeb, "rdma_read_gid_l2_fields" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8c8f598f, "mlx5_lag_get_next_peer_mdev" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad6815cd, "mlx5_rsc_dump_cmd_destroy" },
	{ 0xd26a9b4b, "register_netdevice_notifier_dev_net" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xcff276ed, "mlx5_query_nic_vport_qkey_viol_cntr" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xe260e8df, "mlx5_nic_vport_update_local_lb" },
	{ 0xcf2a6966, "up" },
	{ 0xd2ab4893, "ww_mutex_unlock" },
	{ 0x61492bb7, "mlx5_rl_are_equal" },
	{ 0x5c6e2b0d, "mlx5_create_flow_group" },
	{ 0x19dc6167, "uverbs_uobject_fd_release" },
	{ 0x9efcddcd, "debugfs_create_atomic_t" },
	{ 0xf788f56e, "mlx5_core_create_psv" },
	{ 0x85bb53a, "ib_umem_find_best_pgsz" },
	{ 0x88dfea85, "mlx5_core_modify_hca_vport_context" },
	{ 0xd7d4257, "mlx5_rl_add_rate" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb51b5ddb, "mlx5_eq_update_ci" },
	{ 0x888a2246, "mlx5_create_auto_grouped_flow_table" },
	{ 0xd38a31cb, "mlx5_core_create_mkey" },
	{ 0x58c9712e, "mlx5_cmd_do" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7dd537c8, "mlx5_debug_qp_add" },
	{ 0x52212d69, "ib_sg_to_pages" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x61373fd2, "__rdma_block_iter_next" },
	{ 0x37a0cba, "kfree" },
	{ 0xd64f368f, "mlx5_fc_create" },
	{ 0x2c3c6553, "mlx5_cmd_out_err" },
	{ 0xd6825129, "mlx5_core_create_rqt" },
	{ 0x9b38b805, "mlx5_core_query_vendor_id" },
	{ 0xe8dcece9, "mlx5_query_hca_vport_node_guid" },
	{ 0x2809ff54, "mlx5_modify_header_dealloc" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x95140e63, "ib_umem_odp_alloc_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc89589b6, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x876dde6e, "mlx5_lag_is_mpesw" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xaa2b068a, "uverbs_finalize_uobj_create" },
	{ 0x9b1ef178, "get_device" },
	{ 0xb21ac848, "mlx5_eswitch_get_encap_mode" },
	{ 0x17932a40, "mlx5_rsc_dump_next" },
	{ 0xdb2f4b36, "ib_query_qp" },
	{ 0xd3354a6, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf80bc537, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x625322ab, "mlx5_debugfs_get_dev_root" },
	{ 0xe02c5655, "flow_resources_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xa1c09cee, "mlx5_core_query_rq" },
	{ 0x6e17dbb9, "mlx5_packet_reformat_dealloc" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x57507449, "ib_umem_odp_alloc_implicit" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x97430267, "ib_unregister_device" },
	{ 0x22ccc279, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xd9f34e80, "auxiliary_driver_unregister" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x53821701, "mlx5_cmd_exec" },
	{ 0x73a8dc3f, "mlx5_eq_get_eqe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xae6531b1, "mlx5_core_dealloc_pd" },
	{ 0xcdeebe72, "mlx5_rdma_rn_get_params" },
	{ 0x1000e51, "schedule" },
	{ 0xf030445e, "mlx5_wc_support_get" },
	{ 0x6ed55d1d, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xd3b5c80e, "mlx5_lag_mode_is_hash" },
	{ 0x40e9b4b, "mlx5_debug_qp_remove" },
	{ 0xfdbfb2b0, "pcie_relaxed_ordering_enabled" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x1aadd083, "mlx5_eq_notifier_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x5dfa10c1, "mlx5_core_create_tis" },
	{ 0xf9f89f82, "mlx5_nic_vport_affiliate_multiport" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf18a7761, "mlx5_cmd_create_vport_lag" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xced29c30, "mlx5_query_min_inline" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x40a5953e, "mlx5_core_create_rq" },
	{ 0x1fb6cabd, "mlx5_eswitch_get_vport_metadata_for_match" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x4f763d43, "mlx5_packet_reformat_alloc" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0xf33776f9, "rdma_user_mmap_entry_remove" },
	{ 0x53aab3d2, "_uverbs_get_const_unsigned" },
	{ 0xc123fe19, "unregister_netdevice_notifier_dev_net" },
	{ 0x93f108a4, "ib_dispatch_event" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x24082a5f, "vm_insert_page" },
	{ 0x2664968c, "mlx5_lag_is_shared_fdb" },
	{ 0xf15ed5f8, "ib_umem_odp_release" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x41dfa10d, "pci_clear_master" },
	{ 0xf53c668b, "mlx5_query_nic_vport_system_image_guid" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xf3cc7c6b, "mlx5_eswitch_unregister_vport_reps" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb545234f, "mlx5_notifier_register" },
	{ 0xb1bcea2f, "mlx5_core_create_cq" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5caa22bf, "mlx5_dm_sw_icm_alloc" },
	{ 0x328e3071, "_dev_err" },
	{ 0x287e3cf9, "mlx5_is_roce_on" },
	{ 0xce807a25, "up_write" },
	{ 0x47b96080, "mlx5_lag_get_roce_netdev" },
	{ 0x80af8db7, "mlx5_add_flow_rules" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xcc002b85, "mlx5_destroy_flow_table" },
	{ 0xbf70346d, "mlx5_eswitch_uplink_get_proto_dev" },
	{ 0xa1c538ae, "mlx5_get_flow_namespace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x96eb2c99, "mlx5_fc_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xea0849a7, "ib_umem_odp_get" },
	{ 0x6626afca, "down" },
	{ 0x8b22647, "mlx5_query_port_ptys" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1a3d3ad1, "ib_umem_get" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6a9c06b9, "mlx5_cmd_init_async_ctx" },
	{ 0x5134243e, "mlx5_eq_create_generic" },
	{ 0x8f950973, "mlx5_put_uars_page" },
	{ 0x3578fc30, "mlx5_cmd_query_cong_counter" },
	{ 0x91b9db0f, "mlx5_lag_get_slave_port" },
	{ 0x6b510933, "ib_umem_dmabuf_map_pages" },
	{ 0xa1fe75f9, "mlx5_get_uars_page" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x39ac160, "mlx5_query_ib_port_oper" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0xdfbc4012, "__ib_alloc_cq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc14358ee, "mlx5_query_nic_vport_node_guid" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2ae38125, "ww_mutex_lock" },
	{ 0xc7113a14, "mlx5_set_port_caps" },
	{ 0x8cb24230, "rdma_user_mmap_entry_get_pgoff" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x42af828d, "mlx5_comp_eqn_put_low" },
	{ 0xafc29d8e, "mlx5_del_flow_rules" },
	{ 0x3444d0cb, "ib_umem_odp_unmap_dma_pages" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcb3ba66, "mlx5_core_modify_sq" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9761cc2, "ib_umem_dmabuf_get" },
	{ 0xb22edc2, "mlx5_query_hca_vport_system_image_guid" },
	{ 0xcf1ae37f, "mlx5_core_query_sq_state" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5d1098c3, "debugfs_create_ulong" },
	{ 0xfd1b154e, "mlx5_core_query_vport_counter" },
	{ 0x87a250f2, "ib_uverbs_get_ucontext_file" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd37a0adc, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4488f5aa, "mlx5_query_port_max_mtu" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0xaaae0807, "_uverbs_get_const_signed" },
	{ 0xeebdfa1, "mlx5_query_hca_vport_gid" },
	{ 0x4a778907, "mlx5_frag_buf_free" },
	{ 0xf7686eb8, "mlx5_nic_vport_disable_roce" },
	{ 0xc0966d6d, "uverbs_fd_class" },
	{ 0xc0585c12, "mlx5_comp_irqn_get" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc7445470, "mlx5_notifier_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe5ad0cad, "mlx5_create_lag_demux_flow_table" },
	{ 0xcd75278c, "mlx5_cmd_exec_cb" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xe7370346, "mlx5_lag_get_num_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4b0bad8b, "mlx5_rl_remove_rate" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xe838e7bf, "mlx5_eswitch_register_vport_reps" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa92df429, "mlx5_core_modify_cq" },
	{ 0xece784c2, "rb_first" },
	{ 0xa10d35b2, "mlx5_eswitch_vport_match_metadata_enabled" },
	{ 0xe184c700, "ib_dealloc_device" },
	{ 0x7e8cf435, "mlx5_blocking_notifier_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mlx5_core,ib_core,ib_uverbs");

MODULE_ALIAS("auxiliary:mlx5_core.rdma");
MODULE_ALIAS("auxiliary:mlx5_core.rdma-rep");
MODULE_ALIAS("auxiliary:mlx5_core.multiport");

MODULE_INFO(srcversion, "65703369A0696BCFA09C0F9");
