#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipoib_get_netdev_pkey, "", "");

SYMBOL_CRC(ipoib_get_netdev_pkey, 0x5ea85a47, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2eb895bf, "device_create_file" },
	{ 0x18f63565, "ib_sa_path_rec_get" },
	{ 0x88801f02, "ib_create_cm_id" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x85ba85df, "rdma_destroy_ah_attr" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x3069ec4d, "rdma_alloc_netdev" },
	{ 0x93e6d09f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x7eba599e, "inet_confirm_addr" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84458971, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xe466d991, "napi_enable" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xbdf57d84, "ib_send_cm_rep" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd37a0adc, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x60fffda1, "ib_cm_init_qp_attr" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4572825, "ib_get_vf_stats" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x93b50da0, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0xece784c2, "rb_first" },
	{ 0x42edd27c, "rdma_destroy_ah_user" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x613849af, "ib_get_device_fw_str" },
	{ 0x41be789b, "ib_destroy_cq_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x375cb294, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76f61ae0, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x7abe697f, "in_dev_finish_destroy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x87c10460, "__icmp_send" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7aefc71, "ib_query_pkey" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xad31a6a9, "rdma_set_cq_moderation" },
	{ 0x5072716c, "ib_send_cm_rtu" },
	{ 0x4aeeb138, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x89d4d40b, "ib_send_cm_req" },
	{ 0x753a217b, "ib_create_qp_kernel" },
	{ 0xee5a7bb6, "ib_sa_join_multicast" },
	{ 0x62117cbc, "rdma_init_netdev" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0xbc611504, "seq_open" },
	{ 0xd02bfae4, "ib_find_pkey" },
	{ 0xa33dc108, "ipv6_chk_addr" },
	{ 0xc4d084c7, "ib_set_vf_link_state" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xa6b0404c, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x79c27ba, "dev_change_flags" },
	{ 0x53b954a2, "up_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59c2620b, "ib_send_cm_rej" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x86a7971b, "dev_set_mtu" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0x32dba2d2, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x923a6049, "ib_init_ah_attr_from_path" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5cfea031, "ib_set_vf_guid" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xf2fdffbf, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x5b760211, "dev_trans_start" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9aa0d92f, "rdma_query_gid" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0xc43c6957, "ib_cm_listen" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xc03e75a8, "ib_get_vf_config" },
	{ 0xdb2f4b36, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1a450a8, "ib_destroy_cm_id" },
	{ 0x68435486, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x11d3b238, "ib_find_gid" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x42dfe974, "rdma_create_ah" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0x22ccc279, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xeb3ecb5c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x3e32e31e, "ib_register_event_handler" },
	{ 0x4dab58e0, "ib_detach_mcast" },
	{ 0xa916b694, "strnlen" },
	{ 0xfa920e4c, "ib_sa_get_mcmember_rec" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4ba2e92d, "ib_unregister_event_handler" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0x16771645, "ib_get_vf_guid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm");


MODULE_INFO(srcversion, "792049B779B70FB6872A2BE");
