#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3769ae8, "input_free_device" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x3cb15615, "input_mt_report_pointer_emulation" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x842aaa84, "devm_regulator_bulk_get" },
	{ 0xceb6d899, "devm_gpiod_get_optional" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x6d33ba43, "regulator_bulk_enable" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27e018ed, "i2c_register_driver" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5dc9a54c, "input_event" },
	{ 0xd753b524, "input_mt_report_slot_state" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6c76475a, "device_property_present" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xd8c74ccb, "i2c_del_driver" },
	{ 0x86e921bb, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x87912482, "irq_get_irq_data" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4f5e914c, "i2c_transfer_buffer_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x19c16ad2, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x9feb8c58, "regulator_bulk_disable" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x3b49fe89, "input_set_capability" },
	{ 0xe3fd5946, "input_set_abs_params" },
	{ 0x190d6a52, "input_mt_init_slots" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xabff5181, "input_alloc_absinfo" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "41DDD102C0E8016C2469ECD");
