#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x008c7b92, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x19878afd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x93038d27, "md_write_inc" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7349875b, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xcabc4e20, "md_bitmap_unplug" },
	{ 0xc18e93fa, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x2ed0cf8c, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xe03fac7a, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x886a9bfa, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x948f7a3a, "md_check_recovery" },
	{ 0xc11be958, "md_bitmap_endwrite" },
	{ 0xa4d2087d, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xe53d51d9, "blkdev_issue_flush" },
	{ 0x16e48917, "mddev_suspend" },
	{ 0xddc09ddc, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x348ddc0f, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x767e4587, "queue_limits_set" },
	{ 0x75efa276, "rdev_set_badblocks" },
	{ 0xe2e1eb61, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x87fb90a8, "async_raid6_datap_recov" },
	{ 0x18eeb062, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xbb9ad97f, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x22b92d36, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xfdf3cea7, "register_md_personality" },
	{ 0x2cc54058, "shrinker_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x31f1c22, "__bio_add_page" },
	{ 0xa59f880b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc9047769, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb7fd4503, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x954f6876, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcefa323c, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb907f34d, "md_bitmap_cond_end_sync" },
	{ 0x31f33a89, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe333a8d1, "md_error" },
	{ 0x60d1943e, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xff769346, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x74378a03, "md_finish_reshape" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x8d6f6481, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbbfc79a1, "md_unregister_thread" },
	{ 0x64e4d397, "sync_page_io" },
	{ 0xb7b9b897, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x18001937, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce1db2ec, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x841ff2fa, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb9a3874, "shrinker_free" },
	{ 0x92b40d62, "md_wakeup_thread" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x95b0e025, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa8bcf79b, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76952a8e, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x5a25e100, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xcf696ebd, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xbc74b2a4, "shrinker_register" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x7431001c, "async_xor" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xbcaa9d71, "async_xor_offs" },
	{ 0xd88295e, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7fd2331c, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x98b98625, "kthread_unpark" },
	{ 0x18d85d3b, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb4ad07f3, "md_done_sync" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xfb97a14e, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x2298bff3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x714c843d, "md_wait_for_blocked_rdev" },
	{ 0x8a78b05, "__SCK__tp_func_block_bio_remap" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe1beaa92, "async_memcpy" },
	{ 0xa4103bc3, "mddev_update_io_opt" },
	{ 0xdd77396f, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x81a255dd, "mddev_stack_rdev_limits" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x1695c33d, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x44870f5a, "__tracepoint_block_unplug" },
	{ 0x84f8cf50, "bio_chain" },
	{ 0x8bc3bdbb, "__blk_trace_note_message" },
	{ 0x1b9cdb93, "blkdev_issue_zeroout" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0xa7834d38, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb355e18d, "async_raid6_2data_recov" },
	{ 0x889c4ecf, "bio_add_page" },
	{ 0x806bec1a, "__SCK__tp_func_block_unplug" },
	{ 0x9c98a294, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5957e6ce, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xda34fef, "md_flush_request" },
	{ 0x3e46a3d4, "bio_init" },
	{ 0xcc672bd5, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x50302258, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3d81d07, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "async_pq,async_raid6_recov,async_xor,async_tx,async_memcpy,raid6_pq");


MODULE_INFO(srcversion, "8AE43289BEF2682A1759EB0");
