#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x207660ae, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xa5cbcebf, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0xee6d0468, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xbdb192ff, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0xba1c5454, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xfc96f310, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xa0087491, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x7c42c0af, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x947a6fa5, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x37c82227, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0x6232ab47, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x986004f8, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0xe3f60539, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x172721f9, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x42dda899, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x108bf9ef, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x5d8a1e29, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x6150825c, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x641147cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc47e98b0, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa0e38d66, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x58ea12df, "rc_register_device" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xb347a447, "rc_keydown" },
	{ 0x6aa57c23, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36b77cf6, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd726500c, "param_ops_short" },
	{ 0x35702068, "rc_free_device" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4a38db10, "dvb_frontend_detach" },
	{ 0x19a4397, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x352a5bd4, "dvb_net_release" },
	{ 0xa2596ba9, "dvb_ca_en50221_camready_irq" },
	{ 0x9b87344c, "rc_allocate_device" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdac6c70b, "dvb_unregister_frontend" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x93bb3a14, "dvb_ca_en50221_camchange_irq" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x17387432, "dvb_register_frontend" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x78f9644d, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc900fd7, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x51d97c8d, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x3ba70447, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");
