#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xe176f320, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xea1ec1a8, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x79afdf0b, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xbeb5292d, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x45ae0c52, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x78c2221a, "_gpl");
SYMBOL_CRC(is_fw_load, 0x8e1dc481, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xfb99e283, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x36d06af7, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x33241313, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xda209079, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x50a24555, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xd3beff51, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x1a59b405, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x59e27811, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x568dc02b, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x15362786, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xf6f5b349, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0xcd9d8368, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x5b4b6d5d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x33002cd9, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x87fc5bdd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbececdab, "usb_clear_halt" },
	{ 0x2abc8044, "usb_put_dev" },
	{ 0xdfa3614d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0x591868ae, "vb2_fop_release" },
	{ 0x5719ab7a, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xcca77cd2, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc30bfcbd, "media_device_register_entity" },
	{ 0x85c88baf, "media_device_cleanup" },
	{ 0xef9c7a0d, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbdbf29ff, "i2c_unregister_device" },
	{ 0x28ffa6f, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x48f96e55, "vb2_plane_vaddr" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0x7fc0080f, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x10c4931b, "media_entity_pads_init" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x15689486, "usb_deregister" },
	{ 0xfa8eb280, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8c05b5d0, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3441f44c, "v4l2_s_ctrl" },
	{ 0x7c4b7e0f, "i2c_mux_alloc" },
	{ 0xc62d4723, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3a831e75, "vb2_fop_read" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0x19a4397, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9b87344c, "rc_allocate_device" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x49a8cda9, "usb_unlink_urb" },
	{ 0x5e964b98, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4278d258, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2429f5fa, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a5c09f, "vb2_ioctl_streamon" },
	{ 0x3cab0f43, "v4l2_mc_create_media_graph" },
	{ 0x5a06f9ce, "vb2_fop_poll" },
	{ 0x7b98e1d9, "cx2341x_handler_init" },
	{ 0x264a1fbb, "cx2341x_handler_set_50hz" },
	{ 0xd16b696e, "__media_device_usb_init" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0xac32853e, "usb_reset_endpoint" },
	{ 0x8eda2dcc, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x85c5cef, "v4l2_subdev_call_wrappers" },
	{ 0x382adf42, "v4l2_ctrl_log_status" },
	{ 0x616f3dfe, "v4l2_i2c_new_subdev" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0xdeddf2d0, "i2c_mux_add_adapter" },
	{ 0xc4b8cea3, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd50826ee, "vb2_ioctl_reqbufs" },
	{ 0x130bacd5, "vb2_queue_init" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x47c953f9, "v4l2_ctrl_poll" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x107ca7ed, "media_device_unregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xb43fe9ca, "vb2_ioctl_streamoff" },
	{ 0x50c2fdad, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c115bb4, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x37f1b5fc, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x5206ce2b, "vb2_ops_wait_finish" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x1d57dc6c, "v4l2_ctrl_handler_init_class" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x691460fd, "__media_device_register" },
	{ 0x6038922e, "vb2_ioctl_querybuf" },
	{ 0x4f5e914c, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x84bf2787, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B08B6CDBAF0D4E5F4D985D2");
