#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x89eef1b0, "");
SYMBOL_CRC(gspca_dev_probe2, 0x1ca7d612, "");
SYMBOL_CRC(gspca_dev_probe, 0xc2f0e30a, "");
SYMBOL_CRC(gspca_disconnect, 0x49376460, "");
SYMBOL_CRC(gspca_suspend, 0xff73fe44, "");
SYMBOL_CRC(gspca_resume, 0x9e3ea72f, "");
SYMBOL_CRC(gspca_expo_autogain, 0x74452872, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0xf951caa1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xba47b8d2, "__v4l2_ctrl_s_ctrl" },
	{ 0xef9c7a0d, "vb2_ioctl_dqbuf" },
	{ 0x28ffa6f, "usb_free_coherent" },
	{ 0xe905b701, "vb2_ioctl_create_bufs" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6a3aafaa, "vb2_buffer_done" },
	{ 0x48f96e55, "vb2_plane_vaddr" },
	{ 0x36275831, "v4l2_ctrl_subscribe_event" },
	{ 0x7fc0080f, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc509c815, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfa8eb280, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8c05b5d0, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc62d4723, "vb2_vmalloc_memops" },
	{ 0x668ba198, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3a831e75, "vb2_fop_read" },
	{ 0xf841ea76, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4278d258, "__video_register_device" },
	{ 0x2429f5fa, "vb2_ops_wait_prepare" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4a5c09f, "vb2_ioctl_streamon" },
	{ 0x5a06f9ce, "vb2_fop_poll" },
	{ 0x26d7758d, "v4l2_ctrl_g_ctrl" },
	{ 0xb4b8f57, "v4l2_ctrl_handler_free" },
	{ 0xffc811cc, "v4l2_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xcb9d09ca, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1bff02b4, "v4l2_event_unsubscribe" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xd50826ee, "vb2_ioctl_reqbufs" },
	{ 0x130bacd5, "vb2_queue_init" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x94ac5ec8, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0x4f8a8753, "v4l2_device_put" },
	{ 0xb43fe9ca, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4c115bb4, "usb_alloc_coherent" },
	{ 0x791475c0, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63adf8cb, "usb_ifnum_to_if" },
	{ 0x5206ce2b, "vb2_ops_wait_finish" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6038922e, "vb2_ioctl_querybuf" },
	{ 0x84bf2787, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xbececdab, "usb_clear_halt" },
	{ 0x16411e95, "v4l2_ctrl_handler_setup" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf938bcf, "video_devdata" },
	{ 0x4ccdf64e, "vb2_queue_error" },
	{ 0x591868ae, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");
