#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_fwnode_endpoint_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_endpoint_alloc_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_parse_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_put_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_free, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_connector_add_link, "_gpl", "");
KSYMTAB_FUNC(v4l2_fwnode_device_parse, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev_sensor, "_gpl", "");

SYMBOL_CRC(v4l2_fwnode_endpoint_parse, 0xb8940cec, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_free, 0x0478df6c, "_gpl");
SYMBOL_CRC(v4l2_fwnode_endpoint_alloc_parse, 0x497173f7, "_gpl");
SYMBOL_CRC(v4l2_fwnode_parse_link, 0x2d1b1bc2, "_gpl");
SYMBOL_CRC(v4l2_fwnode_put_link, 0xc71b783b, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_free, 0x612ddce5, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_parse, 0x1d24866f, "_gpl");
SYMBOL_CRC(v4l2_fwnode_connector_add_link, 0xb8a6c701, "_gpl");
SYMBOL_CRC(v4l2_fwnode_device_parse, 0x2e59d574, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev_sensor, 0xc8853ec0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7d8473fc, "fwnode_property_present" },
	{ 0x122c3a7e, "_printk" },
	{ 0x11ac6837, "fwnode_graph_parse_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbadac652, "fwnode_property_read_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5e7872cc, "fwnode_property_get_reference_args" },
	{ 0x1fc2dd5a, "fwnode_get_next_child_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8c5804cd, "fwnode_property_read_u64_array" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xf5c9e483, "__v4l2_async_nf_add_fwnode" },
	{ 0x4f53624f, "is_acpi_data_node" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe3fe41d, "v4l2_async_subdev_nf_init" },
	{ 0x656b0174, "v4l2_subdev_get_privacy_led" },
	{ 0x754c214b, "v4l2_async_nf_register" },
	{ 0x901bc102, "__v4l2_async_register_subdev" },
	{ 0x93253b01, "v4l2_async_nf_unregister" },
	{ 0xb33df99f, "v4l2_subdev_put_privacy_led" },
	{ 0xd8a8997e, "v4l2_async_nf_cleanup" },
	{ 0x5a02406d, "fwnode_graph_get_port_parent" },
	{ 0x800614a8, "fwnode_get_name" },
	{ 0xb5ab4a84, "fwnode_graph_get_remote_port_parent" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xf1f13406, "fwnode_graph_get_remote_endpoint" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "v4l2-async,videodev");


MODULE_INFO(srcversion, "1118A6A1EB4212D5621572D");
