#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x8d3d3a86, "");
SYMBOL_CRC(video_device_release, 0xfe86f503, "");
SYMBOL_CRC(video_device_release_empty, 0xcb9d09ca, "");
SYMBOL_CRC(video_devdata, 0xaf938bcf, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x4278d258, "");
SYMBOL_CRC(video_unregister_device, 0xc509c815, "");
SYMBOL_CRC(video_device_pipeline_start, 0xa4c35242, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0xd1a52a02, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x73344a15, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xec8a93a6, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x8809b2a2, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xca04e11c, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x94ac5ec8, "");
SYMBOL_CRC(v4l2_device_register, 0xf841ea76, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x4f8a8753, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x45fdb7da, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x668ba198, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0xffc811cc, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0x4ea80764, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xa9028431, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x6fdbd9b9, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0xf3fe5ded, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xf7594db3, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x84bf2787, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xaf531d41, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x46393d34, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x41b0495f, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xf84d9772, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xe7bf0449, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x93b42cc2, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x844f0cb1, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x5273c2a9, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0xb73dca78, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x6566d47b, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x748c92b1, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x1bff02b4, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xaa2cde47, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x536c6158, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x2f3774bc, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x085c5cef, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x850df7a9, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x98340b5a, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xc2832257, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xe02394b7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x3090b705, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x72bf56cb, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x25ddfba8, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xe1883aef, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x5d154c96, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x41f2b9d7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x1a592717, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xe0f790b8, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x4a4529fc, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x6d1e723a, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x862e8686, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x31f5b7c6, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x31db62e4, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xa23bcf22, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xed0bf592, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x73866958, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xb81ead45, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x6692bd67, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xc4a03295, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xd8c5f165, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xfa33e0a2, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x656b0174, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0xb33df99f, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x2e67d892, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x9f297620, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xa24b5e09, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0x720f5148, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x9e7edaec, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x7ba605f9, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xcdfcc883, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xaba96315, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x70f3305f, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x1d57dc6c, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x0b4b8f57, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x2dce2bac, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x67513101, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xf685330e, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x35edb533, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xd6d837d8, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x488f84d8, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xcbeb3286, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x37f1b5fc, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x50c2fdad, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x765c9aaf, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xc3acd9c0, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xf7045138, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xaf043d92, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x788ad243, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x16411e95, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x0ba49984, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x6ab89f02, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x14f84d63, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xab95864a, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xc0dc2ee6, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x9517ab0f, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x3441f44c, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x26d7758d, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x382d376b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xba47b8d2, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xce87104c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xb95838e9, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x42583d6e, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x979f79f3, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xfd40b759, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x209f23f8, "");
SYMBOL_CRC(v4l2_queryctrl, 0x7ef1c0f5, "");
SYMBOL_CRC(v4l2_querymenu, 0x59cc17e2, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x382adf42, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x53ab4f80, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x86bd853d, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x36275831, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x6774fb56, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x47c953f9, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xf08c83e9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x40d2b08d, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x6f4fc3ed, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xbc8a42d8, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x0a438408, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x3cab0f43, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x956487d9, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xf67ba6ef, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0xa8f9d747, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x4a335c4d, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x43fa5bd1, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x5472cfdb, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xcc2c6e25, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0xd8c73e96, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x4bd0d3ff, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x58ac9ab4, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x42804fc9, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xb3a55995, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x85d87345, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x34f4b624, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xfd0c0f19, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xd03d2113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xd8f68b66, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x3cf02060, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0xaa9015b7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xf95f3cef, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x35294281, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x98a66829, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x17a74969, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x37402967, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x37de96f6, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x616f3dfe, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x28a59d7b, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1548a6a, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x79f2d171, "media_pipeline_start" },
	{ 0xa9169813, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfd6bed91, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x465b61e7, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb1d8c1e5, "led_set_brightness" },
	{ 0x17f9d90, "media_graph_walk_start" },
	{ 0x8f9c5fd6, "media_devnode_create" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x810cb7ab, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x597f5b89, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x68e8548a, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x844c6b16, "class_register" },
	{ 0x2c3d74ba, "led_sysfs_disable" },
	{ 0x91f79f0e, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xbfed14a8, "pci_bus_type" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x79678fff, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa3744a64, "cdev_alloc" },
	{ 0x7dad86e1, "media_devnode_remove" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xffb94ac, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7c95c93f, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb2fc98f, "led_sysfs_enable" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf1f13406, "fwnode_graph_get_remote_endpoint" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x8dcf14f4, "spi_unregister_device" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb262c502, "media_request_object_unbind" },
	{ 0x58718b1a, "led_put" },
	{ 0x31acda68, "led_trigger_remove" },
	{ 0x840d5eed, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x2aa1f962, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x5a02406d, "fwnode_graph_get_port_parent" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf8db8b7, "media_create_intf_link" },
	{ 0xe7a5cfb0, "media_create_pad_link" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc9a96f33, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbe686237, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0x68cec820, "i2c_new_scanned_device" },
	{ 0xe9425993, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac7305ea, "media_request_object_put" },
	{ 0xd408f16a, "module_put" },
	{ 0xd2a696fa, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc30bfcbd, "media_device_register_entity" },
	{ 0x6452e4b7, "media_request_get_by_fd" },
	{ 0xc599b4c1, "cdev_add" },
	{ 0x7593912b, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbdbf29ff, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcbcb7690, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7d78da07, "spi_new_device" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x9bc53347, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0xa0fb2bf9, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1cf156ce, "i2c_new_client_device" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "162A8688E74215E37F34629");
