#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56f7937b, "mptscsih_event_process" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x6ddc4bf0, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf72c98c8, "mpt_attach" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0xac32e892, "mptscsih_remove" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xca19ad5e, "fc_remove_host" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0xe86337ec, "mptscsih_dev_reset" },
	{ 0x2aaea7ba, "mptscsih_abort" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdbe6024e, "fc_remote_port_add" },
	{ 0xe5ad9c0b, "fc_remote_port_rolechg" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0xf968752d, "mptscsih_qcmd" },
	{ 0xb7c0f443, "sort" },
	{ 0xfd66b831, "mptscsih_suspend" },
	{ 0xd790d5ae, "mptscsih_resume" },
	{ 0x85dd508b, "mptscsih_shutdown" },
	{ 0xb024d2f4, "mptscsih_info" },
	{ 0x8ceeb46e, "mptscsih_host_reset" },
	{ 0x8fe69597, "mptscsih_slave_configure" },
	{ 0xe3562350, "mptscsih_slave_destroy" },
	{ 0x7aaaccc6, "mptscsih_change_queue_depth" },
	{ 0x70f29ab2, "mptscsih_bios_param" },
	{ 0x269113e5, "mptscsih_show_info" },
	{ 0xb35c410d, "fc_eh_timed_out" },
	{ 0x61c7b92, "mptscsih_host_attr_groups" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x64cbd2ff, "fc_attach_transport" },
	{ 0x386683ef, "mptscsih_io_done" },
	{ 0xd1d28262, "mpt_register" },
	{ 0xc33ef065, "mptscsih_taskmgmt_complete" },
	{ 0x5be8e6d0, "mptscsih_scandv_complete" },
	{ 0xff31d915, "mpt_event_register" },
	{ 0x638b7ca7, "mpt_reset_register" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xee24f985, "fc_release_transport" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4eefb676, "fc_remote_port_delete" },
	{ 0xa1d36be2, "mpt_config" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9b5f9d5, "scsi_is_fc_rport" },
	{ 0x37a0cba, "kfree" },
	{ 0xf20c950, "fc_block_rport" },
	{ 0xe748626d, "mptscsih_bus_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mptscsih,mptbase,scsi_transport_fc");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B2FAA1CB135BB672372A1E1");
