#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x42f56cad, "sas_port_delete_phy" },
	{ 0x136054bb, "sas_port_delete" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x75ca6973, "sas_remove_host" },
	{ 0xac32e892, "mptscsih_remove" },
	{ 0x5464591, "mpt_detach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc7ddb010, "mptscsih_is_phys_disk" },
	{ 0x6ddc4bf0, "mptscsih_ioc_reset" },
	{ 0x265fc778, "mptscsih_raid_id_to_num" },
	{ 0xc50ea223, "mpt_findImVolumes" },
	{ 0xe8b33d15, "mptscsih_get_scsi_lookup" },
	{ 0x5ee32cd1, "mpt_GetIocState" },
	{ 0x4cd35d88, "scsi_track_queue_full" },
	{ 0x402a8a, "sdev_prefix_printk" },
	{ 0x665c515a, "starget_for_each_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5806e20a, "mpt_raid_phys_disk_pg0" },
	{ 0x8bff9dc4, "sas_read_port_mode_page" },
	{ 0x8fe69597, "mptscsih_slave_configure" },
	{ 0x6adc5599, "mptscsih_taskmgmt_response_code" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb4fd37b5, "mpt_raid_phys_disk_get_num_paths" },
	{ 0x85cba40b, "mpt_raid_phys_disk_pg1" },
	{ 0x15f95e3c, "scsi_remove_device" },
	{ 0x3c896a20, "scsi_device_put" },
	{ 0xb77dcffb, "scsi_add_device" },
	{ 0x97e49578, "scsi_device_lookup" },
	{ 0x5eeaf050, "mptscsih_flush_running_cmds" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x7e678ae9, "mptbase_sas_persist_operation" },
	{ 0xf72c98c8, "mpt_attach" },
	{ 0xb69945ed, "sbitmap_weight" },
	{ 0xfd66b831, "mptscsih_suspend" },
	{ 0xd790d5ae, "mptscsih_resume" },
	{ 0xb024d2f4, "mptscsih_info" },
	{ 0x2aaea7ba, "mptscsih_abort" },
	{ 0xe86337ec, "mptscsih_dev_reset" },
	{ 0x8ceeb46e, "mptscsih_host_reset" },
	{ 0xe3562350, "mptscsih_slave_destroy" },
	{ 0x7aaaccc6, "mptscsih_change_queue_depth" },
	{ 0x70f29ab2, "mptscsih_bios_param" },
	{ 0x269113e5, "mptscsih_show_info" },
	{ 0x61c7b92, "mptscsih_host_attr_groups" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x51f6fbec, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x48f50dc8, "mpt_get_msg_frame" },
	{ 0x20f03c3c, "mpt_put_msg_frame_hi_pri" },
	{ 0xb37ff11c, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ca6adc5, "sas_attach_transport" },
	{ 0x386683ef, "mptscsih_io_done" },
	{ 0xd1d28262, "mpt_register" },
	{ 0xc33ef065, "mptscsih_taskmgmt_complete" },
	{ 0x5be8e6d0, "mptscsih_scandv_complete" },
	{ 0xff31d915, "mpt_event_register" },
	{ 0x638b7ca7, "mpt_reset_register" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x59a728b3, "sas_release_transport" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xaa289246, "__scsi_iterate_devices" },
	{ 0xa1d36be2, "mpt_config" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6257a2f, "complete" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9355fd1, "device_reprobe" },
	{ 0x63827f3d, "scsi_device_set_state" },
	{ 0xf152a742, "bsg_job_done" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa02520a2, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x5456f1da, "mpt_free_msg_frame" },
	{ 0x2b0dc76a, "mpt_Soft_Hard_ResetHandler" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0xf968752d, "mptscsih_qcmd" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0xe079cb36, "scsi_print_command" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0xcb3e8aba, "sas_port_add_phy" },
	{ 0xc5bbafbb, "sas_port_mark_backlink" },
	{ 0x1ffaf9df, "sas_phy_add" },
	{ 0x92d724dc, "sas_phy_alloc" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x9f74463, "sas_port_alloc_num" },
	{ 0x2103d4a5, "sas_port_add" },
	{ 0xeaa05e9b, "sas_phy_free" },
	{ 0xd4c03895, "scsi_is_sas_rphy" },
	{ 0xa236f206, "sas_expander_alloc" },
	{ 0x8b82cb6d, "sas_rphy_add" },
	{ 0x3b42ddd4, "sas_rphy_free" },
	{ 0x6094e459, "sas_end_device_alloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,mptscsih,mptbase");

MODULE_ALIAS("pci:v00001000d00000050sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000054sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000058sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000059sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9C490B3A73CAF26778E7830");
