#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x5eeaf050, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x3c389b02, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x6adc5599, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0xc7ddb010, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x265fc778, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0xe8b33d15, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x061c7b92, "");
SYMBOL_CRC(mptscsih_remove, 0xac32e892, "");
SYMBOL_CRC(mptscsih_shutdown, 0x85dd508b, "");
SYMBOL_CRC(mptscsih_suspend, 0xfd66b831, "");
SYMBOL_CRC(mptscsih_resume, 0xd790d5ae, "");
SYMBOL_CRC(mptscsih_show_info, 0x269113e5, "");
SYMBOL_CRC(mptscsih_info, 0xb024d2f4, "");
SYMBOL_CRC(mptscsih_qcmd, 0xf968752d, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0xe3562350, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x8fe69597, "");
SYMBOL_CRC(mptscsih_abort, 0x2aaea7ba, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xe86337ec, "");
SYMBOL_CRC(mptscsih_target_reset, 0x565c8d91, "");
SYMBOL_CRC(mptscsih_bus_reset, 0xe748626d, "");
SYMBOL_CRC(mptscsih_host_reset, 0x8ceeb46e, "");
SYMBOL_CRC(mptscsih_bios_param, 0x70f29ab2, "");
SYMBOL_CRC(mptscsih_io_done, 0x386683ef, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0xc33ef065, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x5be8e6d0, "");
SYMBOL_CRC(mptscsih_event_process, 0x56f7937b, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x6ddc4bf0, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x7aaaccc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe079cb36, "scsi_print_command" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0x5464591, "mpt_detach" },
	{ 0xadd31aae, "scsi_block_requests" },
	{ 0xc0d720de, "mpt_suspend" },
	{ 0xc0e084ad, "mpt_resume" },
	{ 0x52d6fedf, "scsi_unblock_requests" },
	{ 0x334c3746, "mpt_print_ioc_summary" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xc5612c24, "scsi_dma_map" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x48f50dc8, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xa02520a2, "mpt_put_msg_frame" },
	{ 0x5456f1da, "mpt_free_msg_frame" },
	{ 0x5ee32cd1, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x51f6fbec, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x280c6842, "mpt_send_handshake_request" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb37ff11c, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x2b0dc76a, "mpt_Soft_Hard_ResetHandler" },
	{ 0xc2812c61, "mpt_HardResetHandler" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x20f03c3c, "mpt_put_msg_frame_hi_pri" },
	{ 0xa6257a2f, "complete" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb4fd37b5, "mpt_raid_phys_disk_get_num_paths" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85cba40b, "mpt_raid_phys_disk_pg1" },
	{ 0x5cd3ef96, "scsi_dma_unmap" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0x402a8a, "sdev_prefix_printk" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x146f2367, "mpt_halt_firmware" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mptbase");


MODULE_INFO(srcversion, "FD45EE1B036082930164509");
