#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(__sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x404c6c3f, "");
SYMBOL_CRC(mmc_request_done, 0x2904c860, "");
SYMBOL_CRC(mmc_start_request, 0xca6cf856, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x7faa0bf4, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xf87019a9, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x85cbca99, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x38ecd724, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x2eaac7d0, "");
SYMBOL_CRC(mmc_is_req_done, 0x0e6caf53, "");
SYMBOL_CRC(mmc_wait_for_req, 0x05048cbb, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x7526cf6a, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xce5f9b27, "");
SYMBOL_CRC(__mmc_claim_host, 0x8c11375b, "");
SYMBOL_CRC(mmc_release_host, 0x2e30061c, "");
SYMBOL_CRC(mmc_get_card, 0x7427fd18, "");
SYMBOL_CRC(mmc_put_card, 0x511d2d50, "");
SYMBOL_CRC(mmc_detect_change, 0x48872c96, "");
SYMBOL_CRC(mmc_erase, 0x19ba8daa, "");
SYMBOL_CRC(mmc_can_erase, 0x4530b39e, "");
SYMBOL_CRC(mmc_can_trim, 0x55c32c0a, "");
SYMBOL_CRC(mmc_can_discard, 0xd840c12b, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xddced289, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x9c7a84f9, "");
SYMBOL_CRC(mmc_calc_max_discard, 0x376096bd, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xf5f33d4b, "");
SYMBOL_CRC(mmc_set_blocklen, 0xb67258d6, "");
SYMBOL_CRC(mmc_hw_reset, 0xf6dccc02, "");
SYMBOL_CRC(mmc_sw_reset, 0xe60a9656, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x5fe2f024, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xd0846617, "");
SYMBOL_CRC(mmc_register_driver, 0x422d84e1, "");
SYMBOL_CRC(mmc_unregister_driver, 0xea166120, "");
SYMBOL_CRC(mmc_retune_pause, 0x95edd4f0, "");
SYMBOL_CRC(mmc_retune_unpause, 0xfe03b500, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x2576c5f0, "");
SYMBOL_CRC(mmc_retune_release, 0xf1c63d50, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x4fb5bf93, "");
SYMBOL_CRC(mmc_of_parse, 0x36861183, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x8ccfdc1c, "");
SYMBOL_CRC(mmc_alloc_host, 0x2acc405e, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x55fcfed1, "");
SYMBOL_CRC(mmc_add_host, 0x4bdfe242, "");
SYMBOL_CRC(mmc_remove_host, 0x5f216c07, "");
SYMBOL_CRC(mmc_free_host, 0x6c3080fd, "");
SYMBOL_CRC(__mmc_send_status, 0x0bfed722, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xf952b11c, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x1fabe9bd, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0xfd8a23c8, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xae9b5620, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x38c8a909, "_gpl");
SYMBOL_CRC(mmc_switch, 0x07593610, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x78a536eb, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xd3e04cb3, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x6545e137, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x6ace85ef, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x14ff46b7, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x5ec17381, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xa4af837b, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xc60876be, "_gpl");
SYMBOL_CRC(__sdio_register_driver, 0x9c29ceda, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xae7bab38, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x14df622f, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xbc784be2, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xe4eb774e, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xae42ff7a, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0xf4f9e3bf, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x3b664439, "_gpl");
SYMBOL_CRC(sdio_readb, 0xa536fb09, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xbf416c20, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x670b2d77, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x3410a766, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xa16d2321, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x38c854f4, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x96b4f744, "_gpl");
SYMBOL_CRC(sdio_readw, 0xf816e714, "_gpl");
SYMBOL_CRC(sdio_writew, 0x3b1bf661, "_gpl");
SYMBOL_CRC(sdio_readl, 0xb212a2af, "_gpl");
SYMBOL_CRC(sdio_writel, 0xb813d1af, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x32950943, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x247c2616, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0xe790a45f, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x40c59a0f, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xba176cc9, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xfc10a71e, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x711d6e55, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xe6130209, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xb7d25b02, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x98898678, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x3a6eb3e1, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x2e0bbf85, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xdfeb92f1, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x62a6aaf1, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xc0423af4, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x8af075a6, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xe367dec1, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x0acd85f0, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x0a1bc800, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x0434c34f, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x84156128, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0xab0a1402, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x8e844c0a, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0xb0e344ea, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x60357698, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0xf5067a6d, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x1922c7b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc405ad, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbe535fdd, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe72faea0, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x96362b1, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xcd6aad24, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbf6a5e76, "gpiod_cansleep" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x55de9e27, "gpiod_is_active_low" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x51165bff, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc057f771, "single_release" },
	{ 0xe7d13f12, "regulator_disable" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x5a6498f1, "set_primary_fwnode" },
	{ 0x4ae38723, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xa679cd1f, "gpiod_set_consumer_name" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xda1ce897, "regulator_set_voltage" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x689c9e31, "driver_register" },
	{ 0x844c6b16, "class_register" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x810dca50, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x38a79710, "gpiod_get_value_cansleep" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x6c76475a, "device_property_present" },
	{ 0x633374b1, "wakeup_source_register" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x9bfca9e7, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x9591574f, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4521dfc6, "gpiod_toggle_active_low" },
	{ 0xde5a3a39, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xcd217281, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x69e3d99c, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xfa56201b, "sched_set_fifo_low" },
	{ 0x856efcdd, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7604ad8a, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x57627e47, "pm_generic_runtime_resume" },
	{ 0xe717197b, "pm_generic_resume" },
	{ 0xd2e35dbd, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0xfe827603, "pm_wakeup_ws_event" },
	{ 0xeb469723, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xdb40d55b, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x65844863, "gpiod_set_debounce" },
	{ 0x5dbd31ad, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe7c5dcbb, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xc81ad55b, "pm_generic_suspend" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xac4329ee, "bus_unregister" },
	{ 0x328e3071, "_dev_err" },
	{ 0x226c48cc, "debugfs_create_file_unsafe" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xd30f8213, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x34bf03e0, "devm_gpiod_get_index" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8FCA59291A19A3B65470C17");
