#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x3c5742e8, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xc17a8cbd, "_gpl");
SYMBOL_CRC(sdhci_reset, 0xc6fa0375, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x9ffe3cf4, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0x0eb119fe, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0x694b13e8, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x365ceca5, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x2dd6671c, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x91b069cd, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xe376591d, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x1a2e6f5e, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0x107b9419, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x9200ecd9, "_gpl");
SYMBOL_CRC(sdhci_request, 0xa20ce865, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0x23269a42, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xbde88b3e, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0x7261cb7b, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x3f6c01d8, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x3e6b2835, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x88f25fc0, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0x6a73cc70, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xa2aa1d7a, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0x83032c41, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xf684ea3f, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x958a6a12, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x3c17ecb6, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0xf1850a5b, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x29d83d25, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xdd19ad12, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0xa75106c2, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x49e0b169, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0x54e22aea, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0x1b57f844, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x07defd7b, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0xdccab444, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xde88af81, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0xd6173221, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x817f14f5, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xfb57bc73, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xfda9b03d, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0xdacf8a80, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x8eb02379, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x6d78682c, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xf5a48a8d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x65c6c7a4, "__dma_sync_sg_for_cpu" },
	{ 0x2acc405e, "mmc_alloc_host" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xe7d13f12, "regulator_disable" },
	{ 0x6c3080fd, "mmc_free_host" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2904c860, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4c8b4513, "sg_miter_next" },
	{ 0x1c956513, "sg_miter_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2576c5f0, "mmc_retune_timer_stop" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0xd3e04cb3, "mmc_send_abort_tuning" },
	{ 0x8e844c0a, "mmc_regulator_set_ocr" },
	{ 0x62a6aaf1, "mmc_gpio_get_cd" },
	{ 0x434c34f, "mmc_can_gpio_cd" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0x4bdfe242, "mmc_add_host" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x5f216c07, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xab0a1402, "mmc_can_gpio_ro" },
	{ 0xdfeb92f1, "mmc_gpio_get_ro" },
	{ 0xb0e344ea, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xec6088d3, "device_property_read_u64_array" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcd6aad24, "regulator_is_supported_voltage" },
	{ 0x8d029fbc, "regulator_get_current_limit" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0x60357698, "mmc_regulator_get_supply" },
	{ 0x3fe8629f, "dma_max_mapping_size" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x48872c96, "mmc_detect_change" },
	{ 0xc03e0c90, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x404c6c3f, "mmc_command_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7d25b02, "sdio_signal_irq" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "F7E2BC1EC3453CAF9EDC791");
