#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x2ce38126, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x77824aa6, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x6750cb2f, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x2ba9f4de, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0xa0ee67c5, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x26a91df9, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x49cda53d, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x73376f5a, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x8f5c774d, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x29df9ec6, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xecde8b7c, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xa74d9d54, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xbe0db2e7, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x7d30e9ef, "_gpl");
SYMBOL_CRC(mtd_erase, 0x7eaa859b, "_gpl");
SYMBOL_CRC(mtd_point, 0x7979b695, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xb2758d89, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x381ba73f, "_gpl");
SYMBOL_CRC(mtd_read, 0xee7b4c8c, "_gpl");
SYMBOL_CRC(mtd_write, 0xf4ebcc90, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xe6380c96, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0xff1e73b2, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xcc6f9092, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xb3b38cc0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xb1bfea31, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x8653aa5e, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x5c9f8072, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x0a439b62, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x93bbe6be, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xa8c34547, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x386cdbff, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xda7e71af, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x9388862b, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x9cb52b0c, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xc1a9a18a, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xd570bcbf, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xab2d3e5c, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x1d8a246d, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xca55e7d6, "_gpl");
SYMBOL_CRC(mtd_lock, 0x0fe19065, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x961075be, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x4b68a995, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x336db713, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xdf66b365, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0xd5cbfa19, "_gpl");
SYMBOL_CRC(mtd_writev, 0xddfecc3b, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x6cf2904c, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x70433326, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x9fc9a624, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x337c6e4e, "");
SYMBOL_CRC(mtd_concat_destroy, 0xc379c230, "");
SYMBOL_CRC(mtd_add_partition, 0xb392d234, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x02e379c6, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x41f47f2c, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x8aaac230, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xad719626, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x44bc631a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xa140dcc7, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36abed07, "bdi_alloc" },
	{ 0x1548a6a, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd6d3a362, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x4b48b4dc, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0xafde4377, "nvmem_register" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x844c6b16, "class_register" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3e4c13dc, "generic_shutdown_super" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca45716, "sget_dev" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7b04a926, "bdi_unregister" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x79fe68dd, "bdi_register" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x802a7d53, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7dc56c43, "logfc" },
	{ 0x759c8d0f, "sysfs_remove_files" },
	{ 0xfb42a76b, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x772f05a6, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd408f16a, "module_put" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xcfea5903, "debugfs_create_bool" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E452B3061DCCC9009330C8D");
