#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtd_blktrans_cease_background, "_gpl", "");
KSYMTAB_FUNC(register_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(add_mtd_blktrans_dev, "_gpl", "");
KSYMTAB_FUNC(del_mtd_blktrans_dev, "_gpl", "");

SYMBOL_CRC(mtd_blktrans_cease_background, 0x2ec9f5b4, "_gpl");
SYMBOL_CRC(register_mtd_blktrans, 0x6e93cda3, "_gpl");
SYMBOL_CRC(deregister_mtd_blktrans, 0x2efb3ecc, "_gpl");
SYMBOL_CRC(add_mtd_blktrans_dev, 0x4eea44ee, "_gpl");
SYMBOL_CRC(del_mtd_blktrans_dev, 0x8d462131, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3213f038, "mutex_unlock" },
	{ 0x73376f5a, "unregister_mtd_user" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x91b73c86, "put_disk" },
	{ 0x690a3d1e, "blk_mq_free_tag_set" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb42a76b, "__module_get" },
	{ 0x29df9ec6, "__get_mtd_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd408f16a, "module_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x50dabc2f, "mtd_table_mutex" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2ce38126, "__mtd_next_device" },
	{ 0x49cda53d, "register_mtd_user" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7d30e9ef, "__put_mtd_device" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xe35316cf, "del_gendisk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa77a5726, "blk_mq_freeze_queue" },
	{ 0x803a940c, "blk_mq_quiesce_queue" },
	{ 0x350cb18d, "blk_mq_unquiesce_queue" },
	{ 0x4190e79b, "blk_mq_unfreeze_queue" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x68f2e816, "blk_mq_start_request" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2dafc6a4, "blk_update_request" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb128d53b, "__blk_mq_end_request" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x81d48dec, "blk_mq_alloc_sq_tag_set" },
	{ 0x13286eb8, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ce84365, "set_capacity" },
	{ 0x504eb8ee, "device_add_disk" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "5EBC44B1DE79B829B39AF6F");
