#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x2a003937, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0xea0ade8f, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x51f7c3e2, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x5d47d318, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xf913bbd4, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x6fc525ef, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x9fc57ca6, "_gpl");
SYMBOL_CRC(nanddev_init, 0xb7e3c3aa, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x8cb63d99, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x79d72df5, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x7207787a, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x5e91c74d, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0x546c1263, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xc776c218, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0x7a370881, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0x765df236, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xbeeaf050, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0xbd532dbc, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x275859c6, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0xf9f1d31b, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x381d82ec, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0xe02dea4e, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x95f8467e, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x304ff288, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0xfed87412, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xfd6eab07, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x27e69368, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x41f3b8ca, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x3c3e908c, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x42aaa1aa, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x83621616, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0x2d8ddf27, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x39a3ac0e, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x12cb5b8f, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x5ab14268, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x882a81ca, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xedce4a34, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x1a890b4a, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xb3f47113, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x2bc8bb39, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0x3f115fc9, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x1d3c1f5f, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x5e8a2c26, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa439b62, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xda7e71af, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0x5c9f8072, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
