#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x7cc935de, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x820af3fc, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x313cd47c, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x762fd745, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x8d2f83d9, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x8d981e6d, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x05fa3e46, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xcf047524, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xc35ecfaa, "_gpl");
SYMBOL_CRC(can_change_state, 0x2c0160b6, "_gpl");
SYMBOL_CRC(can_bus_off, 0x909ed3d6, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xea2e1fe8, "_gpl");
SYMBOL_CRC(free_candev, 0x696db589, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x9e2be934, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x4c9e56ef, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xeca17755, "");
SYMBOL_CRC(open_candev, 0x50cc6cdc, "_gpl");
SYMBOL_CRC(close_candev, 0xfe1c94dc, "_gpl");
SYMBOL_CRC(register_candev, 0x44bc0873, "_gpl");
SYMBOL_CRC(unregister_candev, 0x18062879, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xf4ccb30a, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x9667949b, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x9851a4a9, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xa82dace2, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xc00cbc3c, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x4dc4afe7, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0xd1a5830b, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xcda092f8, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0x6c7caee7, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xacfbd765, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x88036e02, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x65c76597, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x5439ffb4, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x5020153f, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x9b17ca5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xceb6d899, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xe466d991, "napi_enable" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc1d743a1, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc2764560, "netif_rx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x331671d9, "skb_clone" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x86e921bb, "gpiod_set_value" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9011f053, "consume_skb" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "74FF1D223C0325A4972BC10");
