#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x81d3e41d, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x421f133e, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x777ab7af, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xd05d3180, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0xee4a1abc, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x38d97796, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x40c7a11a, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xae89969d, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x4f8aae9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b17ca5d, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xfa4b024c, "devm_clk_get" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x44bc0873, "register_candev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x5439ffb4, "can_rx_offload_add_manual" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xdf5883a, "phy_power_on" },
	{ 0x50cc6cdc, "open_candev" },
	{ 0x180a7f06, "phy_power_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfe1c94dc, "close_candev" },
	{ 0xe466d991, "napi_enable" },
	{ 0x5020153f, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x83a181ee, "pinctrl_pm_select_default_state" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x762fd745, "alloc_can_skb" },
	{ 0xc00cbc3c, "can_rx_offload_queue_timestamp" },
	{ 0x8d2f83d9, "alloc_canfd_skb" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x5fa3e46, "alloc_can_err_skb" },
	{ 0x2b72675a, "pinctrl_pm_select_sleep_state" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x9667949b, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x7cc935de, "can_put_echo_skb" },
	{ 0xcf047524, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x84458971, "netdev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbbe65313, "softnet_data" },
	{ 0x909ed3d6, "can_bus_off" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xacfbd765, "can_rx_offload_threaded_irq_finish" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x9e2be934, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x328e3071, "_dev_err" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0xea2e1fe8, "alloc_candev_mqs" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x696db589, "free_candev" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x4dc4afe7, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x820af3fc, "can_get_echo_skb" },
	{ 0x313cd47c, "can_free_echo_skb" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x18062879, "unregister_candev" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "F93C83440E668DA123574E2");
