#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5fa3e46, "alloc_can_err_skb" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x909ed3d6, "can_bus_off" },
	{ 0x820af3fc, "can_get_echo_skb" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe1c94dc, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x50cc6cdc, "open_candev" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe11bf8c9, "devm_clk_get_optional" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xea2e1fe8, "alloc_candev_mqs" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xe3034cbb, "spi_get_device_match_data" },
	{ 0xe5e6db36, "spi_setup" },
	{ 0x7604ad8a, "devm_regulator_get_optional" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x44bc0873, "register_candev" },
	{ 0x6c76475a, "device_property_present" },
	{ 0xd6f9c049, "devm_gpiochip_add_data_with_key" },
	{ 0x692777c2, "netdev_info" },
	{ 0x7cc935de, "can_put_echo_skb" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x9e2be934, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb452439, "__spi_register_driver" },
	{ 0x9011f053, "consume_skb" },
	{ 0x313cd47c, "can_free_echo_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2652658a, "driver_unregister" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xcf047524, "can_dropped_invalid_skb" },
	{ 0x84458971, "netdev_printk" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf8df8509, "spi_sync" },
	{ 0x328e3071, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dddaff0, "spi_write_then_read" },
	{ 0x762fd745, "alloc_can_skb" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc2764560, "netif_rx" },
	{ 0x56dc07ed, "gpiochip_get_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x18062879, "unregister_candev" },
	{ 0xe7d13f12, "regulator_disable" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x696db589, "free_candev" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "can-dev");

MODULE_ALIAS("spi:mcp2510");
MODULE_ALIAS("spi:mcp2515");
MODULE_ALIAS("spi:mcp25625");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2510");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2510C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2515");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp2515C*");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp25625");
MODULE_ALIAS("of:N*T*Cmicrochip,mcp25625C*");

MODULE_INFO(srcversion, "F41E96270BEA486C49E5B19");
