#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x56b9edd5, "ssb_device_is_enabled" },
	{ 0xde6d3437, "ssb_device_enable" },
	{ 0x2c916615, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0x38cdbdd, "ssb_clockspeed" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xc8150c9c, "ssb_bus_powerup" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x85aec638, "ssb_dma_translation" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xa86ec22, "device_set_wakeup_capable" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeb5cf2a1, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x86587044, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x80ed7ccf, "phy_stop" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xe466d991, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6d5994f2, "phy_start" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x31240411, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3dc652dc, "phy_mii_ioctl" },
	{ 0xe037d98c, "generic_mii_ioctl" },
	{ 0x37a0cba, "kfree" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x993a5f53, "phy_print_status" },
	{ 0x7f659942, "ssb_pcihost_register" },
	{ 0xcedbd3fe, "__ssb_driver_register" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xd7e593d0, "ssb_driver_unregister" },
	{ 0xf6e98683, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8670adcb, "__mdiobus_register" },
	{ 0xd156a9ae, "mdiobus_is_registered_device" },
	{ 0xd9573b86, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdf1d02da, "phy_attached_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0x89f1358f, "mdiobus_free" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xf8d7d2d5, "mdiobus_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x692777c2, "netdev_info" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x5ba962de, "ssb_device_disable" },
	{ 0xf71ba63c, "ssb_bus_may_powerdown" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x9c567532, "phy_disconnect" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ssb,mii");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "182B1D9CBA7712F01A7368C");
