#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x1dccfe55, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x1475a9d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x8e367e29, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xe4786c4a, "devm_hwmon_device_register_with_groups" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x196d8c83, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x331671d9, "skb_clone" },
	{ 0x913ee8f9, "__hw_addr_sync_dev" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x159522ec, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x517a0f44, "pci_sriov_set_totalvfs" },
	{ 0x754d539c, "strlen" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x59154867, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa7819899, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe6534907, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd0c32f9d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3920136f, "ndo_dflt_bridge_getlink" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x2dff8190, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x4e65d4e8, "pci_sriov_get_totalvfs" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x84c8f8e3, "udp_tunnel_nic_ops" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xdaf8c147, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x9fbbece4, "__hw_addr_unsync_dev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x328e3071, "_dev_err" },
	{ 0xbbe65313, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xe466d991, "napi_enable" },
	{ 0xff60fffe, "netif_receive_skb" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "299CB9E24C251ADA4AF4B1A");
