#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x4a9dea64, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xb1d0a121, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x290cd1b5, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x50864802, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x3d4002b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xff451da9, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb44caa30, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0xef924a7b, "flow_rule_match_pppoe" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x11a8ade1, "flow_rule_match_enc_control" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x7b10e730, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb899b1c8, "_dev_notice" },
	{ 0xcee08aab, "gnss_deregister_device" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x3aed8a6b, "rps_may_expire_flow" },
	{ 0xb5f2190f, "metadata_dst_free" },
	{ 0xbda50ada, "xsk_set_tx_need_wakeup" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfddc56be, "netdev_reset_tc" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x1df8d7d8, "kthread_destroy_worker" },
	{ 0xa0eaf91e, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc236336c, "flow_rule_match_enc_ports" },
	{ 0xae2abf97, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xbe99f2fb, "dpll_netdev_pin_clear" },
	{ 0x22c15def, "netif_queue_set_napi" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa9d5197b, "devl_assert_locked" },
	{ 0xb782b61e, "pcie_print_link_status" },
	{ 0xae36a92f, "xp_set_rxq_info" },
	{ 0x9fe00dba, "flow_rule_match_vlan" },
	{ 0xd827059f, "devl_port_unregister" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x422407be, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x42dfba22, "napi_build_skb" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xefa1cbcd, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xb92f9ee7, "dpll_pin_register" },
	{ 0x2af8887e, "gnss_register_device" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa2a2af9f, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x913ee8f9, "__hw_addr_sync_dev" },
	{ 0x654435c5, "pci_disable_sriov" },
	{ 0x590576cc, "pldmfw_flash_image" },
	{ 0xcd08cb3a, "kthread_queue_delayed_work" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x459e20ca, "netdev_set_num_tc" },
	{ 0xd88c672f, "dpll_device_register" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x88b93922, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8dab8dc8, "dev_uc_add_excl" },
	{ 0x9eb902b2, "boot_cpu_data" },
	{ 0xfe0b8f08, "xp_free" },
	{ 0xea45fac0, "dev_mc_add_excl" },
	{ 0x70ee54b5, "gnss_put_device" },
	{ 0xc057f771, "single_release" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x6c7eb6e3, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0xb20f1473, "__skb_flow_dissect" },
	{ 0xf0559989, "vlan_dev_vlan_id" },
	{ 0x64ab4352, "pci_msix_alloc_irq_at" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0xdcd5c01c, "__devm_add_action" },
	{ 0x7d1761b3, "dpll_pin_on_pin_register" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xa806a047, "napi_consume_skb" },
	{ 0xd07e097, "pci_read_config_byte" },
	{ 0xfb79ba0f, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xb8b8cc4e, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0x9052f6e5, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb90e0e9, "flow_rule_match_control" },
	{ 0x83befc10, "flow_rule_match_ip" },
	{ 0xe576db0a, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd5f6c222, "dpll_device_get" },
	{ 0x92ad450d, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1848d632, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x692777c2, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x8fcad99f, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0x4d1db5d6, "xsk_tx_completed" },
	{ 0x6f6090be, "napi_alloc_skb" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xd6c9f85d, "netdev_lower_get_next" },
	{ 0x1d01e4ed, "flow_block_cb_lookup" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3a82d79f, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x59154867, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x236e6f83, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5bc3f5c0, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x141eab4a, "pci_find_ext_capability" },
	{ 0x8572dda7, "kthread_create_worker" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef4ee8ea, "devl_region_create" },
	{ 0xf5ea0aa3, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x32534a92, "kthread_cancel_delayed_work_sync" },
	{ 0x31213c7b, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x1a04f8a4, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe7fdf380, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51034da3, "call_switchdev_notifiers" },
	{ 0x4ed8127e, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x110db2d, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0x57e1235e, "pci_enable_device_mem" },
	{ 0x9011f053, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x420daff3, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0xc687efa, "flow_rule_match_l2tpv3" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0xdd78f0a1, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7023d16c, "xsk_tx_peek_release_desc_batch" },
	{ 0xd0c32f9d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x743b726b, "devl_lock" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0xd53af56f, "xp_fill_cb" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3920136f, "ndo_dflt_bridge_getlink" },
	{ 0x7ae903c6, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x29e61c39, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xf6ad1e59, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2dc53ed7, "xdp_features_set_redirect_target" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x76321d98, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0xcbba8f4a, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xec20e82c, "flow_rule_match_cvlan" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd32dec9b, "gnss_insert_raw" },
	{ 0x959fbc72, "pci_num_vf" },
	{ 0x8ff6d1e1, "flow_rule_match_eth_addrs" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0xa45ac658, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69ba6387, "ptp_clock_index" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa6327e75, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xe34f9e, "devlink_alloc_ns" },
	{ 0xd9a5c043, "devl_rate_leaf_destroy" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x9fdf4a9a, "devlink_free" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6eb553de, "devl_rate_node_create" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0x84c8f8e3, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe23ae750, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7225325a, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0x50638200, "flow_rule_match_ipv4_addrs" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xbe60d25a, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe5992d8e, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0xb53eebf2, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x3a5f415d, "devlink_flash_update_status_notify" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0xddd705c6, "pci_restore_msi_state" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x26099537, "xdp_return_buff" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd9f34e80, "auxiliary_driver_unregister" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x9d39bfe1, "switchdev_handle_port_obj_del" },
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xfe7740f4, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd4306e99, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xeb3ecb5c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2c69045, "put_device" },
	{ 0xde2c46b3, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0x6174437d, "ipv6_skip_exthdr" },
	{ 0x7069108b, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa5936b6, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x9fbbece4, "__hw_addr_unsync_dev" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xad388027, "netif_device_attach" },
	{ 0xf9a3c4ee, "xdp_features_clear_redirect_target" },
	{ 0x7f977c17, "netdev_pick_tx" },
	{ 0x458cb57f, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x44c43dbf, "xp_raw_get_dma" },
	{ 0x56e22418, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6d644cad, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7eeef6a2, "xdp_rxq_info_is_reg" },
	{ 0xf585e8ea, "flow_rule_match_enc_opts" },
	{ 0xaf37da8b, "flow_block_cb_setup_simple" },
	{ 0x9f75c7ce, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdd85041f, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb80186ec, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0x41dfa10d, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc010b6cb, "devm_kmemdup" },
	{ 0x4bdc0c88, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xcd98476c, "devlink_flash_update_timeout_notify" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0x93e6d09f, "init_net" },
	{ 0xbbe65313, "softnet_data" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x15680499, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6113b9c9, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x55433581, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0xba60c447, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x4a8ecd1f, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf30f8be0, "devl_port_register_with_ops" },
	{ 0x3ec8577c, "pci_wait_for_pending_transaction" },
	{ 0x8a156e79, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a2257b3, "pci_device_is_present" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x446b5f54, "pcie_flr" },
	{ 0xe466d991, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xf0804927, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x866405e8, "dcbnl_ieee_notify" },
	{ 0xc06beac9, "xsk_uses_need_wakeup" },
	{ 0xc4d04516, "register_netdev" },
	{ 0x2ad8c6b6, "dev_mc_del" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x2bea256d, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf2218314, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x8e367e29, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xbe535fdd, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf2a6b46, "dcb_getapp" },
	{ 0x59c78dc1, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x949ca2a8, "flow_rule_match_ports" },
	{ 0xb096b008, "gnss_allocate_device" },
	{ 0xeb7840b3, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd94c448a, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xbb81f3b, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x9ca07c56, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa911a85c, "flow_rule_match_ipv6_addrs" },
	{ 0xf02e60c9, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe09e9710, "devl_params_unregister" },
	{ 0x8c320001, "ptp_clock_unregister" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x65cf5bf5, "xp_dma_unmap" },
	{ 0xbafa86b2, "dpll_pin_put" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A0C0FFE7DC677AA49715966");
