#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xd015e9be, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xbd328a28, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0xe501fd30, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x0061502c, "");
SYMBOL_CRC(mana_gd_register_device, 0x8a86cf28, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xca5b0873, "");
SYMBOL_CRC(mana_uncfg_vport, 0xa1c1dba8, "");
SYMBOL_CRC(mana_cfg_vport, 0x99a30b08, "");
SYMBOL_CRC(mana_create_wq_obj, 0x21e1a3c4, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x631fe39b, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x5f3dd524, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x369ba590, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xeb3ecb5c, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x47d16edd, "napi_gro_receive" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x91711b22, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x328e3071, "_dev_err" },
	{ 0xcbf682d1, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff4e88c, "netif_set_real_num_tx_queues" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0xb546b092, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x84458971, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x446b5f54, "pcie_flr" },
	{ 0xe466d991, "napi_enable" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x96dfd94b, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x351ef7e8, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0xbe535fdd, "device_del" },
	{ 0x41d012f7, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0xe3eb3bc0, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0x3a1b85f1, "bpf_prog_add" },
	{ 0xf73a1de4, "xdp_rxq_info_unreg" },
	{ 0x1e3fa4b2, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x42dfba22, "napi_build_skb" },
	{ 0xe0785636, "netdev_master_upper_dev_get_rcu" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x3d87f13, "__xdp_rxq_info_reg" },
	{ 0x7850d49a, "xdp_set_features_flag" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xb36b82b, "xdp_master_redirect" },
	{ 0x451df039, "__napi_schedule_irqoff" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0xa806a047, "napi_consume_skb" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x46a969b9, "__tracepoint_xdp_exception" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb89a01ca, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0xe6534907, "pci_iomap" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7f59c1e2, "bpf_warn_invalid_xdp_action" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xd14788c2, "page_pool_destroy" },
	{ 0x4be54c29, "xdp_do_redirect" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xb1d51459, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A9A7B81373202A0BCF65134");
