#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xea60f173, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xd2441c8d, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xab038393, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x23d47a57, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x5dabef0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xafc65788, "eth_header_cache_update" },
	{ 0x158f9e, "nf_register_net_hooks" },
	{ 0x7f4de642, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8af02323, "ip_route_input_noref" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x1025f493, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcdfa039b, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfdabf308, "ns_capable" },
	{ 0x130b24d9, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xe773f0ad, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xc2764560, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x6cf5cf23, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cc8632f, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0xbd9c1336, "vlan_vid_del" },
	{ 0xdd94060d, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x331671d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9dd05047, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x605c462a, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4f8f8d1d, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x334ccb06, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x79c27ba, "dev_change_flags" },
	{ 0x73d4839a, "netdev_core_stats_inc" },
	{ 0x2b8ffd13, "dev_forward_skb" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x81e8815f, "__do_once_done" },
	{ 0x67de8de0, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc65e342, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x892b3728, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf8ff9906, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe9a7ccfe, "netdev_update_features" },
	{ 0x9011f053, "consume_skb" },
	{ 0x20f140df, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe5fad363, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x6c5f5c36, "netif_inherit_tso_max" },
	{ 0x9f716275, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xdedc3dd6, "ip_route_output_flow" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x87a61778, "dev_uc_unsync" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8a082e41, "netdev_upper_dev_link" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd5865d45, "eth_header_parse" },
	{ 0x2e0561ab, "netdev_rx_handler_unregister" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A817537E82AF1F004482E0B");
