#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x85b99104, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x27f1593f, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x3439b969, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcdfa039b, "netdev_upper_dev_unlink" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2e0561ab, "netdev_rx_handler_unregister" },
	{ 0x1025f493, "netif_stacked_transfer_operstate" },
	{ 0x86a7971b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0x334ccb06, "dev_mc_unsync" },
	{ 0x87a61778, "dev_uc_unsync" },
	{ 0xcbba8f4a, "dev_uc_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfd39f94a, "dev_uc_add" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x59636cad, "genlmsg_put" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x8a082e41, "netdev_upper_dev_link" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x77b8bf90, "linkwatch_fire_event" },
	{ 0x9dd05047, "netdev_rx_handler_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x945bd939, "genl_register_family" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe784de3c, "crypto_alloc_aead" },
	{ 0xf2336af5, "crypto_aead_setkey" },
	{ 0x4e892625, "crypto_aead_setauthsize" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xb5f2190f, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x892b3728, "dev_mc_sync" },
	{ 0xe5fad363, "dev_uc_sync" },
	{ 0xdd94060d, "dev_set_allmulti" },
	{ 0x2d8caba8, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x51ec2b35, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4660650f, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8466e98a, "skb_to_sgvec" },
	{ 0x14f538a, "crypto_aead_decrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x331671d9, "skb_clone" },
	{ 0x9011f053, "consume_skb" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xd7c8a35c, "skb_copy" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x63836ac4, "gro_cells_receive" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbcfe46c, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x27f1ab10, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ac9064d, "gro_cells_init" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x65620cc3, "skb_push" },
	{ 0xca875b21, "skb_put" },
	{ 0xf59e85e6, "crypto_aead_encrypt" },
	{ 0x60a5c42e, "skb_copy_expand" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "981086FA488E38EE0F6C8FC");
