#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_exp, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_exp, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_read, "_gpl", "");
KSYMTAB_FUNC(bcm54xx_auxctl_write, "", "");
KSYMTAB_FUNC(bcm_phy_write_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_misc, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_ack_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_shadow, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_shadow, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_read_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_write_rdb, "_gpl", "");
KSYMTAB_FUNC(__bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_modify_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_apd, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_eee, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_get, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_downshift_set, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_sset_count, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_strings, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_stats, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_r_rc_cal_reset, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_28nm_a0b0_afe_config_init, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_enable_jumbo, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_start_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_cable_test_get_status_rdb, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_set_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_get_wol, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_wol_isr, "_gpl", "");
KSYMTAB_FUNC(bcm_phy_led_brightness_set, "_gpl", "");
KSYMTAB_FUNC(bcm_setup_lre_master_slave, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_aneg, "_gpl", "");
KSYMTAB_FUNC(bcm_config_lre_advert, "_gpl", "");

SYMBOL_CRC(__bcm_phy_write_exp, 0x0a4e0197, "_gpl");
SYMBOL_CRC(bcm_phy_write_exp, 0xcde353e8, "_gpl");
SYMBOL_CRC(__bcm_phy_read_exp, 0xe7fa26e8, "_gpl");
SYMBOL_CRC(bcm_phy_read_exp, 0x7a34528f, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_exp, 0x314df439, "_gpl");
SYMBOL_CRC(bcm_phy_modify_exp, 0x0906709f, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_read, 0x3e34262d, "_gpl");
SYMBOL_CRC(bcm54xx_auxctl_write, 0xbe7b7280, "");
SYMBOL_CRC(bcm_phy_write_misc, 0x8021d57d, "_gpl");
SYMBOL_CRC(bcm_phy_read_misc, 0x920909c7, "_gpl");
SYMBOL_CRC(bcm_phy_ack_intr, 0xc9e75a8c, "_gpl");
SYMBOL_CRC(bcm_phy_config_intr, 0x8bff6d9c, "_gpl");
SYMBOL_CRC(bcm_phy_handle_interrupt, 0xf1a2cf10, "_gpl");
SYMBOL_CRC(bcm_phy_read_shadow, 0x90c4942d, "_gpl");
SYMBOL_CRC(bcm_phy_write_shadow, 0x5b8fc175, "_gpl");
SYMBOL_CRC(__bcm_phy_read_rdb, 0xe38ea8e5, "_gpl");
SYMBOL_CRC(bcm_phy_read_rdb, 0x7e40dc82, "_gpl");
SYMBOL_CRC(__bcm_phy_write_rdb, 0x5b5283ad, "_gpl");
SYMBOL_CRC(bcm_phy_write_rdb, 0x9cffd1d2, "_gpl");
SYMBOL_CRC(__bcm_phy_modify_rdb, 0x283b9fa0, "_gpl");
SYMBOL_CRC(bcm_phy_modify_rdb, 0x10701b06, "_gpl");
SYMBOL_CRC(bcm_phy_enable_apd, 0xafd9e66a, "_gpl");
SYMBOL_CRC(bcm_phy_set_eee, 0x3cc5aa97, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_get, 0x9ecc1256, "_gpl");
SYMBOL_CRC(bcm_phy_downshift_set, 0x8c465954, "_gpl");
SYMBOL_CRC(bcm_phy_get_sset_count, 0xa8451dde, "_gpl");
SYMBOL_CRC(bcm_phy_get_strings, 0xd86e1211, "_gpl");
SYMBOL_CRC(bcm_phy_get_stats, 0x6c5ed7d5, "_gpl");
SYMBOL_CRC(bcm_phy_r_rc_cal_reset, 0x19a482a3, "_gpl");
SYMBOL_CRC(bcm_phy_28nm_a0b0_afe_config_init, 0x83f9e897, "_gpl");
SYMBOL_CRC(bcm_phy_enable_jumbo, 0x0c2cb6e9, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start, 0x9450780a, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status, 0x1875d618, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_start_rdb, 0x50acd55c, "_gpl");
SYMBOL_CRC(bcm_phy_cable_test_get_status_rdb, 0xe1267630, "_gpl");
SYMBOL_CRC(bcm_phy_set_wol, 0x198eec2b, "_gpl");
SYMBOL_CRC(bcm_phy_get_wol, 0x3192bc50, "_gpl");
SYMBOL_CRC(bcm_phy_wol_isr, 0xa0f0ddfd, "_gpl");
SYMBOL_CRC(bcm_phy_led_brightness_set, 0xc4051d46, "_gpl");
SYMBOL_CRC(bcm_setup_lre_master_slave, 0x013b3666, "_gpl");
SYMBOL_CRC(bcm_config_lre_aneg, 0x514d0a9e, "_gpl");
SYMBOL_CRC(bcm_config_lre_advert, 0xee558ac5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0x207a747f, "phy_trigger_machine" },
	{ 0x4abfeb5e, "phy_error" },
	{ 0x4b2b52c2, "phy_read_mmd" },
	{ 0x65b63033, "phy_write_mmd" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe90fa75, "phy_modify_changed" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x2a88a786, "genphy_config_eee_advert" },
	{ 0xc18c238f, "genphy_check_and_restart_aneg" },
	{ 0xe1e9bd02, "phy_modify" },
	{ 0x46ef24a, "__mdiobus_write" },
	{ 0x49b860c3, "__mdiobus_read" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5dffcc5c, "ethnl_cable_test_result" },
	{ 0x715d4912, "ethnl_cable_test_fault_length" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "07F6330A68B82FE942CF8DA");
