#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x6808a105, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x2f4bb314, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x712d3872, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0x6ac68736, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xd95154a9, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x5886e0a7, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xf264893c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58a4bff7, "genphy_read_status" },
	{ 0xa4f602f6, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x6c76475a, "device_property_present" },
	{ 0x5d0803a3, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x1d28bdee, "phy_drivers_register" },
	{ 0x4b2b52c2, "phy_read_mmd" },
	{ 0x8bd132c9, "__genphy_config_aneg" },
	{ 0xe1e9bd02, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xc5193a91, "genphy_soft_reset" },
	{ 0xd3dedd4b, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x65b63033, "phy_write_mmd" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2d00718, "genphy_suspend" },
	{ 0x4999c980, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4e1a39a1, "mdiobus_read" },
	{ 0x207a747f, "phy_trigger_machine" },
	{ 0x4abfeb5e, "phy_error" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");
