#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xa73d711a, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xafbe1a8f, "");
SYMBOL_CRC(team_options_register, 0x3676f1ff, "");
SYMBOL_CRC(team_options_unregister, 0xfaa9000d, "");
SYMBOL_CRC(team_option_inst_set_change, 0x324d7c93, "");
SYMBOL_CRC(team_options_change_check, 0x66c8ac7d, "");
SYMBOL_CRC(team_mode_register, 0x48def8db, "");
SYMBOL_CRC(team_mode_unregister, 0x42801ac7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x794c9bd8, "netdev_change_features" },
	{ 0xf8fba29d, "netdev_lower_state_changed" },
	{ 0x33afe8e1, "netdev_master_upper_dev_link" },
	{ 0xa5a39966, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x746db796, "vlan_vids_del_by_dev" },
	{ 0x993e46f9, "__netpoll_setup" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4cc8632f, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdbefb670, "call_netdevice_notifiers" },
	{ 0xbd9c1336, "vlan_vid_del" },
	{ 0xdd94060d, "dev_set_allmulti" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x331671d9, "skb_clone" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x97b1d73, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9dd05047, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x51ec2b35, "genl_unregister_family" },
	{ 0x4159fb1, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x334ccb06, "dev_mc_unsync" },
	{ 0x945bd939, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78269afa, "dev_mc_sync_multiple" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x86a7971b, "dev_set_mtu" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0x6b790548, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb00eb51b, "netpoll_send_skb" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x59636cad, "genlmsg_put" },
	{ 0x51f9eb6b, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0x2d8caba8, "dev_set_promiscuity" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x87a61778, "dev_uc_unsync" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1fa4780d, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2e0561ab, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xd408f16a, "module_put" },
	{ 0x1df04ae6, "dev_uc_flush" },
	{ 0xb80186ec, "dev_open" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xabf6570e, "dev_mc_flush" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8a156e79, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcdfa039b, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe773f0ad, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x1bf7a5e3, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xba50efe6, "netdev_has_upper_dev" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "561373C1F985F9DBEF98931");
