#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b0716, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x9f6a5b1b, "mii_nway_restart" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0xa136093a, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc98c060d, "netif_set_tso_max_size" },
	{ 0x8a53336c, "usbnet_probe" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0x3dd8790f, "usbnet_get_msglevel" },
	{ 0x9569ecfe, "usbnet_set_msglevel" },
	{ 0xab602040, "usbnet_nway_reset" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x65620cc3, "skb_push" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xf975632b, "usbnet_read_cmd" },
	{ 0xf9b808ee, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe93545a, "usbnet_write_cmd" },
	{ 0xe6d7c82, "usbnet_write_cmd_nopm" },
	{ 0x70a3001c, "mii_ethtool_set_link_ksettings" },
	{ 0x228e2dc3, "mii_ethtool_get_link_ksettings" },
	{ 0xe037d98c, "generic_mii_ioctl" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0x15689486, "usb_deregister" },
	{ 0x5bf44d0a, "usbnet_link_change" },
	{ 0x692777c2, "netdev_info" },
	{ 0x692e7eac, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x1977aea6, "eth_platform_get_mac_address" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbd07c70b, "usbnet_update_max_qlen" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");
