#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x016e1b4f, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x0b18b508, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xdfeeaa89, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x2673d918, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xbf805a86, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x0fbfaef8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xf2e83635, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xbbdae5ac, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xd63ef6f8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x25954200, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x529ebc2d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x96ebffa3, "netif_tx_lock" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0xd0fc888f, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf975632b, "usbnet_read_cmd" },
	{ 0x328e3071, "_dev_err" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x59743952, "cdc_parse_cdc_header" },
	{ 0x63adf8cb, "usb_ifnum_to_if" },
	{ 0x5ce0020f, "usb_driver_claim_interface" },
	{ 0x7fc0080f, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98cf68be, "usbnet_get_ethernet_addr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x5d1e37da, "usbnet_manage_power" },
	{ 0x5b16e2c5, "usbnet_cdc_update_filter" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x2cedbe59, "usbnet_set_rx_mode" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xdaa6cb2c, "usbnet_get_drvinfo" },
	{ 0x3dd8790f, "usbnet_get_msglevel" },
	{ 0x9569ecfe, "usbnet_set_msglevel" },
	{ 0xab602040, "usbnet_nway_reset" },
	{ 0xde8aef2b, "usbnet_get_link" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x71dc11cf, "usbnet_get_link_ksettings_internal" },
	{ 0x8a53336c, "usbnet_probe" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8d1729e4, "usb_driver_release_interface" },
	{ 0x7be16875, "usb_altnum_to_altsetting" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x15689486, "usb_deregister" },
	{ 0x5bf44d0a, "usbnet_link_change" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xbd07c70b, "usbnet_update_max_qlen" },
	{ 0xe5ece64, "usbnet_unlink_rx_urbs" },
	{ 0xfe93545a, "usbnet_write_cmd" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");
