#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x2cddcbca, "_gpl");
SYMBOL_CRC(rndis_command, 0x19d927a1, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xb6d29774, "_gpl");
SYMBOL_CRC(rndis_unbind, 0xcd95220c, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x14b8be59, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x41ca1250, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd750d5b, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x1cbe2015, "usbnet_generic_cdc_bind" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x8d1729e4, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xa7dcd6f1, "usbnet_cdc_zte_rx_fixup" },
	{ 0x331671d9, "skb_clone" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0x60a5c42e, "skb_copy_expand" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x15689486, "usb_deregister" },
	{ 0x8c304c4a, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8a53336c, "usbnet_probe" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
