#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c567532, "phy_disconnect" },
	{ 0xf8d7d2d5, "mdiobus_unregister" },
	{ 0x89f1358f, "mdiobus_free" },
	{ 0x7138215d, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x7592426c, "irq_domain_remove" },
	{ 0xb2a80504, "irq_domain_free_fwnode" },
	{ 0x37a0cba, "kfree" },
	{ 0x1866724, "irq_domain_simple_ops" },
	{ 0xd3cd192, "irq_domain_instantiate" },
	{ 0x58a4bff7, "genphy_read_status" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xca875b21, "skb_put" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9e62b226, "usbnet_skb_return" },
	{ 0x692e7eac, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa136093a, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x87322d7a, "__irq_domain_alloc_fwnode" },
	{ 0x3163652c, "irq_create_mapping_affinity" },
	{ 0x93b41f78, "dummy_irq_chip" },
	{ 0x65e270ab, "handle_simple_irq" },
	{ 0xcadb7bbd, "irq_set_chip_and_handler_name" },
	{ 0xf6e98683, "mdiobus_alloc_size" },
	{ 0x8670adcb, "__mdiobus_register" },
	{ 0xf72c56bd, "phy_find_first" },
	{ 0x16f57155, "phy_connect_direct" },
	{ 0xdf1d02da, "phy_attached_info" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xc7eaf11e, "usbnet_suspend" },
	{ 0x8a53336c, "usbnet_probe" },
	{ 0x899df341, "usbnet_disconnect" },
	{ 0xa27ab5e, "usbnet_open" },
	{ 0x1a992ed4, "usbnet_stop" },
	{ 0x3380ec90, "usbnet_start_xmit" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xf1a9dd9b, "usbnet_change_mtu" },
	{ 0xa7735ea7, "usbnet_tx_timeout" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xdaa6cb2c, "usbnet_get_drvinfo" },
	{ 0x3dd8790f, "usbnet_get_msglevel" },
	{ 0x9569ecfe, "usbnet_set_msglevel" },
	{ 0x9e377388, "phy_ethtool_nway_reset" },
	{ 0xe82a935b, "net_selftest" },
	{ 0x800817e5, "ethtool_op_get_ts_info" },
	{ 0x5d35ad80, "phy_ethtool_get_link_ksettings" },
	{ 0xe8282d03, "phy_ethtool_set_link_ksettings" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65620cc3, "skb_push" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf975632b, "usbnet_read_cmd" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xf9b808ee, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad03cbeb, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfe93545a, "usbnet_write_cmd" },
	{ 0xe6d7c82, "usbnet_write_cmd_nopm" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb576970e, "generic_handle_domain_irq" },
	{ 0x6d5994f2, "phy_start" },
	{ 0x80ed7ccf, "phy_stop" },
	{ 0xbbdc318d, "phy_get_pause" },
	{ 0x993a5f53, "phy_print_status" },
	{ 0x3509a643, "usbnet_defer_kevent" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x3dc652dc, "phy_mii_ioctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x692777c2, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0xa845d1e8, "phy_init_hw" },
	{ 0xc9c29c4, "usbnet_resume" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x15689486, "usb_deregister" },
	{ 0xa3d062c4, "usb_autopm_get_interface_no_resume" },
	{ 0xf2891ee5, "usb_autopm_put_interface" },
	{ 0xeaede175, "platform_get_ethdev_address" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0878p1400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v184Fp0051d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1E6A952C6FEABE611EA4AA6");
