#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xb7420cc5, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x523c7c9b, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe6f8074a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x80f892a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc2764560, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4ae338cb, "setup_udp_tunnel_sock" },
	{ 0x877c9977, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbe54eefc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6cf5cf23, "skb_scrub_packet" },
	{ 0xd3224898, "nexthop_select_path" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb5f2190f, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x8c2f870f, "udp_tun_rx_dst" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x57fa4e2e, "rtnl_notify" },
	{ 0x7a46a9e6, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfbcfe46c, "__netif_rx" },
	{ 0x331671d9, "skb_clone" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x4aeeb138, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x5acc5924, "udp_tunnel_notify_del_rx_port" },
	{ 0xa4f0f969, "register_nexthop_notifier" },
	{ 0x3aab0d11, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6b4331c1, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x73d4839a, "netdev_core_stats_inc" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x692777c2, "netdev_info" },
	{ 0xd9ae5b85, "neigh_lookup" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x2559c37, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0x381c9c08, "netdev_adjacent_change_commit" },
	{ 0xf0ee1424, "eth_mac_addr" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51034da3, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xac1f5d41, "ip6_dst_hoplimit" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x3fe0f96c, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8c4bfafd, "udp_tunnel6_xmit_skb" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xdcfa4232, "__unregister_nexthop_notifier" },
	{ 0x6c5f5c36, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0x7ac9064d, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa53253b9, "rtnl_create_link" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3d55f75e, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62d92039, "udp_tunnel_drop_rx_port" },
	{ 0x8a082e41, "netdev_upper_dev_link" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x81cbe314, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x22c9ae71, "eth_gro_complete" },
	{ 0xfd3307f7, "rtnl_set_sk_err" },
	{ 0x93d7abe7, "eth_gro_receive" },
	{ 0x996131fa, "rtnl_configure_link" },
	{ 0x1b7e66c8, "skb_tunnel_check_pmtu" },
	{ 0x835177bd, "udp_tunnel_dst_lookup" },
	{ 0xe3a3822b, "rtnl_unicast" },
	{ 0xed6e93da, "peernet2id" },
	{ 0x91711b22, "__skb_get_hash_net" },
	{ 0x61c645d2, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xceb6b087, "ipv6_stub" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xbe499f31, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe065576f, "dev_get_by_index_rcu" },
	{ 0x63836ac4, "gro_cells_receive" },
	{ 0x65620cc3, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xcdfa039b, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb66a58e6, "ip_mc_join_group" },
	{ 0x3e1bf693, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0x2d3d36cd, "ethtool_op_get_link" },
	{ 0xb42882d2, "nexthop_find_by_id" },
	{ 0x87ce687b, "arp_create" },
	{ 0xe773f0ad, "__ethtool_get_link_ksettings" },
	{ 0x9ba5f13a, "netdev_adjacent_change_prepare" },
	{ 0x9bb1751e, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xbb761f34, "netdev_adjacent_change_abort" },
	{ 0xdfd0bb8a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xda961aed, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc88a7973, "__iptunnel_pull_header" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "22D5A6E39F29B1F437404C4");
