#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0xade601d6, "ath10k_print_driver_info" },
	{ 0x717dc091, "ath10k_ce_num_free_src_entries" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xcb049c56, "ath10k_ce_rx_update_write_idx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe25f3fb9, "ath10k_htt_hif_tx_complete" },
	{ 0xfa3860f, "__ath10k_ce_send_revert" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2c994c1, "ath10k_ce_free_pipe" },
	{ 0x169806b5, "ath10k_ce_revoke_recv_next" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0x563027d2, "ath10k_ce_completed_recv_next" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0xf50440a9, "ath10k_htc_tx_completion_handler" },
	{ 0x328e3071, "_dev_err" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xfeae8c97, "ath10k_ce_completed_send_next" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd74e9089, "ath10k_ce_dump_registers" },
	{ 0x3f4720a3, "pcie_capability_clear_and_set_word_locked" },
	{ 0x639138b3, "ath10k_ce_per_engine_service_any" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x18f5e5f8, "ath10k_ce_enable_interrupts" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x46626609, "ath10k_ce_rx_post_buf" },
	{ 0xf6b71b48, "ath10k_core_create" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x489b76a4, "ath10k_core_start_recovery" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfbaf4e61, "pci_iounmap" },
	{ 0xfb578fc5, "memset" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x79de5f12, "__ath10k_ce_rx_num_free_bufs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbbffe1fd, "ath10k_htt_rx_pktlog_completion_handler" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xcc43ee9, "ath10k_core_destroy" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfc0679e, "ath10k_htc_rx_completion_handler" },
	{ 0xf24054f5, "ath10k_ce_deinit_pipe" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x17815400, "ath10k_ce_init_pipe" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xf80c18e3, "ath10k_core_napi_sync_disable" },
	{ 0xabfd6e8e, "ath10k_core_register" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xe9976899, "ath10k_coredump_new" },
	{ 0xf0358b1c, "ath10k_info" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x2fe45f7e, "pci_release_region" },
	{ 0x50d77caf, "ath10k_htt_t2h_msg_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0x6d1ee122, "ath10k_core_unregister" },
	{ 0xf13e77da, "ath10k_htt_txrx_compl_task" },
	{ 0x2d1c7afa, "ath10k_ce_completed_recv_next_nolock" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2bc7efd4, "ath10k_ce_disable_interrupts" },
	{ 0xb8d72163, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x65880024, "pci_request_region" },
	{ 0x32fcfe95, "ath10k_core_napi_enable" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0x2a7b4632, "ath10k_ce_send_nolock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe6534907, "pci_iomap" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x2d232c4a, "ath10k_ce_alloc_pipe" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf93d18f8, "ath10k_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x11e79f0c, "ath10k_ce_per_engine_service" },
	{ 0xf77b20c9, "ath10k_ce_cancel_send_next" },
	{ 0x23185c82, "__netif_napi_del" },
	{ 0xb63f59e9, "ath10k_ce_send" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x2542b62e, "ath10k_coredump_get_mem_layout" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3403b299, "ath10k_err" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "ath10k_core");

MODULE_ALIAS("pci:v00000777d000011ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000003Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000003Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000056sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000046sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000050sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "687F91875D7FC6F9459D1AA");
