#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x56621b60, "");
SYMBOL_CRC(alloc_libipw, 0xb796d3c0, "");
SYMBOL_CRC(free_libipw, 0xc99452a9, "");
SYMBOL_CRC(libipw_xmit, 0x63a1c41b, "");
SYMBOL_CRC(libipw_txb_free, 0x4ff63295, "");
SYMBOL_CRC(libipw_rx_any, 0x98ef5291, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xdf75216c, "");
SYMBOL_CRC(libipw_rx, 0xb457ff12, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xde462cad, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xb14e5aec, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xf7827623, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x43781924, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x20223495, "");
SYMBOL_CRC(libipw_get_channel, 0xecb3da71, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x111051f6, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x3bfcf408, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x317adf86, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x5c909103, "");
SYMBOL_CRC(libipw_channel_to_index, 0xd3722350, "");
SYMBOL_CRC(libipw_set_geo, 0x95e264ce, "");
SYMBOL_CRC(libipw_get_geo, 0x1cf264b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d2bd04d, "wiphy_new_nm" },
	{ 0x9ab68030, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb340900e, "lib80211_get_crypto_ops" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x65620cc3, "skb_push" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xba99fac1, "wireless_spy_update" },
	{ 0xc2764560, "netif_rx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbacc357, "lib80211_crypt_info_free" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa6672da, "lib80211_crypt_delayed_deinit" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x2e7e280, "wiphy_free" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x51d564a5, "alloc_etherdev_mqs" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xca875b21, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "83CCA53845AB0673CF4F071");
