#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x696d4069, "il_add_beacon_time" },
	{ 0x425b7706, "il_cmd_queue_free" },
	{ 0xd70a1e8f, "il_apm_init" },
	{ 0x306c0268, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x98c44ee4, "il_free_txq_mem" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6b93630f, "ieee80211_tx_status_irqsafe" },
	{ 0xcf10d229, "il_scan_cancel_timeout" },
	{ 0x81074586, "il_leds_exit" },
	{ 0xb7bd33ff, "il_isr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa4fbfc7a, "il_restore_stations" },
	{ 0x445c164a, "il_mac_add_interface" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e738076, "pci_disable_link_state" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x3be599a9, "il_eeprom_init" },
	{ 0x2bf7eea6, "il_queue_space" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xbc0dc218, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xa352b270, "il_set_flags_for_band" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc376f71b, "il_remove_station" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xcb8e8a08, "il_tx_queue_reset" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x76fa85da, "pci_enable_msi" },
	{ 0x328e3071, "_dev_err" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xf6afdb6d, "il_cancel_scan_deferred_work" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x143f23d4, "il_mac_hw_scan" },
	{ 0xa216ef1a, "il_dealloc_bcast_stations" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaff4c88e, "il_send_add_sta" },
	{ 0xab2c3800, "il_setup_rx_scan_handlers" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd18db5b6, "il_set_decrypted_flag" },
	{ 0x78fc0419, "il_mac_remove_interface" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x87e0f28, "il_set_tx_power" },
	{ 0xc685f8a2, "il_mac_sta_remove" },
	{ 0xaecfcc1e, "ieee80211_sta_block_awake" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3e20b9ee, "il_leds_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7064dea2, "_il_poll_bit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfdf6bf2d, "il_clear_bit" },
	{ 0x9a71081a, "il_mac_config" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa544d56e, "_il_grab_nic_access" },
	{ 0x2e169122, "il_rx_queue_update_write_ptr" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x13213f31, "il_full_rxon_required" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xce392432, "ieee80211_rate_control_register" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xa4eae815, "il_init_scan_params" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33112f44, "ieee80211_alloc_hw_nm" },
	{ 0xfdce765, "il_tx_queue_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5f2f0674, "il_mac_tx_last_beacon" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88ce9484, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2d32e8e, "il_send_bt_config" },
	{ 0x6b5a37e7, "il_set_rxon_channel" },
	{ 0xed52cc61, "il_cmd_queue_unmap" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x20cfc971, "il_mac_conf_tx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x483d10f, "il_mac_reset_tsf" },
	{ 0x123709e0, "il_fill_probe_req" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2c998b80, "il_hdl_pm_sleep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6d3f26cd, "il_tx_queue_unmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x614ec39b, "il_get_channel_info" },
	{ 0xcdc51821, "ieee80211_stop_queue" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x17817649, "il_get_lowest_plcp" },
	{ 0x4102085, "il_tx_queue_init" },
	{ 0xf8a933f, "il_eeprom_query_addr" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0x5320d4ab, "il_force_reset" },
	{ 0xaaf065af, "il_send_cmd_sync" },
	{ 0xd2ac4753, "il_connection_init_rx_config" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x9791399a, "il_set_rxon_hwcrypto" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xb569ef19, "il_init_geos" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15fbfb25, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cc714af, "il_bg_watchdog" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfabd9530, "il_get_passive_dwell_time" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x7630a2c, "il_hdl_error" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x595b3361, "il_write_targ_mem" },
	{ 0x1f09f5fd, "il_send_rxon_timing" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x416bd26a, "il_debug_level" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xb65510a3, "il_get_cmd_string" },
	{ 0x363456f5, "il_send_lq_cmd" },
	{ 0xe6fc5318, "il_wr_prph" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x75471317, "il_free_geos" },
	{ 0x687ae253, "il_txq_update_write_ptr" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0x2c5b1630, "il_power_initialize" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x5fede878, "il_rd_prph" },
	{ 0xc796efb5, "il_set_rate" },
	{ 0x4ecb3b2a, "device_release_driver" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x6070b0d5, "il_mac_change_interface" },
	{ 0x3d1be511, "debugfs_create_u8" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xbe22dfaf, "il_dbgfs_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf07b918, "il_get_active_dwell_time" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0x4899e0fb, "il_send_cmd" },
	{ 0x94531e9d, "il_get_free_ucode_key_idx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x9b6fcb8e, "il_clear_ucode_stations" },
	{ 0xe08759ee, "il_power_update_mode" },
	{ 0x617cb1a6, "ieee80211_rx_napi" },
	{ 0x11130225, "il_init_channel_map" },
	{ 0xbbc0baec, "il_send_stats_request" },
	{ 0xf1190200, "il_pm_ops" },
	{ 0x26abdbca, "ieee80211_stop_tx_ba_session" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5d38e4ae, "il_eeprom_free" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfa334b31, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x95852418, "il_rx_queue_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x36734b53, "il_set_rxon_ht" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xadff8c04, "il_send_cmd_pdu_async" },
	{ 0x3d3a623a, "ieee80211_chswitch_done" },
	{ 0x721f8625, "il_prep_station" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xde59a4dc, "il_chswitch_done" },
	{ 0x9011f053, "consume_skb" },
	{ 0x400510e5, "il_eeprom_query16" },
	{ 0x318971b4, "_il_apm_stop" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1debe9c1, "il_mac_bss_info_changed" },
	{ 0xcc5dfca2, "il_send_cmd_pdu" },
	{ 0x20e75ad9, "il_alloc_txq_mem" },
	{ 0xbe7e9bae, "il_update_stats" },
	{ 0xb6602f83, "il_is_ht40_tx_allowed" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29f3e996, "il_usecs_to_beacons" },
	{ 0x4ef8c9d5, "ieee80211_free_hw" },
	{ 0x4408f92b, "il_hdl_spectrum_measurement" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xfe62092d, "il_print_rx_config_cmd" },
	{ 0x96848186, "scnprintf" },
	{ 0x6eb4c8a7, "il_setup_scan_deferred_work" },
	{ 0x3170775c, "ieee80211_get_tkip_p2k" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x265567bb, "il_scan_cancel" },
	{ 0x2bc0df79, "il_free_channel_map" },
	{ 0xf1916409, "il_hdl_csa" },
	{ 0x8c04031f, "il_mac_flush" },
	{ 0xf70a693b, "il_bcast_addr" },
	{ 0xedc03953, "iounmap" },
	{ 0x20abaefa, "pci_disable_msi" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x8f9b96d7, "il_set_bit" },
	{ 0x606ad0e6, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa342ecce, "il_read_targ_mem" },
	{ 0xbe3892e3, "il_dbgfs_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xe27fffd, "il_add_station_common" },
	{ 0x91180bab, "il_hdl_pm_debug_stats" },
	{ 0xd83c80f0, "il_tx_cmd_protection" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xe9c19ff2, "il_tx_cmd_complete" },
	{ 0xd8bcdc7e, "il_check_rxon_cmd" },
	{ 0x6e009f6a, "il_irq_handle_error" },
	{ 0x2d338729, "il_rx_queue_space" },
	{ 0x67dace66, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7fca02de, "ieee80211_rate_control_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa7df1db4, "il_setup_watchdog" },
	{ 0x28b9f168, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3c16cd31, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x99054382, "il_apm_stop" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b45ad10, "ieee80211_find_sta" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "iwlegacy,mac80211,cfg80211");

MODULE_ALIAS("pci:v00008086d00004229sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004230sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CD1BA55AEF81A26DC720FD6");
