#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xe8a873ac, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0x6be5a764, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x5f01443e, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0x70535c20, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xe1ab9080, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0x6dd243b2, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xb4b0011c, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x57c40df6, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0x9bbf4bf1, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x0a81ccb3, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x7627e620, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x9a0b4bcd, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0x66fbc706, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0x35d119a7, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x61d18fc3, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0x5937cdc1, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xc054f960, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xd9a3c865, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xcb7b6bc0, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0x2758a480, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0x7cda5139, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0xa0c6c913, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xa519a428, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0xd479692d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc010b6cb, "devm_kmemdup" },
	{ 0x328e3071, "_dev_err" },
	{ 0x726aaf5, "cfg80211_ibss_joined" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc70175d6, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6f97cd5e, "cfg80211_michael_mic_failure" },
	{ 0x8a156e79, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xccdb39f, "cfg80211_del_sta_sinfo" },
	{ 0xf1cc78fd, "wiphy_unregister" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5201e8cf, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3952ca69, "netif_tx_stop_all_queues" },
	{ 0xc32f220, "netif_tx_wake_queue" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc2764560, "netif_rx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1a37126, "cfg80211_sched_scan_stopped_locked" },
	{ 0x772c0174, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x40c947bc, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0x1db22546, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9b6a9473, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7c8a35c, "skb_copy" },
	{ 0x331671d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xacdf573e, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xd382db4d, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x50ce4a8e, "cfg80211_inform_bss_data" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x857e4ffc, "cfg80211_connect_done" },
	{ 0x3d46a690, "__cfg80211_get_bss" },
	{ 0x2e7e280, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x81ed662, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x58c40c56, "cfg80211_sched_scan_results" },
	{ 0x6713dffa, "skb_complete_wifi_ack" },
	{ 0x25f9765c, "cfg80211_mgmt_tx_status_ext" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa86ec22, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x62afdda2, "cfg80211_chandef_dfs_required" },
	{ 0x7a5529a0, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9f5921b, "cfg80211_sched_scan_stopped" },
	{ 0x20c5d5ec, "param_ops_ushort" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x20245818, "cfg80211_remain_on_channel_expired" },
	{ 0x32db10f2, "cfg80211_cac_event" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x63b2af03, "cfg80211_register_netdevice" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x95c5db3b, "ieee80211_amsdu_to_8023s" },
	{ 0x7cef6a91, "cfg80211_ref_bss" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66201db7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x14c54c2b, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xcad70944, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x3c7ef0bd, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3f4450c5, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0x4d2bd04d, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xee0cabda, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd89fc86a, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x61349828, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e3ac59e, "cfg80211_put_bss" },
	{ 0x86587044, "netif_device_detach" },
	{ 0x5c90077e, "cfg80211_ch_switch_notify" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xad388027, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7c00b7f2, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xb06e2a71, "__cfg80211_radar_event" },
	{ 0x28311cc7, "cfg80211_tdls_oper_request" },
	{ 0xe9f26d6, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "F4967E14E3A15B31037D9E3");
