#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x4f1f98d9, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x09005e5e, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xd463db96, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x0fa6b76d, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x6399da42, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x5d5c11f0, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x24bd45a8, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x3afe40e0, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x3d43e6c1, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x3c31b993, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x92bc1b83, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xe104fcbc, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x16facd1f, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xadb27469, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x5f22ea3c, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x42287303, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x59089655, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x311728d6, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xb1449185, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x6fd165ca, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x63287709, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x667fd141, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xbf34c885, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x88f586e3, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xbaa0764e, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x154ad38c, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x7b3c4d88, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x56b1cd64, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x82949f72, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x75077611, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x46e668f2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x921a38c8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x732b88d9, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x0eba2fa1, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x193c42bc, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x28afdde4, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x54388853, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xafe19087, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x2b1c7d35, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x30fae994, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x1de21537, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x90897d8d, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x6115fe6b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x3798943e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xce496010, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x8207ff52, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x2123a129, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xccef9d7a, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x6a1b75fc, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xed808880, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xd7fc42c9, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x1cebc737, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xdbfb8e77, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xb5572888, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x6a726d42, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x0622374a, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xcd658fee, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x536133a9, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x2b1d7ed2, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x580b1cbc, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xb2c8528a, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xe3a29a36, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x495a8ac6, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x02fb9ba0, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x1ac0da6b, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x62f1caa9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28edf1aa, "mt76_stop_tx_queues" },
	{ 0xe9d7cb22, "___pskb_trim" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x150b24c5, "__mt76_tx_complete_skb" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67dace66, "ieee80211_restart_hw" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xce1db2ec, "kthread_park" },
	{ 0x13e76164, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d88b230, "mt76_wcid_init" },
	{ 0x305c03da, "mt76_tx_status_check" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x94a2fbed, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7677992, "napi_complete_done" },
	{ 0x7e0872d1, "ieee80211_get_tx_rates" },
	{ 0xf5d5c04a, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cc299e9, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x361419a0, "mt76_tx" },
	{ 0x79b13946, "__napi_schedule" },
	{ 0xf8ca3f5a, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x74aa7578, "mt76_wcid_key_setup" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xbc0dc218, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd07688c1, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98b98625, "kthread_unpark" },
	{ 0x4382a076, "mt76_phy_dfs_state" },
	{ 0xd3090d52, "wiphy_to_ieee80211_hw" },
	{ 0x1b4ffd5, "mt76_init_queue" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x89943a65, "__mt76_sta_remove" },
	{ 0xd5ca2769, "mt76_tx_status_skb_done" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x328e3071, "_dev_err" },
	{ 0xcfea5903, "debugfs_create_bool" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x42748202, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x981b52e8, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe466d991, "napi_enable" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xe8ab0f43, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0xdb205ff7, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcb50a98a, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x9b662b93, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x672a467e, "mt76_set_irq_mask" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xab22890e, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0x63e1e098, "__SCK__tp_func_mac_txdone" },
	{ 0xaa581d3c, "mt76_seq_puts_array" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe8f6ded, "__tracepoint_dev_irq" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x7058b083, "mt76_mcu_get_response" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xce5f42d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa48f6ac9, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xab19472f, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x91b682ab, "seq_write" },
	{ 0x168ab672, "____mt76_poll_msec" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xed11eb58, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc08eb75f, "mt76_wcid_cleanup" },
	{ 0xe0398ff7, "ieee80211_radar_detected" },
	{ 0xc057f771, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1642e258, "mt76_queues_read" },
	{ 0x6fadba13, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2cb19ad1, "napi_schedule_prep" },
	{ 0x4ac7d878, "napi_disable" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x7591c74a, "__mt76_poll" },
	{ 0x2d9875c3, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3d1be511, "debugfs_create_u8" },
	{ 0xe2e4f264, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7294ebc3, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5492d581, "ieee80211_sta_register_airtime" },
	{ 0x4736bd75, "mt76_dma_rx_poll" },
	{ 0xe4106dad, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda48ae7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x29389a3c, "mt76_tx_status_skb_get" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x64d5a47d, "mt76_tx_status_lock" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9b95698a, "mt76_csa_check" },
	{ 0xb1142052, "mt76_tx_status_skb_add" },
	{ 0xca965f34, "__tracepoint_mac_txdone" },
	{ 0xd480f4fb, "mt76_tx_check_agg_ssn" },
	{ 0x1ada4d2c, "ieee80211_tx_status_ext" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "B773B00FC05F55337E6216B");
