#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x08de07f5, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x8d36aff1, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x5176a762, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xb777534c, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xd4a923e6, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x250a7079, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x02a0e985, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x2cf46e41, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xa629121d, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xdea2e9c0, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x7a217aed, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xd7d8d7f9, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x08290a5c, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xa043b3ce, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x6b45989a, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x9c4037ac, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xa7dcb26e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x69bf2db4, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x0fd99163, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x8f4592d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafe19087, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28afdde4, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b1c7d35, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x498a06cf, "mt76_eeprom_init" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x54388853, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xdb205ff7, "mt76_mcu_send_and_get_msg" },
	{ 0x5259f5be, "mt76_eeprom_override" },
	{ 0x30fae994, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x583c0250, "mt76_get_sar_power" },
	{ 0x193c42bc, "mt76x02_eeprom_copy" },
	{ 0x921a38c8, "mt76x02_mcu_calibrate" },
	{ 0x6115fe6b, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x2de5930b, "mt76_get_min_avg_rssi" },
	{ 0xd327e329, "mt76_init_sar_power" },
	{ 0x8207ff52, "mt76x02_phy_adjust_vga_gain" },
	{ 0x580b1cbc, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");
