#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf0d43ef, "rt2x00mac_tx" },
	{ 0x8b37139e, "rt2x00mac_start" },
	{ 0x6b1fc259, "rt2x00mac_stop" },
	{ 0x5a8a4d1b, "rt2x00mac_add_interface" },
	{ 0x28e48a07, "rt2x00mac_remove_interface" },
	{ 0xc486113b, "rt2x00mac_config" },
	{ 0x83c9a908, "rt2x00mac_bss_info_changed" },
	{ 0x3c7c7abf, "rt2x00mac_configure_filter" },
	{ 0xc7b32812, "rt2x00mac_set_tim" },
	{ 0xa91a24ab, "rt2x00mac_set_key" },
	{ 0x49f5d5cd, "rt2x00mac_sw_scan_start" },
	{ 0x54fae218, "rt2x00mac_sw_scan_complete" },
	{ 0xcb5d97fc, "rt2x00mac_get_stats" },
	{ 0xd0379955, "rt2x00mac_conf_tx" },
	{ 0x6f2953c0, "rt2x00mac_rfkill_poll" },
	{ 0x5245c2ff, "rt2x00mac_flush" },
	{ 0x37cc91d, "rt2x00mac_set_antenna" },
	{ 0xd861b4b6, "rt2x00mac_get_antenna" },
	{ 0xf7dde542, "rt2x00mac_get_ringparam" },
	{ 0x1cb175bc, "rt2x00mac_tx_frames_pending" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x306c0268, "ieee80211_handle_wake_tx_queue" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbd9723a, "usb_register_driver" },
	{ 0x1d69d335, "rt2x00usb_probe" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9011f053, "consume_skb" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x15689486, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xea71b4ce, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x328e3071, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb460ea43, "rt2x00usb_vendor_request" },
	{ 0x1580c3f, "rt2x00lib_set_mac_address" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x95db239e, "rt2x00usb_vendor_request_buff" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x65620cc3, "skb_push" },
	{ 0x445764b, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7007acb7, "rt2x00usb_disable_radio" },
	{ 0x8e4fa5db, "rt2x00usb_disconnect" },
	{ 0xe35011ec, "rt2x00usb_suspend" },
	{ 0x26f38f34, "rt2x00usb_resume" },
	{ 0x52d0a842, "rt2x00usb_initialize" },
	{ 0x563c99d9, "rt2x00usb_uninitialize" },
	{ 0x37d97f59, "rt2x00usb_clear_entry" },
	{ 0x3b21dab9, "rt2x00usb_watchdog" },
	{ 0xf6937c60, "rt2x00usb_kick_queue" },
	{ 0x6df719df, "rt2x00usb_flush_queue" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211,rt2x00usb");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
