#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x981e3ad4, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xbfc85c65, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xccca5cd2, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xdd88a628, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xb669fcaf, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xd350b3cc, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xd8a615c2, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x045ea71e, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x89e28931, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x01580c3f, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xb401b156, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x38150033, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x91e9bc88, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0xc8bdf782, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xaf0d43ef, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x8b37139e, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x6b1fc259, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xf9a35568, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x5a8a4d1b, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x28e48a07, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xc486113b, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x3c7c7abf, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xc7b32812, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xa91a24ab, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x49f5d5cd, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x54fae218, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xcb5d97fc, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x83c9a908, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xd0379955, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x6f2953c0, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x5245c2ff, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x037cc91d, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xd861b4b6, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0xf7dde542, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x1cb175bc, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x2acf58fc, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x9295b611, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x93ef9a00, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x881dac5e, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x1aa79f40, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xc9c72d86, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xac49eb3c, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xbabc761b, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xcd5bfebb, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x72577e81, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xd74b3e77, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x4083c0e1, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x0445764b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0xa16d8341, "__ieee80211_create_tpt_led_trigger" },
	{ 0x67dace66, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xbceb8826, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x28b9f168, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0xd70aa210, "ieee80211_tx_status_skb" },
	{ 0x94a2fbed, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x547ac02c, "ieee80211_ctstoself_get" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb08c7c9e, "ieee80211_free_txskb" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcdc51821, "ieee80211_stop_queue" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15fbfb25, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2f1f6ca4, "wiphy_rfkill_start_polling" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xce5f42d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1dd56afb, "led_classdev_resume" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed11eb58, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6e5fc197, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x74fe0ff5, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x617cb1a6, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3057059b, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x9011f053, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x58f62fe9, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x1ada4d2c, "ieee80211_tx_status_ext" },
	{ 0x1245de87, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "28CFE432FCAFF3C2CF4BB33");
