#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xb460ea43, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xea71b4ce, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x95db239e, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x567387a7, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x144d1b58, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xf6937c60, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x6df719df, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x3b21dab9, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x7007acb7, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x37d97f59, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x52d0a842, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x563c99d9, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x1d69d335, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x8e4fa5db, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xe35011ec, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x26f38f34, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca28c0cd, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x328e3071, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe091bf2c, "usb_anchor_urb" },
	{ 0x8b5b6495, "usb_submit_urb" },
	{ 0x343e477b, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x4e7bbfcd, "usb_alloc_urb" },
	{ 0x56f85cd5, "usb_free_urb" },
	{ 0xdd88a628, "rt2x00lib_dmastart" },
	{ 0xb669fcaf, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59154867, "__skb_pad" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x93ef9a00, "rt2x00queue_for_each_entry" },
	{ 0xb7a36277, "usb_kill_urb" },
	{ 0x881dac5e, "rt2x00queue_get_entry" },
	{ 0xbabc761b, "rt2x00queue_stop_queue" },
	{ 0xcd5bfebb, "rt2x00queue_flush_queue" },
	{ 0xac49eb3c, "rt2x00queue_start_queue" },
	{ 0x45ea71e, "rt2x00lib_txdone_noinfo" },
	{ 0x89e28931, "rt2x00lib_rxdone" },
	{ 0x91e9bc88, "rt2x00lib_suspend" },
	{ 0xc8bdf782, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x38150033, "rt2x00lib_remove_dev" },
	{ 0x4ef8c9d5, "ieee80211_free_hw" },
	{ 0x2abc8044, "usb_put_dev" },
	{ 0xcca77cd2, "usb_get_dev" },
	{ 0x9bb76f90, "usb_reset_device" },
	{ 0x33112f44, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb401b156, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67421242C6BCF3999A68E20");
