#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0xe7fd2c86, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x016ab6f9, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x9fbe243c, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x2afa0d5b, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x3ac7479e, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x76dec752, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x67211ad4, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0xc6365138, "");
SYMBOL_CRC(rtl92c_dm_init, 0x70f91604, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0x4d800ad5, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0xc3acd177, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x98661c3c, "");
SYMBOL_CRC(rtl92c_download_fw, 0xd6fad2b5, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x98f6a4f7, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0xebe6a1db, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0xfa513511, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0x4fcb01e0, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0x183e9fd1, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0x9c0d95a5, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x68806ef4, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x431388c7, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0x05e7dee9, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0x33d8a491, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x57708f48, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xedcfbd8b, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x05c75513, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0x252cae14, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0x490acbc8, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x412af1a6, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x6c886d10, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0x7bd36549, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0x2c036323, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0x040459cf, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x9eb0e3bb, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0xb36cb901, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0xa486f738, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0xc7b8523f, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x6263c19d, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0xf72a98e6, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0xec5350e3, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x9600196d, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0xd55bb5fb, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0x281c9b66, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xaae67b5c, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x7878c6d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea2fcd5, "rtl_cmd_send_packet" },
	{ 0xb9d13534, "_rtl_dbg_print_data" },
	{ 0x2606afdd, "rtl_fw_page_write" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xed62762, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xca875b21, "skb_put" },
	{ 0x9ae2fc4f, "rtl_fw_block_write" },
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xced6f119, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");
