#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x693e608e, "");
SYMBOL_CRC(rtw_dump_reg, 0x4156a3f2, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x4d087369, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x724d93c2, "");
SYMBOL_CRC(rtw_core_init, 0x6a82bba4, "");
SYMBOL_CRC(rtw_core_deinit, 0xbfb7c1bb, "");
SYMBOL_CRC(rtw_register_hw, 0x57c5c6b7, "");
SYMBOL_CRC(rtw_unregister_hw, 0xb5d4e900, "");
SYMBOL_CRC(rtw_ops, 0xa1717035, "");
SYMBOL_CRC(check_hw_ready, 0xf7da9f88, "");
SYMBOL_CRC(rtw_restore_reg, 0x2d06368c, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x8c710a34, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0xa4ca5421, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x5d73a5f3, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x047cc6bf, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x9ec54f00, "");
SYMBOL_CRC(rtw_rx_stats, 0x22530361, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x743d56a0, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x83fd1639, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x37187483, "");
SYMBOL_CRC(rtw_phy_init, 0x65292a5b, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x8ef446ab, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xa968fc2b, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x1c91eeec, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x7f7d1e97, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x798de786, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xd065df40, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x999ca18d, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x269ab82f, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xa594c0ab, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xab2d46f4, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x00bb93a6, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x029b41b3, "");
SYMBOL_CRC(rtw_phy_load_tables, 0xcf8b1091, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xe6292de9, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0xdfe4df39, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x8d7bcf9b, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xc5627932, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xa096a1a5, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xf4dfe519, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xc814583f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x760fde3b, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xffd1b925, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x491ad6ed, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x98f78aeb, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x387705a1, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x158d54d3, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x8d964220, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x87e73368, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xae06ee5f, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x4d1baa1a, "");
SYMBOL_CRC(rtw_power_mode_change, 0xc08b3126, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0xf1f5f28d, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xd6880e01, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x10e6a87b, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0xc686e0bf, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xf3ae742e, "");
SYMBOL_CRC(rtw_bf_phy_init, 0xace13557, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x3f48a3bb, "");
SYMBOL_CRC(rtw_regd_get, 0xce3fd4f2, "");
SYMBOL_CRC(rtw_regd_srrc, 0xc8f0bf7d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x24d5b858, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xd1800334, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcb50a98a, "ieee80211_iter_keys_rcu" },
	{ 0xb08c7c9e, "ieee80211_free_txskb" },
	{ 0x5201e8cf, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xef135a62, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf757a590, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfd527481, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7119e891, "ieee80211_stop_queues" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x5b8971fb, "ieee80211_scan_completed" },
	{ 0xce5f42d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xefc7cbfd, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xed11eb58, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7c8a35c, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd5866232, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7078ad1, "ieee80211_request_smps" },
	{ 0x74fe0ff5, "ieee80211_queue_work" },
	{ 0x1f8ad53f, "dev_kfree_skb_any_reason" },
	{ 0x821a2c7, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x58644196, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbd4a1eec, "ieee80211_connection_loss" },
	{ 0x23691294, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1672dbc5, "ieee80211_txq_get_depth" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9011f053, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe0127e5d, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb8c5c75, "ieee80211_iterate_stations_atomic" },
	{ 0x606ad0e6, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66201db7, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb5be9966, "ieee80211_nullfunc_get" },
	{ 0x5274d7e6, "ieee80211_pspoll_get" },
	{ 0x745d930e, "ieee80211_register_hw" },
	{ 0xafcd0b3f, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x67dace66, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b45ad10, "ieee80211_find_sta" },
	{ 0xe5db9632, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6b93630f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xbc0dc218, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0xd3090d52, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf9c34198, "ieee80211_queue_delayed_work" },
	{ 0x966d0e98, "ieee80211_proberesp_get" },
	{ 0x328e3071, "_dev_err" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6CB5FCB9921DB9FF785F3E5");
