#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x300c5f3a, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xa334cf56, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x81f98a3b, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x547319a2, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x94d2ca29, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x05b5d712, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0xa6702b64, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0x996131fa, "rtnl_configure_link" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x93e6d09f, "init_net" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0xedc405ad, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9d354c25, "class_dev_iter_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1548a6a, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5c95e46b, "__register_chrdev" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8172c9a0, "stream_open" },
	{ 0xd1384741, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x844c6b16, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x2faea5c7, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x44b23c4a, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xca875b21, "skb_put" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x9011f053, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa53253b9, "rtnl_create_link" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B1CEB566240C810BC30A880");
