#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xe41e1919, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x066517e2, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x4bac81d0, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x63cec910, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x08436fbc, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xeb874434, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x6b717bba, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x255ae42c, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xa9dcd8d7, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xfb49293c, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x2d0ec77a, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xa544bf52, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xd8815652, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x64549145, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x27b16f99, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x30245032, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x2ad8a838, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xb0dca048, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xbc30a2b6, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x916b1257, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x5deca8e7, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xef4749f7, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x6caa9f7c, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x1d117160, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x3f03c93e, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xe6da8ac9, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xd8ffa398, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x056d56c1, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xe108c6c2, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xfe11953e, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x2c922e9d, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x23202afc, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x70a3bad3, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xc3e17d94, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x848f99e1, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x3c7e9cd5, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x8719657f, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x83395db5, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x748ffbb0, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xb076b986, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x2551949c, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x41bd755f, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x31529cbe, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xaa4d3ada, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xc2dfd5ef, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xd4195f47, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xd981236f, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x87707bd0, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x2f538276, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x3d3fd28c, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x01032b78, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xa4957d3a, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x42e2061a, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x6f364b28, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x2a061902, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x2cedaaef, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x9e0cc9a7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xddbc4b7c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xc0232f94, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xd6b01393, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x595410cd, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x648106d1, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x43259645, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x9afacfed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfa3f413, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x84a1be69, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x55433581, "hwmon_device_register_with_info" },
	{ 0x7ce84365, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdd77396f, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x878f025a, "blk_sync_queue" },
	{ 0xec4176c1, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf2785ad4, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x78f3b411, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8975e0a6, "__io_uring_cmd_do_in_task" },
	{ 0xe72ec751, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f41e69f, "crypto_shash_update" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x690a3d1e, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe35316cf, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xa5bd7a41, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x78079045, "blk_put_queue" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xbe535fdd, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x4cc75762, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3dd13307, "io_uring_cmd_done" },
	{ 0xb8fe5494, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x614d2a60, "blk_mq_complete_request" },
	{ 0xa77a5726, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xf342ea9b, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x30daa6a, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xff592c62, "blk_freeze_queue_start" },
	{ 0x5b40024a, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x8c1134c3, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x63ad8bdd, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x985b2dab, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x88b93922, "hwmon_device_unregister" },
	{ 0xa4d2087d, "__tracepoint_block_bio_remap" },
	{ 0x4190e79b, "blk_mq_unfreeze_queue" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x898e6e70, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xddc09ddc, "queue_limits_commit_update" },
	{ 0x1a4a1d9f, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x697479fb, "blk_rq_map_user_iov" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xbbffd4a7, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x270b9731, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xa8211189, "blk_mq_freeze_queue_wait" },
	{ 0xa25f4503, "nvme_auth_gen_privkey" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdb2cf18c, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x844c6b16, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6f34d291, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44a88a77, "bdev_end_io_acct" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x7e269b3d, "blk_steal_bios" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x681bca20, "set_capacity_and_notify" },
	{ 0x999096c7, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xca3d8bee, "set_disk_ro" },
	{ 0xfb509a5a, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd892fb25, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x924ebd11, "device_remove_file_self" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x802c0e57, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x8d9e7c36, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x7d86f459, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x504eb8ee, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xabf73fee, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x28a4b08d, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x31f33a89, "queue_limits_stack_bdev" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x350cb18d, "blk_mq_unquiesce_queue" },
	{ 0x803a940c, "blk_mq_quiesce_queue" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5b22c602, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4c5d6707, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xe83b41c5, "param_ops_byte" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x9b1ef178, "get_device" },
	{ 0x61a315f3, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x13286eb8, "__blk_mq_alloc_disk" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x617249c6, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x677f70bb, "blk_mq_alloc_tag_set" },
	{ 0xf0f8d85d, "blk_rq_is_poll" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x91b73c86, "put_disk" },
	{ 0x83d9d3b2, "crypto_alloc_kpp" },
	{ 0x8bee4805, "cdev_device_add" },
	{ 0xf122ed7f, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd07fca5e, "blk_execute_rq" },
	{ 0xb2c69045, "put_device" },
	{ 0x78b70bb, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5011630, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x5b213eed, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd408f16a, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x463944f4, "nvme_auth_gen_pubkey" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xbb768c2f, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x6e17b8c0, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x98eb839c, "key_put" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0x2298bff3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x8a78b05, "__SCK__tp_func_block_bio_remap" },
	{ 0x328e3071, "_dev_err" },
	{ 0x205593ee, "blk_revalidate_disk_zones" },
	{ 0xca53f895, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "46022881906DA3781C99B87");
