#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_subsystem_reset, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xd9b79c52, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x7d92bd6c, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x42895332, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x20ae6590, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x7130a9ab, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0xdd52d815, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x6f048011, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x8003dd75, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x6e3984e9, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xde3f8933, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0xb7924a2e, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x4e2a7327, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x9e29494d, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x3e367bfa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xd408f16a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98eb839c, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0x328e3071, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x44bc631a, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc30a2b6, "__nvme_submit_sync_cmd" },
	{ 0xe41e1919, "nvme_try_sched_reset" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xbc327073, "misc_register" },
	{ 0x595410cd, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x91b682ab, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0xd6d3a362, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc057f771, "single_release" },
	{ 0x2d0ec77a, "nvme_wait_reset" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xe2e4f264, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0x844c6b16, "class_register" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd6b01393, "nvme_auth_negotiate" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "7F5FC7155C025DF1C8B4CFF");
