#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x5a921311, "strncmp" },
	{ 0x8de055de, "platform_device_alloc" },
	{ 0xff9bc456, "platform_device_add" },
	{ 0x7d59f05a, "platform_device_put" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x6a206b1b, "sparse_keymap_setup" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e8559d0, "platform_device_del" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0xb6088446, "__acpi_bus_register_driver" },
	{ 0x6db78dbf, "acpi_bus_unregister_driver" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5dc9a54c, "input_event" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x17315538, "sparse_keymap_report_event" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0x55054c3, "backlight_force_update" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0xe3fd5946, "input_set_abs_params" },
	{ 0x840dc3d6, "input_setup_polling" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x15c52b6a, "input_set_poll_interval" },
	{ 0x21db1b8b, "input_set_min_poll_interval" },
	{ 0xac96a3fe, "input_set_max_poll_interval" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x67111ada, "acpi_bus_get_status" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill,video,sparse-keymap");

MODULE_ALIAS("acpi*:ATK0100:*");
MODULE_ALIAS("acpi*:ATK0101:*");

MODULE_INFO(srcversion, "8FDEEECA3EFEE55BDA3C4C5");
