#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x85b0354f, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x8b49e3f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0xe2e4f264, "single_open" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x328e3071, "_dev_err" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x35bf94e, "pci_find_bus" },
	{ 0x7d3011ea, "pci_bus_read_config_dword" },
	{ 0x47a03f2f, "pci_get_slot" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x5f7e1859, "pci_stop_and_remove_bus_device" },
	{ 0xeb9c83cf, "pci_scan_single_device" },
	{ 0xbed11f1b, "pci_bus_assign_resources" },
	{ 0x80a23967, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xee86e81f, "pci_hp_deregister" },
	{ 0x16d20a6b, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xd0c0c18b, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x5dc9a54c, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x17315538, "sparse_keymap_report_event" },
	{ 0x55054c3, "backlight_force_update" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x3b49fe89, "input_set_capability" },
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe1feac, "__pci_hp_register" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x6a206b1b, "sparse_keymap_setup" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xe4786c4a, "devm_hwmon_device_register_with_groups" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xbc4643b4, "i8042_install_filter" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x51165bff, "debugfs_create_x32" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x76321d98, "pci_get_device" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xdb1163e4, "battery_hook_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xc057f771, "single_release" },
	{ 0x9db56173, "device_show_string" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd87f6e9, "sysfs_notify" },
	{ 0xcfb09557, "__platform_create_bundle" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill,wmi,platform_profile,video,sparse-keymap");


MODULE_INFO(srcversion, "A6E9FEA73A28D34E73ED761");
