#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x35bf94e, "pci_find_bus" },
	{ 0xbe1feac, "__pci_hp_register" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x67111ada, "acpi_bus_get_status" },
	{ 0x8de055de, "platform_device_alloc" },
	{ 0xff9bc456, "platform_device_add" },
	{ 0x7d59f05a, "platform_device_put" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x6a206b1b, "sparse_keymap_setup" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xe4786c4a, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x8e8559d0, "platform_device_del" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x55054c3, "backlight_force_update" },
	{ 0x17315538, "sparse_keymap_report_event" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0xb6088446, "__acpi_bus_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6db78dbf, "acpi_bus_unregister_driver" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x54df6511, "acpi_get_pci_dev" },
	{ 0x7d3011ea, "pci_bus_read_config_dword" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x47a03f2f, "pci_get_slot" },
	{ 0x5f7e1859, "pci_stop_and_remove_bus_device" },
	{ 0xeb9c83cf, "pci_scan_single_device" },
	{ 0xbed11f1b, "pci_bus_assign_resources" },
	{ 0x80a23967, "pci_bus_add_device" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xee86e81f, "pci_hp_deregister" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill,video,sparse-keymap");

MODULE_ALIAS("acpi*:ASUS010:*");

MODULE_INFO(srcversion, "911486D3D68173B74C39498");
