#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x88b93922, "hwmon_device_unregister" },
	{ 0x7f4c6810, "iio_device_unregister" },
	{ 0x35f4b4aa, "iio_device_free" },
	{ 0x3bd43830, "input_unregister_device" },
	{ 0x92a284df, "backlight_device_unregister" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0c0c18b, "battery_hook_unregister" },
	{ 0x16d20a6b, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x223729e, "device_remove_groups" },
	{ 0x24020aab, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2e4f264, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0xb6088446, "__acpi_bus_register_driver" },
	{ 0x6db78dbf, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xaef849c0, "input_allocate_device" },
	{ 0x6a206b1b, "sparse_keymap_setup" },
	{ 0x3769ae8, "input_free_device" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xc97b7cd6, "input_register_device" },
	{ 0xbc4643b4, "i8042_install_filter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xbc327073, "misc_register" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x18c7e701, "backlight_device_register" },
	{ 0xcb8e8e7, "proc_create_data" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0xdb1163e4, "battery_hook_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xbce44b40, "iio_device_alloc" },
	{ 0xfa87986, "__iio_device_register" },
	{ 0x55433581, "hwmon_device_register_with_info" },
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x17315538, "sparse_keymap_report_event" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x9db56173, "device_show_string" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xc057f771, "single_release" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e5f46d7, "sysfs_update_group" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,wmi,sparse-keymap,video");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "8FD771499191DDAA302A9DE");
