#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xd1a9916a, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x3a116504, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x688c431f, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x9b81a161, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xe463e131, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x5b709cb2, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xaf8fec5b, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x14653832, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x448bdba4, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xf7ba86e9, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x4d0bd80f, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x3a5a7103, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xe220ecfb, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x38340ec8, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x97d15ff6, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x4d59a3d0, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x26cc5c7c, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x250d466f, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x3e97a2d9, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x803b0cb1, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x8b021509, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x1accf477, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x43edc070, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x9a69bc19, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xb850860e, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x21aade33, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xa28a0772, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x26860412, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x2d28a911, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x3fb70c74, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x21613252, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x914bcf63, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x9eef26b5, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xda900cde, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x4d54b444, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xb4a9a0c2, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x67f1210f, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x301980dd, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x1479651a, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x0719c519, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0xc937cde1, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xf92983f6, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x61c94694, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xf42beae9, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3626613c, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c7e0100, "iscsi_host_remove" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0xeb04e40c, "iscsi_host_free" },
	{ 0x422407be, "pci_dev_get" },
	{ 0xd36642dd, "iscsi_host_add" },
	{ 0xe4dd60e9, "iscsi_host_alloc" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd8b6b643, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd91cba80, "iscsi_conn_queue_xmit" },
	{ 0xa4e71b13, "cxgbi_ppm_ppods_reserve" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x4f0080c, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x6aaf9145, "cxgbi_ppm_ppod_release" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x71e3c297, "__kfree_skb" },
	{ 0x35e4c94a, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x6dad35b2, "iscsi_tcp_set_max_r2t" },
	{ 0x9424bc17, "iscsi_set_param" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x47b14bb3, "iscsi_tcp_conn_setup" },
	{ 0xe494d261, "iscsi_session_setup" },
	{ 0x32e9e82b, "iscsi_tcp_r2tpool_alloc" },
	{ 0x4d6a7c73, "iscsi_session_teardown" },
	{ 0xdddf0c89, "iscsi_tcp_r2tpool_free" },
	{ 0xfbce0f76, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0738d0, "iscsi_host_get_param" },
	{ 0x61b7f933, "iscsi_unregister_transport" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xc0cf2277, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xbf13c524, "iscsi_register_transport" },
	{ 0x93e6d09f, "init_net" },
	{ 0x7f4de642, "ip6_route_output_flags" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7bd71741, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x38d36100, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf6903976, "iscsi_lookup_endpoint" },
	{ 0x52dddd0e, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x961b4e76, "iscsi_tcp_hdr_recv_prep" },
	{ 0xa60641d3, "iscsi_put_endpoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xdedc3dd6, "ip_route_output_flow" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x4a6d08bc, "__ip_dev_find" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x7937006a, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7b75892b, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x567d8c25, "__folio_put" },
	{ 0xd408f16a, "module_put" },
	{ 0x750052b0, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6d4f474, "iscsi_destroy_endpoint" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x7688c838, "iscsi_create_endpoint" },
	{ 0xca875b21, "skb_put" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
