#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_DATA(sas_ata_sdev_attr_group, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0xf774937e, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x1907c24b, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0x456a73e4, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x1d4c958a, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x28fa2dca, "");
SYMBOL_CRC(sas_resume_ha, 0x50731269, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xbe212166, "");
SYMBOL_CRC(sas_suspend_ha, 0x07169fd9, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x74d914dc, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xde4e461a, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x95bb9952, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xc5991c48, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xa91a46e4, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0xdaeb18bc, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xe8d3396f, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa4e2b174, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xe6fed7f8, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xc75cb332, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x3fd0b2e3, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xaf40b88e, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x3e97b491, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x1d9c3f05, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x34e6104d, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x45152e23, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0x45db6be8, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xf7d1f354, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x8fe7848d, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x3b7cccfe, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x0d5d7744, "_gpl");
SYMBOL_CRC(sas_query_task, 0x8f11ddcd, "_gpl");
SYMBOL_CRC(sas_abort_task, 0x8330a96b, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x3105c3e7, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfd10b896, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x470623c3, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xf1a1e289, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xdf5692b4, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0x71818b56, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x48f57fb6, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x9b4769c1, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0x367f67dc, "_gpl");
SYMBOL_CRC(sas_ata_sdev_attr_group, 0xea1a4412, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xeaa05e9b, "sas_phy_free" },
	{ 0x3a1c0678, "scsi_eh_finish_cmd" },
	{ 0x38c2ff26, "ata_noop_qc_prep" },
	{ 0xc604a168, "ata_port_schedule_eh" },
	{ 0xe76b8aab, "ata_tport_delete" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2103d4a5, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc5bbafbb, "sas_port_mark_backlink" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xf83298fb, "ata_link_abort" },
	{ 0x8cbc85fc, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7b85543d, "ata_scsi_port_error_handler" },
	{ 0x925f1ec8, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa069b4a3, "ata_port_probe" },
	{ 0x88bad05a, "ata_std_error_handler" },
	{ 0x32d17581, "ata_port_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6094e459, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8bff9dc4, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa236f206, "sas_expander_alloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xd95e2d17, "sas_rphy_delete" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4ca6adc5, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xaefa7698, "scsi_host_busy" },
	{ 0x136054bb, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd7525ce7, "ata_sas_port_suspend" },
	{ 0x8b82cb6d, "sas_rphy_add" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x42f56cad, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3b42ddd4, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb3e8aba, "sas_port_add_phy" },
	{ 0x1cb22d73, "ata_scsi_cmd_error_handler" },
	{ 0x5cdd4fe5, "ata_ncq_prio_enable" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x898e6e70, "blk_mq_tagset_busy_iter" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0x52d6fedf, "scsi_unblock_requests" },
	{ 0x1ffaf9df, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x377c7e6f, "ata_host_put" },
	{ 0xb9c40911, "sas_port_free" },
	{ 0xf97a4881, "ata_std_sched_eh" },
	{ 0x61abb7d0, "ata_port_alloc" },
	{ 0xadd31aae, "scsi_block_requests" },
	{ 0x9783862, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x201a9c19, "ata_ncq_prio_supported" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xec64e139, "sas_remove_children" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x58f7bb2, "ata_port_wait_eh" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xbba4fb1d, "ata_qc_complete" },
	{ 0x7bf090d3, "ata_sas_scsi_ioctl" },
	{ 0xe1807dd8, "ata_tport_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75d3aee8, "sas_rphy_remove" },
	{ 0x1c965138, "ata_sas_device_configure" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf152a742, "bsg_job_done" },
	{ 0x3cdfe39e, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xeb6ce996, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcd03d175, "scsi_schedule_eh" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x3ce70592, "ata_ncq_prio_enabled" },
	{ 0x7a44013f, "ata_host_init" },
	{ 0x23a11efb, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xba109f30, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x45860465, "sas_port_get_phy" },
	{ 0x28cc86b0, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7957fb5, "ata_wait_after_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x92d724dc, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2c69045, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "D36CFE3B73203B6DD92451C");
