#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x59a728b3, "sas_release_transport" },
	{ 0x3b7cccfe, "sas_clear_task_set" },
	{ 0xf9a482f9, "msleep" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x34e6104d, "sas_change_queue_depth" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xde4e461a, "sas_domain_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5c7f29e8, "dma_pool_create" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfd10b896, "sas_slave_alloc" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0xea1a4412, "sas_ata_sdev_attr_group" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x45152e23, "sas_bios_param" },
	{ 0x75ca6973, "sas_remove_host" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xe8d3396f, "sas_queuecommand" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc75cb332, "sas_eh_device_reset_handler" },
	{ 0x122c3a7e, "_printk" },
	{ 0x470623c3, "sas_target_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0xf774937e, "sas_register_ha" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x57d47387, "ata_scsi_dma_need_drain" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8fe7848d, "sas_abort_task_set" },
	{ 0x1907c24b, "sas_unregister_ha" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe3180935, "dma_alloc_attrs" },
	{ 0x5c8ed1bb, "scsi_scan_host" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0xaf40b88e, "sas_ioctl" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc5991c48, "sas_notify_port_event" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3e97b491, "sas_target_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1d9c3f05, "sas_device_configure" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x8f11ddcd, "sas_query_task" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5d7744, "sas_lu_reset" },
	{ 0x9db56173, "device_show_string" },
	{ 0xa4e2b174, "sas_get_local_phy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3fd0b2e3, "sas_eh_target_reset_handler" },
	{ 0x1d4c958a, "sas_phy_reset" },
	{ 0xa91a46e4, "sas_notify_phy_event" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x438de1fb, "dma_free_attrs" },
	{ 0xdaeb18bc, "sas_find_attached_phy_id" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69e985cb, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8330a96b, "sas_abort_task" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xdf5692b4, "sas_ssp_task_response" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0x95bb9952, "sas_drain_work" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas,libsas,libata");

MODULE_ALIAS("pci:v000011ABd00006320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006440sv*sd00006480bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006440sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00009480sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00009180sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017D3d00001320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000450sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002721sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002744sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B4Bd00009480sv*sd00009480bc*sc*i*");
MODULE_ALIAS("pci:v00001B4Bd00009445sv*sd00009480bc*sc*i*");
MODULE_ALIAS("pci:v00001B4Bd00009485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001B85d00001084sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B5EA072ED03DA09DCA570DF");
