#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x91e39210, "");
SYMBOL_CRC(fc_host_post_event, 0x961441b5, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x1481f321, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x7cfff74f, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x2221d9a3, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x09b5f9d5, "");
SYMBOL_CRC(fc_eh_timed_out, 0xb35c410d, "");
SYMBOL_CRC(fc_attach_transport, 0x64cbd2ff, "");
SYMBOL_CRC(fc_release_transport, 0xee24f985, "");
SYMBOL_CRC(fc_remove_host, 0xca19ad5e, "");
SYMBOL_CRC(fc_remote_port_add, 0xdbe6024e, "");
SYMBOL_CRC(fc_remote_port_delete, 0x4eefb676, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xe5ad9c0b, "");
SYMBOL_CRC(fc_block_rport, 0x0f20c950, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xd709475f, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x1b3d2e1b, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x34678b85, "");
SYMBOL_CRC(fc_vport_terminate, 0xd82b4ef4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b1ef178, "get_device" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xf59bbb, "transport_setup_device" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xe1592525, "transport_add_device" },
	{ 0x9ff7dba6, "transport_configure_device" },
	{ 0x5306bfa4, "scsi_queue_work" },
	{ 0x877d8c14, "transport_destroy_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x73e28b09, "attribute_container_unregister" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0xe9373084, "transport_remove_device" },
	{ 0xbe535fdd, "device_del" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x6fb3ae3c, "attribute_container_register" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf798b9c, "scsi_flush_work" },
	{ 0x410940d7, "bsg_remove_queue" },
	{ 0xad701cef, "scsi_target_unblock" },
	{ 0x7c6fa01f, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xebb5c84c, "scsi_is_target_device" },
	{ 0x9657662b, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x92e02ce4, "blk_mq_run_hw_queues" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5d07c51d, "bsg_job_get" },
	{ 0x61a315f3, "blk_mq_end_request" },
	{ 0xe89bcc6e, "bsg_job_put" },
	{ 0xf152a742, "bsg_job_done" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2c69045, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xefc31456, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xd4f31512, "transport_class_register" },
	{ 0xc4d7893a, "transport_class_unregister" },
	{ 0xb906c815, "scsi_nl_sock" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0x11a77879, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xd459592f, "scsi_init_limits" },
	{ 0x9bf2085, "bsg_setup_queue" },
	{ 0xabc856d5, "blk_queue_rq_timeout" },
	{ 0x328e3071, "_dev_err" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x583286b9, "scsi_host_get" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA828EC863B5DBC28D8B829");
