#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xec64e139, "");
SYMBOL_CRC(sas_remove_host, 0x75ca6973, "");
SYMBOL_CRC(sas_get_address, 0xbfb271a4, "");
SYMBOL_CRC(sas_tlr_supported, 0xceae68b9, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xa50a26c4, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x0ef0f9b2, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xbb897d8a, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x8d311f7e, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x92d724dc, "");
SYMBOL_CRC(sas_phy_add, 0x1ffaf9df, "");
SYMBOL_CRC(sas_phy_free, 0xeaa05e9b, "");
SYMBOL_CRC(sas_phy_delete, 0x82aab8a8, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x32e85d51, "");
SYMBOL_CRC(sas_port_alloc, 0x23a11efb, "");
SYMBOL_CRC(sas_port_alloc_num, 0x09f74463, "");
SYMBOL_CRC(sas_port_add, 0x2103d4a5, "");
SYMBOL_CRC(sas_port_free, 0xb9c40911, "");
SYMBOL_CRC(sas_port_delete, 0x136054bb, "");
SYMBOL_CRC(scsi_is_sas_port, 0x6ae75fa8, "");
SYMBOL_CRC(sas_port_get_phy, 0x45860465, "");
SYMBOL_CRC(sas_port_add_phy, 0xcb3e8aba, "");
SYMBOL_CRC(sas_port_delete_phy, 0x42f56cad, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xc5bbafbb, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x8bff9dc4, "");
SYMBOL_CRC(sas_end_device_alloc, 0x6094e459, "");
SYMBOL_CRC(sas_expander_alloc, 0xa236f206, "");
SYMBOL_CRC(sas_rphy_add, 0x8b82cb6d, "");
SYMBOL_CRC(sas_rphy_free, 0x3b42ddd4, "");
SYMBOL_CRC(sas_rphy_delete, 0xd95e2d17, "");
SYMBOL_CRC(sas_rphy_unlink, 0xeb6ce996, "");
SYMBOL_CRC(sas_rphy_remove, 0x75d3aee8, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xd4c03895, "");
SYMBOL_CRC(sas_attach_transport, 0x4ca6adc5, "");
SYMBOL_CRC(sas_release_transport, 0x59a728b3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x6fb3ae3c, "attribute_container_register" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x73e28b09, "attribute_container_unregister" },
	{ 0xe5fdb956, "scsi_get_vpd_page" },
	{ 0xa775fcf, "scsi_mode_sense" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0x410940d7, "bsg_remove_queue" },
	{ 0x7c6fa01f, "scsi_remove_target" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf152a742, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb2a945ab, "dma_opt_mapping_size" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xf59bbb, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb2c69045, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xe1592525, "transport_add_device" },
	{ 0x9ff7dba6, "transport_configure_device" },
	{ 0xbe535fdd, "device_del" },
	{ 0x877d8c14, "transport_destroy_device" },
	{ 0xe9373084, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9b1ef178, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0xefc31456, "scsi_scan_target" },
	{ 0x9bf2085, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd4f31512, "transport_class_register" },
	{ 0xc4d7893a, "transport_class_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
