#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0x0f8e0e19, "");
SYMBOL_CRC(srp_reconnect_rport, 0x30072fc6, "");
SYMBOL_CRC(srp_timed_out, 0x13ab8315, "");
SYMBOL_CRC(srp_rport_get, 0xe48827fa, "");
SYMBOL_CRC(srp_rport_put, 0xc9147591, "");
SYMBOL_CRC(srp_rport_add, 0x87b9152c, "_gpl");
SYMBOL_CRC(srp_rport_del, 0x0e8cafef, "_gpl");
SYMBOL_CRC(srp_remove_host, 0x9ee24f3f, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0xd1fb9499, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0x7240afd2, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x32c55689, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd4f31512, "transport_class_register" },
	{ 0xc4d7893a, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc19813ee, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xf59bbb, "transport_setup_device" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xe1592525, "transport_add_device" },
	{ 0x9ff7dba6, "transport_configure_device" },
	{ 0x6fb3ae3c, "attribute_container_register" },
	{ 0x73e28b09, "attribute_container_unregister" },
	{ 0x1701ee87, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xad701cef, "scsi_target_unblock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9657662b, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xaa289246, "__scsi_iterate_devices" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x9b1ef178, "get_device" },
	{ 0xe9373084, "transport_remove_device" },
	{ 0xbe535fdd, "device_del" },
	{ 0x877d8c14, "transport_destroy_device" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3BF629D501E39C5C31FAE8A");
