#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x6946e34e, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x32dc98ff, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x61a982e8, "");
SYMBOL_CRC(sdw_intel_startup, 0xd0a84515, "");
SYMBOL_CRC(sdw_intel_exit, 0x6b818fdc, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x6875741e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe535fdd, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xcf841fd4, "sdw_stream_add_master" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x41c3154a, "cdns_read_ping_status" },
	{ 0x5dcb4d2e, "acpi_fetch_acpi_dev" },
	{ 0x8c22cd23, "device_get_named_child_node" },
	{ 0x172b96f2, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x923add2c, "sdw_cdns_config_update" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x35c5b1c4, "sdw_bus_master_delete" },
	{ 0xc057f771, "single_release" },
	{ 0x6c7eb6e3, "__auxiliary_driver_register" },
	{ 0x41fbff5c, "sdw_cdns_check_self_clearing_bits" },
	{ 0x95e36e83, "__pm_runtime_use_autosuspend" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xe2e4f264, "single_open" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xedb788ed, "sdw_master_read_prop" },
	{ 0xce85c13e, "sdw_compute_params" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8b5aa4ec, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe7d8252, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfb7e36e2, "sdw_cdns_clock_restart" },
	{ 0x37b13a6a, "sdw_cdns_debugfs_init" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0xd37a66ef, "sdw_bus_master_add" },
	{ 0xe1d715f2, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x48ea1bea, "sdw_cdns_is_clock_stop" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xd5f6768e, "sdw_cdns_config_update_set_wait" },
	{ 0x832d9671, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46eb6e0f, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0xd9f34e80, "auxiliary_driver_unregister" },
	{ 0xb86b180c, "devm_snd_soc_register_component" },
	{ 0xc92b089a, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0x73766b, "cdns_set_sdw_stream" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x5ae90b18, "sdw_clear_slave_status" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x5d079500, "sdw_stream_remove_master" },
	{ 0x7ae5f9ba, "sdw_cdns_exit_reset" },
	{ 0x328e3071, "_dev_err" },
	{ 0x42748202, "simple_attr_release" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0x8c2dd823, "sdw_cdns_alloc_pdi" },
	{ 0xa0511ccb, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xac24fdd6, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x26bcdf47, "cdns_xfer_msg_defer" },
	{ 0xbb82134b, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-cadence,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "C1CE1D6836C9E02771582B2");
