#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x13410c44, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x483392d0, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x3f991056, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x0f8fecfd, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x4ff7e9fb, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x58cb5345, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x260fa2bc, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xe785c5d5, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x6f44c32d, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0x3171b1f4, "sysfs_remove_file_ns" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xc96c79bf, "pcim_iomap_regions" },
	{ 0x8723d3c4, "pcim_iomap_table" },
	{ 0x628fa83c, "proc_thermal_wt_hint_add" },
	{ 0x9b8f7e25, "proc_thermal_rfim_add" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0xc61bcbba, "proc_thermal_wt_req_add" },
	{ 0xad1da7f4, "proc_thermal_rfim_remove" },
	{ 0x5020c856, "proc_thermal_rapl_add" },
	{ 0x45617bae, "proc_thermal_wt_hint_remove" },
	{ 0xc93a120c, "proc_thermal_wt_req_remove" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x2cd63ef0, "thermal_zone_device_update" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xdf13af5b, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa8cd1b52, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfc3a50cf, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x328e3071, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_rapl,processor_thermal_wt_req,processor_thermal_power_floor");


MODULE_INFO(srcversion, "4F57F77F988A90C2E3E572D");
