#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x4942a5f6, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x0b88bf37, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xbc9db8ee, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xf10f3b93, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xf4b03ded, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xe34f134c, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x62d34c45, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xaa41e334, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x8f3fe804, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xfe222090, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x058ba647, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x14bff609, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x79012583, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xf69d0680, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x2a78de02, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x1f0cf4f6, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xec4aeda3, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xd8afad58, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x40cbd38c, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x8c25c6ad, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xd3d73cd0, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x867f5ee3, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x937a5a2f, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x5a840f0a, "");
SYMBOL_CRC(ufshcd_system_resume, 0xe22babd0, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x5e7f1eaf, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xc21c1b56, "");
SYMBOL_CRC(ufshcd_remove, 0x77ce4a48, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x691f05ea, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x41af092b, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x998c0649, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x7bafc0a9, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xa2989b34, "");
SYMBOL_CRC(ufshcd_init, 0x28b81cbb, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x2ecc6fb9, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x6ac3ccf6, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xaf8687e8, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x0832b18b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x3d3536ae, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x39d08bcc, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x7546e7b2, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x8a698c89, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x7f0fb404, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x12a2399b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x0b9845b1, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xeb09b0df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc5612c24, "scsi_dma_map" },
	{ 0x7be804f9, "scsi_print_sense_hdr" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x4be360e9, "scsi_autopm_put_device" },
	{ 0xdef1324c, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4bb7027c, "dmam_alloc_attrs" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xd7d18871, "scsi_remove_host" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x69fe1d4a, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x6fc0c3a6, "blk_pm_runtime_init" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x8be99913, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x65aa0dcd, "sysfs_remove_groups" },
	{ 0xfc0db0fb, "pm_runtime_get_if_active" },
	{ 0x1c53cfe7, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0xd652edd3, "devfreq_recommended_opp" },
	{ 0xaa82ebb8, "sysfs_create_groups" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5cd3ef96, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xaa289246, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfa4b024c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x677f70bb, "blk_mq_alloc_tag_set" },
	{ 0x145ba1c2, "devfreq_add_device" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x977bf4bd, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4c36f1aa, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0x78b70bb, "blk_mq_unquiesce_tagset" },
	{ 0xa71d0e63, "dev_pm_opp_put" },
	{ 0x5011630, "blk_mq_free_request" },
	{ 0x916f761d, "device_property_read_u32_array" },
	{ 0xcb735e52, "devm_regulator_get" },
	{ 0xba7ec206, "dev_pm_opp_get_freq_indexed" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3c896a20, "scsi_device_put" },
	{ 0x2eb895bf, "device_create_file" },
	{ 0x6e17b8c0, "blk_mq_quiesce_tagset" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0xebd3d853, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xc045ed70, "devfreq_remove_device" },
	{ 0xb751be07, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xdec8179d, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcaf3f2a3, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x402a8a, "sdev_prefix_printk" },
	{ 0x5c8ed1bb, "scsi_scan_host" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xa53c5110, "device_link_remove" },
	{ 0xe72ec751, "blk_mq_alloc_request" },
	{ 0x2652658a, "driver_unregister" },
	{ 0x690a3d1e, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x78079045, "blk_put_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x829feddf, "dev_pm_opp_set_opp" },
	{ 0x59c78dc1, "dmam_free_coherent" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe72faea0, "regulator_count_voltages" },
	{ 0x4cc75762, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaf24f436, "bpf_trace_run10" },
	{ 0x7a2dd3f5, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x78e8944b, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe079cb36, "scsi_print_command" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x228cb170, "__scsi_register_driver" },
	{ 0xfeb52f0c, "pm_runtime_forbid" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x2d1e446, "param_set_uint_minmax" },
	{ 0xa77a5726, "blk_mq_freeze_queue" },
	{ 0x9e1e1b96, "pm_runtime_allow" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x672d3e1b, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x30daa6a, "blk_mq_destroy_queue" },
	{ 0x3c594254, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x63ad8bdd, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x4190e79b, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x898e6e70, "blk_mq_tagset_busy_iter" },
	{ 0x6f1223f7, "scsi_done" },
	{ 0xc057f771, "single_release" },
	{ 0x52d6fedf, "scsi_unblock_requests" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xb69945ed, "sbitmap_weight" },
	{ 0xe7d13f12, "regulator_disable" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x15f95e3c, "scsi_remove_device" },
	{ 0xadd31aae, "scsi_block_requests" },
	{ 0xfb6ce072, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0x9b168528, "scsi_host_alloc" },
	{ 0x28a4034, "__scsi_add_device" },
	{ 0xa10e5890, "devfreq_resume_device" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x91e127e4, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x6423b86f, "scsi_change_queue_depth" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x16dedcb0, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87F9E384FAB74B43BD2978F");
