#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0x402a76b1, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x8f09b7eb, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46582fba, "typec_unregister_cable" },
	{ 0xac681676, "typec_unregister_partner" },
	{ 0x1df8d7d8, "kthread_destroy_worker" },
	{ 0xb42d14b3, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x216c679c, "typec_port_set_usb_power_delivery" },
	{ 0x3b53fc39, "typec_match_altmode" },
	{ 0xdfb0d8cf, "typec_altmode_update_active" },
	{ 0x5f4a4969, "typec_partner_set_identity" },
	{ 0x25404493, "typec_cable_is_active" },
	{ 0xdbe7f9c3, "typec_partner_set_svdm_version" },
	{ 0xbdadc1dc, "typec_plug_set_num_altmodes" },
	{ 0xae22f458, "typec_plug_register_altmode" },
	{ 0xebf2f83c, "typec_altmode_vdm" },
	{ 0xf85bfd9d, "typec_altmode_attention" },
	{ 0xe7846878, "typec_altmode_notify" },
	{ 0x5cb0cc34, "typec_cable_altmode_vdm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8572dda7, "kthread_create_worker" },
	{ 0x13ffeb27, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x188f224d, "usb_role_switch_get" },
	{ 0x48826961, "fwnode_usb_role_switch_get" },
	{ 0x10823e69, "typec_register_port" },
	{ 0xb29c07cb, "typec_port_register_altmodes" },
	{ 0xa15378e7, "typec_port_register_cable_ops" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x310336bd, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xc057f771, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc1df8944, "kthread_queue_work" },
	{ 0xbef2e9d0, "typec_unregister_altmode" },
	{ 0x9ba3e068, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd62864a5, "typec_register_partner" },
	{ 0x6915d22c, "typec_partner_set_usb_power_delivery" },
	{ 0x328e3071, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe4db9e3b, "usb_debug_root" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2e4f264, "single_open" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x754d539c, "strlen" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x43bf5488, "devm_power_supply_register" },
	{ 0x37db8675, "usb_power_delivery_unregister_capabilities" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0xb61e4925, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2975e993, "usb_power_delivery_register_capabilities" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12c415bc, "usb_power_delivery_register" },
	{ 0xb61c5146, "power_supply_get_drvdata" },
	{ 0x167d8c20, "typec_register_cable" },
	{ 0xe50e3d22, "typec_cable_set_identity" },
	{ 0x7d9a738d, "typec_cable_set_svdm_version" },
	{ 0x7bc44a7d, "typec_register_plug" },
	{ 0xa41baf86, "fw_devlink_purge_absent_suppliers" },
	{ 0x4f4b3dcf, "typec_get_fw_cap" },
	{ 0x7d8473fc, "fwnode_property_present" },
	{ 0x104d112f, "fwnode_get_named_child_node" },
	{ 0x1fc2dd5a, "fwnode_get_next_child_node" },
	{ 0x959a6fc1, "fwnode_property_read_u32_array" },
	{ 0xbadac652, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x3d58fca6, "typec_get_cable_svdm_version" },
	{ 0x473677ab, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6f790b43, "typec_partner_register_altmode" },
	{ 0x283bdd2e, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x185d2130, "typec_set_mode" },
	{ 0xced98a39, "typec_set_data_role" },
	{ 0xf3eead34, "typec_set_pwr_role" },
	{ 0x13d31ca2, "typec_set_vconn_role" },
	{ 0xf43961c5, "power_supply_changed" },
	{ 0x2c734821, "typec_unregister_plug" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "CB546FCEE36CEF179D5F668");
