#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xf3d35e43, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x6a40885e, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xb3ebd31c, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x13d8aa5b, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x029c880e, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xa4d02e90, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xe34ebe40, "_gpl");
SYMBOL_CRC(ucsi_create, 0xd23ac874, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x4c6c084f, "_gpl");
SYMBOL_CRC(ucsi_register, 0xada93c2d, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x3976e899, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x310336bd, "typec_set_pwr_opmode" },
	{ 0xe50e3d22, "typec_cable_set_identity" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x46582fba, "typec_unregister_cable" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x328e3071, "_dev_err" },
	{ 0xdfb0d8cf, "typec_altmode_update_active" },
	{ 0x3a3dee23, "device_property_read_u8_array" },
	{ 0x42748202, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x2975e993, "usb_power_delivery_register_capabilities" },
	{ 0x7bc44a7d, "typec_register_plug" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb55dd353, "typec_altmode_set_ops" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0xb61e4925, "usb_power_delivery_unregister" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xced98a39, "typec_set_data_role" },
	{ 0x473677ab, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xebf2f83c, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb42d14b3, "typec_unregister_port" },
	{ 0xb61c5146, "power_supply_get_drvdata" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x10823e69, "typec_register_port" },
	{ 0xbdadc1dc, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6915d22c, "typec_partner_set_usb_power_delivery" },
	{ 0xf43961c5, "power_supply_changed" },
	{ 0x2c734821, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xae22f458, "typec_plug_register_altmode" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0xdbe7f9c3, "typec_partner_set_svdm_version" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbef2e9d0, "typec_unregister_altmode" },
	{ 0x167d8c20, "typec_register_cable" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37db8675, "usb_power_delivery_unregister_capabilities" },
	{ 0x9ba3e068, "typec_get_drvdata" },
	{ 0x5f4a4969, "typec_partner_set_identity" },
	{ 0x3bdddbf5, "power_supply_unregister" },
	{ 0xc057f771, "single_release" },
	{ 0xf3eead34, "typec_set_pwr_role" },
	{ 0xba968175, "typec_partner_usb_power_delivery_register" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0xe4db9e3b, "usb_debug_root" },
	{ 0x6d84ed25, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x92d2f42, "typec_partner_set_pd_revision" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd62864a5, "typec_register_partner" },
	{ 0x216c679c, "typec_port_set_usb_power_delivery" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd39dac63, "typec_port_register_altmode" },
	{ 0x9968a23a, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xa255f36d, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x48826961, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x185d2130, "typec_set_mode" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x75553806, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x12c415bc, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6f790b43, "typec_partner_register_altmode" },
	{ 0x10b7a2bd, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xac681676, "typec_unregister_partner" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "4D45DCCCD79BE13F7AA25E2");
