#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(viafb_find_i2c_adapter, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_enable, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_disable, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_register, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_unregister, "_gpl", "");

SYMBOL_CRC(viafb_find_i2c_adapter, 0xb13530f0, "_gpl");
SYMBOL_CRC(viafb_irq_enable, 0xcd538333, "_gpl");
SYMBOL_CRC(viafb_irq_disable, 0xb4606f8d, "_gpl");
SYMBOL_CRC(viafb_pm_register, 0xb4f863e6, "_gpl");
SYMBOL_CRC(viafb_pm_unregister, 0x31469540, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x424c71a0, "i2c_del_adapter" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x56dc07ed, "gpiochip_get_data" },
	{ 0x328e3071, "_dev_err" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0xd70a33bf, "aperture_remove_conflicting_pci_devices" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xff9bc456, "platform_device_add" },
	{ 0x94e55ec3, "register_framebuffer" },
	{ 0xa2d455bb, "fb_io_read" },
	{ 0x8de055de, "platform_device_alloc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x33e8a5b4, "cfb_imageblit" },
	{ 0xa2a768bc, "proc_mkdir" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe89fc5dc, "fb_io_write" },
	{ 0xc631580a, "console_unlock" },
	{ 0x5421a649, "fb_set_suspend" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda9cfe3d, "gpiochip_add_data_with_key" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x14064a20, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x6513a3fa, "fb_get_color_depth" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfc3d9b47, "cfb_fillrect" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xae1d2c5e, "fb_modesetting_disabled" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xbc019dd4, "i2c_transfer" },
	{ 0x95d97c80, "pci_disable_device" },
	{ 0xc057f771, "single_release" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0x212bc299, "proc_create_single_data" },
	{ 0xfa772333, "framebuffer_release" },
	{ 0x754d539c, "strlen" },
	{ 0x86771482, "fb_io_mmap" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xe2e4f264, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x60e02243, "unregister_framebuffer" },
	{ 0x7d59f05a, "platform_device_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8a82771d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x8cfdf879, "proc_create" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x26b12afb, "i2c_bit_add_bus" },
	{ 0x1a680d0e, "pci_dev_put" },
	{ 0x49dca2fe, "cfb_copyarea" },
	{ 0x76321d98, "pci_get_device" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x7c2ea6ee, "framebuffer_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc07b0863, "fb_destroy_modedb" },
	{ 0x397edd5, "fb_edid_to_monspecs" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v00001106d00003122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003344sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003157sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003230sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003343sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003371sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00001122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00005122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007122sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252E49B82788AFA5903D9F1");
