#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x667084e8, "p9_client_disconnect" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd14914d9, "netfs_readahead" },
	{ 0xcf94f55a, "p9_client_attach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe475983, "simple_inode_init_ts" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xeba21b1c, "netfs_invalidate_folio" },
	{ 0xd384c683, "p9stat_free" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2e9c0a31, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xae1a2d8a, "netfs_clear_inode_writeback" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51851970, "p9_client_create" },
	{ 0x273348d, "posix_acl_valid" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0xfcfde478, "fs_kobj" },
	{ 0x70f0844b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x5daafff1, "simple_nosetlease" },
	{ 0x30ed675a, "netfs_page_mkwrite" },
	{ 0x95a2ea20, "xattr_full_name" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0xe510f7c4, "p9_client_setattr" },
	{ 0xa104e380, "copy_splice_read" },
	{ 0x6c10cb1f, "__fscache_relinquish_volume" },
	{ 0xd15a7510, "p9_client_xattrwalk" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x1b021472, "netfs_file_write_iter" },
	{ 0x31b5bcba, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc2db073, "set_cached_acl" },
	{ 0x2c8b3f59, "p9_client_destroy" },
	{ 0x97f9ce11, "p9_client_unlinkat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa40827e7, "setattr_copy" },
	{ 0xe794a8f0, "get_cached_acl" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0xd63a126f, "p9_client_mkdir_dotl" },
	{ 0x9ce1ad10, "d_move" },
	{ 0xebc43718, "netfs_release_folio" },
	{ 0x95403dcd, "p9_client_xattrcreate" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xba043c4e, "sget" },
	{ 0x76339edb, "p9_client_create_dotl" },
	{ 0x839cf189, "p9_client_lock_dotl" },
	{ 0x2aaa4be8, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xfead9c9c, "finish_no_open" },
	{ 0x8db08f0c, "p9_client_write" },
	{ 0x491f8bc6, "p9_client_walk" },
	{ 0xb31ccdee, "do_trace_9p_fid_put" },
	{ 0xb6339c09, "netfs_dirty_folio" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7323a04f, "p9_show_client_options" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0x74da7d08, "p9_client_read" },
	{ 0x63630b28, "inode_owner_or_capable" },
	{ 0x15fce2e8, "p9_client_fsync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95bd8f96, "p9dirent_read" },
	{ 0x6443feaf, "p9_client_symlink" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf6f32e41, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x936dfcfa, "truncate_setsize" },
	{ 0xfc99a651, "p9_client_readlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4c71d5b9, "p9_is_proto_dotl" },
	{ 0x9994f949, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d9596f6, "noop_direct_IO" },
	{ 0x6cc3f010, "p9_client_clunk" },
	{ 0xec32e6e0, "super_setup_bdi" },
	{ 0x41ce9823, "p9stat_read" },
	{ 0x64303785, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7279b993, "p9_client_statfs" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0xccf78c36, "p9_client_link" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x91b682ab, "seq_write" },
	{ 0x44e9a829, "match_token" },
	{ 0x6a3fbeb3, "p9_client_stat" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x28d61ad2, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0x94218048, "__tracepoint_9p_fid_ref" },
	{ 0xc652eb32, "posix_acl_update_mode" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc4ffa382, "generic_file_open" },
	{ 0xdd75057d, "is_bad_inode" },
	{ 0x5445ee67, "p9_client_begin_disconnect" },
	{ 0x99a0ee30, "__fscache_use_cookie" },
	{ 0x5a7813dd, "p9_client_getlock_dotl" },
	{ 0x8b7f4ffa, "netfs_unbuffered_read_iter" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0xba2a55ab, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0x1158a1da, "do_trace_9p_fid_get" },
	{ 0x6832d2ec, "p9_client_readdir" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xb92b2dd1, "netfs_subreq_terminated" },
	{ 0x3a0b82fc, "__remove_inode_hash" },
	{ 0x498560ed, "filemap_fault" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0x53b954a2, "up_read" },
	{ 0x5955f2b4, "p9_client_mknod_dotl" },
	{ 0x5d085766, "set_anon_super" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x9352592, "iget_failed" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xf45849be, "__fscache_acquire_cookie" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x63b53aed, "posix_test_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xbf530328, "inode_init_owner" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xae582cfa, "p9_client_getattr_dotl" },
	{ 0x5930f2c7, "p9_client_wstat" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0x2d8afb55, "p9_client_open" },
	{ 0xba8f54aa, "iget_locked" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0x5cd2f96, "p9_client_rename" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xb7f5e9a9, "__fscache_acquire_volume" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x903bf874, "__fscache_resize_cookie" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e85c6a1, "filemap_map_pages" },
	{ 0xae66a1dd, "netfs_unpin_writeback" },
	{ 0x2ccce05c, "netfs_file_read_iter" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2528a2f0, "simple_statfs" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0xceece5db, "invalidate_mapping_pages" },
	{ 0xe86f3ec7, "__fscache_unuse_cookie" },
	{ 0x2410a100, "netfs_unbuffered_write_iter" },
	{ 0x6c8fb71d, "always_delete_dentry" },
	{ 0x1d29a29, "p9_client_remove" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0x7b08c55b, "ihold" },
	{ 0x6585a5f5, "p9_client_renameat" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xfd8554cf, "finish_open" },
	{ 0xd86e4c9c, "iput" },
	{ 0x27d0792f, "generic_file_readonly_mmap" },
	{ 0xdb56713a, "netfs_writepages" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x4e2d8e5, "p9_client_fcreate" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8d44e361, "p9_is_proto_dotu" },
	{ 0xb137b1e0, "__fscache_relinquish_cookie" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "9pnet,netfs");


MODULE_INFO(srcversion, "17F81C70756F6FD9DA357EB");
