#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xc9d1399b, "fscache_withdraw_cache" },
	{ 0x5804166e, "noop_llseek" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1939d66d, "lock_rename" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xc4d07e6a, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x4e545b2d, "fscache_caching_failed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x72312d71, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x58a4dba, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe879114, "vfs_iocb_iter_read" },
	{ 0x90f5f875, "netfs_write_subrequest_terminated" },
	{ 0xbc327073, "misc_register" },
	{ 0xba18723a, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9b01138c, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x44af9841, "fscache_acquire_cache" },
	{ 0x4180abd5, "security_path_unlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x987da579, "security_inode_create" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xacfc79f7, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xa02dc2d8, "fscache_add_cache" },
	{ 0x148e8044, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x907723f8, "path_get" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x551c4cdb, "lookup_positive_unlocked" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x156248b6, "fscache_withdraw_cookie" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8c2d6da7, "fscache_clearance_waiters" },
	{ 0x28d61ad2, "dput" },
	{ 0x672b5a77, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x546b2bde, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6b95038a, "__SCK__tp_func_fscache_access_volume" },
	{ 0xc1d5f2a1, "vfs_llseek" },
	{ 0xd8a00b6c, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0x8aa28898, "vfs_link" },
	{ 0xa8cb6ce9, "prepare_kernel_cred" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x65562a65, "security_inode_mkdir" },
	{ 0x4f381b9, "security_path_rename" },
	{ 0xecdea068, "set_security_override_from_ctx" },
	{ 0xcf34ed1d, "netfs_prepare_write_failed" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xde67991e, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0xb8dcf8a2, "fscache_wait_for_operation" },
	{ 0x169c5624, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x563d1dcf, "revert_creds" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8aba32c, "vfs_setxattr" },
	{ 0x8fa322b4, "fscache_try_get_volume" },
	{ 0xa1e81cce, "notify_change" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xb7117bda, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x44c36287, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x58eecb58, "fscache_get_cookie" },
	{ 0xa6257a2f, "complete" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xea2ecde5, "abort_creds" },
	{ 0x678bf9a4, "fscache_io_error" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0x2c465ba3, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xa25c074, "fscache_cookie_lookup_negative" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0x7b482623, "vfs_unlink" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x21971fdb, "vfs_truncate" },
	{ 0xb54df8de, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x744f29fb, "__put_cred" },
	{ 0xebdcb6c1, "vfs_mkdir" },
	{ 0x7fa9675a, "kernel_tmpfile_open" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x21cace74, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5acb1556, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1a058122, "vfs_iocb_iter_write" },
	{ 0x677cf708, "fscache_end_cookie_access" },
	{ 0xdecb04d5, "fscache_withdraw_volume" },
	{ 0xa916b694, "strnlen" },
	{ 0x677e356d, "fscache_relinquish_cache" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0x27772ceb, "mntput" },
	{ 0x5878757, "fscache_put_cookie" },
	{ 0x251f11f8, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "FF2B6B37C78212F84309632");
