#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dlm_new_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_release_lockspace, "_gpl", "");
KSYMTAB_FUNC(dlm_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_lock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_unlock, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_cancel, "_gpl", "");
KSYMTAB_FUNC(dlm_posix_get, "_gpl", "");

SYMBOL_CRC(dlm_new_lockspace, 0xcd224e1d, "_gpl");
SYMBOL_CRC(dlm_release_lockspace, 0xcf9f3328, "_gpl");
SYMBOL_CRC(dlm_lock, 0x8a6c5f1b, "_gpl");
SYMBOL_CRC(dlm_unlock, 0x4b62826c, "_gpl");
SYMBOL_CRC(dlm_posix_lock, 0x6df4f8af, "_gpl");
SYMBOL_CRC(dlm_posix_unlock, 0xd54fc80e, "_gpl");
SYMBOL_CRC(dlm_posix_cancel, 0x50bca824, "_gpl");
SYMBOL_CRC(dlm_posix_get, 0xeb0bbb29, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb23f689d, "config_item_init_type_name" },
	{ 0x9d5ab0f3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xea641fa6, "config_item_put" },
	{ 0x91b682ab, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1c91a338, "kobject_uevent" },
	{ 0xdc6f81c6, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc057f771, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf0049bf2, "tcp_sock_set_nodelay" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbc611504, "seq_open" },
	{ 0x80f2a3ec, "__seq_puts" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xde444014, "sock_bind_add" },
	{ 0x82c0450b, "locks_copy_lock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbba16af4, "kset_create_and_add" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x18591d44, "config_group_init" },
	{ 0x703c84fe, "config_group_find_item" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf2fdffbf, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x1d8ac3c5, "sock_set_mark" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x79ff1e0c, "config_item_get" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x1b8bf41f, "kernel_bind" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1858707, "posix_lock_file" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xe9ac6480, "kset_unregister" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xb87bee42, "kernel_kobj" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe1c391fa, "__tracepoint_sk_data_ready" },
	{ 0xd14c4278, "call_srcu" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xfab21d71, "kernel_accept" },
	{ 0xa7f9cf73, "kernel_recvmsg" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf329b35f, "configfs_unregister_subsystem" },
	{ 0xc534f9eb, "wake_up_process" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x122c3a7e, "_printk" },
	{ 0x83f80ff7, "sock_set_sndtimeo" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x52ff1f4a, "locks_init_lock" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd408f16a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x93e6d09f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x5e4c1c33, "configfs_register_subsystem" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x83ead50f, "configfs_remove_default_groups" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x5804166e, "noop_llseek" },
	{ 0x4396b4d4, "__SCK__tp_func_sk_data_ready" },
	{ 0xd39853aa, "config_group_init_type_name" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa4508d7f, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9ca6cb5, "kobject_init_and_add" },
	{ 0xe6d0047e, "sock_sendmsg" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0xfd4eceb8, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfed8ced3, "sock_set_rcvbuf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xd0faafd3, "sock_set_reuseaddr" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xcf6451f7, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x17c7ca7b, "iov_iter_bvec" },
	{ 0xbc327073, "misc_register" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7901651, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93124751A1A493FA9C11923");
