#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x7408fa7e, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x101121a8, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xed87acbc, "_gpl");
SYMBOL_CRC(fat_scan, 0x2f412c37, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x88944285, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x6833642e, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x7f6a5870, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xbc662fc9, "_gpl");
SYMBOL_CRC(fat_getattr, 0x0f8734fd, "_gpl");
SYMBOL_CRC(fat_setattr, 0xc46809fb, "_gpl");
SYMBOL_CRC(fat_attach, 0x1b4df36f, "_gpl");
SYMBOL_CRC(fat_detach, 0xca87407e, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xded57ad0, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x4b798f92, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xf5988c1c, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x7af82ce8, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x6dd29911, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf60666e1, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xbe81134f, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x72c47779, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x57621bf8, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x9a6a5d03, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x2e7a156c, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xcad122b5, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x4ae2478b, "_gpl");
SYMBOL_CRC(fat_update_time, 0x66a465a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34ba0d52, "load_nls" },
	{ 0xd18c817c, "generic_cont_expand_simple" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0x70f0844b, "generic_file_mmap" },
	{ 0x9e93c7c9, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xeea94e5e, "ilookup" },
	{ 0x8ce0773d, "invalidate_inode_buffers" },
	{ 0xd88295e, "blk_finish_plug" },
	{ 0x613f440d, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x986ea4d5, "mnt_drop_write_file" },
	{ 0x2d185a1d, "fs_param_is_gid" },
	{ 0x757f787d, "inode_init_once" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xb44ca482, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa4c6a39c, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0xebc1fc1e, "inode_maybe_inc_iversion" },
	{ 0xa8e66624, "truncate_pagecache" },
	{ 0xa8c47f63, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa40827e7, "setattr_copy" },
	{ 0xa427b383, "__wait_on_buffer" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x67acc88a, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa9e8518a, "from_vfsgid" },
	{ 0x3ab709f1, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98dceded, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf4288a90, "block_dirty_folio" },
	{ 0x9f141920, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8380a25, "__insert_inode_hash" },
	{ 0x8f15e50a, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x936dfcfa, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x883d85eb, "generic_encode_ino32_fh" },
	{ 0x4f71911f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1909f01b, "igrab" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3d2dbd22, "mpage_readahead" },
	{ 0x8e463083, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xf05d2e7b, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe53d51d9, "blkdev_issue_flush" },
	{ 0x7ef0aa2d, "generic_fh_to_parent" },
	{ 0x203f869b, "__fs_parse" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0x899ca0d3, "__generic_file_fsync" },
	{ 0x25d7ff13, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x828487dc, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xea2ad911, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc941cbbc, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xd708c509, "fs_param_is_uid" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0x22b92d36, "blkdev_issue_discard" },
	{ 0xa1ca1d68, "filemap_fdatawrite" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0xe6a2179a, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb49d807f, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5b20aa93, "make_vfsgid" },
	{ 0xa59f880b, "blk_start_plug" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xde96d214, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x23b6eb83, "mark_buffer_dirty" },
	{ 0x9bea492, "security_inode_setattr" },
	{ 0xde04f916, "__find_get_block" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0x1f462586, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x5ee16cfa, "__blockdev_direct_IO" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x1400d53a, "__bforget" },
	{ 0x30b016b2, "sb_set_blocksize" },
	{ 0x1e2f4974, "block_truncate_page" },
	{ 0xcf8102c7, "write_dirty_buffer" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0xf16d7c2a, "fsnotify" },
	{ 0xfc260f9c, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xecc5e8ee, "from_vfsuid" },
	{ 0x3a11258b, "inode_dio_wait" },
	{ 0x4888fa7b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x339a46b6, "cont_write_begin" },
	{ 0xd86e4c9c, "iput" },
	{ 0x35632810, "fs_param_is_enum" },
	{ 0x7fa9cb61, "fs_param_is_s32" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x37558482, "fs_param_is_bool" },
	{ 0x631d57e5, "generic_file_write_iter" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xcc1a3c62, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfe2a1267, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0x7b038eb8, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x93da0222, "block_invalidate_folio" },
	{ 0xe70b4b19, "__breadahead" },
	{ 0xc08d7ae2, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3359370BE139905C0B0DF6");
