#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x249e7f68, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x99662969, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x0ea3ccfc, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x1fff279d, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x06ab8dd0, "");
SYMBOL_CRC(fuse_abort_conn, 0xacd65e9e, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x999e3b0d, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x4c875ac5, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xec6e4ee1, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x98175a1c, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xcc23a7ef, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x84cce8b0, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xfdc16ae2, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xbf95203f, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x69452da2, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x2594cab7, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xd7c9677d, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x6c2f0e99, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x87a97c56, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x0ac11120, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xdff3e6aa, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x7c57cb98, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x1190510d, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x15f79f4c, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xf98257fc, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xb9d15166, "");
SYMBOL_CRC(fuse_do_ioctl, 0x41fb9594, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x53059817, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d119967, "release_pages" },
	{ 0x313e1ff0, "generic_file_direct_write" },
	{ 0x767b0da3, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4b30623a, "generic_file_read_iter" },
	{ 0xebc1fc1e, "inode_maybe_inc_iversion" },
	{ 0x6364ade, "unlock_page" },
	{ 0x102fa4f8, "inc_node_page_state" },
	{ 0x73b85cb0, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0xa8e66624, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc414d031, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xf27a344d, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4ca38985, "dec_node_page_state" },
	{ 0x954f099c, "idr_preload" },
	{ 0x91fbf10e, "write_cache_pages" },
	{ 0x4f474f4e, "file_update_time" },
	{ 0x13d7b625, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d6eaa0b, "kmem_cache_alloc_lru_noprof" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xda6845a7, "from_kgid" },
	{ 0x9bfc230e, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8fef1d5c, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3ab709f1, "write_inode_now" },
	{ 0x63d5a2c, "dax_writeback_mapping_range" },
	{ 0x7881789b, "d_obtain_alias" },
	{ 0xa60fa1d6, "file_modified" },
	{ 0xa6c1d317, "copy_page_to_iter" },
	{ 0x4336ed6c, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb1200e6d, "folio_end_read" },
	{ 0xfead9c9c, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xb1691f89, "__folio_start_writeback" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x34efd767, "kill_litter_super" },
	{ 0x12222238, "folio_end_writeback" },
	{ 0x10f25dee, "folio_alloc_noprof" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0xee90d877, "current_in_userns" },
	{ 0x8be2e398, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x189730a3, "sysfs_remove_mount_point" },
	{ 0xbc327073, "misc_register" },
	{ 0x3690c90f, "unpin_user_page" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd8fec4a8, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xab12149a, "in_group_or_capable" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd8c63af6, "d_delete" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0xc2ee38df, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf6f32e41, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xffb5ce06, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x56dd1fd4, "nonseekable_open" },
	{ 0x17fff2bd, "dax_finish_sync_fault" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x47b741da, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x765ca72, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4d9596f6, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1909f01b, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x616cb1fd, "generic_read_dir" },
	{ 0x966367be, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x4714b12, "folio_copy" },
	{ 0xd78c4873, "d_find_alias" },
	{ 0x186a75be, "invalidate_inode_pages2" },
	{ 0x39259ec0, "inode_set_ctime_current" },
	{ 0x208283ca, "inc_nlink" },
	{ 0x91b682ab, "seq_write" },
	{ 0x567d8c25, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa290bbee, "get_tree_bdev" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe86b63a9, "set_anon_super_fc" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x28d61ad2, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x14ff602, "generic_delete_inode" },
	{ 0x18380251, "deactivate_locked_super" },
	{ 0x546b2bde, "touch_atime" },
	{ 0x3351d3da, "__percpu_down_read" },
	{ 0x88a6dc70, "__d_lookup_unhash_wake" },
	{ 0x61b96ac1, "set_page_dirty_lock" },
	{ 0xfce96c2b, "pid_nr_ns" },
	{ 0xc4ffa382, "generic_file_open" },
	{ 0xe3962e6f, "truncate_inode_pages_range" },
	{ 0x663a0324, "__put_user_ns" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0xb41662d6, "__folio_lock" },
	{ 0x691b4823, "filemap_dirty_folio" },
	{ 0x23c43384, "pagecache_get_page" },
	{ 0x8172c9a0, "stream_open" },
	{ 0x5a797e6e, "rcuwait_wake_up" },
	{ 0x73ab8d8b, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0x14cdefa1, "add_to_pipe" },
	{ 0x203f869b, "__fs_parse" },
	{ 0xdaedb89, "dax_layout_busy_page_range" },
	{ 0xb855b7ef, "filemap_splice_read" },
	{ 0xba2a55ab, "posix_acl_to_xattr" },
	{ 0x644c7735, "dget_parent" },
	{ 0xee366d63, "kill_anon_super" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x2f1b3697, "iget5_locked" },
	{ 0x4cd49410, "security_dentry_init_security" },
	{ 0x6d0ee99c, "filemap_write_and_wait_range" },
	{ 0xa45dd337, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x6ee710ae, "generic_write_checks" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x3a0b82fc, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4c06f524, "mntget" },
	{ 0x498560ed, "filemap_fault" },
	{ 0x9b53d741, "d_invalidate" },
	{ 0x5ca924b1, "__mark_inode_dirty" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x9bacf0c6, "drop_nlink" },
	{ 0x1ddc4937, "fault_in_iov_iter_readable" },
	{ 0x401cbcb8, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xd708c509, "fs_param_is_uid" },
	{ 0xefa574af, "bdi_set_max_ratio" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xbacf5adc, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x113b6c8f, "super_setup_bdi_name" },
	{ 0x63b53aed, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbc7582fa, "truncate_inode_pages" },
	{ 0x13c887a6, "noop_backing_dev_info" },
	{ 0x8c5af90b, "pipe_lock" },
	{ 0xbff9d09f, "generic_fillattr" },
	{ 0xe248179a, "vfs_fsync_range" },
	{ 0xcbb17d82, "setattr_prepare" },
	{ 0x29bcac73, "filemap_migrate_folio" },
	{ 0xa0c43f0e, "clear_nlink" },
	{ 0xc5aeebfa, "file_check_and_advance_wb_err" },
	{ 0x50beda4f, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x19e4708e, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xd63546c3, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5b20aa93, "make_vfsgid" },
	{ 0x6cce30f6, "clear_inode" },
	{ 0xc3d636ec, "inode_to_bdi" },
	{ 0xfc488e01, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd449bfc9, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x48c4b815, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7553b32, "pipe_unlock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xce79231b, "fs_param_is_string" },
	{ 0x3d5cc049, "folio_unlock" },
	{ 0x2e0e1c76, "new_inode" },
	{ 0x8e85c6a1, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x403c4a12, "dump_page" },
	{ 0x832ff89b, "forget_all_cached_acls" },
	{ 0x3b90b863, "init_special_inode" },
	{ 0xd8f07941, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xe015ecf8, "task_active_pid_ns" },
	{ 0x279b31b2, "iov_iter_single_seg_count" },
	{ 0xa4fedde4, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x7f45d67f, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x11c076b9, "d_alloc_name" },
	{ 0xc99ac0c, "replace_page_cache_folio" },
	{ 0x42127355, "inode_query_iversion" },
	{ 0x22ddffc5, "iov_iter_advance" },
	{ 0x47998ffa, "kill_fasync" },
	{ 0xbfc42ddf, "d_make_root" },
	{ 0x496c7d49, "backing_file_splice_write" },
	{ 0x30b016b2, "sb_set_blocksize" },
	{ 0xc36f6ffa, "fget" },
	{ 0xa448d787, "simple_fill_super" },
	{ 0x23967b1, "xas_find" },
	{ 0xa0ddce1c, "sync_filesystem" },
	{ 0x2b6a45c2, "noop_dirty_folio" },
	{ 0xe6d0ed60, "sget_fc" },
	{ 0x9a511deb, "param_set_uint" },
	{ 0xf0ff5c98, "d_splice_alias" },
	{ 0xd17c5e38, "iov_iter_get_pages2" },
	{ 0xdd39fdff, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0x66c8068d, "page_get_link" },
	{ 0x8d18b898, "generic_permission" },
	{ 0xd24f5eba, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x2deb5b65, "invalidate_inode_pages2_range" },
	{ 0xb1858707, "posix_lock_file" },
	{ 0xfd8554cf, "finish_open" },
	{ 0x511f97e1, "dax_iomap_rw" },
	{ 0xd86e4c9c, "iput" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x7dc56c43, "logfc" },
	{ 0x9ee070d5, "iter_file_splice_write" },
	{ 0x8ad56a8, "mod_node_page_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x47d4dbae, "init_pid_ns" },
	{ 0x1dda3026, "dax_iomap_fault" },
	{ 0xafc74a61, "iov_iter_init" },
	{ 0xa679d387, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x82274e97, "sysfs_create_mount_point" },
	{ 0x631d57e5, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8e07e7ab, "register_filesystem" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xe0f7cd06, "folio_add_lru" },
	{ 0xe0aade70, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xcc1a3c62, "sync_inode_metadata" },
	{ 0x53119486, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xa04f2c5f, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9d7ef5bd, "shrink_dcache_parent" },
	{ 0x744f29fb, "__put_cred" },
	{ 0x337787a3, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x9a9527f7, "get_tree_nodev" },
	{ 0x33566317, "splice_file_range" },
	{ 0xe475983, "simple_inode_init_ts" },
	{ 0x4f5acc7f, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x70a784d0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5ac294bd, "fs_param_is_u32" },
	{ 0x3788de0f, "inode_newsize_ok" },
	{ 0xef02cda, "d_drop" },
	{ 0xfb978118, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x9869231b, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x772f05a6, "bdi_put" },
	{ 0x2e9c0a31, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x4c36f1aa, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x83273323, "truncate_inode_pages_final" },
	{ 0xfcfde478, "fs_kobj" },
	{ 0x4c0b11a, "__filemap_set_wb_err" },
	{ 0xd618693e, "simple_dir_operations" },
	{ 0x70f0844b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc467d62, "backing_file_mmap" },
	{ 0x33b84f74, "copy_page" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x52d8cb5e, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xe92c321d, "setattr_should_drop_suidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x98084b7b, "iov_iter_extract_pages" },
	{ 0x7aac4b6, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x572e454, "copy_page_from_iter_atomic" },
	{ 0x2d185a1d, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x384d9784, "fs_context_for_submount" },
	{ 0x757f787d, "inode_init_once" },
	{ 0x6e6c075e, "file_write_and_wait_range" },
	{ 0xa48e8c1, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x736c58e5, "nosteal_pipe_buf_ops" },
	{ 0x69f3e19, "ilookup5" },
	{ 0x251f11f8, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x156ac228, "inode_nohighmem" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6C22AC7D2D767022B9CA9E0");
