#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x3f311b1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92ee3727, "nfs_sops" },
	{ 0xdd883c2d, "init_user_ns" },
	{ 0x7dc6c1a2, "rpc_restart_call" },
	{ 0x6dab5e8d, "nfs_link" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x28d61ad2, "dput" },
	{ 0x9fea01c, "put_nfs_open_context" },
	{ 0x838ed994, "nfs_permission" },
	{ 0xe6ee0a6, "alloc_pages_noprof" },
	{ 0x4ee04e59, "nfs_add_or_obtain" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0xd245065d, "nfs_free_client" },
	{ 0xbe4aeff3, "nfs_close_context" },
	{ 0x18eadb32, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x5810d673, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xd9eaa73b, "nfs_symlink" },
	{ 0x6d1d7828, "nfs_unlink" },
	{ 0xd2019fea, "forget_cached_acl" },
	{ 0x6f1f23e9, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x19306a4d, "nlmclnt_proc" },
	{ 0x2298ed28, "nfs_writeback_update_inode" },
	{ 0xa8000c72, "nfs_alloc_client" },
	{ 0x85521d75, "nfs_dentry_operations" },
	{ 0xb7b99b4c, "xdr_write_pages" },
	{ 0x5d7bc2a3, "nfs_access_zap_cache" },
	{ 0xa4f43ef9, "nfs_wb_all" },
	{ 0x54709195, "xdr_inline_decode" },
	{ 0x832ff89b, "forget_all_cached_acls" },
	{ 0xcf2d8296, "nfs_submount" },
	{ 0xba6661ec, "__tracepoint_nfs_xdr_status" },
	{ 0xb3add4ee, "nfs_mknod" },
	{ 0xdc8f38a3, "nfs_create_server" },
	{ 0x3b7cafe, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x72fc47b5, "nfs_post_op_update_inode" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xf508e76, "xdr_read_pages" },
	{ 0x86686a05, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x9c3fd765, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb839a44a, "nfs_mkdir" },
	{ 0xe9134050, "nfs_revalidate_inode" },
	{ 0xf7ab0899, "nfs_get_lock_context" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8d20ad6, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6c7f3ed1, "nfs_get_client" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xb4e63ebc, "nfs_file_operations" },
	{ 0x6a5d9c4d, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x35fd6cff, "nfs_put_lock_context" },
	{ 0x65bd5d33, "nfs_rename" },
	{ 0x9117f075, "nfs_lookup" },
	{ 0xd206eb35, "nfs_sysfs_link_rpc_client" },
	{ 0x33db8657, "nfsacl_encode" },
	{ 0xdeb3e07f, "posix_acl_create" },
	{ 0x644b6027, "get_nfs_open_context" },
	{ 0xbe523543, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xa3d16472, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6058b042, "nfs_getattr" },
	{ 0x91754214, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xb5ee0273, "nfs_zap_acl_cache" },
	{ 0x5fe999eb, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc99763f2, "rpc_bind_new_program" },
	{ 0xcfd4c1fa, "register_nfs_version" },
	{ 0x8df48378, "nfs_atomic_open_v23" },
	{ 0x47e70f6b, "rpc_call_start" },
	{ 0x749b760, "rpc_call_sync" },
	{ 0x8a971c62, "rpc_prepare_reply_pages" },
	{ 0xb53cc5fc, "nfs_fs_type" },
	{ 0x7c261219, "nfs_setattr" },
	{ 0x52ace59b, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x6a3e4bb6, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xc0ff675d, "make_kgid" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe98c64be, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3da1b22f, "nfs_rmdir" },
	{ 0x9fc9dbf7, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x206065cb, "nfs_async_iocounter_wait" },
	{ 0x636bb97, "nfs_setattr_update_inode" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "0E628C06DAFF661C697C5A5");
