#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x87a45ba0, "");
SYMBOL_CRC(bt_sock_register, 0x9ff42aa8, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x1decfca2, "");
SYMBOL_CRC(bt_sock_link, 0x90c87a9e, "");
SYMBOL_CRC(bt_sock_unlink, 0x9eaf82c7, "");
SYMBOL_CRC(bt_accept_enqueue, 0x25349e84, "");
SYMBOL_CRC(bt_accept_unlink, 0xccb93123, "");
SYMBOL_CRC(bt_accept_dequeue, 0x360bae4d, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xb68c8f7b, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xebd227fd, "");
SYMBOL_CRC(bt_sock_poll, 0x3536cca7, "");
SYMBOL_CRC(bt_sock_ioctl, 0x5af47e4c, "");
SYMBOL_CRC(bt_sock_wait_state, 0x795bcded, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xa2ef22d6, "");
SYMBOL_CRC(bt_procfs_init, 0xd895f17c, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x70a347ec, "");
SYMBOL_CRC(bt_debugfs, 0x9c7996e9, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x19e08938, "");
SYMBOL_CRC(hci_free_dev, 0x5be29070, "");
SYMBOL_CRC(hci_register_dev, 0xf9ae7478, "");
SYMBOL_CRC(hci_unregister_dev, 0x58357d79, "");
SYMBOL_CRC(hci_release_dev, 0x5d308ec6, "");
SYMBOL_CRC(hci_suspend_dev, 0x8b548d13, "");
SYMBOL_CRC(hci_resume_dev, 0x2e95b2ec, "");
SYMBOL_CRC(hci_reset_dev, 0x7f9aeea1, "");
SYMBOL_CRC(hci_recv_frame, 0x903321b9, "");
SYMBOL_CRC(hci_recv_diag, 0x208d1e43, "");
SYMBOL_CRC(hci_set_hw_info, 0xc81e9be8, "");
SYMBOL_CRC(hci_set_fw_info, 0x9cb71aa0, "");
SYMBOL_CRC(hci_register_cb, 0xd568de9d, "");
SYMBOL_CRC(hci_unregister_cb, 0x85995fab, "");
SYMBOL_CRC(__hci_cmd_send, 0x91453693, "");
SYMBOL_CRC(hci_get_route, 0x98a4dd02, "");
SYMBOL_CRC(hci_conn_security, 0x934be399, "");
SYMBOL_CRC(hci_conn_check_secure, 0x952f4a63, "");
SYMBOL_CRC(hci_conn_switch_role, 0xd1399f4e, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x1d98d931, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xf43ad402, "");
SYMBOL_CRC(l2cap_add_psm, 0xfdbabc3a, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x3b742716, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xf7a74045, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x86b6c953, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xc472595b, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xd90f0ba7, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x448a9a30, "");
SYMBOL_CRC(l2cap_register_user, 0xa1fadb48, "");
SYMBOL_CRC(l2cap_unregister_user, 0x1c0b844d, "");
SYMBOL_CRC(l2cap_conn_get, 0xc3abe1f9, "");
SYMBOL_CRC(l2cap_conn_put, 0x0dcd36e6, "");
SYMBOL_CRC(l2cap_chan_send, 0xc1a2fbe3, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x48bb9462, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xaaf5a95d, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x1f7285b3, "");
SYMBOL_CRC(__hci_cmd_sync, 0x6fdb195d, "");
SYMBOL_CRC(hci_cmd_sync, 0x6533ecc0, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x5a646c10, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x0de90638, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x3b034029, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x211d60f4, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x85f3346b, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xb90def4f, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xa18456ef, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xebcdeb8d, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x35d2fdbb, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xc100af6b, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x702cc995, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x690ecdb6, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xedb2bc44, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x9485974c, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x54e4f4e8, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xbe92ec55, "");
SYMBOL_CRC(hci_devcd_init, 0xbb0f0046, "");
SYMBOL_CRC(hci_devcd_append, 0x0b89a559, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x6262531a, "");
SYMBOL_CRC(hci_devcd_complete, 0x2f88598f, "");
SYMBOL_CRC(hci_devcd_abort, 0x3fea5f20, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x4f410196, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x744f29fb, "__put_cred" },
	{ 0x7d7ed7eb, "put_cmsg" },
	{ 0xd3c6b255, "skb_queue_purge_reason" },
	{ 0x7aea6586, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x83d9d3b2, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xe82306e1, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x76daa20c, "sock_register" },
	{ 0x45a7ae24, "datagram_poll" },
	{ 0x7e48a653, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2c69045, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xccdbc47, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5cae1681, "skb_queue_tail" },
	{ 0xd408f16a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98146546, "debugfs_attr_read" },
	{ 0x81fd3a4a, "__sock_recv_timestamp" },
	{ 0xec9abb, "sock_no_shutdown" },
	{ 0x5e956e7b, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x93e6d09f, "init_net" },
	{ 0xca53f895, "crypto_shash_setkey" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4cff1cfc, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x42748202, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc298c958, "init_uts_ns" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb0ec80f7, "device_move" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xc28db27, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x1b154bcb, "sock_no_listen" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6dc5df7c, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0xc017bc5, "device_find_child" },
	{ 0x5201e8cf, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x90b8dc25, "sk_alloc" },
	{ 0xbe535fdd, "device_del" },
	{ 0xfe36538f, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88ce9484, "default_llseek" },
	{ 0x3d08b741, "__sock_recv_wifi_status" },
	{ 0xb0ad94a4, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x82a26957, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4ef7c1b6, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc277d9f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xd41c7b2c, "__scm_destroy" },
	{ 0x1032c612, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xf6274b31, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xebce66e4, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xcd2d78d, "sock_i_ino" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa279186b, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x30443718, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3237a59c, "sock_alloc_send_pskb" },
	{ 0x91b682ab, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xae111842, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd7c8a35c, "skb_copy" },
	{ 0x331671d9, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x4088d24b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x26039ad7, "sock_gettstamp" },
	{ 0xc057f771, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4f6eede3, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x37c7055a, "from_kuid_munged" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x235b08df, "proc_create_seq_private" },
	{ 0x3d1be511, "debugfs_create_u8" },
	{ 0xe2e4f264, "single_open" },
	{ 0xf9e92bce, "crypto_alloc_shash" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x379492e8, "fwnode_property_read_u8_array" },
	{ 0x7156739b, "put_pid" },
	{ 0x844c6b16, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x404cf4, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xaae548f4, "__dev_fwnode" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c7d29c6, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2ecec09f, "skb_free_datagram" },
	{ 0xfb0106f8, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0xa5b6b1cd, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15e2d67f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6d2f96de, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xca875b21, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x86481fe0, "scm_detach_fds" },
	{ 0xddd0c0e8, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0xaa27b3c2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x681d51bf, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x815e64b2, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x46bf0c7b, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfb42a76b, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x9b1ef178, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "3C18B3E251747E10BE5F405");
