#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xf001d596, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x36bbea40, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x992bfb85, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x39ee361f, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x6e4dcf08, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x3e234fee, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xe4a8aae1, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x98f8e65b, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x04091b8d, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x90d1b61c, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xea244960, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x4c4027b7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x93e6d09f, "init_net" },
	{ 0xda509cbd, "alloc_netdev_mqs" },
	{ 0xc4d04516, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f62f1b7, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0x20f140df, "ip6_local_out" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xe5992d8e, "netdev_state_change" },
	{ 0xfdabf308, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0xe6634f7b, "ip6_redirect" },
	{ 0x7b3c7e20, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfb9da921, "dst_cache_get" },
	{ 0x7f4de642, "ip6_route_output_flags" },
	{ 0x56a5e73f, "xfrm_lookup" },
	{ 0x320fc1eb, "ip6_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x6cf5cf23, "skb_scrub_packet" },
	{ 0x772c0174, "skb_realloc_headroom" },
	{ 0x3f172071, "skb_set_owner_w" },
	{ 0x9011f053, "consume_skb" },
	{ 0xa5dd5b4b, "ipv6_push_frag_opts" },
	{ 0x65620cc3, "skb_push" },
	{ 0x7482c7b1, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x750052b0, "ipv6_dev_get_saddr" },
	{ 0xac1f5d41, "ip6_dst_hoplimit" },
	{ 0x48484e83, "ipv4_mtu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0x3d55f75e, "iptunnel_handle_offloads" },
	{ 0x171ba1b9, "icmpv6_ndo_send" },
	{ 0x82620cad, "icmp_ndo_send" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x331671d9, "skb_clone" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x32dba2d2, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x63836ac4, "gro_cells_receive" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x11137231, "__xfrm_policy_check" },
	{ 0xc88a7973, "__iptunnel_pull_header" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0xdedc3dd6, "ip_route_output_flow" },
	{ 0x8af02323, "ip_route_input_noref" },
	{ 0x87c10460, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4e47644a, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x73029db4, "ipv6_chk_addr_and_flags" },
	{ 0xe065576f, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0x34aea018, "xfrm6_tunnel_register" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0xb0235c1f, "xfrm6_tunnel_deregister" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0x4098953, "rt6_lookup" },
	{ 0xdd8d4555, "dst_release" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7ac9064d, "gro_cells_init" },
	{ 0x9352aedb, "ip_tunnel_header_ops" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5415341073ACF423E4FE2F3");
