#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_register_bpf, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xe8778d05, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x119c517c, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xeed11567, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x8ca09416, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x9e8a7ec3, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xd75d8a9d, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x47a534f5, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x4c10f499, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x4416cc25, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x2b5f062b, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xf799ea5a, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xc91dc653, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x0bb6103f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xfbd8cce1, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x051382cf, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xa860067e, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xd54a90b4, "_gpl");
SYMBOL_CRC(nf_flow_register_bpf, 0x098f9d9b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe065576f, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3fe47d86, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x1191715e, "unregister_pernet_subsys" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xf76cbc7d, "register_btf_kfunc_id_set" },
	{ 0x668b19a1, "down_read" },
	{ 0x694b5f3a, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4616cce5, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xada61636, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda8137a3, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb0fdad8f, "inet_proto_csum_replace4" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x329d9166, "nf_ct_acct_add" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x25ca342a, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xcc516a94, "flow_rule_alloc" },
	{ 0xaaef3836, "ip6_dst_check" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdcd8082c, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2a5b26e0, "ip_output" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xee0e499f, "neigh_xmit" },
	{ 0x48142da7, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xba53a4be, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x97797f1f, "pskb_expand_head" },
	{ 0x332ca4f9, "register_pernet_subsys" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "7CB4D1064CF2DCA21456BE0");
