#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rds_ib_stats_print, "_gpl", "");

SYMBOL_CRC(rds_ib_stats_print, 0x722ca035, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55bd7018, "__tracepoint_rds_ib_conn_path_shutdown_prepare_err" },
	{ 0xb9e58fb1, "rds_info_deregister_func" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82b62f26, "__SCT__tp_func_rds_ib_conn_path_connect_err" },
	{ 0xaa2d8a00, "__SCK__tp_func_rds_ib_add_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x9aa0d92f, "rdma_query_gid" },
	{ 0xdda7a6fe, "__SCK__tp_func_rds_ib_add_device_err" },
	{ 0x62861c33, "__SCK__tp_func_rds_drop_egress" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x29008c80, "__SCK__tp_func_rds_ib_remove_device_err" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x524400dd, "__SCT__tp_func_rds_ib_remove_device" },
	{ 0x9dde4519, "__SCK__tp_func_rds_ib_cm_handle_connect_err" },
	{ 0x6ee67c15, "__SCT__tp_func_rds_ib_setup_fastreg" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0xad28a08c, "__SCT__tp_func_rds_ib_conn_path_shutdown_prepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b09ab16, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb0475606, "__SCT__tp_func_rds_ib_conn_path_connect" },
	{ 0xe2964344, "__wake_up" },
	{ 0x88075883, "kmem_cache_create" },
	{ 0xdb2f4b36, "ib_query_qp" },
	{ 0x7ff0d1fa, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x260411f3, "__tracepoint_rds_ib_send_cqe_handler_err" },
	{ 0xbefed53a, "__tracepoint_rds_ib_flow_cntrl_grab_credits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4ec4b413, "__SCK__tp_func_rds_ib_conn_yield_accepting" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xfdcde1f4, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xef8bdf61, "__SCK__tp_func_rds_rdma_cm_event_handler_err" },
	{ 0xe3415bdc, "__SCT__tp_func_rds_ib_cm_initiate_connect" },
	{ 0x197883d8, "__SCT__tp_func_rds_ib_queue_worker" },
	{ 0x34adae4d, "__tracepoint_rds_ib_flow_cntrl_advertise_credits" },
	{ 0x9606fc89, "dev_driver_string" },
	{ 0x49d9aa66, "register_net_sysctl_sz" },
	{ 0x468749e1, "ib_destroy_srq_user" },
	{ 0x840e329, "rds_for_each_conn_info" },
	{ 0x582fe5cf, "rds_message_add_rdma_dest_extension" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe531a852, "dma_map_page_attrs" },
	{ 0xdc748619, "__SCT__tp_func_rds_ib_conn_yield_accept_err" },
	{ 0x360f26de, "__SCT__tp_func_rds_ib_setup_qp" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa467af, "rds_wq" },
	{ 0x22cddfd2, "__tracepoint_rds_ib_conn_yield_accept_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa33b403b, "__rdma_create_kernel_id" },
	{ 0x7818b2bc, "__tracepoint_rds_ib_queue_work" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb9d8c6c6, "__tracepoint_rds_ib_conn_yield_stale" },
	{ 0x2ff0cd0c, "__tracepoint_rds_receive_csum_err" },
	{ 0x31474562, "__SCK__tp_func_rds_ib_cm_initiate_connect" },
	{ 0xf9b54ba6, "__tracepoint_rds_ib_add_device" },
	{ 0x25ef44a2, "__tracepoint_rds_ib_conn_path_connect" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x81c48887, "__tracepoint_rds_rdma_cm_event_handler_err" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfb640f9d, "__free_pages" },
	{ 0xa639cee5, "rdma_resolve_route" },
	{ 0x539ca336, "rds_atomic_send_complete" },
	{ 0x10d7a44d, "rds_conn_connect_if_down" },
	{ 0x9c4a88b6, "rdma_bind_addr" },
	{ 0xe766a1c1, "ib_register_client" },
	{ 0x2581baac, "__tracepoint_rds_rdma_cm_event_handler" },
	{ 0xab6685e0, "__tracepoint_rds_ib_conn_yield_accepting" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x96171b10, "__tracepoint_rds_ib_conn_yield_success" },
	{ 0xf2db730b, "__SCT__tp_func_rds_receive" },
	{ 0x20c43551, "__SCT__tp_func_rds_ib_cm_accept_err" },
	{ 0x6b8900c0, "rdma_create_qp" },
	{ 0x3d58d409, "__SCT__tp_func_rds_ib_conn_yield_stale" },
	{ 0x93ab3b64, "ib_create_srq_user" },
	{ 0xec6ca2de, "rds_conn_destroy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe8dfe875, "__SCK__tp_func_rds_ib_setup_fastreg_err" },
	{ 0xece143fd, "__SCT__tp_func_rds_ib_shutdown_device" },
	{ 0x976eb119, "ib_map_mr_sg" },
	{ 0x784b2310, "rds_rdma_send_complete" },
	{ 0xbfdf957d, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x6f06fe97, "__SCK__tp_func_rds_ib_flow_cntrl_add_credits" },
	{ 0x671b73e3, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7f5dc4b0, "rds_rt_debug_tp_enable" },
	{ 0x93e6d09f, "init_net" },
	{ 0x45ecf8eb, "rds_send_drop_acked" },
	{ 0xce807a25, "up_write" },
	{ 0xef016b58, "__tracepoint_rds_ib_remove_device_err" },
	{ 0x6e301c0c, "__tracepoint_rds_ib_add_device_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x82c80d89, "__SCT__tp_func_rds_ib_free_cache_one" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf1d6a6bd, "__SCK__tp_func_rds_drop_ingress" },
	{ 0x9faf46cc, "kmem_cache_create_usercopy" },
	{ 0x2f25645a, "__tracepoint_rds_ib_conn_yield_right_of_way" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x87912482, "irq_get_irq_data" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0xd3b1de70, "__SCK__tp_func_rds_ib_remove_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x19ae5207, "rds_send_xmit" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x598f6c97, "rds_stats_info_copy" },
	{ 0x8fa4e884, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf2cd4c89, "kmem_cache_free" },
	{ 0x149a971, "__tracepoint_rds_ib_flow_cntrl_add_credits" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x3a023ded, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5942bd55, "__SCT__tp_func_rds_ib_send_cqe_handler" },
	{ 0xec2e7c77, "rds_message_add_extension" },
	{ 0xacd014bc, "rdma_notify" },
	{ 0xd3fa3f2c, "seq_putc" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xaf831847, "__tracepoint_rds_receive" },
	{ 0xdec52cb1, "__SCT__tp_func_rds_drop_ingress" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xbe7bad4d, "__SCT__tp_func_rds_ib_setup_fastreg_err" },
	{ 0x5c2589e1, "rds_conn_path_trace_state_change" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x28921228, "__SCT__tp_func_rds_ib_setup_qp_err" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1fdea428, "rdma_listen" },
	{ 0x77db7fa9, "rds_info_register_func" },
	{ 0xe4efbcb3, "rdma_destroy_qp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x75e194c9, "rds_page_remainder_alloc" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa6c1d317, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb268807d, "__SCT__tp_func_rds_ib_conn_yield_expired" },
	{ 0x9ef7431, "uek_runs_in_kvm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd98f6498, "__SCT__tp_func_rds_ib_remove_device_err" },
	{ 0x60be35ca, "rds_stats_print" },
	{ 0xd37a0adc, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa1f7891, "__tracepoint_rds_ib_conn_path_shutdown_prepare" },
	{ 0x1a948735, "__tracepoint_rds_ib_queue_cancel_work" },
	{ 0xabac7e61, "ib_destroy_qp_user" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7cf02d64, "__tracepoint_rds_ib_queue_worker" },
	{ 0xda84304f, "__tracepoint_rds_drop_ingress" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2b80731a, "__SCK__tp_func_rds_ib_queue_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xa9c56129, "__SCT__tp_func_rds_drop_egress" },
	{ 0xa0b99698, "__kmalloc_cache_node_noprof" },
	{ 0xecd82379, "rds_queue_delayed_work" },
	{ 0x3690c90f, "unpin_user_page" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0xcb10e9cd, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x607f6769, "__SCT__tp_func_rds_rdma_cm_event_handler_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0x6af8865f, "__tracepoint_rds_ib_free_cache_one" },
	{ 0xdb44b6db, "__SCT__tp_func_rds_ib_cm_handle_connect" },
	{ 0x16ee6d0, "__SCK__tp_func_rds_ib_conn_path_connect_err" },
	{ 0x41be789b, "ib_destroy_cq_user" },
	{ 0xb98f448e, "__tracepoint_rds_ib_cm_handle_connect_err" },
	{ 0x3d016086, "rdma_connect" },
	{ 0x668b19a1, "down_read" },
	{ 0x3cbe85a5, "rds_inc_init" },
	{ 0x375cb294, "ib_modify_qp" },
	{ 0x46c8bbaf, "__tracepoint_rds_ib_cm_initiate_connect" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb5e8b257, "set_page_dirty" },
	{ 0x4616cce5, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x4ce34c78, "seq_read" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x93d63802, "rdma_set_min_rnr_timer" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe4925020, "__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err" },
	{ 0x69cde45, "__SCK__tp_func_rds_ib_conn_yield_accept_err" },
	{ 0xfc39b793, "rds_recv_incoming" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x6f95fd20, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x71f39685, "__tracepoint_rds_ib_conn_yield_yielding" },
	{ 0x999e8297, "vfree" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe3eea37a, "__SCK__tp_func_rds_ib_conn_path_connect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xec8051, "__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8f1f79f, "rdma_destroy_id" },
	{ 0xa88579b3, "__dma_sync_single_for_device" },
	{ 0xc3a62000, "__SCK__tp_func_rds_ib_send_cqe_handler_err" },
	{ 0x8afdc568, "rdma_read_gids" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb4e6acfc, "__SCK__tp_func_rds_ib_conn_yield_stale" },
	{ 0x91b682ab, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x536e7735, "rds_conn_create" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xb0865458, "__SCK__tp_func_rds_ib_shutdown_device" },
	{ 0x5e4ea739, "rdma_accept" },
	{ 0x8c9bfdff, "ib_modify_srq" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb6391898, "rds_stats" },
	{ 0xa6576d27, "__SCT__tp_func_rds_ib_queue_work" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb022c9a3, "rds_conn_faddr_ha_changed" },
	{ 0xffbdeb48, "__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xed24df13, "rds_rdma_process_send_cmsg" },
	{ 0xb9ec22a1, "__SCT__tp_func_rds_ib_add_device" },
	{ 0x253fe747, "__tracepoint_rds_ib_conn_path_connect_err" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd96f3cad, "__SCK__tp_func_rds_ib_free_cache_one" },
	{ 0x753a217b, "ib_create_qp_kernel" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xc057f771, "single_release" },
	{ 0x4d1341d5, "__SCK__tp_func_rds_ib_conn_path_shutdown_prepare" },
	{ 0x67c6848, "__SCK__tp_func_rds_ib_conn_yield_yielding" },
	{ 0xb9500e75, "rds_message_unmapped" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x83a902ad, "ib_dealloc_pd_user" },
	{ 0x7505d413, "rds_str_array" },
	{ 0x2c1896e, "__tracepoint_rds_ib_setup_fastreg" },
	{ 0xf5513f8d, "dma_unmap_sg_attrs" },
	{ 0x9dfc12cc, "rdma_port_get_link_layer" },
	{ 0x5595bed1, "rds_connect_complete" },
	{ 0x4071848b, "kmem_cache_alloc_node_noprof" },
	{ 0xa33dc108, "ipv6_chk_addr" },
	{ 0xb340d7e, "__SCT__tp_func_rds_ib_conn_yield_yielding" },
	{ 0xdace459b, "__SCK__tp_func_rds_ib_conn_yield_expired" },
	{ 0x25cf4ea5, "__SCT__tp_func_rds_ib_cm_handle_connect_err" },
	{ 0xe8f6a371, "__SCK__tp_func_rds_ib_send_cqe_handler" },
	{ 0xf416b410, "__SCT__tp_func_rds_rdma_cm_event_handler" },
	{ 0xdc9560ed, "__SCK__tp_func_rds_ib_queue_cancel_work" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x327c99fd, "rdma_consumer_reject_data" },
	{ 0xdac1c6dd, "__SCT__tp_func_rds_ib_conn_yield_accepting" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xf7f9dd20, "__SCK__tp_func_rds_ib_flow_cntrl_grab_credits" },
	{ 0x22710288, "__tracepoint_rds_ib_remove_device" },
	{ 0xad4fe1ad, "__SCK__tp_func_rds_rdma_cm_event_handler" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x4856cba, "rds_message_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x585f567b, "rds_message_populate_header" },
	{ 0x2ede0fad, "__tracepoint_rds_ib_setup_fastreg_err" },
	{ 0x8b55cf83, "rds_trans_register" },
	{ 0x53b954a2, "up_read" },
	{ 0x844a7c89, "__tracepoint_rds_drop_egress" },
	{ 0x5adcc625, "__SCK__tp_func_rds_receive" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd10716ff, "__SCT__tp_func_rds_ib_conn_yield_right_of_way" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x4a40250e, "__tracepoint_rds_ib_cm_accept_err" },
	{ 0x3241596c, "kmem_cache_destroy" },
	{ 0xeaed807d, "dma_map_sg_attrs" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe4d385b1, "__SCT__tp_func_rds_ib_send_cqe_handler_err" },
	{ 0x80254d7c, "__SCT__tp_func_rds_ib_flow_cntrl_grab_credits" },
	{ 0x9c65b78a, "csum_partial_copy_nocheck" },
	{ 0xdb9db695, "__tracepoint_rds_ib_cm_handle_connect" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xae2e7961, "rds_cong_map_updated" },
	{ 0xbb80f9f6, "__SCK__tp_func_rds_ib_cm_accept_err" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0xe5c8c94b, "__tracepoint_rds_ib_send_cqe_handler" },
	{ 0x9f298e9a, "rds_conn_drop" },
	{ 0x307ecac7, "rds_queue_delayed_work_on" },
	{ 0x68ce97b5, "__SCK__tp_func_rds_ib_queue_worker" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x65830d15, "__SCT__tp_func_rds_ib_conn_yield_success" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xae655593, "ib_unregister_client" },
	{ 0xe38650d2, "__tracepoint_rds_ib_shutdown_device" },
	{ 0x1ed94011, "__SCK__tp_func_rds_ib_conn_yield_success" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x55340699, "rds_message_addref" },
	{ 0x45a4781e, "rds_addr_cmp" },
	{ 0xd7f28c88, "__SCT__tp_func_rds_ib_add_device_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd06673ec, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x66226c40, "__SCK__tp_func_rds_ib_conn_yield_right_of_way" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe6d3cc8d, "rds_rdma_drop_keys" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x55e4d0bc, "__SCK__tp_func_rds_ib_setup_qp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2e7cfa52, "__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err" },
	{ 0xf88b99c0, "rds_asend_complete" },
	{ 0x52001e9a, "__tracepoint_rds_ib_conn_yield_expired" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc82cc5e1, "__tracepoint_rds_ib_setup_qp_err" },
	{ 0x7443c530, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7cd95d4, "__kmalloc_node_noprof" },
	{ 0x4e9cc931, "dma_unmap_page_attrs" },
	{ 0xf3015596, "__SCK__tp_func_rds_ib_setup_fastreg" },
	{ 0x838eb641, "vmalloc_node_noprof" },
	{ 0xb328b006, "__tracepoint_rds_ib_setup_qp" },
	{ 0xb1361ce6, "__SCT__tp_func_rds_ib_queue_cancel_work" },
	{ 0x4a6d08bc, "__ip_dev_find" },
	{ 0xf11b6389, "rdma_resolve_addr" },
	{ 0xf7370f56, "system_state" },
	{ 0x78ac01cc, "__SCT__tp_func_rds_ib_flow_cntrl_add_credits" },
	{ 0x33188181, "rdma_set_ack_timeout" },
	{ 0xa0c5b467, "get_cpu_cacheinfo" },
	{ 0x23967b1, "xas_find" },
	{ 0xdc127f30, "__SCK__tp_func_rds_ib_setup_qp_err" },
	{ 0xe009fd4, "rdma_set_service_type" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x1ba4adfc, "rds_trans_unregister" },
	{ 0xcb98a7e3, "do_rds_receive_csum_err" },
	{ 0x1d9c514d, "__SCK__tp_func_rds_ib_cm_handle_connect" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rds,ib_core,rdma_cm");


MODULE_INFO(srcversion, "5A40CA65B7123F573401A65");
