#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x069c5796, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x14f38a0b, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x2f86b7ff, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x44a3a191, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xfc107b55, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xf83a42ee, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xe5345ac2, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xf88083d1, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x6ffa7cf1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xc46cf0cc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x997922d1, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x7dbf6214, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x47710a64, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x9e7251cc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x8087f8be, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x91cd80f9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x1d47af7a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x85730cc5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xbaebc83c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xd9b9649e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x4180269d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x49aa6c07, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x84b2cf46, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x75ef59d7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x6c3d2294, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x6e44ffe2, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x8d850580, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xa6660597, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x14820f07, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x8a8dc12a, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xb8cbb7f7, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xc3df14f2, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xd72dc13c, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x749d5501, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x4c9289be, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x20e87b3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x774638b7, "sk_error_report" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdfb1e7e9, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x77ebfb09, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x627e5388, "__skb_recv_datagram" },
	{ 0xcb1e28d7, "lock_sock_nested" },
	{ 0x26cf20b1, "vsock_stream_has_data" },
	{ 0x491b76cc, "skb_copy_datagram_iter" },
	{ 0x302a4903, "bpf_trace_run9" },
	{ 0xf38d6f9c, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc1d743a1, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaf24f436, "bpf_trace_run10" },
	{ 0x4702ed76, "vsock_core_get_transport" },
	{ 0x8235c420, "__zerocopy_sg_from_iter" },
	{ 0x568876e4, "vsock_stream_has_space" },
	{ 0x3f172071, "skb_set_owner_w" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x94ee7823, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb172bfd0, "msg_zerocopy_realloc" },
	{ 0x7a9c9623, "vsock_create_connected" },
	{ 0x1d30a0ea, "vsock_assign_transport" },
	{ 0x76ca849b, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd33791ed, "iov_iter_npages" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xc4c84a21, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa350f375, "vsock_data_ready" },
	{ 0x7eae42b8, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x80f1840d, "vsock_insert_connected" },
	{ 0xca875b21, "skb_put" },
	{ 0x9011f053, "consume_skb" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x512d4f4f, "vsock_remove_sock" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe92d68dd, "vsock_deliver_tap" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");
