#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(cfg80211_radio_chandef_valid, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_check_beaconing, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_read, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_write, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x669aec0e, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x4d2bd04d, "");
SYMBOL_CRC(wiphy_register, 0x61349828, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x2f1f6ca4, "");
SYMBOL_CRC(wiphy_unregister, 0xf1cc78fd, "");
SYMBOL_CRC(wiphy_free, 0x02e7e280, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x15fbfb25, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x40c947bc, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x9a8173a7, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x63b2af03, "");
SYMBOL_CRC(wiphy_work_queue, 0x571cbf48, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x24500253, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xbb5a768b, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x2c8e9d21, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x1072c9ce, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x906b1f7e, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x7c00b7f2, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xbceb8826, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x3915d16b, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x4cc727b0, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x41576977, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x95c5db3b, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xd89fc86a, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x7ae03fbe, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x5250f73a, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xe41af98c, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xb8114e6b, "");
SYMBOL_CRC(cfg80211_get_station, 0xc17384d1, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xcc261bac, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x06c85f22, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xe4902a47, "");
SYMBOL_CRC(cfg80211_radio_chandef_valid, 0x53382dce, "");
SYMBOL_CRC(get_wiphy_regdom, 0x338e7213, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x52379f42, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xc70175d6, "");
SYMBOL_CRC(regulatory_hint, 0x66201db7, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xf9340798, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x08038bf7, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x76ecfd66, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_scan_done, 0x7a5529a0, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x58c40c56, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x01a37126, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x09f5921b, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xd426e804, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x3d46a690, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x50ce4a8e, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x47dc2c58, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x7cef6a91, "");
SYMBOL_CRC(cfg80211_put_bss, 0x5e3ac59e, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x08d17871, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x8306c258, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xfd2168a6, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x70c8faa2, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x8fa66486, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x433e8dec, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xed0c801e, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x7cd0542b, "");
SYMBOL_CRC(cfg80211_nan_match, 0x79b1b9a3, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x7373b79a, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x109b94b8, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x26166c34, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xa81cd09c, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xbbe4988d, "");
SYMBOL_CRC(cfg80211_links_removed, 0x92770394, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xf0ad6882, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xb36c6021, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xee0cabda, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x20245818, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x87334e11, "");
SYMBOL_CRC(cfg80211_new_sta, 0xcad70944, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x0ccdb39f, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xf9fd36d9, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xb4542b47, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x642292a6, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x282c6e6c, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x25f9765c, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xb853cec2, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x081ed662, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x19da584c, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x24ec2015, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x0b1d8481, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xa4309f2a, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x8f2e04b1, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x5c90077e, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x8024c208, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xc8a5f1a5, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xcd669213, "");
SYMBOL_CRC(cfg80211_probe_status, 0xdcefd454, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x35ec3e87, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xd382db4d, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x28311cc7, "");
SYMBOL_CRC(cfg80211_ft_event, 0xe721e80a, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x17620b77, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x58d09a3f, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x62243ed5, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xf65a8ca0, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x1a5a01b0, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x1c3bc46a, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x2a08c773, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xbb6c0527, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x429e79b8, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x6f97cd5e, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x1db22546, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xb06e2a71, "");
SYMBOL_CRC(cfg80211_cac_event, 0x32db10f2, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xd7f8aba7, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x0726aaf5, "");
SYMBOL_CRC(cfg80211_connect_done, 0x857e4ffc, "");
SYMBOL_CRC(cfg80211_roamed, 0x75667be1, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x678b48e8, "");
SYMBOL_CRC(cfg80211_disconnected, 0x3c7ef0bd, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x62afdda2, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x257bcc22, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0xd7b48ac3, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x6ebf5f06, "");
SYMBOL_CRC(cfg80211_reg_check_beaconing, 0xb64c42b1, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x001682ee, "");
SYMBOL_CRC(wdev_chandef, 0x5edea50c, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x475932cf, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x71a28195, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xbcf1a880, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_read, 0x084d48e6, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_write, 0x69792ff9, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0x4fa75531, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0xf0169221, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x1880a595, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0xba184627, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x55127f5e, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x7bf1f819, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x2b7efa13, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0xc3e8cda7, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xf570e418, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15944c72, "__pskb_pull_tail" },
	{ 0xc2764560, "netif_rx" },
	{ 0x909c24ff, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf6274b31, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xac37ac0e, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x803824f4, "get_net_ns_by_pid" },
	{ 0xd037c897, "debugfs_rename" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdc6f81c6, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x51ec2b35, "genl_unregister_family" },
	{ 0x1a6ecb63, "skb_add_rx_frag_netmem" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x56ef42aa, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x945bd939, "genl_register_family" },
	{ 0x8b1a7347, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdede65a7, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2bf18981, "get_net_ns_by_fd" },
	{ 0x844c6b16, "class_register" },
	{ 0x24eb5804, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x1c040590, "debugfs_leave_cancellation" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x2d8dad09, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0x31931069, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xca875b21, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x9011f053, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x58509bc, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xc19813ee, "device_initialize" },
	{ 0x59636cad, "genlmsg_put" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe0e6ee3b, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0x6d23b1b6, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x91c29cf, "netlink_broadcast_filtered" },
	{ 0x16779d36, "keyring_alloc" },
	{ 0x75f0a2e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x787b54ca, "device_rename" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x1986f609, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb2c69045, "put_device" },
	{ 0x15df7a7b, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f276943, "__alloc_skb" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd0c50574, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2974040b, "inet_csk_get_port" },
	{ 0x98eb839c, "key_put" },
	{ 0x1383077c, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x93e6d09f, "init_net" },
	{ 0x60340af1, "request_firmware_nowait" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xb4baebfb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4cff1cfc, "device_add" },
	{ 0x4da6cf0f, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc298c958, "init_uts_ns" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0x557addf5, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x37346e83, "dev_get_by_index" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8a156e79, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65620cc3, "skb_push" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x29954bc8, "wireless_send_event" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x605b9907, "debugfs_enter_cancellation" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xedc405ad, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe64cf3a4, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xbe535fdd, "device_del" },
	{ 0x88ce9484, "default_llseek" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "2B49DEAB567699A39A8C562");
