#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x43d9e0db, "make_kuid" },
	{ 0x7f4de642, "ip6_route_output_flags" },
	{ 0xac649ffc, "ip_route_output_key_hash" },
	{ 0xa282fb9d, "metadata_dst_free_percpu" },
	{ 0x4522de38, "metadata_dst_alloc_percpu" },
	{ 0x171ba1b9, "icmpv6_ndo_send" },
	{ 0x73977b90, "xfrm_bpf_md_dst" },
	{ 0x582b6275, "xfrm_if_unregister_cb" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xafc40153, "__dev_get_by_index" },
	{ 0xe1563aba, "rtnl_link_unregister" },
	{ 0xce241476, "xfrm6_tunnel_spi_lookup" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x320fc1eb, "ip6_mtu" },
	{ 0xafbb2b9d, "sk_skb_reason_drop" },
	{ 0xe065576f, "dev_get_by_index_rcu" },
	{ 0x82620cad, "icmp_ndo_send" },
	{ 0x3846ae26, "xfrm_input" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x7761548b, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x894b62c9, "dev_get_tstats64" },
	{ 0xf76cbc7d, "register_btf_kfunc_id_set" },
	{ 0xe6634f7b, "ip6_redirect" },
	{ 0xa0b953bc, "lwtunnel_state_alloc" },
	{ 0x6806619, "xfrm_if_register_cb" },
	{ 0x48484e83, "ipv4_mtu" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f5f6bfa, "xfrm4_protocol_deregister" },
	{ 0x5dc34aed, "ipv4_update_pmtu" },
	{ 0x78c3a9d9, "metadata_dst_alloc" },
	{ 0xdd8d4555, "dst_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x3b6defa2, "lwtunnel_encap_add_ops" },
	{ 0x55dc812c, "register_pernet_device" },
	{ 0xb73d2c28, "lwtunnel_encap_del_ops" },
	{ 0xb0235c1f, "xfrm6_tunnel_deregister" },
	{ 0xbcad813b, "xfrm4_tunnel_deregister" },
	{ 0xb5491980, "xfrm6_protocol_register" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739f8cb0, "register_netdevice" },
	{ 0x351b8a4e, "xfrm6_protocol_deregister" },
	{ 0x4e5dbce0, "xfrm6_rcv" },
	{ 0x34aea018, "xfrm6_tunnel_register" },
	{ 0xdcd8082c, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2a5b26e0, "ip_output" },
	{ 0x40d6faec, "xfrm4_tunnel_register" },
	{ 0xe38a1139, "__xfrm_decode_session" },
	{ 0x5c04b56a, "__skb_ext_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdd361ab4, "rtnl_link_register" },
	{ 0x9352aedb, "ip_tunnel_header_ops" },
	{ 0xe5cec892, "xfrm_state_lookup" },
	{ 0xba53a4be, "ip6_output" },
	{ 0x11137231, "__xfrm_policy_check" },
	{ 0x7ac9064d, "gro_cells_init" },
	{ 0x8aa8ce40, "xfrm4_protocol_register" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8dd68ac9, "xfrm6_rcv_spi" },
	{ 0xc42594f0, "unregister_netdevice_queue" },
	{ 0xee709106, "xfrm4_rcv" },
	{ 0xaf6afd95, "__xfrm_state_destroy" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xe5992d8e, "netdev_state_change" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b3c7e20, "ip6_update_pmtu" },
	{ 0x9c88ec94, "dev_addr_mod" },
	{ 0xc11a9f6e, "xfrm_lookup_with_ifid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2edf986, "ipv4_redirect" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "xfrm6_tunnel,tunnel6,tunnel4");


MODULE_INFO(srcversion, "F73D3D049BDF0D7556FA5DF");
