#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ac97_write, "", "");
KSYMTAB_FUNC(snd_ac97_read, "", "");
KSYMTAB_FUNC(snd_ac97_write_cache, "", "");
KSYMTAB_FUNC(snd_ac97_update, "", "");
KSYMTAB_FUNC(snd_ac97_update_bits, "", "");
KSYMTAB_FUNC(snd_ac97_get_short_name, "", "");
KSYMTAB_FUNC(snd_ac97_bus, "", "");
KSYMTAB_FUNC(snd_ac97_mixer, "", "");
KSYMTAB_FUNC(snd_ac97_update_power, "", "");
KSYMTAB_FUNC(snd_ac97_suspend, "", "");
KSYMTAB_FUNC(snd_ac97_resume, "", "");
KSYMTAB_FUNC(snd_ac97_tune_hardware, "", "");
KSYMTAB_FUNC(snd_ac97_set_rate, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_assign, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_open, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_close, "", "");
KSYMTAB_FUNC(snd_ac97_pcm_double_rate_rules, "", "");

SYMBOL_CRC(snd_ac97_write, 0x6449f8ee, "");
SYMBOL_CRC(snd_ac97_read, 0x32e6bee7, "");
SYMBOL_CRC(snd_ac97_write_cache, 0xc29a9002, "");
SYMBOL_CRC(snd_ac97_update, 0x9a702fe2, "");
SYMBOL_CRC(snd_ac97_update_bits, 0xae9b3924, "");
SYMBOL_CRC(snd_ac97_get_short_name, 0x78cb6325, "");
SYMBOL_CRC(snd_ac97_bus, 0x87849bcb, "");
SYMBOL_CRC(snd_ac97_mixer, 0xe0c8bacc, "");
SYMBOL_CRC(snd_ac97_update_power, 0x3e52e10b, "");
SYMBOL_CRC(snd_ac97_suspend, 0x162e4f7b, "");
SYMBOL_CRC(snd_ac97_resume, 0x0bd61964, "");
SYMBOL_CRC(snd_ac97_tune_hardware, 0x95771b55, "");
SYMBOL_CRC(snd_ac97_set_rate, 0x3f8d2ce2, "");
SYMBOL_CRC(snd_ac97_pcm_assign, 0xfc06f933, "");
SYMBOL_CRC(snd_ac97_pcm_open, 0x750ed4aa, "");
SYMBOL_CRC(snd_ac97_pcm_close, 0x4fe309cd, "");
SYMBOL_CRC(snd_ac97_pcm_double_rate_rules, 0x1dbaa1e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e1b99f, "snd_pcm_std_chmaps" },
	{ 0xccd8eb4f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6b2d9c90, "snd_ctl_make_virtual_master" },
	{ 0xbf3ca736, "snd_pcm_hw_rule_add" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd43911bc, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12009fbc, "ac97_bus_type" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3179704d, "snd_ctl_rename" },
	{ 0x1548a6a, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65cdca95, "snd_device_new" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x210c1a79, "snd_info_create_card_entry" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa97ede10, "snd_ctl_add_followers" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x263e5cf2, "snd_info_free_entry" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x82030e7f, "snd_ctl_find_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb2c69045, "put_device" },
	{ 0x4d936cef, "snd_ctl_remove_id" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,ac97_bus");


MODULE_INFO(srcversion, "3407AD7D5824D195EBFE468");
