#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xaba3b5fd, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xd3e63721, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x125412af, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x77e760f3, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xdfd2486c, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x068f734b, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xee29b1fe, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x41d51c81, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x4173501d, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x4a12aaad, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0xe432b99a, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x87ad041e, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x9f7e179b, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0x61310eaf, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x16cda0d7, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x6c73ff86, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x334da52c, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xad4b83df, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x196f3fbc, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xe665ec3d, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x9d582da2, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x3be6b17e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x67135831, "snd_hdac_regmap_sync" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xd50b6b48, "snd_hda_apply_verbs" },
	{ 0xe3efbb08, "snd_hda_codec_amp_update" },
	{ 0x60cea36, "snd_hda_add_new_ctls" },
	{ 0x23d8ef5b, "snd_hda_get_connections" },
	{ 0x81145b3b, "snd_hda_codec_amp_init_stereo" },
	{ 0x1e66a378, "snd_hda_set_vmaster_tlv" },
	{ 0x20e3fe39, "hda_get_autocfg_input_label" },
	{ 0x1149668c, "query_amp_caps" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x65835265, "snd_hda_mixer_amp_volume_info" },
	{ 0x3bb68a1, "snd_hdac_regmap_read_raw" },
	{ 0xe89cb055, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96b952f7, "snd_hda_codec_setup_stream" },
	{ 0x8a1c9c90, "snd_hda_mixer_amp_switch_info" },
	{ 0xe980a0a5, "hda_codec_driver_unregister" },
	{ 0x78c5bf03, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x854d1a6b, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x945199fb, "snd_hda_jack_tbl_get_mst" },
	{ 0x76bba7b6, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8e788f80, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x90466ad, "led_classdev_unregister" },
	{ 0x47be9f6f, "snd_hda_codec_pcm_new" },
	{ 0x6fa82f90, "__snd_hda_codec_cleanup_stream" },
	{ 0x27ae0c1, "snd_ctl_sync_vmaster" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xbadf5876, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x707b7683, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf695c1ad, "snd_hda_add_imux_item" },
	{ 0x8e0fffd1, "snd_hda_correct_pin_ctl" },
	{ 0x2e85da10, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc03612b, "snd_hda_create_dig_out_ctls" },
	{ 0x65494671, "snd_hda_multi_out_dig_close" },
	{ 0x1a8a4456, "snd_hda_get_conn_index" },
	{ 0xf6867883, "snd_hda_multi_out_analog_open" },
	{ 0xbb0ab002, "snd_hda_get_bool_hint" },
	{ 0xbbd8791b, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3122921d, "snd_hda_find_mixer_ctl" },
	{ 0x18bec754, "snd_hda_get_int_hint" },
	{ 0x328e3071, "_dev_err" },
	{ 0x949886ff, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x69e0cb9a, "snd_hda_parse_pin_defcfg" },
	{ 0x41f04397, "snd_hda_codec_amp_init" },
	{ 0x59aca34d, "snd_hda_create_spdif_in_ctls" },
	{ 0xfa59e0bb, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x467a2f50, "snd_hda_multi_out_analog_cleanup" },
	{ 0x743f464, "snd_hda_multi_out_analog_prepare" },
	{ 0x46690edb, "snd_ctl_boolean_stereo_info" },
	{ 0x9b10aafd, "snd_hda_get_conn_list" },
	{ 0x797eb26b, "snd_hda_mixer_amp_switch_get" },
	{ 0xaca0d977, "snd_hda_codec_set_pin_target" },
	{ 0x568d858a, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x79b95762, "snd_hda_attach_beep_device" },
	{ 0x7dc6c2c0, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc66a23aa, "snd_hdac_regmap_write_raw" },
	{ 0x96e17c9e, "snd_hda_mixer_amp_volume_get" },
	{ 0xc50954ec, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5ef6e7cb, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb21a131e, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x285b4d74, "snd_hda_jack_unsol_event" },
	{ 0x8a9430db, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdb173d91, "snd_hda_mixer_amp_tlv" },
	{ 0xa00dc76f, "snd_hda_jack_add_kctls" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x12283046, "__snd_hda_add_vmaster" },
	{ 0x72daff10, "snd_hda_codec_amp_stereo" },
	{ 0x659dc8b5, "snd_hda_sync_vmaster_hook" },
	{ 0x3bee35d1, "snd_hda_apply_fixup" },
	{ 0x9e408589, "snd_hda_enum_helper_info" },
	{ 0x5c228d19, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xc688ab1f, "snd_hdac_codec_read" },
	{ 0x5d85ddeb, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xeedd417e, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xc9f48e92, "snd_hda_codec_get_pin_target" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd,snd-hda-codec");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "C73CBA48C536B69C5F38DA1");
