#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x68cbb4f7, "");
SYMBOL_CRC(oxygen_read16, 0x53cad8a2, "");
SYMBOL_CRC(oxygen_read32, 0x67bc39e1, "");
SYMBOL_CRC(oxygen_write8, 0x8eac141e, "");
SYMBOL_CRC(oxygen_write16, 0x88012680, "");
SYMBOL_CRC(oxygen_write32, 0x688fbf28, "");
SYMBOL_CRC(oxygen_write8_masked, 0x2af3790d, "");
SYMBOL_CRC(oxygen_write16_masked, 0xc733d8fc, "");
SYMBOL_CRC(oxygen_write32_masked, 0xbfde5fd6, "");
SYMBOL_CRC(oxygen_write_ac97, 0xdb2fb60d, "");
SYMBOL_CRC(oxygen_read_ac97, 0xae0201ab, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x8a0c2cfb, "");
SYMBOL_CRC(oxygen_write_spi, 0x5a731c32, "");
SYMBOL_CRC(oxygen_write_i2c, 0x46d4f390, "");
SYMBOL_CRC(oxygen_reset_uart, 0xdfe4bcbb, "");
SYMBOL_CRC(oxygen_write_uart, 0xd036de88, "");
SYMBOL_CRC(oxygen_pci_probe, 0x5a4a5c25, "");
SYMBOL_CRC(oxygen_pci_pm, 0x2e5a466b, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x604e546a, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x2439ac4c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xf18fe1f4, "snd_mpu401_uart_new" },
	{ 0xe79d36b9, "pci_match_id" },
	{ 0xf76a2d93, "snd_pcm_hw_constraint_msbits" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x37b9bf93, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xd03808d5, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe7788fa4, "snd_card_free_on_error" },
	{ 0xb4370f59, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xccd8eb4f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5f784427, "snd_ctl_notify" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36816e8e, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe7d55ced, "snd_devm_card_new" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-mpu401-uart,snd-pcm,snd");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
