#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78cb6325, "snd_ac97_get_short_name" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9cee5a47, "snd_card_disconnect" },
	{ 0xfc06f933, "snd_ac97_pcm_assign" },
	{ 0x87473a5d, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9e913c1, "snd_pcm_alt_chmaps" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xe7d55ced, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8508e6d5, "snd_pci_quirk_lookup" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xaee667ad, "pcim_iomap" },
	{ 0xf76a2d93, "snd_pcm_hw_constraint_msbits" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x95771b55, "snd_ac97_tune_hardware" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4fe309cd, "snd_ac97_pcm_close" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbd61964, "snd_ac97_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0xfac6ff00, "snd_pcm_add_chmap_ctls" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x8d0ac2a9, "snd_devm_alloc_dir_pages" },
	{ 0x750ed4aa, "snd_ac97_pcm_open" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe7788fa4, "snd_card_free_on_error" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x3f8d2ce2, "snd_ac97_set_rate" },
	{ 0xb4370f59, "snd_card_rw_proc_new" },
	{ 0xae9b3924, "snd_ac97_update_bits" },
	{ 0xe0c8bacc, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x87849bcb, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x1dbaa1e0, "snd_ac97_pcm_double_rate_rules" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x3e52e10b, "snd_ac97_update_power" },
	{ 0x162e4f7b, "snd_ac97_suspend" },
	{ 0xfa4a13ec, "param_ops_bint" },
	{ 0x328e3071, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe383dff0, "snd_pcm_hw_constraint_list" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-ac97-codec,snd");

MODULE_ALIAS("pci:v00008086d00002415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002425sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000025A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000266Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000027DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002698sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000001B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000003Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000006Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd00000059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000008Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd000000EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DEd0000026Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000746Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d00007445sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B9d00005455sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E4990524CF741F4BCB2B88C");
