#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0xd8114df4, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xa0f34e26, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xd7b800a0, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0xbae5d08c, "");
SYMBOL_CRC(snd_trident_free_voice, 0x72391b61, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x3a9047f4, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc784e47b, "devm_request_threaded_irq" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0xbd61964, "snd_ac97_resume" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0x8d0ac2a9, "snd_devm_alloc_dir_pages" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0x2db093f1, "param_array_ops" },
	{ 0x72e7026b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb4370f59, "snd_card_rw_proc_new" },
	{ 0xe0c8bacc, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5ac0b875, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x87849bcb, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x162e4f7b, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0xa66c2fa8, "snd_ctl_boolean_mono_info" },
	{ 0x328e3071, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5f784427, "snd_ctl_notify" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0x36816e8e, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbc99645a, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xe7d55ced, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x95a054ea, "pci_write_config_byte" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0xf18fe1f4, "snd_mpu401_uart_new" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-util-mem,snd,snd-ac97-codec,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");
