#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x72606635, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0x87b55f25, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0xfb543f15, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0xe023af39, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x328e3071, "_dev_err" },
	{ 0x14c68535, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x3916d183, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe88cd3ce, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x4bb42381, "snd_soc_info_enum_double" },
	{ 0x2d4c724d, "snd_soc_get_volsw" },
	{ 0xb6358db, "regmap_read" },
	{ 0xe7677c9, "snd_soc_put_volsw" },
	{ 0x8c9977d1, "snd_soc_component_update_bits" },
	{ 0x6a01f9aa, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xb6773663, "regmap_update_bits_base" },
	{ 0x81de51fa, "snd_soc_dapm_get_volsw" },
	{ 0xd8c74ccb, "i2c_del_driver" },
	{ 0xdbff6e83, "regmap_register_patch" },
	{ 0x97946ae4, "snd_soc_dapm_get_enum_double" },
	{ 0x25a9f9d7, "__pm_runtime_disable" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x652a1a77, "snd_soc_dapm_put_enum_double" },
	{ 0xdf301253, "regcache_cache_only" },
	{ 0x4c7db35e, "regcache_sync" },
	{ 0x2da9befd, "regmap_write" },
	{ 0x288a587e, "param_ops_uint" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xd711d8d0, "snd_soc_jack_free_gpios" },
	{ 0x4e450be5, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x3571a914, "snd_soc_jack_add_gpios" },
	{ 0xed38c662, "snd_soc_dapm_disable_pin" },
	{ 0x876cb023, "snd_soc_dapm_force_enable_pin" },
	{ 0x4210e24, "snd_soc_put_enum_double" },
	{ 0xa87021a7, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7712223, "snd_soc_component_write" },
	{ 0x7c2da833, "snd_soc_dapm_sync" },
	{ 0xb86b180c, "devm_snd_soc_register_component" },
	{ 0xb1a3424e, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x253157ac, "pm_runtime_enable" },
	{ 0xec7d37e6, "snd_soc_get_enum_double" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x27e018ed, "i2c_register_driver" },
	{ 0x5ee25752, "snd_soc_info_volsw" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm,regmap-i2c");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");
