#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed38c662, "snd_soc_dapm_disable_pin" },
	{ 0x5030a2b8, "sof_dai_get_bclk" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1c649ed1, "max_98357a_dai_link" },
	{ 0x76c8bca9, "max_98360a_dai_link" },
	{ 0xa412a2d7, "snd_soc_dai_set_sysclk" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xfa4b024c, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c2da833, "snd_soc_dapm_sync" },
	{ 0x2d0fadc1, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x5dd1652d, "snd_soc_component_set_jack" },
	{ 0xb74a2faf, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xac88b940, "rt5645_sel_asrc_clk_src" },
	{ 0xc453223b, "snd_soc_dapm_get_pin_switch" },
	{ 0x328e3071, "_dev_err" },
	{ 0x770d1250, "max_98390_dai_link" },
	{ 0x9f7a9075, "max_98373_set_codec_conf" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x3916d183, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa38c2f80, "snd_jack_set_key" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0x73c4e824, "snd_soc_card_jack_new_pins" },
	{ 0x4f7b06c2, "sof_rt1015p_codec_conf" },
	{ 0xff6ffe8d, "snd_soc_dai_set_pll" },
	{ 0x6a01f9aa, "snd_soc_dapm_new_controls" },
	{ 0x70f66e29, "rt5682_sel_asrc_clk_src" },
	{ 0x1823ff68, "snd_soc_dapm_put_pin_switch" },
	{ 0x57bf06e2, "sof_dai_get_mclk" },
	{ 0xe010d696, "sof_rt1011_codec_conf" },
	{ 0xe1aac326, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2bf737aa, "sof_intel_board_set_dai_link" },
	{ 0x4926d69b, "snd_soc_pm_ops" },
	{ 0x2795d68a, "snd_soc_add_card_controls" },
	{ 0x78c134f, "max_98390_set_codec_conf" },
	{ 0xdb7cdb23, "sof_rt1015p_dai_link" },
	{ 0x5f6416f1, "sof_rt1019p_dai_link" },
	{ 0xbaa1b7b9, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x54e610e5, "devm_snd_soc_register_card" },
	{ 0x3b6f5ce9, "sof_intel_board_card_late_probe" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x9faa7c57, "max_98373_dai_link" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0x26b5f25b, "snd_soc_dai_set_tdm_slot" },
	{ 0x9448ae55, "sof_intel_board_get_ctx" },
	{ 0xb15590f4, "sof_rt1015_dai_link" },
	{ 0x37d223ce, "rt5682s_sel_asrc_clk_src" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-sof,snd-soc-intel-sof-maxim-common,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd,snd-soc-rt5682,snd-soc-intel-sof-board-helpers,snd-pcm,snd-soc-rt5682s");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:glk_rt5682_def");
MODULE_ALIAS("platform:icl_rt5682_def");
MODULE_ALIAS("platform:cml_rt5682_def");
MODULE_ALIAS("platform:jsl_rt5682_def");
MODULE_ALIAS("platform:tgl_rt5682_def");
MODULE_ALIAS("platform:adl_rt5682_def");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_rt5682_def");
MODULE_ALIAS("platform:rpl_rt5682_c1_h02");
MODULE_ALIAS("platform:mtl_rt5682_def");

MODULE_INFO(srcversion, "8F25D1070638041720A95C0");
