#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_link_set_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_runtime_hwparams, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_fe_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_be_can_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_free_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_can_be_prepared, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol_locked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0xed5497b1, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0x2c334b25, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x5fe84d36, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x6c22f6b4, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x8a998974, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0xd4e74369, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x6bcfb6f0, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0xae5b6e42, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x2e42f897, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x56030a4f, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0xa991d270, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0xb62cf064, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x08698aad, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x25a23740, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0xf281b002, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xb0422167, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xd004bdc8, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x26e31f4e, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0x4926d69b, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x1e43a793, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x69a37bda, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0x2795d68a, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x415e7bc1, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x74da2c63, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x79556223, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x3e4ef178, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0x459e436f, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x33ca8c49, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x9c453a56, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x21b52e47, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xe07dd29b, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xb72544ec, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xcf6b82bf, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0xc43bbb78, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x2b6d1c42, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x7555954e, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x523e363e, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xdc247ee1, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xa2c6c752, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0x49ccb211, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0x6fa0c933, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x23312aaf, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x622f8b47, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xc9b79eee, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x75d183fc, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0x2b242dbc, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xc65065eb, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xab151504, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0x45464996, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x32ab427a, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x016f8692, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0x5d3091f2, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x7026d2c0, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x219269d0, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0x27b1b75c, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x24766cdd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0x6332e1be, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xe88cd3ce, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x60af170a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xd5f2b74d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x798d8d51, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xa1bffc95, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xe02c159e, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xea5a3962, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x73a88034, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0xc30bbefd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x515f38a3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0x0b414f4f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x7c2da833, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0xe7be028e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0xb389aa60, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x3916d183, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xfdbf7cbc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0xcec605b3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0xb3cb3e97, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x81de51fa, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x14c68535, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0x97946ae4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x652a1a77, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0xe1aac326, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xc453223b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x1823ff68, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x72614650, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x6a01f9aa, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x94e1c2bc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0xe17cfbfc, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0xf30c086d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xdad713ee, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x0c240c6e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x876cb023, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xd10762a5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0xed38c662, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x10ac0921, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0xd3d3a8cd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x11bb1066, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xf2919d34, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x2559875e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x56c2d663, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xe65b4698, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xfac86544, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x6b1d2272, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0xee8f8c35, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xddd89d65, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x7500772e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x3571a914, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x6cc61982, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xd711d8d0, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x2fad0d0d, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x07f512b6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0xa412a2d7, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x87b6b416, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xff6ffe8d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0xbb2d1e48, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xbbd2030e, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x26b5f25b, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x87db4e65, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x52b87cad, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0xab60ea05, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xacc4b693, "_gpl");
SYMBOL_CRC(snd_soc_dai_link_set_capabilities, 0x5aab304a, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x08a4948b, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x1efe8cdf, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x73efe9c9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0xf33875b0, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x09662b86, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x9eca97e9, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0xfa3e56cf, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xfc257a25, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x8a1318e6, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x496e6363, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x9f459086, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xf6a8e62a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0xd21c9029, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x1504ce9b, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x7e205ac3, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x4a3f27b8, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x0e7f9165, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x964b2e50, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0xed0581d1, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x57f28bb8, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x3f92e78a, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x098d10da, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x8e947baf, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol_locked, 0x2cc39037, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0xd5c99e59, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x5dd1652d, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xa0e22747, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0x9bf026b7, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0xae5d2a84, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x71f14b20, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0x7124b5ea, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x8d3aff91, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x4ce274e2, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x7e2555db, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0xa5e62c6e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0x6d6dbd14, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0xe4b2669f, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x6e963810, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x6d0209c9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x1b586b83, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x88aa370a, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x4e450be5, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0xb7712223, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x8c9977d1, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x51746d48, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0x19fd7253, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x1072efaf, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xa7cf9792, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0x9832197d, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x1b34b471, "_gpl");
SYMBOL_CRC(snd_soc_set_runtime_hwparams, 0x2bd9f8ac, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xe4b6a46e, "_gpl");
SYMBOL_CRC(widget_in_list, 0xd869ad8d, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x25b98d37, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x8508169d, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0xc87a4cd6, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_fe_can_update, 0xe3e4b98c, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_be_can_update, 0xac006ddc, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x84d3d331, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_free_stop, 0xb0aea404, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_params, 0xfffee2c5, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_can_be_prepared, 0x21273c87, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_dai, 0xff5b8c4e, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0xb86b180c, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x54e610e5, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x4bb42381, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xec7d37e6, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x04210e24, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x5ee25752, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x3cfc51d7, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x2d4c724d, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x0e7677c9, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x3a0e7dcf, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x6749e347, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x34d75210, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x8356ce87, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0x6b0af745, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x4d88041f, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0xc580901e, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0x922a9a24, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0x329d0220, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x06ac6368, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x5bb89be1, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x775b0e8d, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x3b090451, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0x183301d5, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x767e8984, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x9c88f4b8, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0xa1c29860, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x0f6861ce, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x1ec0113a, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol_locked, 0x40e82638, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0xe7c26a17, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x8d37c116, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x73c4e824, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x8699870c, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x03bb843c, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x4a0f6f76, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xc3f5d7ee, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0xbbb3d096, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x4a6d4aae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccd8eb4f, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb735e52, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xd408f16a, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xc3a4b21c, "snd_card_new" },
	{ 0xa284528, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc010b6cb, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0x2b72675a, "pinctrl_pm_select_sleep_state" },
	{ 0xd1f827bd, "simple_open" },
	{ 0x1a30c00b, "snd_pcm_lib_ioctl" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0x2b32d240, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc165d703, "snd_pcm_stream_unlock_irqrestore" },
	{ 0xcce8eb98, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa72f6d29, "dev_get_regmap" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xb0f894b9, "__devres_alloc_node" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x5f784427, "snd_ctl_notify" },
	{ 0xf5a93846, "regulator_allow_bypass" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9026354a, "snd_pcm_set_ops" },
	{ 0x77496289, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe89e9273, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1548a6a, "device_register" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0x88ce9484, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7a667653, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x412ea9c4, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xad6ead87, "__platform_driver_register" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x813a9ba7, "pinctrl_lookup_state" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x4ce34c78, "seq_read" },
	{ 0x4408983c, "snd_compress_new" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0xb6358db, "regmap_read" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccd8c5d1, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfadfe67a, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x25eb40d5, "pinctrl_select_state" },
	{ 0x49a26505, "snd_power_wait" },
	{ 0xf76a2d93, "snd_pcm_hw_constraint_msbits" },
	{ 0xc057f771, "single_release" },
	{ 0xb6773663, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa1dc028, "dev_err_probe" },
	{ 0x24020aab, "device_add_groups" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0x312e5041, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf9a7e15c, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2e4f264, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe4522ce2, "__pm_runtime_idle" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x38a79710, "gpiod_get_value_cansleep" },
	{ 0x8e44a0a, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x7bafb0d7, "gpiod_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2da9befd, "regmap_write" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbddb711b, "dev_set_name" },
	{ 0x4682ef07, "regmap_get_val_bytes" },
	{ 0x52df905b, "platform_driver_unregister" },
	{ 0xa8699f36, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe579aa2c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6dc4a571, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x37b6dcd6, "regmap_raw_read" },
	{ 0xe5dba68b, "snd_card_register" },
	{ 0xfa7e11cb, "device_unregister" },
	{ 0x817f3da, "snd_card_free" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0xbcca200a, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda02b2c3, "gpiod_get_index" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x9591574f, "gpiod_to_irq" },
	{ 0xfef4eabe, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e66e1dd, "snd_ctl_find_id_locked" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0xcdb59713, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xa87021a7, "regcache_mark_dirty" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x13938fdc, "regulator_disable_deferred" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xf075347f, "snd_ctl_remove" },
	{ 0xa237e2ca, "snd_ctl_free_one" },
	{ 0x82030e7f, "snd_ctl_find_id" },
	{ 0xfa4b024c, "devm_clk_get" },
	{ 0x856efcdd, "devres_add" },
	{ 0x98d0f11, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x83a181ee, "pinctrl_pm_select_default_state" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x859ce2d2, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x15c3176, "snd_pcm_stream_unlock_irq" },
	{ 0xaa24343d, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xb74a2faf, "devm_kstrdup" },
	{ 0x7f5cc2d2, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf0c4c0ae, "debugfs_lookup_and_remove" },
	{ 0xb2c69045, "put_device" },
	{ 0xf1a1a338, "gpiod_unexport" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-compress");


MODULE_INFO(srcversion, "A13AF574A1C5FE68047C796");
