#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_cl_prepare, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(cl_dsp_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_cl_cleanup, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware_iccmax, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(hda_dsp_cl_boot_firmware, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_load_library, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ext_man_get_cavs_config_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_hda_position_quirk, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_hw_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_stream_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_threaded_handler, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_stream_get_position, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_llp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_stream_ldp, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_release, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_trace_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_get_interface_mask, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_is_chain_dma_supported, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_stall_reset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_is_enabled, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_run, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_power_up, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_enable_core, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_reset_power_down, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_int_disable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc3, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_power_state_ipc4, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_idle, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_runtime_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_suspend, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown_dma_flush, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_shutdown, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_set_hw_params_upon_resume, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_core_get, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_common_enable_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_common, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount_ext, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_check_lcount, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_sdw_process_wakeen, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_disable_interrupts, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_get_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_ipc_firmware_response, "", "");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, "", "");
KSYMTAB_FUNC(hda_dsp_ipc_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_schedule_d0i3_work, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_reply, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_msg_data, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_stream_data_offset, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dsp_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_check_ipc_irq, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_irq_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_dump, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ipc4_tx_is_busy, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_get_caps, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_ppcap_int_enable, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_clock_power_gating, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_ctrl_init_chip, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_hw_params, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_ack, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_trigger, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_pointer, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_open, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dsp_pcm_close, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_dai_config, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_set_dai_drv_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_dai, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_hda_bus_exit, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_ipc4_intel_dump_telemetry_state, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(__tracepoint_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__traceiter_sof_intel_hda_irq, "", "");
KSYMTAB_DATA(__SCK__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(__SCT__tp_func_sof_intel_hda_irq, "", "");
KSYMTAB_FUNC(hda_probes_register, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_probes_unregister, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_cl_prepare, 0xb7e382e3, "");
SYMBOL_CRC(cl_dsp_init, 0xcd894f20, "");
SYMBOL_CRC(hda_cl_trigger, 0xd100e411, "");
SYMBOL_CRC(hda_cl_cleanup, 0x69509b4e, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware_iccmax, 0x87ae611b, "");
SYMBOL_CRC(hda_dsp_cl_boot_firmware, 0x760cb439, "");
SYMBOL_CRC(hda_dsp_ipc4_load_library, 0x8ca70d32, "");
SYMBOL_CRC(hda_dsp_ext_man_get_cavs_config_data, 0x0a234d59, "");
SYMBOL_CRC(sof_hda_position_quirk, 0xf2ce560f, "");
SYMBOL_CRC(hda_dsp_stream_hw_free, 0xb18379f4, "");
SYMBOL_CRC(hda_dsp_check_stream_irq, 0x294fb2a3, "");
SYMBOL_CRC(hda_dsp_stream_threaded_handler, 0x3bdcdfa9, "");
SYMBOL_CRC(hda_dsp_stream_init, 0xea8fe172, "");
SYMBOL_CRC(hda_dsp_stream_free, 0xf9e11aec, "");
SYMBOL_CRC(hda_dsp_stream_get_position, 0x2954783d, "");
SYMBOL_CRC(hda_dsp_get_stream_llp, 0xb5e1856d, "");
SYMBOL_CRC(hda_dsp_get_stream_ldp, 0xe29587e9, "");
SYMBOL_CRC(hda_dsp_trace_init, 0x7caaa260, "");
SYMBOL_CRC(hda_dsp_trace_release, 0xcf980535, "");
SYMBOL_CRC(hda_dsp_trace_trigger, 0x442127d1, "");
SYMBOL_CRC(hda_get_interface_mask, 0x2a0df469, "");
SYMBOL_CRC(hda_is_chain_dma_supported, 0x22897949, "");
SYMBOL_CRC(hda_dsp_core_stall_reset, 0x477c5f59, "");
SYMBOL_CRC(hda_dsp_core_is_enabled, 0x4a258799, "");
SYMBOL_CRC(hda_dsp_core_run, 0x0c161c65, "");
SYMBOL_CRC(hda_dsp_core_power_up, 0x47f03b74, "");
SYMBOL_CRC(hda_dsp_enable_core, 0x1c51426f, "");
SYMBOL_CRC(hda_dsp_core_reset_power_down, 0xffbd1cb0, "");
SYMBOL_CRC(hda_dsp_ipc_int_enable, 0x6d26b67b, "");
SYMBOL_CRC(hda_dsp_ipc_int_disable, 0xabcf4d95, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc3, 0x7408192f, "");
SYMBOL_CRC(hda_dsp_set_power_state_ipc4, 0x0c510638, "");
SYMBOL_CRC(hda_dsp_resume, 0x3f7694d7, "");
SYMBOL_CRC(hda_dsp_runtime_resume, 0x43744ac0, "");
SYMBOL_CRC(hda_dsp_runtime_idle, 0x212ac7f1, "");
SYMBOL_CRC(hda_dsp_runtime_suspend, 0x6a89a407, "");
SYMBOL_CRC(hda_dsp_suspend, 0xc5dc15f8, "");
SYMBOL_CRC(hda_dsp_shutdown_dma_flush, 0xa4254d26, "");
SYMBOL_CRC(hda_dsp_shutdown, 0x4af27a97, "");
SYMBOL_CRC(hda_dsp_set_hw_params_upon_resume, 0xbdc928c9, "");
SYMBOL_CRC(hda_dsp_d0i3_work, 0x2ad078bb, "");
SYMBOL_CRC(hda_dsp_core_get, 0x41eaa7e0, "");
SYMBOL_CRC(hda_common_enable_sdw_irq, 0x98fe808a, "");
SYMBOL_CRC(hda_sdw_int_enable, 0xd2ff57b9, "");
SYMBOL_CRC(hda_sdw_check_lcount_common, 0x44c127e1, "");
SYMBOL_CRC(hda_sdw_check_lcount_ext, 0x21b3c939, "");
SYMBOL_CRC(hda_sdw_check_lcount, 0x8eee3682, "");
SYMBOL_CRC(hda_sdw_process_wakeen, 0x82abf11b, "");
SYMBOL_CRC(hda_dsp_disable_interrupts, 0x385f813b, "");
SYMBOL_CRC(hda_dsp_get_state, 0x10414541, "");
SYMBOL_CRC(hda_dsp_dump, 0x51fce45a, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_initiated, 0x99b15eeb, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_initiated, 0x1ed3b2f1, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_initiated, 0x83892d53, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_initiated, 0x35e33813, "");
SYMBOL_CRC(__tracepoint_sof_intel_ipc_firmware_response, 0x3f781693, "");
SYMBOL_CRC(__traceiter_sof_intel_ipc_firmware_response, 0xe2c0fda8, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_ipc_firmware_response, 0xdddfd387, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_ipc_firmware_response, 0x16bbbb91, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq_ipc_check, 0x553557f9, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq_ipc_check, 0x1f04dc6f, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq_ipc_check, 0x283dea94, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq_ipc_check, 0x2b37f935, "");
SYMBOL_CRC(hda_dsp_ipc_send_msg, 0xfe7f46f2, "");
SYMBOL_CRC(hda_dsp_ipc4_schedule_d0i3_work, 0x965bfed0, "");
SYMBOL_CRC(hda_dsp_ipc4_send_msg, 0x322084db, "");
SYMBOL_CRC(hda_dsp_ipc_get_reply, 0xbade2687, "");
SYMBOL_CRC(hda_dsp_ipc4_irq_thread, 0x6ef62ffb, "");
SYMBOL_CRC(hda_dsp_ipc_irq_thread, 0xa457063a, "");
SYMBOL_CRC(hda_dsp_check_ipc_irq, 0x6cf4c0d8, "");
SYMBOL_CRC(hda_dsp_ipc_get_mailbox_offset, 0x56d572ae, "");
SYMBOL_CRC(hda_dsp_ipc_get_window_offset, 0x787bda9c, "");
SYMBOL_CRC(hda_ipc_msg_data, 0x1c4656a5, "");
SYMBOL_CRC(hda_set_stream_data_offset, 0x83549873, "");
SYMBOL_CRC(hda_ipc4_dsp_dump, 0x1ccb2d8d, "");
SYMBOL_CRC(hda_check_ipc_irq, 0x96f8149d, "");
SYMBOL_CRC(hda_ipc_irq_dump, 0x5cb503db, "");
SYMBOL_CRC(hda_ipc_dump, 0xaa90068b, "");
SYMBOL_CRC(hda_ipc4_dump, 0x08d539d1, "");
SYMBOL_CRC(hda_ipc4_tx_is_busy, 0x8b496261, "");
SYMBOL_CRC(hda_dsp_ctrl_get_caps, 0x5f4ccda3, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_enable, 0x8c085a63, "");
SYMBOL_CRC(hda_dsp_ctrl_ppcap_int_enable, 0x264071c8, "");
SYMBOL_CRC(hda_dsp_ctrl_clock_power_gating, 0x6181a499, "");
SYMBOL_CRC(hda_dsp_ctrl_init_chip, 0x1eb74abc, "");
SYMBOL_CRC(hda_dsp_pcm_hw_params, 0xe9c8e00f, "");
SYMBOL_CRC(hda_dsp_pcm_ack, 0xc3f43d28, "");
SYMBOL_CRC(hda_dsp_pcm_trigger, 0xaea830a8, "");
SYMBOL_CRC(hda_dsp_pcm_pointer, 0x76bcdd29, "");
SYMBOL_CRC(hda_dsp_pcm_open, 0xfc9fd230, "");
SYMBOL_CRC(hda_dsp_pcm_close, 0x2afda1d8, "");
SYMBOL_CRC(hda_dai_config, 0x3ecd3a5b, "");
SYMBOL_CRC(hda_set_dai_drv_ops, 0xe7f02c6b, "");
SYMBOL_CRC(hda_ops_free, 0x05e2bf69, "");
SYMBOL_CRC(skl_dai, 0x04e7d558, "");
SYMBOL_CRC(sof_hda_bus_init, 0x9b17fa94, "");
SYMBOL_CRC(sof_hda_bus_exit, 0x70723b75, "");
SYMBOL_CRC(sof_ipc4_intel_dump_telemetry_state, 0x2802a5e6, "");
SYMBOL_CRC(__tracepoint_sof_intel_hda_irq, 0xb67e566d, "");
SYMBOL_CRC(__traceiter_sof_intel_hda_irq, 0x83578146, "");
SYMBOL_CRC(__SCK__tp_func_sof_intel_hda_irq, 0x46ae2f34, "");
SYMBOL_CRC(__SCT__tp_func_sof_intel_hda_irq, 0x79bb115b, "");
SYMBOL_CRC(hda_probes_register, 0x0fd3ad8f, "");
SYMBOL_CRC(hda_probes_unregister, 0x360367d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5ac0b875, "snd_sgbuf_get_addr" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x6d0aeae5, "snd_sgbuf_get_chunk_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x94519f8f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2153abb, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73fbb2b2, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x2bdc3750, "snd_sof_dsp_dbg_dump" },
	{ 0x79b05331, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x896a21f1, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd635ab93, "snd_sof_dsp_update_bits_forced" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x580ea26c, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x754d4a04, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x84b1f976, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x4812a2ba, "snd_sof_ipc_get_reply" },
	{ 0x5cc04a15, "snd_sof_dsp_update_bits" },
	{ 0xe8eb755d, "pci_restore_state" },
	{ 0x5d57d721, "snd_sof_pci_update_bits" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x6213c98e, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x87473a5d, "snd_pcm_hw_constraint_integer" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0x49946cc9, "snd_sof_ipc_reply" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf405c12d, "sof_ipc_tx_message" },
	{ 0x8b788af, "snd_sof_dsp_panic" },
	{ 0x38a7cc3d, "snd_sof_suspend" },
	{ 0x37b9bf93, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x477a4b8, "intel_nhlt_init" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296462b2, "sof_client_dev_unregister" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x1471a98b, "sof_io_write" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfe3baa3a, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x4219a95e, "pci_save_state" },
	{ 0xcf1ea96a, "sof_block_read" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20b6cbb9, "bpf_trace_run4" },
	{ 0xe338e317, "snd_dma_alloc_dir_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0xa6257a2f, "complete" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xac97c788, "snd_pcm_hw_constraint_minmax" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof,snd-intel-dspcfg");


MODULE_INFO(srcversion, "E1DA64F35BECB439B517223");
