#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x26db7aa2, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x29768627, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x8d49012c, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xe8b95283, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x3c18688b, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x1c015f39, "");
SYMBOL_CRC(hda_dsp_probe, 0x1522c9f5, "");
SYMBOL_CRC(hda_dsp_remove, 0x07ab4895, "");
SYMBOL_CRC(hda_power_down_dsp, 0xf23d1eb8, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x809e0600, "");
SYMBOL_CRC(sof_hda_common_ops, 0x491f69c9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x5c0d769d, "pci_alloc_irq_vectors" },
	{ 0x16464b54, "intel_nhlt_get_dmic_geo" },
	{ 0xa234d59, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x8c085a63, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x82abf11b, "hda_sdw_process_wakeen" },
	{ 0xd2ff57b9, "hda_sdw_int_enable" },
	{ 0x70723b75, "sof_hda_bus_exit" },
	{ 0xedc03953, "iounmap" },
	{ 0x6b818fdc, "sdw_intel_exit" },
	{ 0xe3ffa91a, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x760cb439, "hda_dsp_cl_boot_firmware" },
	{ 0xe9c8e00f, "hda_dsp_pcm_hw_params" },
	{ 0x8eee3682, "hda_sdw_check_lcount" },
	{ 0xd07db763, "snd_intel_dsp_driver_probe" },
	{ 0xdc3b847c, "pci_irq_vector" },
	{ 0x6181a499, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0x3c16cd31, "pci_ioremap_bar" },
	{ 0x1eb74abc, "hda_dsp_ctrl_init_chip" },
	{ 0xc7691d33, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5dc15f8, "hda_dsp_suspend" },
	{ 0x6a89a407, "hda_dsp_runtime_suspend" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x56d572ae, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x3ecd3a5b, "hda_dai_config" },
	{ 0x360367d8, "hda_probes_unregister" },
	{ 0x7fc6d87e, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3f43d28, "hda_dsp_pcm_ack" },
	{ 0xcf980535, "hda_dsp_trace_release" },
	{ 0x46ae2f34, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0x51fce45a, "hda_dsp_dump" },
	{ 0xd0a84515, "sdw_intel_startup" },
	{ 0x76bcdd29, "hda_dsp_pcm_pointer" },
	{ 0x6875741e, "sdw_intel_process_wakeen_event" },
	{ 0x79b05331, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x896a21f1, "sof_mailbox_read" },
	{ 0x328e3071, "_dev_err" },
	{ 0xcfea5903, "debugfs_create_bool" },
	{ 0xffbd1cb0, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb67e566d, "__tracepoint_sof_intel_hda_irq" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x7caaa260, "hda_dsp_trace_init" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x396d5670, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x264071c8, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5cc04a15, "snd_sof_dsp_update_bits" },
	{ 0x5d57d721, "snd_sof_pci_update_bits" },
	{ 0x9b17fa94, "sof_hda_bus_init" },
	{ 0x212ac7f1, "hda_dsp_runtime_idle" },
	{ 0xfc9fd230, "hda_dsp_pcm_open" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xe989bfd7, "pci_set_master" },
	{ 0x5043e0a0, "param_ops_charp" },
	{ 0xb18379f4, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x2afda1d8, "hda_dsp_pcm_close" },
	{ 0xbb4d248c, "dma_set_coherent_mask" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x96f8149d, "hda_check_ipc_irq" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x43744ac0, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x442127d1, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f1ef308, "sof_machine_unregister" },
	{ 0x4e7d558, "skl_dai" },
	{ 0xb5e1856d, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x61a982e8, "sdw_intel_probe" },
	{ 0x6d99db66, "snd_sof_load_firmware_raw" },
	{ 0x88c99835, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x22897949, "hda_is_chain_dma_supported" },
	{ 0x3f7694d7, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xe667c2d0, "dma_set_mask" },
	{ 0xfd3ad8f, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0xea8fe172, "hda_dsp_stream_init" },
	{ 0xe29587e9, "hda_dsp_get_stream_ldp" },
	{ 0xf9e11aec, "hda_dsp_stream_free" },
	{ 0x5f4ccda3, "hda_dsp_ctrl_get_caps" },
	{ 0x442101aa, "param_ops_int" },
	{ 0x477a4b8, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6946e34e, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x8a85cbfd, "pci_free_irq_vectors" },
	{ 0x294fb2a3, "hda_dsp_check_stream_irq" },
	{ 0x83549873, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x787bda9c, "hda_dsp_ipc_get_window_offset" },
	{ 0x1c4656a5, "hda_ipc_msg_data" },
	{ 0x9acb0c9e, "sof_machine_register" },
	{ 0xbdc928c9, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x38026534, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xcf1ea96a, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd92482ca, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x2a0df469, "hda_get_interface_mask" },
	{ 0x6baf9319, "is_acpi_device_node" },
	{ 0xaea830a8, "hda_dsp_pcm_trigger" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "8A67514427DEB120A10A4BC");
