#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60f7a35b, "cnl_ipc_send_msg" },
	{ 0xd5f712ce, "snd_soc_acpi_intel_tgl_sdw_machines" },
	{ 0xfab808f, "__pci_register_driver" },
	{ 0x385f813b, "hda_dsp_disable_interrupts" },
	{ 0xc510638, "hda_dsp_set_power_state_ipc4" },
	{ 0xf23d1eb8, "hda_power_down_dsp" },
	{ 0xd6a2a1cc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ccb2d8d, "hda_ipc4_dsp_dump" },
	{ 0x87ae611b, "hda_dsp_cl_boot_firmware_iccmax" },
	{ 0x1c51426f, "hda_dsp_enable_core" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x491f69c9, "sof_hda_common_ops" },
	{ 0x44c127e1, "hda_sdw_check_lcount_common" },
	{ 0x612e2ad7, "snd_soc_acpi_intel_ehl_machines" },
	{ 0x3621c0be, "cnl_ipc4_dump" },
	{ 0xbc99cacd, "snd_soc_acpi_intel_adl_sdw_machines" },
	{ 0x809e0600, "hda_pci_intel_probe" },
	{ 0xa4254d26, "hda_dsp_shutdown_dma_flush" },
	{ 0x602ca5ba, "snd_soc_acpi_intel_tgl_machines" },
	{ 0xffbd1cb0, "hda_dsp_core_reset_power_down" },
	{ 0x751a00fd, "sof_pci_remove" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x301eb26c, "cnl_ipc_dump" },
	{ 0xe7f02c6b, "hda_set_dai_drv_ops" },
	{ 0x7408192f, "hda_dsp_set_power_state_ipc3" },
	{ 0xfb15a137, "cnl_ipc4_irq_thread" },
	{ 0xf89348f2, "cnl_ipc_irq_thread" },
	{ 0x22481abe, "snd_soc_acpi_intel_rpl_sdw_machines" },
	{ 0x3c18688b, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98fe808a, "hda_common_enable_sdw_irq" },
	{ 0x6cf4c0d8, "hda_dsp_check_ipc_irq" },
	{ 0xcd894f20, "cl_dsp_init" },
	{ 0x5e2bf69, "hda_ops_free" },
	{ 0x5496de86, "sof_pci_shutdown" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xe8b95283, "hda_sdw_process_wakeen_common" },
	{ 0x8ca70d32, "hda_dsp_ipc4_load_library" },
	{ 0x9db41772, "cnl_ipc4_send_msg" },
	{ 0x29768627, "hda_common_check_sdw_irq" },
	{ 0x388762a9, "sof_pci_pm" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0xaa1b64b9, "snd_soc_acpi_intel_adl_machines" },
	{ 0xdcc6d459, "snd_soc_acpi_intel_rpl_machines" },
	{ 0x8d49012c, "hda_sdw_check_wakeen_irq_common" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-pci-intel-cnl,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d0000A0C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B55sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "47B5B0DADC1971E44B2C1A5");
