#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_dai_get_tdm_slots, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_create_ipc_file_profile, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_find_debug_slot_offset_by_type, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x84b1f976, "");
SYMBOL_CRC(sof_set_fw_state, 0x8b81ae9c, "");
SYMBOL_CRC(snd_sof_device_probe, 0xe89c1232, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x6142a885, "");
SYMBOL_CRC(snd_sof_device_remove, 0xa0f2c220, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x1d0659a5, "");
SYMBOL_CRC(sof_machine_register, 0x9acb0c9e, "");
SYMBOL_CRC(sof_machine_unregister, 0x1f1ef308, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x5d57d721, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0x754d4a04, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x2ef50609, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0x5cc04a15, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0xd2cbd7b7, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0xd635ab93, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x08b788af, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x6d99db66, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x767d20cb, "");
SYMBOL_CRC(snd_sof_run_firmware, 0x532e01d1, "");
SYMBOL_CRC(snd_sof_fw_unload, 0xb97efe7b, "");
SYMBOL_CRC(sof_ipc_tx_message, 0xf405c12d, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x33d5f6af, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x6c066b53, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x4812a2ba, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x49946cc9, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xf775b62c, "");
SYMBOL_CRC(snd_sof_ipc_free, 0x67ab6207, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0xfe3baa3a, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0x38cb9008, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x11cbc907, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0xb375ca45, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x1067436d, "");
SYMBOL_CRC(snd_sof_resume, 0xa5abe114, "");
SYMBOL_CRC(snd_sof_suspend, 0x38a7cc3d, "");
SYMBOL_CRC(snd_sof_prepare, 0x9dd5755e, "");
SYMBOL_CRC(snd_sof_complete, 0x7fde31fd, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xd92482ca, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0x492bf288, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x7a3c8769, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xc19510be, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x74a1d2f2, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x2bdc3750, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xc3836992, "");
SYMBOL_CRC(snd_sof_load_topology, 0xb5a0a047, "");
SYMBOL_CRC(sof_io_write, 0x1471a98b, "");
SYMBOL_CRC(sof_io_read, 0x206bd6e8, "");
SYMBOL_CRC(sof_io_write64, 0xe88c1db6, "");
SYMBOL_CRC(sof_io_read64, 0xe24c1a19, "");
SYMBOL_CRC(sof_mailbox_write, 0x79b05331, "");
SYMBOL_CRC(sof_mailbox_read, 0x896a21f1, "");
SYMBOL_CRC(sof_block_write, 0x7fc6d87e, "");
SYMBOL_CRC(sof_block_read, 0xcf1ea96a, "");
SYMBOL_CRC(sof_widget_free, 0x6c748f63, "");
SYMBOL_CRC(sof_widget_setup, 0x3de7f802, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0x73fbb2b2, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x57bf06e2, "");
SYMBOL_CRC(sof_dai_get_bclk, 0x5030a2b8, "");
SYMBOL_CRC(sof_dai_get_tdm_slots, 0x628d2881, "");
SYMBOL_CRC(sof_ipc_msg_data, 0x50e2a99b, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0xe5e53de0, "");
SYMBOL_CRC(sof_stream_pcm_open, 0x78a34b87, "");
SYMBOL_CRC(sof_stream_pcm_close, 0xfaa835bc, "");
SYMBOL_CRC(sof_create_ipc_file_profile, 0xd9f1df25, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x97680c49, "");
SYMBOL_CRC(sof_ipc4_find_debug_slot_offset_by_type, 0xa2153abb, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0xea368d5c, "");
SYMBOL_CRC(sof_client_dev_register, 0x580ea26c, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x296462b2, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x709de56d, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x7c9947c8, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0xb073f9d6, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0x135001a2, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x7be8a193, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x9297ad04, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x9aab9408, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0xd090eca4, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0xe7ac0761, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x604b22c1, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0xe6fedd9c, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0xb91c02d9, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x6334d99e, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x5b39a5d2, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xf8925462, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0xc7ef8471, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x87037e9c, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x4d46980f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37b9bf93, "snd_pcm_hw_constraint_step" },
	{ 0xc3f5d7ee, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x442101aa, "param_ops_int" },
	{ 0xb6fe9b9a, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd0c14ff8, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xde267f76, "pci_write_config_dword" },
	{ 0xed54ef96, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xcea75953, "debugfs_create_str" },
	{ 0x25b98d37, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x798d8d51, "snd_soc_dapm_dai_free_widgets" },
	{ 0xd1e511a2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe338e317, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x756e838f, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x110db2d, "firmware_request_nowarn" },
	{ 0x23487eba, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd5f2b74d, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x60277f3b, "trace_raw_output_prep" },
	{ 0xec4bcd33, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc6a5aa53, "request_firmware" },
	{ 0x100cfa8e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7b6fded8, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb34116, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xb31f7ba9, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9591ddb, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x75d6d0f6, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4083552e, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x278d9e94, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xf4fa7860, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x94519f8f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb86b180c, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2c69045, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb04d74a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf30a23a, "_dev_info" },
	{ 0xa33872f3, "debugfs_file_put" },
	{ 0xd408f16a, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xce190dba, "intel_nhlt_get_endpoint_blob" },
	{ 0x6c22f6b4, "snd_soc_rtdcom_lookup" },
	{ 0xf619109d, "intel_nhlt_ssp_device_type" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc010b6cb, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xb4a736b9, "perf_trace_run_bpf_submit" },
	{ 0x9e4a0ea8, "devm_kfree" },
	{ 0x328e3071, "_dev_err" },
	{ 0xd1f827bd, "simple_open" },
	{ 0xfc50afd1, "platform_device_unregister" },
	{ 0x8402828b, "__auxiliary_device_add" },
	{ 0xd869ad8d, "widget_in_list" },
	{ 0xc52fc9f7, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x90d5720c, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1799c70, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcdc2e847, "pm_runtime_get_if_in_use" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbbb3d096, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36816e8e, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa3cb5175, "bpf_trace_run1" },
	{ 0xbe535fdd, "device_del" },
	{ 0x88ce9484, "default_llseek" },
	{ 0x66d380b9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3abc649f, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4a6d4aae, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbb7c3da, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0xe2a2440b, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x87473a5d, "snd_pcm_hw_constraint_integer" },
	{ 0x37cd11ea, "bpf_trace_run3" },
	{ 0xef114789, "debugfs_create_file" },
	{ 0x76a138c1, "platform_device_register_full" },
	{ 0x579fbdf2, "trace_event_buffer_reserve" },
	{ 0xef4e16e3, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5cf8be5e, "param_ops_bool" },
	{ 0x81090f1c, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x69df2224, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2ecaeeb0, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xe894804d, "__pm_runtime_suspend" },
	{ 0xc772b4fc, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "744DA83E0CB90916DB2C992");
